<?php
	/**
	 * restore a backup
	 * @package time-o-meter
	 * @subpackage backup
	 */

	// zugriffsrechte pruefen
	if (defined('USER_GROUP_ID') and $access->check_group(USER_GROUP_ID, 'admin_backup') and $chk_sum->Chk($_GET['VCS']) === true)
	{
		$vc = new VersionControl;
		$msb = new MySqlBackup;

		$sql = $cdb->select('SELECT * FROM hdb_backup WHERE file_id='.$_GET['fileid_int']);
		$result = $cdb->fetch_array($sql);

		$db_version = $msb->get_db_version($result['filename']);

		$backup_restore = false;
		$backup_version_exists = false;
		//Datenabnk version vorhanden
		if (!empty($db_version))
		{
			$backup_version_exists = true;
			//Datenabnk version kann verwendet werden
			$vc_chk = $vc->chk_backup_version($db_version);
			if ($vc_chk === true)
			{
				$backup_restore = true;
			}
			elseif ($vc_chk === 0)
			{
				$backup_restore = 0;
			}
		}
?>
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr valign="middle">
				<td class="main_table_header" width="100%"><?php get_text(552);//Backup Wiederherstellen ?></td>
			</tr>
			<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
			<tr>
				<td class="main_table_content">
					<a href="index.php<?php echo $gv->create_get_string('?fileinc=main'); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />

					<form name="form_restore_backup" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
						<input type="hidden" name="job_string" value="restore_backup" />
						<input type="hidden" name="fileid_int" value="<?php echo $_GET['fileid_int']; ?>" />
						<?php
							//Reloadsperre
							$reload->create();
							//Checksummenstring
							echo $chk_sum->GetHidden(array('job_string'=>'restore_backup', 'fileid_int' => $_GET['fileid_int']));
						?>
						<table cellpadding="2" cellspacing="0" width="80%" class="table_content">
							<colgroup>
								<col width="100%" />
							</colgroup>
							<tr><td>&#160;</td></tr>
							<tr>
								<td class="padding_left_10">
									<?php
										if ($backup_restore == true)
										{
											echo get_text(97, 'return').': '.$result['filename'].'<br />';//Backup
											echo get_text(559, 'return').'<br />';//Wollen Sie das Backup wirklich wiederherstellen?
											get_text(558);//Beim Wiederherstellen eines Backups gehen alle Daten verloren, die seit der Erstellung des betreffenden Backups gespeichert wurden!
										}
										elseif ($backup_restore === 0)
										{
											get_text(944);//Es konnte keine Verbindung zur Versionskontrolle aufgebaut werden! Bitte Versuchen Sie es zu einem Spaeteren Zeitpunkt erneut oder wenden Sie sich an den Support.
										}
										elseif ($backup_version_exists == true)
										{
											get_text(945);//Dieses Backup ist nicht Kompatiebel zur verwendeten Backupversion! Bitte waehlen Sie ein Spaeteres Backup aus oder wenden Sie sich an den Support.
										}
										else
										{
											get_text(946);//Es konnte nicht die Backupversion ermittelt werden! Bitte wiederholen Sie den Vorgang oder wenden Sie sich an den Support.
										}
									?>
								</td>
							</tr>
							<tr>
								<td align="center">
									<?php
										if ($backup_restore == true)
										{
											echo get_button(get_text('552','return'), 'tick.png', 'onclick="document.form_restore_backup.submit()"');
										}
									?>
								</td>
							</tr>
							<tr><td colspan="2">&#160;</td></tr>
						</table>
					</form>
					<br /><br />
				</td>
			</tr>
		</table>
<?php
	}
	else
	{
		echo setError(get_text('', 'return', 'decode_on', 'fehler_zugriffsrechte') /*Sie besitzen nicht die notwendigen Zugriffsrechte fuer diesen Bereich.*/, WARNING, __LINE__);
	}
?>