<?php
	/**
	 * index-file of the backup-folder
	 * @package time-o-meter
	 * @subpackage backup
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	//Header Datei
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/header.php');

	if ($access->check_group(USER_GROUP_ID, 'admin_backup'))
	{
		//Contentausgabe
		if (!isset($GLOBALS['TOM_VAR']['fileinc']) or empty($GLOBALS['TOM_VAR']['fileinc']) or $GLOBALS['TOM_VAR']['fileinc'] == 'main')
		{
			require_once('main.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'backup_add')
		{
			require_once('backup_add.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'backup_del_all')
		{
			require_once('backup_del_all.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'backup_restore')
		{
			require_once('backup_restore.php');
		}
	}

	//Footer
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/footer.php');
?>