<?php
	/**
	 * backup overview
	 * this file contains the default-content of the index.php
	 * @package time-o-meter
	 * @subpackage backup
	 */

	// zugriffsrechte pruefen
	if (defined('USER_GROUP_ID') and $access->check_group(USER_GROUP_ID, 'admin_backup'))
	{
		//Filteroptionen Speichern bzw. Ausgeben
		$sf->start();
?>
		<script type="text/javascript">
			<!--
				function chk_del_backup(backupid_int)
				{
					var chk = confirm("<?php get_text('753', 'echo', 'decode_off'); /*Wollen Sie wirklich das Backup vom*/?> " + document.getElementById("backup_time_" + backupid_int).childNodes[0].nodeValue + " <?php get_text('754', 'echo', 'decode_off'); /*loeschen?*/?>");

					if (chk == true)
					{
						document.forms["form_del_backup_"+backupid_int].submit();
					}
				}
			// -->
		</script>
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr valign="middle">
				<td class="main_table_header" width="100%"><?php get_text('97'); /*Backup*/?></td>
			</tr>
			<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
			<tr>
				<td class="main_table_content">
					<?php
						$sql = $cdb->select('SELECT COUNT(file_id) AS count_id FROM hdb_backup');
						$count_result = $cdb->fetch_array($sql);

						//Blaetternfunktion
						if (!isset($_GET['blseite']))
						{
							$current_page = 1;
						}
						else
						{
							$current_page = $_GET['blseite'];
						}

						$bl = blaettern($current_page, $count_result['count_id'], 20, $_POST,'index.php');
						echo '<br />'.$bl['txt'].'<br />';
					?>
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<colgroup>
							<col width="15%" />
							<col width="25%" />
							<col width="10%" />
							<col width="18%" />
							<col width="24%" />
							<col width="8%" />
						</colgroup>
						<tr class="table_tr_bg_2">
							<td class="table_header_left"><strong><?php get_text('', 'echo', 'decode_on', 'datum'); /*Datum*/?></strong></td>
							<td class="table_header"><strong><?php get_text('', 'echo', 'decode_on', 'filename'); /*Dateiname*/?></strong></td>
							<td class="table_header"><strong><?php get_text('', 'echo', 'decode_on', 'filesize'); /*Dateigroesse*/?></strong></td>
							<td class="table_header"><strong><?php get_text('', 'echo', 'decode_on', 'art'); /*Art*/?></strong></td>
							<td class="table_header"><strong><?php get_text('', 'echo', 'decode_on', 'beschreibung'); /*Beschreibung*/?></strong></td>
							<td class="table_header" align="center"><strong><?php get_text('', 'echo', 'decode_on', 'aktionen'); /*Aktionen*/?></strong></td>
						</tr>
						<?php
							$count = 0;
							$bg = 1;
							$sql = $cdb->select("SELECT * FROM hdb_backup ORDER BY backup_time DESC".$bl['limit']);
							while ($result = $cdb->fetch_array($sql))
							{
								$cs = $chk_sum->GetString(array('fileid_int' => $result['file_id']));
						?>
								<tr class="table_tr_bg_<?php echo $bg; ?>" valign="top">
									<td id="backup_time_<?php echo $result['file_id'];?>"><?php	echo $kal->win_to_time($result['backup_time'], 'all', 0, -3);?></td>
									<td title="<?php echo $result['filename']; ?>"><?php echo substr($result['filename'], 0, 24).'...';?></td>
									<td><?php echo $dateigroesse = number_format($result['filesize'], 2, ",", ".").' MB';?></td>
									<td>
										<?php
											if ($result['type'] == 'auto')
											{
												get_text('553'); /*Automatisches Backup*/
											}
											elseif ($result['type'] == 'manu')
											{
												get_text('554'); /*Manuelles Backup*/
											}
										?>
									</td>
									<td><?php echo $result['beschreibung'];?></td>
									<td align="center">
										<form action="index.php<?php echo $gv->create_get_string('?fileinc=main'); ?>" name="form_del_backup_<?php echo $result['file_id'];?>" method="post" style="display:inline;" accept-charset="UTF-8">
											<input type="hidden" name="backupid_int" value="<?php echo $result['file_id'];?>" />
											<input type="hidden" name="job_string" value="del_backup" />
											<?php
												//Reloadsperre
												$reload->create();

												if (isset($result['filename']) and !empty($result['filename']) and file_exists(TOM_ABS_PFAD.'files/backup/'.$result['filename']))
												{
											?>
													<a href="download.php<?php echo $gv->create_get_string('?fileid_int='.$result['file_id'].'&amp;filetyp_string=backup&amp;'.$cs); ?>" target="_blank"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/disk.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
													<?php
														if (defined('TOM_MYSQL_EXEC') and TOM_MYSQL_EXEC != '')
														{
													?>
															<a href="index.php<?php echo $gv->create_get_string('?fileinc=backup_restore&amp;fileid_int='.$result['file_id'].'&amp;'.$cs); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/database_go.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
											<?php
														}
												}
												else
												{
											?>
													<img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/exclamation.png'; ?>" width="16" height="16" border="0" alt="" title="<?php get_text('445'); //Die Datei ist nicht verfuegbar.?>" class="image" />
											<?php
												}
											?>
											<a href="javascript:chk_del_backup(<?php echo $result['file_id'];?>);"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/cross.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
										</form>
									</td>
								</tr>
						<?php
								if ($bg == 1)
								{
									$bg++;
								}
								else
								{
									$bg = 1;
								}

								$count++;
							}
						?>
					</table>
					<?php echo get_button(get_text('752', 'return', 'decode_on')/*Backups auswaehlen und loeschen*/, 'cross.png', 'onclick="window.location.href=\''.TOM_ABS_URL.'backup/index.php'.$gv->create_get_string('?fileinc=backup_del_all').'\';"'); ?>
				</td>
			</tr>
		</table>
<?php
	}
	else
	{
		echo setError(get_text('', 'return', 'decode_on', 'fehler_zugriffsrechte') /*Sie besitzen nicht die notwendigen Zugriffsrechte fuer diesen Bereich.*/, WARNING, __LINE__);
	}
?>