<?php
	/**
	 * help-file for admins
	 * @package time-o-meter
	 * @subpackage help
	 */
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('93'); /*Hilfe*/?> - <?php get_text('877'); /*Hinweise fuer Administratoren*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">

			<h2><?php get_text('99'); /*uebersicht*/?>: <?php get_text('893'); /*Inbetriebnahme &amp; Erstkonfiguration*/?></h2>
			<table cellpadding="2" cellspacing="4" width="100%" class="table_content">
				<colgroup>
					<col width="10%" />
					<col width="40%" />
					<col width="15%" />
					<col width="35%" />
				</colgroup>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4>1. <?php get_text('895'); /*Einstellungen anpassen*/?></h4>
						<div style="text-align:justify;">
							<?php
								$hilfe_string = get_text(896,'return','decode_on'); /*Die folgende uebersicht untergliedert die...*/

								// platzhalter durch korrektes HTML ersetzen!
								$hilfe_string = str_replace('<br>', '<br />', $hilfe_string);

								echo $hilfe_string;
							?>
						</div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
				<tr>
					<td>&nbsp;</td>
					<td style="border:1px dashed #222222; background-color:#CCCCCC;">
						<ul>
							<li><?php get_text(744); /*Sprachverwaltung*/?></li>
							<li><?php get_text(111); /*Benutzergruppen*/?></li>
							<li><?php get_text(793); /*Feiertage &amp; halbe Arbeitstage*/?></li>
							<li><?php get_text(791); /*Abwesenheitsgruende verwalten*/?></li>
							<li><?php get_text(100); /*Stundenzettel*/?></li>
							<li><?php get_text('', 'echo', 'decode_on', 'email'); /*E-Mail*/?></li>
						</ul>
					</td>
					<td style="border:1px dashed #222222; background-color:#FFFFFF;" valign="middle" align="center"><?php get_text(897); /*Erforderlich*/?></td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td style="border:1px dashed #222222; background-color:#CCCCCC;">
						<ul>
							<li><?php get_text('', 'echo', 'decode_on', 'auto_backup'); /*Auto-Backup*/?></li>
							<li><?php get_text(115); /*Mitarbeiterstatus & Qualifikation*/?></li>
						</ul>
					</td>
					<td style="border:1px dashed #222222; background-color:#FFFFFF;" valign="middle" align="center"><?php get_text(898); /*Empfohlen*/?></td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td style="border:1px dashed #222222; background-color:#CCCCCC;">
						<ul>
							<li><?php get_text(510); /*Logo-Verwaltung*/?></li>
							<li><?php get_text(202); /*Grundeinstellungen*/?></li>
						</ul>
					</td>
					<td style="border:1px dashed #222222; background-color:#FFFFFF;" valign="middle" align="center"><?php get_text(894); /*Optional*/?></td>
					<td>&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td style="border:1px dashed #222222; background-color:#CCCCCC;">
						<ul>
							<li><?php get_text(837); /*Downloadbereich*/?></li>
						</ul>
					</td>
					<td style="border:1px dashed #222222; background-color:#FFFFFF;" valign="middle" align="center"><?php get_text(899); /*Bei Bedarf*/?></td>
					<td>&nbsp;</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4>2. <?php get_text(900); /*Benutzer anlegen*/?></h4>
						<div style="text-align:justify;"><?php get_text(901); /*Jeder Mitarbeiter Ihres Unternehmens, der das Arbeitszeiterfassungssystem...*/?></div>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4>3. <?php get_text(902); /*Projekte anlegen*/?></h4>
						<div style="text-align:justify;"><?php get_text(903); /*Da die Arbeitszeiten projektorientiert erfasst werden...*/?></div>
					</td>
				</tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4>4. <?php get_text(904); /*Benutzer zu den Projekten zuordnen*/?></h4>
						<div style="text-align:justify;"><?php get_text(905); /*Bei einer projektorientierten Arbeitsweise ist es...*/?></div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
			</table>
			<br />

			<h2><?php get_text('893'); /*Inbetriebnahme &amp; Erstkonfiguration*/?></h2>
			<table cellpadding="2" cellspacing="4" width="100%" class="table_content">
				<colgroup>
					<col width="10%" />
					<col width="40%" />
					<col width="15%" />
					<col width="35%" />
				</colgroup>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4><?php get_text(744); /*Sprachverwaltung*/?></h4>
						<div style="text-align:justify;">
							<?php
								$hilfe_string = get_text(906,'return','decode_on'); /*Die Sprachverwaltung beinhaltet eine...*/

								// platzhalter durch korrektes HTML ersetzen!
								$hilfe_string = str_replace('<br>', '<br />', $hilfe_string);

								echo $hilfe_string;
							?>
						</div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4><?php get_text(907); /*Benutzergruppen anlegen*/?></h4>
						<div style="text-align:justify;"><?php get_text(908); /*Standard-Anwender benoetigen nur ein einziges Zugriffsrecht...*/?>
						</div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4><?php get_text(909); /*Vorausetzungen fuer die Zeiterfassung*/?></h4>
						<div style="text-align:justify;">
							<?php get_text(910); /*Bevor die Anwender ihre Arbeitszeiten im Stundenzettel...*/?><br /><br />
							<div style="margin-left:50px;">
								<strong><u><?php get_text(793); /*Feiertage &amp; halbe Arbeitstage*/?></u></strong><br /><br />
								<?php
									$hilfe_string = get_text(911,'return','decode_on'); /*Je nach Land und Region gibt es verschiedene gesetzliche Feiertage...*/

									// platzhalter durch korrektes HTML ersetzen!
									$hilfe_string = str_replace('<br>', '<br />', $hilfe_string);
									$hilfe_string = str_replace('<b>', '<strong>', $hilfe_string);
									$hilfe_string = str_replace('</b>', '</strong>', $hilfe_string);

									echo $hilfe_string;
								?>
								<ul>
									<li><?php get_text(912); /*Voreinstellung fuer die taegliche Gesamtpausenzeit*/?></li>
									<li><?php get_text(913); /*Rundung von Zeitangaben auf volle Viertelstunden oder minutengenaue Arbeitszeiterfassung*/?></li>
									<li><?php get_text(914); /*Datum fuer das automatische Abschliessen des Stundenzettels*/?></li>
									<li><?php get_text(915); /*Konfiguration von Warnhinweisen beim Ausfuellen des Stundenzettels*/?></li>
								</ul>
							</div>
						</div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4><?php get_text('', 'echo', 'decode_on', 'email'); /*E-Mail*/?></h4>
						<div style="text-align:justify;">
							<?php get_text(916); /*In diesem Bereich befinden sich verschiedene Einstellungen...*/?>
							<br /><br />
							<div style="margin-left:50px;">
								<strong><u><?php get_text(796); //Einstellungen fuer das Versenden von E-Mails?></u></strong><br /><br />
								<?php get_text(917); //Geben Sie hier bitte an, welcher Absendername und welche...?>
							</div>
						</div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<div style="text-align:justify;">
							<?php get_text(918); //Sind alle diese Punkte abgearbeitet, steht der eigentlichen...?>
							<br /><br />
							<h4><?php get_text(919); /*Empfohlene Einstellungen*/?></h4>
							<div style="margin-left:50px;">
								<strong><u><?php get_text('', 'echo', 'decode_on', 'auto_backup'); /*Auto-Backup*/?></u></strong><br /><br />
								<?php get_text(921); /*Legen Sie einen Zeitplan fuer die Durchfuehrung des Automatischen Backups fest.*/?>
								<br /><br /><br />
								<strong><u><?php get_text(115); /*Mitarbeiterstatus & Qualifikation*/?></u></strong><br /><br />
								<?php get_text(922); /*Mit Hilfe dieser beiden Attribute...*/?>
								<br /><br /><br />
							</div>

							<h4><?php get_text(920); /*Optionale Einstellungen*/?></h4>
							<div style="margin-left:50px;">
								<strong><u><?php get_text(510); /*Logo-Verwaltung*/?></u></strong><br /><br />
								<?php get_text(923); /*Hier koennen Sie Ihr Firmenlogo hochladen...*/?>
								<br /><br />
								<strong><u><?php get_text(202); /*Grundeinstellungen*/?></u></strong><br /><br />
								<?php get_text(924); /*In den Grundeinstellungen befinden sich unter anderem Eingabefelder...*/?>
								<br /><br />
								<strong><u><?php get_text(837); /*Downloadbereich*/?></u></strong><br /><br />
								<?php get_text(925); /*Wenn Sie innerhalb dieser Anwendung einen Downloadbereich anbieten...*/?>
							</div>
						</div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4><?php get_text(900); /*Benutzer anlegen*/?></h4>
						<div style="text-align:justify;"><?php get_text(926); /*Legen Sie die Benutzerkonten fuer alle...*/?></div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4><?php get_text(902); /*Projekte anlegen*/?></h4>
						<div style="text-align:justify;"><?php get_text(927); /*Erstellen Sie die Projekte, fuer die...*/?></div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4><?php get_text(904); /*Benutzer zu den Projekten zuordnen*/?></h4>
						<div style="text-align:justify;"><?php get_text(928); /*Erstellen Sie die Zuordnung zwischen einem Projekt und allen...*/?></div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4><?php get_text(930); /*Beginn der Arbeitszeiterfassung*/?></h4>
						<div style="text-align:justify;"><?php get_text(929); /*Nach dem Abschluss der Erstkonfiguration kann das Zeiterfassungssystem...*/?></div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
			</table>
			<br />

			<h2><?php get_text(931); /*Laufender Betrieb*/?></h2>
			<table cellpadding="2" cellspacing="4" width="100%" class="table_content">
				<colgroup>
					<col width="10%" />
					<col width="40%" />
					<col width="15%" />
					<col width="35%" />
				</colgroup>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4><?php get_text(932); /*Allgemeine Aufgaben*/?></h4>
						<div style="text-align:justify;">
							<?php get_text(933); /*Zu den allgemeinen Aufgaben eines Administrators...*/?>
							<ul>
								<li><?php get_text(934); /*Personalstundenzettel pruefen*/?></li>
								<li><?php get_text(935); /*Urlaubsantraege bearbeiten*/?></li>
								<li><?php get_text(936); /*Reports erstellen und auswerten*/?></li>
								<li><?php get_text(937); /*ggf. Mitteilungen verschicken*/?></li>
							</ul>
						</div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
				<tr>
					<td colspan="4" class="padding_leftright_10">
						<h4><?php get_text(938); /*Regelmaessige Wartungsarbeiten*/?></h4>
						<div style="text-align:justify;">
							<?php get_text(939); /*Es gibt eine Reihe von Wartungsaufgaben, die in...*/?>
							<br /><br />
							<div style="margin-left:50px;">
								<?php
									$hilfe_string = get_text(940,'return','decode_on'); /*Backup-Dateien verwalten...*/

									// platzhalter durch korrektes HTML ersetzen!
									$hilfe_string = str_replace('<br>', '<br />', $hilfe_string);
									$hilfe_string = str_replace('<b>', '<strong>', $hilfe_string);
									$hilfe_string = str_replace('</b>', '</strong>', $hilfe_string);

									echo $hilfe_string;
								?>
							</div>
						</div>
					</td>
				</tr>
				<tr><td colspan="4">&#160;</td></tr>
			</table>

		</td>
	</tr>
</table>