<?php
	/**
	 * this file contains all actions for the holiday-folder
	 * @package time-o-meter
	 * @subpackage holiday
	 */

	//User traegt einen neuen Urlaub ein
	if ($_POST['job_string'] == 'absence_add')
	{
		//Reloadsperre
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			//Checksumme und POST daten pruefen
			if ($chk_sum->Chk($_POST['VCS']))
			{
				$require_error = false;

				//Abwesenheitsgrund ausgewaehlt
				if (!isset($_POST['absence_type_id_int']) or empty($_POST['absence_type_id_int']))
				{
					$require_error = true;
				}

				//user_id
				if (!isset($_POST['userid_int']) or empty($_POST['userid_int']))
				{
					$require_error = true;
				}

				//anzahl der abwesenheitstage ausgewaehlt
				if (isset($_POST['absence_days_string']))
				{
					//an einem tag abwesend
					if ($_POST['absence_days_string'] == 'one')
					{
						if (isset($_POST['date_day_string']) and !empty($_POST['date_day_string']))
						{
							$date_from = $kal->is_iso_date($kal->free_to_iso($_POST['date_day_string']));
							$date_to = $date_from;
						}
						else
						{
							$require_error = true;
						}

						if (isset($_POST['absence_days_float']) and !empty($_POST['absence_days_float']))
						{
							$day_count = $_POST['absence_days_float'];
						}
						else
						{
							$day_count = 1;
						}
					}
					//an mehreren Tagen abwesend
					elseif ($_POST['absence_days_string'] == 'several')
					{
						if (isset($_POST['date_from_string']) and !empty($_POST['date_from_string']))
						{
							$date_from = $kal->is_iso_date($kal->free_to_iso($_POST['date_from_string']));
						}
						else
						{
							$require_error = true;
						}

						if (isset($_POST['date_to_string']) and !empty($_POST['date_to_string']))
						{
							$date_to = $kal->is_iso_date($kal->free_to_iso($_POST['date_to_string']));
						}
						else
						{
							$require_error = true;
						}

						if (isset($_POST['absence_days_float']) and !empty($_POST['absence_days_float']))
						{
							$day_count = $_POST['absence_days_float'];
						}
						else
						{
							$require_error = true;
						}
					}
					else
					{
						$require_error = true;
					}
				}
				else
				{
					$require_error = true;
				}

				//keine fehler bis jetzt
				if (!$require_error)
				{
					//korrektes iso datum
					if ($date_from !== false and $date_to !== false)
					{
						//abwesenheitsgrund auswaehlen
						$sql = $cdb->select('SELECT absence_name, approval FROM hdb_absence_type WHERE absence_type_id='.$_POST['absence_type_id_int']);
						$result = $cdb->fetch_array($sql);

						$absence_name = $result['absence_name'];

						//genehmigungspflichtig
						//status auf open setzen
						if ($result['approval'] == 1)
						{
							$status = 'open';
						}
						//nicht genehmigungspflichtig
						//status auf genehmigt setzen
						else
						{
							$status = 'approved';
						}

						if (isset($_POST['comment_string']) and !empty($_POST['comment_string']))
						{
							$comment = $_POST['comment_string'];
						}
						else
						{
							$comment = '';
						}

						if ($cdb->insert("INSERT INTO hdb_absence_list (absence_type_id, user_id, date_from, date_to, day_count, request_timestamp, status, comment) VALUE (".$_POST['absence_type_id_int'].", ".$_POST['userid_int'].", '$date_from', '$date_to', $day_count, '".date('YmdHis')."', '$status', '$comment')"))
						{
							$meldung_array['ok'][] = get_text('763', 'return', 'decode_on'); /*Der Antrag wurde gespeichert.*/

							//Abwesenheit in stz eintragen
							$tss = new TimeSheetSave();
							$tss->insert_absence_request($cdb->get_last_insert_id());

							//Admin per Mail benachritigen
							if (isset($setup_array['email_notification']) and $setup_array['email_notification'] == 'j')
							{
								//Emaileinstellungen aus setup lesen
								$array_recipients = @unserialize($setup_array['email_recipients']);

								if (is_array($array_recipients))
								{
									$mail = new Mailer;

									$array_recipient_ids = array();
									$string_email_recipients = array();

									foreach ($array_recipients as $array_key => $array_value)
									{
										// liste mit user-id's der empfaenger erstellen
										if ($array_value['type'] == 'from_userlist')
										{
											$array_recipient_ids[] = $array_value['user_id'];
										}
										elseif ($array_value['type'] == 'free_input')
										{
											$string_email_recipients[] = $array_value['email'];
										}
									}

									//Emails anhand der User-Id versenden
									if (count($array_recipient_ids) > 0)
									{
										for ($i = 0; $i < count($array_recipient_ids); $i++)
										{
											if ($array_recipient_ids[$i] > 0)
											{
												$mail->send_mail_user_id('html', htmlentities(get_text(1029, 'return', 'decode_on'), ENT_QUOTES, 'UTF-8', false)/*Abwesenheitsantrag*/.' ('.$absence_name.')', htmlentities(get_text(1040, 'return', 'decode_on'), ENT_QUOTES, 'UTF-8', false)/*Es liegt ein neuer Abwesenheitsantrag vor.*/, $array_recipient_ids[$i]);
											}
										}
									}
									//Email anhand einer E-Mailadresse versenden
									if (count($string_email_recipients) > 0)
									{
										for ($i = 0; $i < count($string_email_recipients); $i++)
										{
											if (!empty($string_email_recipients[$i]))
											{
												$mail->send_html_mail(htmlentities(get_text(1029, 'return', 'decode_on'), ENT_QUOTES, 'UTF-8', false)/*Abwesenheitsantrag*/.' ('.$absence_name.')', htmlentities(get_text(1040, 'return', 'decode_on'), ENT_QUOTES, 'UTF-8', false)/*Es liegt ein neuer Abwesenheitsantrag vor.*/, $string_email_recipients[$i]);
											}
										}
									}
								}
							}
						}
						else
						{
							$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
						}
					}
					else
					{
						$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
					}
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}

		$GLOBALS['TOM_VAR']['fileinc'] = 'overview_absence';
	}
	elseif ($_POST['job_string'] == 'absence_edit')
	{
		//Reloadsperre
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			//Checksumme und POST daten pruefen
			if ($chk_sum->Chk($_POST['VCS']))
			{
				$require_error = false;

				//Abwesenheitsid
				if (!isset($_POST['as_id_int']) or empty($_POST['as_id_int']))
				{
					$require_error = true;
				}

				//Abwesenheitsgrund ausgewaehlt
				if (!isset($_POST['absence_type_id_int']) or empty($_POST['absence_type_id_int']))
				{
					$require_error = true;
				}

				//anzahl der abwesenheitstage ausgewaehlt
				if (isset($_POST['absence_days_string']))
				{
					//an einem tag abwesend
					if ($_POST['absence_days_string'] == 'one')
					{
						if (isset($_POST['date_day_string']) and !empty($_POST['date_day_string']))
						{
							$date_from = $kal->is_iso_date($kal->free_to_iso($_POST['date_day_string']));
							$date_to = $date_from;
						}
						else
						{
							$require_error = true;
						}

						if (isset($_POST['absence_days_float']) and !empty($_POST['absence_days_float']))
						{
							$day_count = $_POST['absence_days_float'];
						}
						else
						{
							$day_count = 1;
						}
					}
					//an mehreren Tagen abwesend
					elseif ($_POST['absence_days_string'] == 'several')
					{
						if (isset($_POST['date_from_string']) and !empty($_POST['date_from_string']))
						{
							$date_from = $kal->is_iso_date($kal->free_to_iso($_POST['date_from_string']));
						}
						else
						{
							$require_error = true;
						}

						if (isset($_POST['date_to_string']) and !empty($_POST['date_to_string']))
						{
							$date_to = $kal->is_iso_date($kal->free_to_iso($_POST['date_to_string']));
						}
						else
						{
							$require_error = true;
						}

						if (isset($_POST['absence_days_float']) and !empty($_POST['absence_days_float']))
						{
							$day_count = $_POST['absence_days_float'];
						}
						else
						{
							$require_error = true;
						}
					}
					else
					{
						$require_error = true;
					}
				}
				else
				{
					$require_error = true;
				}

				//keine fehler bis jetzt
				if (!$require_error)
				{
					//korrektes iso datum
					if ($date_from !== false and $date_to !== false)
					{
						//abwesenheitsgrund auswaehlen
						$sql = $cdb->select('SELECT approval FROM hdb_absence_type WHERE absence_type_id='.$_POST['absence_type_id_int']);
						$result = $cdb->fetch_array($sql);

						//genehmigungspflichtig
						//status auf open setzen
						$sql_status_string = '';
						if ($result['approval'] == 1)
						{
							if (isset($_POST['holiday_status_string']) and ($_POST['holiday_status_string'] == 'open' or $_POST['holiday_status_string'] == 'rejected' or $_POST['holiday_status_string'] == 'approved'))
							{
								$sql_status_string = "status='".$_POST['holiday_status_string']."',";
							}
						}

						if (isset($_POST['comment_string']) and !empty($_POST['comment_string']))
						{
							$comment = $_POST['comment_string'];
						}
						else
						{
							$comment = '';
						}

						if ($cdb->insert("UPDATE hdb_absence_list SET absence_type_id=".$_POST['absence_type_id_int'].",
																		date_from='$date_from',
																		date_to='$date_to',
																		day_count=$day_count,
																		$sql_status_string
																		comment='$comment'
																		WHERE as_id=".$_POST['as_id_int']))
						{
							$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); /*Die aenderungen wurden uebernommen.*/

							//Abwesenheit in stz eintragen
							$tss = new TimeSheetSave();
							$tss->insert_absence_request($_POST['as_id_int']);

							if ($result['approval'] == 1)
							{
								//E-Mail benachritigung senden
								if (isset($_POST['mail_send_int']) and $_POST['mail_send_int'] == '1' and isset($_POST['holiday_status_string']) and ($_POST['holiday_status_string'] == 'rejected' or $_POST['holiday_status_string'] == 'approved'))
								{
									if (isset($_POST['user_id_int']) and $_POST['user_id_int'] > 0)
									{
										$mail = new Mailer;

										//$mail->send_mail_user_id('html', html_entity_decode($_POST['subject_string'], ENT_QUOTES, 'UTF-8'), str_replace("\n", '<br />', html_entity_decode($_POST['body_string'], ENT_QUOTES, 'UTF-8')), $_POST['user_id_int']);
										$mail->send_mail_user_id('html', $_POST['subject_string'], str_replace("\n", '<br />', $_POST['body_string']), $_POST['user_id_int']);
									}
								}
							}
						}
						else
						{
							$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
						}
					}
					else
					{
						$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
					}
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}

		$GLOBALS['TOM_VAR']['fileinc'] = 'overview_holiday_admin';
	}
?>