<?php
	/**
	 * xml output of authorization for absence
	 * @package time-o-meter
	 * @subpackage holiday
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	//XML Header
	header('Content-type: application/xml');
	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: ".date('r', time() - 86400));
	$return = '<?xml version="1.0" encoding="utf-8"?>'."\n";
	$return .= "<root>\n";
	$return .= "<data>\n";

	//pruefen ob alle GET Variablen vorhanden sind
	if (isset($_GET['absence_id_int']) and is_numeric($_GET['absence_id_int']))
	{
		$sql = $cdb->select('SELECT approval FROM hdb_absence_type WHERE absence_type_id='.$_GET['absence_id_int']);
		$result = $cdb->fetch_array($sql);

		if ($result['approval'] == 1)
		{
			$return .= "<authorization>true</authorization>\n";
		}
		else
		{
			$return .= "<authorization>false</authorization>\n";
		}
	}
	else
	{
		$return .= "<authorization>false</authorization>\n";
	}
	$return .= "</data>\n";
	$return .= "</root>";

	echo utf8_encode($return);
?>