<?php
	/**
	 * xml output Prueft ob zum uebergebenen dateum bereits ein Abwesenheitsgrund existiert
	 * @package time-o-meter
	 * @subpackage holiday
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	//XML Header
	header('Content-type: application/xml');
	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: ".date('r', time() - 86400));
	$return = '<?xml version="1.0" encoding="utf-8"?>'."\n";
	$return .= "<root>\n";
	$return .= "<data>\n";

	//pruefen ob alle GET Variablen vorhanden sind
	if (isset($_GET['start_date_string']) and isset($_GET['end_date_string']))
	{
		$start_date_string = $kal->is_iso_date($kal->free_to_iso($_GET['start_date_string']));
		$end_date_string = $kal->is_iso_date($kal->free_to_iso($_GET['end_date_string']));

		if ($start_date_string !== false and $end_date_string !== false)
		{
			$date_array = $kal->get_difference($start_date_string, $end_date_string);

			if (is_array($date_array))
			{
				$date_exist = false;
				for ($i = 0; $i < count($date_array); $i++)
				{
					$iso_date = $date_array[$i]['iso'];
					$sql = $cdb->select('SELECT as_id FROM hdb_absence_list WHERE user_id='.USER_ID." AND date_from<='$iso_date' AND date_to>='$iso_date' AND (status='open' OR status='approved') AND display=1");
					$result = $cdb->fetch_array($sql);

					if (isset($result['as_id']) and !empty($result['as_id']))
					{
						$date_exist = true;
						break;
					}
				}

				if ($date_exist == true)
				{
					$return .= "<check>true</check>\n";
				}
				else
				{
					$return .= "<check>false</check>\n";
				}
			}
			else
			{
				$return .= "<check>error</check>\n";
			}
		}
		else
		{
			$return .= "<check>error</check>\n";
		}
	}
	else
	{
		$return .= "<check>error</check>\n";
	}

	$return .= "</data>\n";
	$return .= "</root>";

	echo utf8_encode($return);
?>