<?php
	/**
	 * xml output of timesheet-data
	 * @package time-o-meter
	 * @subpackage inc
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	header('Content-type: application/xml');
	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: ".date('r', time() - 86400));
	$return = '<?xml version="1.0" encoding="utf-8"?>'."\n";
	$return .= "<root>\n";
	$return .= "<timesheet>\n";
	if (isset($_GET['type']) and !empty($_GET['type']))
	{
		//Tageskommentar
		if ($_GET['type'] == 'day_comment' and isset($_GET['date']) and isset($_GET['user']))
		{
			$date = $kal->is_iso_date($_GET['date']);

			if (is_numeric($_GET['user']) and $date !== false)
			{

				$sql = $cdb->select("SELECT kommentar FROM hdb_stz_kommentar WHERE projekt_id=0 AND user_id=".$_GET['user']." AND datum='$date'");
				$result = $cdb->fetch_array($sql);

				if (isset($result['kommentar']) and !empty($result['kommentar']))
				{
					$return .= "<value>".html_entity_decode($result['kommentar'], ENT_QUOTES)."</value>\n";
				}
				else
				{
					$return .= "<value>NULL</value>\n";
				}
			}
			else
			{
				$return .= "<value>NULL</value>\n";
			}
		}
		//Projektkommentar
		elseif ($_GET['type'] == 'pro_comment' and isset($_GET['date']) and isset($_GET['user']) and isset($_GET['project']))
		{
			$date = $kal->is_iso_date($_GET['date']);

			if (is_numeric($_GET['project']) and is_numeric($_GET['user']) and $date !== false)
			{

				$sql = $cdb->select("SELECT kommentar FROM hdb_stz_kommentar WHERE projekt_id=".$_GET['project']." AND user_id=".$_GET['user']." AND datum='$date'");
				$result = $cdb->fetch_array($sql);

				if (isset($result['kommentar']) and !empty($result['kommentar']))
				{
					$return .= "<value>".html_entity_decode($result['kommentar'], ENT_QUOTES)."</value>\n";
				}
				else
				{
					$return .= "<value>NULL</value>\n";
				}
			}
			else
			{
				$return .= "<value>NULL</value>\n";
			}
		}
		//Projektzeiten
		elseif ($_GET['type'] == 'pro_time' and isset($_GET['date']) and isset($_GET['user']) and isset($_GET['project']))
		{
			$date = $kal->is_iso_date($_GET['date']);

			if (is_numeric($_GET['project']) and is_numeric($_GET['user']) and $date !== false)
			{

				$sql = $cdb->select("SELECT kommen, pause, gehen FROM hdb_stz_projekt WHERE user_id=".$_GET['user']." AND projekt_id=".$_GET['project']." AND datum='$date'");
				$result = $cdb->fetch_array($sql);

				if (!empty($result['kommen']) and !empty($result['gehen']))
				{
					$return .= "<kommen>".$result['kommen']."</kommen>\n";
					$return .= "<pause>".$result['pause']."</pause>\n";
					$return .= "<gehen>".$result['gehen']."</gehen>\n";
				}
				else
				{
					$return .= "<kommen>NULL</kommen>\n";
					$return .= "<pause>NULL</pause>\n";
					$return .= "<gehen>NULL</gehen>\n";
				}
			}
			else
			{
				$return .= "<kommen>NULL</kommen>\n";
				$return .= "<pause>NULL</pause>\n";
				$return .= "<gehen>NULL</gehen>\n";
			}
		}
		else
		{
			$return .= "<value>NULL</value>\n";
		}
	}
	else
	{
		$return .= "<value>NULL</value>\n";
	}
	$return .= "</timesheet>\n";
	$return .= "</root>";

	echo utf8_encode($return);
?>