<?php
	/**
	 * logbook (overview of timesheet-editings)
	 * @package time-o-meter
	 * @subpackage log
	 */

	if (!isset($_POST['filter_anzahl_int']))
	{
		$_POST['filter_anzahl_int'] = 20;
	}
	if (!isset($_POST['filter_user_int']))
	{
		$_POST['filter_user_int'] = 0;
	}
	if (!isset($_POST['filter_user_edit_int']))
	{
		$_POST['filter_user_edit_int'] = 0;
	}
	if (!isset($_POST['filter_date_string']))
	{
		$_POST['filter_date_string'] = '';
	}
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('120'); /*Logbuch*/?> (<?php get_text('100', 'echo', 'decode_on'); /*Stundenzettel*/?>)</td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<form action="index.php<?php echo $gv->create_get_string(); ?>" method="post" name="filter_form" accept-charset="UTF-8">
				<div id="filter_block_min" style="display:none;">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<tr>
							<td class="table_header_left" width="66%"><?php get_text(77);//Filteroptionen ?></td>
							<td class="table_header" align="right" width="34%"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_max.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
					</table>
				</div>
				<div id="filter_block_max">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<colgroup>
							<col width="10%" />
							<col width="15%" />
							<col width="30%" />
							<col width="15%" />
							<col width="30%" />
						</colgroup>
						<tr class="table_tr_bg_2">
							<td class="table_header_left"><?php get_text('74'); /*Anzahl*/?></td>
							<td class="table_header" colspan="3"><?php get_text('77'); /*Filteroptionen*/?></td>
							<td class="table_header" align="right"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_min.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="20"<?php if ($_POST['filter_anzahl_int'] == 20){echo ' checked="checked"';} ?> /> 20</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?>:</td>
							<td class="filter_td_2">
								<select name="filter_user_int" class="ipt_200">
									<option value="0"><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$sql = $cdb->select('SELECT DISTINCT(t1.user_id), t2.vorname, t2.nachname FROM hdb_log_stz t1
															LEFT JOIN hdb_user t2 ON t1.user_id=t2.user_id
															ORDER BY t2.sort_name ASC');
										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_user_int'] == $result['user_id'])
											{
												$selected = ' selected="selected"';
											}
											else
											{
												$selected = '';
											}
											echo '<option value="'.$result['user_id'].'"'.$selected.'>'.$result['nachname'].', '.$result['vorname'].'</option>';
										}
									?>
								</select>
							</td>
							<td class="filter_td_2"><?php get_text('373'); /*Bearbeitet von*/?>:</td>
							<td class="filter_td_2">
								<select name="filter_user_edit_int" class="ipt_200">
									<option value="0"><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$sql = $cdb->select('SELECT DISTINCT(t1.edit_user_id), t2.vorname, t2.nachname FROM hdb_log_stz t1
															LEFT JOIN hdb_user t2 ON t1.edit_user_id=t2.user_id
															ORDER BY t2.sort_name ASC');
										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_user_edit_int'] == $result['edit_user_id'])
											{
												$selected = ' selected="selected"';
											}
											else
											{
												$selected = '';
											}
											echo '<option value="'.$result['edit_user_id'].'"'.$selected.'>'.$result['nachname'].', '.$result['vorname'].'</option>';
										}
									?>
								</select>
							</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="40"<?php if ($_POST['filter_anzahl_int'] == 40) {echo ' checked="checked"';} ?> /> 40</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'jahr'); /*Jahr*/?>/<?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?>:</td>
							<td class="filter_td_1">
								<select name="filter_date_string" class="ipt_200">
									<option value=""><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$sql = $cdb->select('SELECT DISTINCT(LEFT(log_time, 6)) AS time FROM hdb_log_stz ORDER BY time DESC');
										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_date_string'] == $result['time'])
											{
												$selected = ' selected="selected"';
											}
											else
											{
												$selected = '';
											}
											echo '<option value="'.$result['time'].'"'.$selected.'>'.substr($result['time'], 0, 4).'/'.substr($result['time'], 4, 2).'</option>';
										}
									?>
								</select>
							</td>
							<td class="filter_td_2" colspan="2">&nbsp;</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="60"<?php if ($_POST['filter_anzahl_int'] == 60) {echo ' checked="checked"';} ?> /> 60</td>
							<td class="filter_td_2" colspan="4">&nbsp;</td>
						</tr>
						<tr class="filter_tr_end">
							<td colspan="3"><?php echo get_button(get_text('', 'return', 'decode_on', 'reset') /*zuruecksetzen*/, 'cancel.png', 'onclick="document.filter_form.reset();"'); ?></td>
							<td colspan="2" align="right"><?php echo get_button(get_text('', 'return', 'decode_on', 'show') /*Anzeigen*/, 'tick.png', 'onclick="document.filter_form.submit();"', 'submit'); ?></td>
						</tr>
					</table>
				</div>
			</form>
			<?php
				$where_array = array();
				if ($_POST['filter_user_int'] > 0)
				{
					$where_array[] = 't1.user_id='.$_POST['filter_user_int'];
				}
				if ($_POST['filter_user_edit_int'] > 0)
				{
					$where_array[] = 't1.edit_user_id='.$_POST['filter_user_edit_int'];
				}
				if (!empty($_POST['filter_date_string']))
				{
					$where_array[] = "LEFT(t1.log_time, 6)='".$_POST['filter_date_string']."'";
				}

				$where = '';
				for ($i = 0; $i < count($where_array); $i++)
				{
					if ($i == 0)
					{
						$where .= 'WHERE '.$where_array[$i];
					}
					else
					{
						$where .= ' AND '.$where_array[$i];
					}
				}

				$sql = $cdb->select("SELECT COUNT(log_id ) AS count_id FROM hdb_log_stz t1 $where");
				$count_result = $cdb->fetch_array($sql);

				//Blaetternfunktion
				if (!isset($_GET['blseite']))
				{
					$current_page = 1;
				}
				else
				{
					$current_page = $_GET['blseite'];
				}

				$bl = blaettern($current_page, $count_result['count_id'], $_POST['filter_anzahl_int'], $_POST,'index.php');
				echo '<br />'.$bl['txt'].'<br />';
			?>
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<tr class="table_tr_bg_2">
					<td class="table_header_left" width="30%"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?></td>
					<td class="table_header" width="20%"><?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?></td>
					<td class="table_header" width="20%"><?php get_text('372'); /*Geaendert am*/?></td>
					<td class="table_header" width="30%"><?php get_text('373'); /*Bearbeitet von*/?></td>
				</tr>
				<?php
					$count = 0;
					$bg = 1;
					$sql = $cdb->select("SELECT t1.month, t1.log_time, t2.vorname, t2.nachname, t3.vorname AS edit_vorname, t3.nachname AS edit_nachname FROM hdb_log_stz t1
										LEFT JOIN hdb_user t2 ON t1.user_id=t2.user_id
										LEFT JOIN hdb_user t3 ON t1.edit_user_id=t3.user_id
										$where ORDER BY t1.log_id DESC ".$bl['limit']);
					while ($result = $cdb->fetch_array($sql))
					{
				?>
						<tr class="table_tr_bg_<?php echo $bg; ?>">
							<td><?php echo $result['nachname'].', '.$result['vorname']; ?></td>
							<td><?php echo str_replace('-', '/', substr($result['month'], 0, 7)); ?></td>
							<td><?php echo $kal->win_to_time($result['log_time']); ?></td>
							<td><?php echo $result['edit_nachname'].', '.$result['edit_vorname']; ?></td>
						</tr>
				<?php
						if ($bg == 1)
						{
							$bg++;
						}
						else
						{
							$bg = 1;
						}
					}
				?>
			</table>
		</td>
	</tr>
</table>