<?php
	/**
	 * lost password
	 * this file contains the form for password-retrieve requests
	 * @package time-o-meter
	 * @subpackage login
	 */

	/**
	 * Ausgabe des HTML-Headers zulassen
	 * @ignore
	 */
	define('PAGE_AREA','LOGIN');

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	//lostpw job
	if (isset($_POST['action_lost_pw_string']) and $_POST['action_lost_pw_string'] == 'j')
	{
		//Reloadsperre
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			//Pflichtdaten vorhanden
			if (isset($_POST['username']) and isset($_POST['email_adress']) and (!empty($_POST['username']) or !empty($_POST['email_adress'])))
			{
				//Username suchen
				if (!empty($_POST['username']))
				{
					$sql = $cdb->select("SELECT user_id,  anrede, vorname, nachname, email FROM hdb_user WHERE username='".$_POST['username']."'");
					$result = $cdb->fetch_array($sql);

					if (isset($result['user_id']) and $result['user_id'] > 0)
					{
						//Doppelte eintraege abfangen. Sollte eigendlich nicht der fall sein
						$sql_count = $cdb->select("SELECT COUNT(user_id) AS count_id FROM hdb_user WHERE username='".$_POST['username']."'");
						$result_count = $cdb->fetch_array($sql_count);
					}
				}
				//Emailadresse suchen
				elseif (!empty($_POST['email_adress']))
				{
					$sql = $cdb->select("SELECT user_id,  anrede, vorname, nachname, email FROM hdb_user WHERE email='".$_POST['email_adress']."'");
					$result = $cdb->fetch_array($sql);

					if (isset($result['user_id']) and $result['user_id'] > 0)
					{
						//Doppelte eintraege abfangen. Sollte eigendlich nicht der fall sein
						$sql_count = $cdb->select("SELECT COUNT(user_id) AS count_id FROM hdb_user WHERE email='".$_POST['email_adress']."'");
						$result_count = $cdb->fetch_array($sql_count);
					}
				}

				if (isset($result['user_id']) and $result['user_id'] > 0)
				{
					if (isset($result_count['count_id']) and $result_count['count_id'] == 1)
					{
						$user_id = $result['user_id'];
						$user_mail = $result['email'];
						$user_anrede = $result['anrede'];
						$user_vorname = $result['vorname'];
						$user_nachname = $result['nachname'];
						$expire_time = date('YmdHis', time() - 1800);

						$sql = $cdb->select("SELECT request_key FROM hdb_user_lostpw WHERE user_id=$user_id AND create_time>'$expire_time'");
						$result = $cdb->fetch_array($sql);

						if (!isset($result['request_key']) or empty($result['request_key']))
						{
							$user_ip = $_SERVER['REMOTE_ADDR'];

							$sql = $cdb->select("SELECT request_key FROM hdb_user_lostpw WHERE user_ip='$user_ip'");
							$result = $cdb->fetch_array($sql);

							if (!isset($result['request_key']) or empty($result['request_key']))
							{
								$key = md5(uniqid(rand(), true));
								if ($cdb->insert("INSERT INTO hdb_user_lostpw (request_key, user_ip, user_id, create_time) VALUES ('$key', '$user_ip', $user_id, '".date('YmdHis')."')"))
								{
									$mail = new Mailer;
									$subject = get_text(698, 'return', 'decode_off');//Ihr neues Passwort

									$body = get_text(826,'return','decode_on'); //Sehr geehrte/r

									if ($user_anrede == 1)
									{
										$body .= ' '.get_text('','return','decode_on','herr'); //Herr
									}
									elseif ($user_anrede == 2)
									{
										$body .= ' '.get_text('','return','decode_on','frau'); //Frau
									}

									$body .= ' '.$user_vorname.' '.$user_nachname.",<br /><br />";

									$body .= get_text(697, 'return', 'decode_off');//Anbei erhalten Sie einen Link f&uuml;r die Erstellung eines neuen Passwortes. Klicken Sie auf den Link um Ihr neues Passwort zu erhalten. Sollten Sie kein neues Passwort angefordert haben, ignorieren Sie diese Email einfach. Achtung, dieser Link funktioniert nur innerhalb der n&auml;chsten 24 Stunden!
									$body .= "<br /><br />";
									$body .= '<a href="'.TOM_ABS_URL.'login/index.php?lost_pw_string='.$key.'">'.TOM_ABS_URL.'login/index.php?lost_pw_string='.$key."</a>";

									$body .= "<br /><br />".get_text(829,'return','decode_on')/*Mit freundlichen groessen*/."<br />".get_text(830,'return','decode_on')/*Ihr <application_name> Team*/;

									// Platzhalter suchen und ersetzen, falls vorhanden
									// <application_name> = Name der Anwendung (aus Grundeinstellungen holen und Entities decodieren wenn noetig)
									$body = str_replace('<application_name>', html_entity_decode($setup_array['application_name']), $body);
									$body = str_replace('<br>', '<br />', $body);

									if ($mail->send_html_mail($subject, html_entity_decode($body, ENT_QUOTES), $user_mail))
									{
										$meldung_array['ok'][] = get_text(699, 'return');//Ihnen wurde eine E-Mail zugesendet. Bitte befolgen Sie die darin enthaltenen Anweisungen.
									}
									else
									{
										$meldung_array['error'][] = get_text(83, 'return');//Es ist ein Fehler aufgetreten.
									}
								}
								else
								{
									$meldung_array['error'][] = get_text(83, 'return');//Es ist ein Fehler aufgetreten.
								}
							}
							else
							{
								$meldung_array['error'][] = get_text(83, 'return');//Es ist ein Fehler aufgetreten.
							}
						}
						else
						{
							$meldung_array['error'][] = get_text(700, 'return');//Sie haben innerhalb der letzten 30 Minuten bereits ein neues Passwort angefordert. Ihre Anfrage wurde abgewiesen.
						}
					}
					else
					{
						$meldung_array['error'][] = get_text(83, 'return');//Es ist ein Fehler aufgetreten.
					}
				}
				else
				{
					$meldung_array['error'][] = get_text(198, 'return');//Zu den angegebenen Logindaten ist kein Benutzeraccount vorhanden.
				}
			}
			else
			{
				$meldung_array['error'][] = get_text(84, 'return');//Bitte f&uuml;llen Sie alle Pflichtfelder aus.
			}
		}
		else
		{
			$meldung_array['error'][] = get_text(85, 'return');//Eine Reloadsperre hat das erneute Absenden der Daten verhindert.
		}
	}

	//es wird kein Menue oder Userdaten ausgegeben
	$show_lite_header_bool = true;
	//Header Datei
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/header.php');
?>
		<script type="text/javascript">
			<!--
				function chk_ipt(type)
				{
					if (type == 'username')
					{
						document.lostpw_form.email_adress.value = '';
					}
					else
					{
						document.lostpw_form.username.value = '';
					}
				}
			//-->
		</script>
		<table cellpadding="0" cellspacing="0" width="100%" border="0">
			<tr>
				<td width="33%">&nbsp;</td>
				<td width="33%">
					<table cellpadding="0" cellspacing="0" border="0" width="100%">
						<tr valign="middle">
							<td class="main_table_header" width="100%"><?php get_text(707);//Passwort vergessen ?></td>
						</tr>
						<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
						<tr>
							<td class="main_table_content">
								<form action="lost_pw.php" method="post" name="lostpw_form" accept-charset="UTF-8">
									<?php $reload->create();?>
									<input type="hidden" name="action_lost_pw_string" value="j" />
									<table cellpadding="2" cellspacing="0" border="0" width="100%">
										<colgroup>
											<col width="50%" />
											<col width="50%" />
										</colgroup>
										<tr>
											<td colspan="2"><a href="index.php">&laquo; <?php get_text(51);//zurueck?></a><br /><br /></td>
										</tr>
										<tr>
											<td colspan="2"><?php get_text(694);//Bitte geben Sie Ihren Benutzernamen oder Ihre E-Mailadresse ein und klicken Sie anschliessend auf &quot;Neues Passwort anfordern&quot;. ?><br /><br /></td>
										</tr>
										<tr>
											<td><?php get_text('', 'echo', 'decode_on', 'username'); /*Benutzername*/?>:</td>
											<td><input type="text" name="username" class="ipt_100" onchange="chk_ipt('username');" /></td>
										</tr>
										<tr>
											<td><?php get_text('', 'echo', 'decode_on', 'email'); /*E-Mail*/?>:</td>
											<td><input type="text" name="email_adress" class="ipt_100" onchange="chk_ipt('adress');" /></td>
										</tr>
										<tr>
											<td colspan="2" align="center">
												<br />
												<?php
													echo get_button(get_text(695, 'return'), 'tick.png', 'onclick="document.lostpw_form.submit();"', 'submit');// Neues Passwort anfordern

													if (isset($setup_array['maintenance_mode']) and $setup_array['maintenance_mode'] == 'j')
													{
														echo '<br />';
														get_text('', 'echo', 'decode_on', 'wartungsmodus_aktiv'); /*Das System befindet sich im Wartungsmodus.*/
														echo '<br />';
														get_text('', 'echo', 'decode_on', 'login_disabled'); /*Derzeit ist leider kein Login m&ouml;glich.*/
													}
												?>
											</td>
										</tr>
									</table>
								</form>
							</td>
						</tr>
					</table>
				</td>
				<td width="33%">&nbsp;</td>
			</tr>
		</table>
<?php
	//Footer
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/footer.php');
?>