<?php
	/**
	 * absence-request overview (only own requests)
	 *
	 * this is an info-box for the welcome-page, which is displayed after successful login
	 * @package time-o-meter
	 * @subpackage main
	 */
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%">Abwesenheitsanträge</td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td>
			<div class="main_table_content" style="min-height:130px; max-height:130px; overflow:auto;">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<colgroup>
						<col width="40%" />
						<col width="60%" />
					</colgroup>
					<?php
						$count = 0;
						$sql = $cdb->select("SELECT t1.date_from, t1.date_to, t1.status, t2.absence_name FROM hdb_absence_list t1
											LEFT JOIN hdb_absence_type t2 ON t1.absence_type_id=t2.absence_type_id
											WHERE t1.user_id=".USER_ID." AND t1.date_to>='".date('Y-m-d')."' AND (t1.status='open' OR t1.status='approved') AND t2.application=1 ORDER BY t1.date_from ASC");
						while ($result = $cdb->fetch_array($sql))
						{
							$count++;
					?>
							<tr>
								<td>
									<a href="../holiday/index.php<?php echo $gv->create_get_string('?fileinc=overview_holiday&amp;clear_sf=1'); ?>"><?php
										if ($result['status'] == 'open')
										{
											echo '<img src="'.TOM_ABS_URL.'template/'.$setup_array['template'].'/image/error.png" width="16" height="16" border="0" alt="" title="'.get_text('', 'return', 'decode_on', 'in_bearbeitung')/*in Bearbeitung*/.'" class="image" />&nbsp;';
										}
										else
										{
											echo '<img src="'.TOM_ABS_URL.'template/'.$setup_array['template'].'/image/tick.png" width="16" height="16" border="0" alt="" title="'.get_text('', 'return', 'decode_on', 'genehmigt')/*genehmigt*/.'" class="image" />&nbsp;';
										}
										echo $result['absence_name'];
									?></a>
								</td>
								<td>
									<a href="../holiday/index.php<?php echo $gv->create_get_string('?fileinc=overview_holiday&amp;clear_sf=1'); ?>"><?php
										if ($result['date_from'] != $result['date_to'])
										{
											echo $kal->iso_to_free($result['date_from']).' - '.$kal->iso_to_free($result['date_to']);
										}
										else
										{
											echo $kal->iso_to_free($result['date_from']);
										}
									?></a>
								</td>
							</tr>
					<?php
						}
						if ($count == 0)
						{
					?>
							<tr>
								<td colspan="2"><?php get_text('', 'echo', 'decode_on', 'no_results')/*Kein Datensatz vorhanden*/?></td>
							</tr>
					<?php
						}
					?>
				</table>
			</div>
		</td>
	</tr>
</table>