<?php
	/**
	 * timesheet-quicklinks
	 * this is an info-box for the welcome-page, which is displayed after successful login
	 * @package time-o-meter
	 * @subpackage main
	 */

	//ersten nichtabgeschlossenen Stundenzettel finden
	$sql = $cdb->select("SELECT datum FROM hdb_stz_monat WHERE user_id=".USER_ID." AND abgeschlossen='n' ORDER BY datum ASC");
	$result = $cdb->fetch_array($sql);
	$stz_month = substr($result['datum'], 5, 2);
	$stz_year = substr($result['datum'], 0, 4);
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('847'); /*Stundenzettelverwaltung*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td>
			<div class="main_table_content" style="min-height:130px;">
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<colgroup>
						<col width="50%" />
						<col width="50%" />
					</colgroup>
					<tr>
						<td colspan="2" align="center">
							<strong><?php echo $kal->get_kalender_text($stz_month, 'month_name').' '.$stz_year; ?></strong>
						</td>
					</tr>
					<?php
						//Nur anzeigen, wenn auch ein Stz vorhanden ist
						if (is_numeric($stz_year) and is_numeric($stz_month))
						{

							//Tages und Wochenausgabe nur beim aktuellen stundenzettel
							if (date('Y-m') == $stz_year.'-'.$stz_month)
							{
					?>
							<tr>
								<td width="50%" align="center" title="<?php get_text('845'); /*Stundenzettel anzeigen*/?> (<?php get_text('', 'echo', 'decode_on', 'tag'); /*Tag*/?>)">
									<form action="../stz/index.php<?php echo $gv->create_get_string('?fileinc=show_stz'); ?>" name="stz_day_show" method="post" style="display:inline;" accept-charset="UTF-8">
										<input type="hidden" name="month" value="<?php echo $stz_month; ?>" />
										<input type="hidden" name="year" value="<?php echo $stz_year; ?>" />
										<input type="hidden" name="user" value="<?php echo USER_ID; ?>" />
										<input type="hidden" name="show" value="show" />
										<input type="hidden" name="time" value="day" />
										<?php
											echo $chk_sum->GetHidden(array('month' => $stz_month, 'year' => $stz_year, 'user' => USER_ID, 'show' => 'show', 'time' => 'day'));
											echo get_button(get_text('', 'return', 'decode_on', 'tag') /*Tag*/, 'zoom.png', 'onclick="document.stz_day_show.submit();"', 'submit');
										?>
									</form>
								</td>
								<td width="50%" align="center" title="<?php get_text('846'); /*Stundenzettel bearbeiten*/?> (<?php get_text('', 'echo', 'decode_on', 'tag'); /*Tag*/?>)">
									<form action="../stz/index.php<?php echo $gv->create_get_string('?fileinc=show_stz'); ?>" name="stz_day_edit" method="post" style="display:inline;" accept-charset="UTF-8">
										<input type="hidden" name="month" value="<?php echo $stz_month; ?>" />
										<input type="hidden" name="year" value="<?php echo $stz_year; ?>" />
										<input type="hidden" name="user" value="<?php echo USER_ID; ?>" />
										<input type="hidden" name="show" value="edit" />
										<input type="hidden" name="time" value="day" />
										<?php
											echo $chk_sum->GetHidden(array('month' => $stz_month, 'year' => $stz_year, 'user' => USER_ID, 'show' => 'edit', 'time' => 'day'));
											echo get_button(get_text('', 'return', 'decode_on', 'tag') /*Tag*/, 'pencil.png', 'onclick="document.stz_day_edit.submit();"', 'submit');
										?>
									</form>
								</td>
							</tr>
							<tr>
								<td align="center" title="<?php get_text('845'); /*Stundenzettel anzeigen*/?> (<?php get_text('', 'echo', 'decode_on', 'woche'); /*Woche*/?>)">
									<form action="../stz/index.php<?php echo $gv->create_get_string('?fileinc=show_stz'); ?>" name="stz_week_show" method="post" style="display:inline;" accept-charset="UTF-8">
										<input type="hidden" name="month" value="<?php echo $stz_month; ?>" />
										<input type="hidden" name="year" value="<?php echo $stz_year; ?>" />
										<input type="hidden" name="user" value="<?php echo USER_ID; ?>" />
										<input type="hidden" name="show" value="show" />
										<input type="hidden" name="time" value="week" />
										<?php
											echo $chk_sum->GetHidden(array('month' => $stz_month, 'year' => $stz_year, 'user' => USER_ID, 'show' => 'show', 'time' => 'week'));
											echo get_button(get_text('', 'return', 'decode_on', 'woche') /*Woche*/, 'zoom.png', 'onclick="document.stz_week_show.submit();"', 'submit');
										?>
									</form>
								</td>
								<td align="center" title="<?php get_text('846'); /*Stundenzettel bearbeiten*/?> (<?php get_text('', 'echo', 'decode_on', 'woche'); /*Woche*/?>)">
									<form action="../stz/index.php<?php echo $gv->create_get_string('?fileinc=show_stz'); ?>" name="stz_week_edit" method="post" style="display:inline;" accept-charset="UTF-8">
										<input type="hidden" name="month" value="<?php echo $stz_month; ?>" />
										<input type="hidden" name="year" value="<?php echo $stz_year; ?>" />
										<input type="hidden" name="user" value="<?php echo USER_ID; ?>" />
										<input type="hidden" name="show" value="edit" />
										<input type="hidden" name="time" value="week" />
										<?php
											echo $chk_sum->GetHidden(array('month' => $stz_month, 'year' => $stz_year, 'user' => USER_ID, 'show' => 'edit', 'time' => 'week'));
											echo get_button(get_text('', 'return', 'decode_on', 'woche') /*Woche*/, 'pencil.png', 'onclick="document.stz_week_edit.submit();"', 'submit');
										?>
									</form>
								</td>
							</tr>
						<?php
							}
						?>
					<tr>
						<td align="center" title="<?php get_text('845'); /*Stundenzettel anzeigen*/?> (<?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?>)">
							<form action="../stz/index.php<?php echo $gv->create_get_string('?fileinc=show_stz'); ?>" name="stz_month_show" method="post" style="display:inline;" accept-charset="UTF-8">
								<input type="hidden" name="month" value="<?php echo $stz_month; ?>" />
								<input type="hidden" name="year" value="<?php echo $stz_year; ?>" />
								<input type="hidden" name="user" value="<?php echo USER_ID; ?>" />
								<input type="hidden" name="show" value="show" />
								<input type="hidden" name="time" value="month" />
								<?php
									echo $chk_sum->GetHidden(array('month' => $stz_month, 'year' => $stz_year, 'user' => USER_ID, 'show' => 'show', 'time' => 'month'));
									echo get_button(get_text('', 'return', 'decode_on', 'monat') /*Monat*/, 'zoom.png', 'onclick="document.stz_month_show.submit();"', 'submit');
								?>
							</form>
						</td>
						<td align="center" title="<?php get_text('846'); /*Stundenzettel bearbeiten*/?> (<?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?>)">
							<form action="../stz/index.php<?php echo $gv->create_get_string('?fileinc=show_stz'); ?>" name="stz_month_edit" method="post" style="display:inline;" accept-charset="UTF-8">
								<input type="hidden" name="month" value="<?php echo $stz_month; ?>" />
								<input type="hidden" name="year" value="<?php echo $stz_year; ?>" />
								<input type="hidden" name="user" value="<?php echo USER_ID; ?>" />
								<input type="hidden" name="show" value="edit" />
								<input type="hidden" name="time" value="month" />
								<?php
									echo $chk_sum->GetHidden(array('month' => $stz_month, 'year' => $stz_year, 'user' => USER_ID, 'show' => 'edit', 'time' => 'month'));
									echo get_button(get_text('', 'return', 'decode_on', 'monat') /*Monat*/, 'pencil.png', 'onclick="document.stz_month_edit.submit();"', 'submit');
								?>
							</form>
						</td>
					</tr>
					<tr>
						<td colspan="2" align="center">
							<script type="text/javascript">
								<!--
									function chk_close_stz(month, year)
									{
										var chk = confirm("<?php get_text(364, 'echo', 'decode_off'); //Moechten Sie diesen Stundenzettel wirklich abschliessen? ?>\n<?php get_text('', 'echo', 'decode_off', 'stundenzettel'); //Stundenzettel ?> " + month + " " + year + " ");

										if (chk == true)
										{
											document.stz_close.submit();
										}
									}
								// -->
							</script>
							<form action="../stz/index.php<?php echo $gv->create_get_string('?fileinc=main'); ?>" name="stz_close" method="post" style="display:inline;" accept-charset="UTF-8">
								<input type="hidden" name="month" value="<?php echo $stz_month; ?>" />
								<input type="hidden" name="year" value="<?php echo $stz_year; ?>" />
								<input type="hidden" name="user" value="<?php echo USER_ID; ?>" />
								<input type="hidden" name="job_string" value="close_stz" />
								<?php
									$reload->create();
									echo $chk_sum->GetHidden(array('month' => $stz_month, 'year' => $stz_year, 'user' => USER_ID, 'job_string' => 'close_stz'));
									echo get_button(get_text('61', 'return', 'decode_on') /*Abschliessen*/, 'lock.png', 'onclick="chk_close_stz(\''.$kal->get_kalender_text($stz_month, 'month_name').'\', '.$stz_year.');"');
								?>
							</form>
						</td>
					</tr>
					<?php
						}
						else
						{
					?>
							<tr>
								<td colspan="2"><?php get_text('', 'echo', 'decode_on', 'no_results')/*Kein Datensatz vorhanden*/?></td>
							</tr>
					<?php
						}
					?>
				</table>
			</div>
		</td>
	</tr>
</table>