<?php
	/**
	 * stz overview
	 * this is an info-box for the welcome-page, which is displayed after successful login
	 * @package time-o-meter
	 * @subpackage main
	 */

	$holiday = new Holiday();
	$resturlaub = $holiday->get_remaining_leave(USER_ID, date('Y'));

	$sql = $cdb->select("SELECT datum, startwert_stunden FROM hdb_stz_monat WHERE user_id=".USER_ID." AND abgeschlossen='n' ORDER BY datum ASC");
	$result = $cdb->fetch_array($sql);

	$startwert_stunden = $result['startwert_stunden'];

	$sql = $cdb->select("SELECT SUM(ueberstunden) AS ustunden FROM hdb_stz WHERE user_id=".USER_ID." AND LEFT(datum, 7)='".substr($result['datum'], 0, 7)."'");
	$result = $cdb->fetch_array($sql);

	$ustunden = $result['ustunden'];
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text(1046); /*Stundenzettel Kurz-Info*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td>
			<div class="main_table_content" style="min-height:130px; max-height:130px; overflow:auto;">
				<table cellpadding="0" cellspacing="0" border="0" width="95%">
					<colgroup>
						<col width="85%" />
						<col width="15%" />
					</colgroup>
					<tr valign="top">
						<td><?php get_text(1047); /*Hours carried over (previous month)*/?></td>
						<td><?php echo $startwert_stunden; ?> h</td>
					</tr>
					<tr valign="top">
						<td><?php get_text(1048); /*Total Time +/- (current month)*/?></td>
						<td><?php echo $ustunden; ?> h</td>
					</tr>
					<tr valign="top">
						<td><?php get_text(729); /*Jahresurlaubsanspruch*/?></td>
						<td><?php echo $resturlaub['jahresurlaub']; ?></td>
					</tr>
					<tr valign="top">
						<td><?php get_text(760); /*Aktueller Resturlaub*/?></td>
						<td><?php echo $resturlaub['aktueller_resturlaub']; ?></td>
					</tr>
					<tr valign="top">
						<td><?php get_text(761); /*Zukuenftiger genehmigter Urlaub*/?></td>
						<td><?php echo $resturlaub['genehmigter_urlaub']; ?></td>
					</tr>




				</table>
			</div>
		</td>
	</tr>
</table>