<?php
	/**
	 * this file contains all actions for the project-folder
	 * @package time-o-meter
	 * @subpackage project
	 */

	//Projekt bearbeiten
	if ($_POST['job_string'] == 'project_edit')
	{
		//Reloadsperre
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			//Checksumme + POST-Check
			if ($chk_sum->Chk($_POST['VCS']) === true and $chk_var->error_count_int == 0)
			{

				$pflichtfelder = 0;
				if (!isset($_POST['name_string']) or empty($_POST['name_string']))				{$pflichtfelder++;}
				if (!isset($_POST['kurzname_string']) or empty($_POST['kurzname_string']))		{$pflichtfelder++;}
				if (!isset($_POST['startdatum_string']) or empty($_POST['startdatum_string']))	{$pflichtfelder++;}
				if (!isset($_POST['enddatum_string']) or empty($_POST['enddatum_string']))		{$pflichtfelder++;}
				if (!isset($_POST['pid_int']) or !is_numeric($_POST['pid_int']))				{$pflichtfelder++;}

				//Alle Pflichtfelder vorhanden
				if ($pflichtfelder == 0)
				{
					//pruefen kurzname bereits verwendet wird
					$sql = $cdb->select("SELECT projekt_id FROM hdb_projekte WHERE kurzname='".$_POST['kurzname_string']."' and projekt_id!=".$_POST['pid_int']);
					$result = $cdb->fetch_array($sql);

					if (!isset($result['projekt_id']) or empty($result['projekt_id']))
					{
						//Datum in ISO wandeln und pruefen
						$start_date = $kal->free_to_iso($_POST['startdatum_string']);
						$start_date = $kal->is_iso_date($start_date);
						$end_date = $kal->free_to_iso($_POST['enddatum_string']);
						$end_date = $kal->is_iso_date($end_date);

						//Alle Datumsangaben korrekt
						if ($start_date !== false and $end_date !== false)
						{
							//keine Pflichtfelder und koennen durch disabled fehlen
							if (!isset($_POST['ps_monat_int']) or empty($_POST['ps_monat_int']))	{$_POST['ps_monat_int'] = 0;}
							if (!isset($_POST['ps_gesamt_int']) or empty($_POST['ps_gesamt_int']))	{$_POST['ps_gesamt_int'] = 0;}
							if (!isset($_POST['nachricht_int']) or empty($_POST['nachricht_int']))	{$_POST['nachricht_int'] = 0;}

							if ($cdb->update("UPDATE hdb_projekte SET
											name='".$_POST['name_string']."',
											kurzname='".$_POST['kurzname_string']."',
											nr_kunde='".$_POST['kunden_nr_string']."',
											nr_intern='".$_POST['intern_nr_string']."',
											nr_bestell='".$_POST['bestell_nr_string']."',
											start_datum='$start_date',
											end_datum='$end_date',
											ps_monat='".$_POST['ps_monat_int']."',
											ps_gesamt='".$_POST['ps_gesamt_int']."',
											ps_nachricht='".$_POST['nachricht_int']."'
											WHERE projekt_id=".$_POST['pid_int']))
							{
								$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); /*Die aenderungen wurden gespeichert.*/
							}
							else
							{
								$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
							}
						}
						else
						{
							$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
						}
					}
					else
					{
						$meldung_array['error'][] = setError(get_text('133', 'return', 'decode_on') /*Das angegebene Projektkuerzel ist bereits vergeben.*/, WARNING, __LINE__);
					}
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'main';
	}
	//Projekt anlegen
	elseif ($_POST['job_string'] == 'project_add')
	{
		//Reloadsperre
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			//POST-Check
			if ($chk_sum->Chk($_POST['VCS']) === true)
			{

				$pflichtfelder = 0;
				if (!isset($_POST['name_string']) or empty($_POST['name_string']))				{$pflichtfelder++;}
				if (!isset($_POST['kurzname_string']) or empty($_POST['kurzname_string']))		{$pflichtfelder++;}
				if (!isset($_POST['startdatum_string']) or empty($_POST['startdatum_string']))	{$pflichtfelder++;}
				if (!isset($_POST['enddatum_string']) or empty($_POST['enddatum_string']))		{$pflichtfelder++;}

				//Alle Pflichtfelder vorhanden
				if ($pflichtfelder == 0)
				{
					//pruefen kurzname bereits verwendet wird
					$sql = $cdb->select("SELECT projekt_id FROM hdb_projekte WHERE kurzname='".$_POST['kurzname_string']."'");
					$result = $cdb->fetch_array($sql);

					//Projektkurzname wird noch nicht verwendet
					if (!isset($result['projekt_id']) or empty($result['projekt_id']))
					{
						//Datum in ISO wandeln und pruefen
						$start_date = $kal->free_to_iso($_POST['startdatum_string']);
						$start_date = $kal->is_iso_date($start_date);
						$end_date = $kal->free_to_iso($_POST['enddatum_string']);
						$end_date = $kal->is_iso_date($end_date);

						//Datumsangaben sind korrekt
						if ($start_date !== false and $end_date !== false)
						{
							//keine Pflichtfelder und koennen durch disabled fehlen
							if (!isset($_POST['ps_monat_int']) or empty($_POST['ps_monat_int']))	{$_POST['ps_monat_int'] = 0;}
							if (!isset($_POST['ps_gesamt_int']) or empty($_POST['ps_gesamt_int']))	{$_POST['ps_gesamt_int'] = 0;}
							if (!isset($_POST['nachricht_int']) or empty($_POST['nachricht_int']))	{$_POST['nachricht_int'] = 0;}

							if ($cdb->insert("INSERT INTO hdb_projekte (name, kurzname, nr_kunde, nr_intern, nr_bestell, start_datum, end_datum, ps_monat, ps_gesamt, ps_nachricht) VALUES ('".$_POST['name_string']."', '".$_POST['kurzname_string']."', '".$_POST['kunden_nr_string']."', '".$_POST['intern_nr_string']."', '".$_POST['bestell_nr_string']."', '$start_date', '$end_date', '".$_POST['ps_monat_int']."', '".$_POST['ps_gesamt_int']."', '".$_POST['nachricht_int']."')"))
							{
								$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); /*Die aenderungen wurden gespeichert.*/
							}
							else
							{
								$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
							}
						}
						else
						{
							$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
						}
					}
					else
					{
						$meldung_array['error'][] = setError(get_text('133', 'return', 'decode_on') /*Das angegebene Projektkuerzel ist bereits vergeben.*/, WARNING, __LINE__);
					}
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'main';
	}
	//Projekt loeschen
	elseif ($_POST['job_string'] == 'project_del')
	{
		//Reloadsperre
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			//Projekt ID ist vorhanden
			if (isset($_POST['pid_int']) and is_numeric($_POST['pid_int']))
			{
				$sql_string = '';

				//zu einem bestimmten Datum loeschen
				if (isset($_POST['deldate_string']))
				{
					//Datum in ISO wandeln und pruefen
					$del_date = $kal->free_to_iso($_POST['deldate_string']);
					$del_date = $kal->is_iso_date($del_date);
					//keine Fehler beim Datum
					if ($del_date !== false)
					{
						//Eigendliches Ausblenden erfolgt durch den Cronjob
						$sql_string = "UPDATE hdb_projekte SET del_time='".str_replace('-', '', $del_date)."000000' WHERE projekt_id=".$_POST['pid_int'];
					}
				}
				else
				{
					//Sofortiges ausblenden
					$sql_string = "UPDATE hdb_projekte SET del_time='".date('YmdHis')."', anzeigen='n' WHERE projekt_id=".$_POST['pid_int'];
				}

				//SQL Statement vorhanden
				if (!empty($sql_string))
				{
					if ($cdb->update($sql_string))
					{
						$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); /*Die aenderungen wurden gespeichert.*/
					}
					else
					{
						$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
					}
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'main';
	}
	//User einem Projekt zuordnen
	elseif ($_POST['job_string'] == 'project_user_add')
	{
		//Reloadsperre
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			//POST Daten pruefen
			if (isset($_POST['pid_int']) and is_numeric($_POST['pid_int']) and isset($_POST['uid_int']) and is_numeric($_POST['uid_int']))
			{
				if ($cdb->insert('INSERT INTO hdb_user_projekt (projekt_id, user_id) VALUES ('.$_POST['pid_int'].', '.$_POST['uid_int'].')'))
				{
					$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); /*Die aenderungen wurden gespeichert.*/
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'project_user_edit';
	}
	//User Projektzuordnung loeschen
	elseif ($_POST['job_string'] == 'project_user_del')
	{
		//Reloadsperre
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			//POST Daten pruefen
			if (isset($_POST['puid_int']) and is_numeric($_POST['puid_int']))
			{
				if ($cdb->update("UPDATE hdb_user_projekt SET anzeigen='n', del_time='".date('YmdHis')."' WHERE user_projekt_id=".$_POST['puid_int']))
				{
					$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); /*Die aenderungen wurden gespeichert.*/
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'project_user_edit';
	}
?>