<?php
	/**
	 * project overview
	 * this file contains the default-content of the index.php
	 * @package time-o-meter
	 * @subpackage project
	 */

	//Filteroptionen speichern
	$sf->start();

	if (!isset($_POST['filter_anzahl_int']))
	{
		$_POST['filter_anzahl_int'] = 20;
	}
	if (!isset($_POST['filter_user_int']))
	{
		$_POST['filter_user_int'] = 0;
	}
	if (!isset($_POST['filter_status_string']))
	{
		$_POST['filter_status_string'] = 'j';
	}
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('773'); /*Projektuebersicht*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<form action="index.php<?php echo $gv->create_get_string(); ?>" method="post" name="filter_form" accept-charset="UTF-8">
				<div id="filter_block_min" style="display:none;">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<tr>
							<td class="table_header_left" width="66%"><?php get_text(77);//Filteroptionen ?></td>
							<td class="table_header" align="right" width="34%"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_max.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
					</table>
				</div>
				<div id="filter_block_max">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<colgroup>
							<col width="10%" />
							<col width="15%" />
							<col width="30%" />
							<col width="15%" />
							<col width="30%" />
						</colgroup>
						<tr class="table_tr_bg_2">
							<td class="table_header_left"><?php get_text('74'); /*Anzahl*/?></td>
							<td class="table_header" colspan="3"><?php get_text('77'); /*Filteroptionen*/?></td>
							<td class="table_header" align="right"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_min.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="20"<?php if ($_POST['filter_anzahl_int'] == 20) {echo ' checked="checked"';} ?> /> 20</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?>:</td>
							<td class="filter_td_1">
								<select name="filter_user_int" class="ipt_200">
									<option value="0"><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$sql = $cdb->select("SELECT user_id, vorname, nachname FROM hdb_user WHERE anzeigen='j' ORDER BY sort_name ASC");
										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_user_int'] == $result['user_id'])
											{
												$select = ' selected="selected"';
											}
											else
											{
												$select = '';
											}
											echo '<option value="'.$result['user_id'].'"'.$select.'>'.$result['nachname'].', '.$result['vorname'].'</option>';
										}
									?>
								</select>
							</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'status'); /*Status*/?>:</td>
							<td class="filter_td_2">
								<select name="filter_status_string" class="ipt_200">
									<option value=""><?php get_text('260'); /*Alle Projekte*/?></option>
									<option value="j"<?php if ($_POST['filter_status_string'] == 'j'){echo ' selected="selected"';}?>><?php get_text('299'); /*Aktive Projekte*/?></option>
									<option value="n"<?php if ($_POST['filter_status_string'] == 'n'){echo ' selected="selected"';}?>><?php get_text('300'); /*Beendete Projekte*/?></option>
								</select>
							</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="40"<?php if ($_POST['filter_anzahl_int'] == 40) {echo ' checked="checked"';} ?> /> 40</td>
							<td class="filter_td_2" colspan="4">&nbsp;</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="60"<?php if ($_POST['filter_anzahl_int'] == 60) {echo ' checked="checked"';} ?> /> 60</td>
							<td class="filter_td_2" colspan="4">&nbsp;</td>
						</tr>
						<tr class="filter_tr_end">
							<td colspan="3"><?php echo get_button(get_text('', 'return', 'decode_on', 'reset') /*zuruecksetzen*/, 'cancel.png', 'onclick="document.filter_form.reset();"'); ?></td>
							<td colspan="2" align="right"><?php echo get_button(get_text('', 'return', 'decode_on', 'show') /*Anzeigen*/, 'tick.png', 'onclick="document.filter_form.submit();"', 'submit'); ?></td>
						</tr>
					</table>
				</div>
			</form>
			<?php
				$where_array = array();
				if ($_POST['filter_user_int'] > 0)
				{
					$where_array[] = 't2.user_id='.$_POST['filter_user_int'];
				}
				if (!empty($_POST['filter_status_string']))
				{
					$where_array[] = "t1.anzeigen='".$_POST['filter_status_string']."'";
				}
				$where = '';
				if (count($where_array) > 0)
				{
					foreach ($where_array as $v)
					{
						if (empty($where))
						{
							$where = 'WHERE '.$v;
						}
						else
						{
							$where .= ' AND '.$v;
						}
					}
				}

				$sql = $cdb->select("SELECT COUNT(DISTINCT(t1.projekt_id)) AS count_id FROM hdb_projekte t1
									LEFT JOIN hdb_user_projekt t2 ON t1.projekt_id=t2.projekt_id
									$where");
				$count_result = $cdb->fetch_array($sql);

				//Blaetternfunktion
				if (!isset($_GET['blseite']))
				{
					$current_page = 1;
				}
				else
				{
					$current_page = $_GET['blseite'];
				}

				$bl = blaettern($current_page, $count_result['count_id'], $_POST['filter_anzahl_int'], $_POST, 'index.php');
				echo '<br />'.$bl['txt'].'<br />';
			?>
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<tr class="table_tr_bg_2">
					<td class="table_header_left" width="40%"><?php get_text('', 'echo', 'decode_on', 'projektname'); /*Projektname*/?></td>
					<td class="table_header" width="15%"><?php get_text('292'); /*Projektkuerzel*/?></td>
					<td class="table_header" width="15%"><?php get_text('', 'echo', 'decode_on', 'projektnr_intern'); /*Projektnr. (intern)*/?></td>
					<td class="table_header" width="10%"><?php get_text('237'); /*Startdatum*/?></td>
					<td class="table_header" width="10%"><?php get_text('', 'echo', 'decode_on', 'enddatum'); /*Enddatum*/?></td>
					<td class="table_header" width="10%" align="center"><?php get_text('', 'echo', 'decode_on', 'aktionen'); /*Aktionen*/?></td>
				</tr>
				<?php
					$count = 0;
					$bg = 1;
					$sql = $cdb->select("SELECT DISTINCT(t1.projekt_id), t1.name, t1.kurzname, t1.nr_intern, t1.start_datum, t1.end_datum FROM hdb_projekte t1
										LEFT JOIN hdb_user_projekt t2 ON t1.projekt_id=t2.projekt_id
										$where ORDER BY t1.name ASC, t1.kurzname ASC".$bl['limit']);
					while ($result = $cdb->fetch_array($sql))
					{
				?>
						<tr class="table_tr_bg_<?php echo $bg; ?>">
							<td><?php echo $result['name']; ?></td>
							<td><?php echo $result['kurzname']; ?></td>
							<td><?php echo $result['nr_intern'];?></td>
							<td><?php echo $kal->iso_to_free($result['start_datum']); ?></td>
							<td><?php echo $kal->iso_to_free($result['end_datum']); ?></td>
							<td align="center">
								<a href="index.php<?php echo $gv->create_get_string('?fileinc=project_show&amp;pid_int='.$result['projekt_id']); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/zoom.png'; ?>" width="16" height="16" border="0" alt="" class="image" title="<?php get_text('', 'echo', 'decode_on', 'show'); /*Anzeigen*/?>" /></a>
								<?php
									if ($access->check_group(USER_GROUP_ID, 'admin_project_write'))
									{
								?>
										<a href="index.php<?php echo $gv->create_get_string('?fileinc=project_edit&amp;pid_int='.$result['projekt_id']); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/pencil.png'; ?>" width="16" height="16" border="0" alt="" class="image" title="<?php get_text('', 'echo', 'decode_on', 'edit'); /*Bearbeiten*/?>" /></a>
										<a href="index.php<?php echo $gv->create_get_string('?fileinc=project_user_edit&amp;pid_int='.$result['projekt_id']); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/user_edit.png'; ?>" width="16" height="16" border="0" alt="" class="image" title="<?php get_text('122'); /*Mitarbeiterzuordnung*/?>" /></a>
										<a href="index.php<?php echo $gv->create_get_string('?fileinc=project_del&amp;pid_int='.$result['projekt_id']); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/cross.png'; ?>" width="16" height="16" border="0" alt="" class="image" title="<?php get_text('121'); /*Beenden*/?>" /></a>
								<?php
									}
								?>
							</td>
						</tr>
				<?php
						if ($bg == 1)
						{
							$bg++;
						}
						else
						{
							$bg = 1;
						}
					}
				?>
			</table>

			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td width="50%">
						<?php
							if ($access->check_group(USER_GROUP_ID, 'admin_project_write'))
							{
								echo get_button(get_text('562','print'), 'add.png', 'onclick="window.location.href=\''.TOM_ABS_URL.'project/index.php'.$gv->create_get_string('?fileinc=project_add&amp;clear_sf=1').'\';"'); /*Projekt hinzufuegen*/
							}
							else
							{
								echo '&nbsp;';
							}
						?>
					</td>
					<td width="50%" align="right">&nbsp;</td>
				</tr>
			</table>
		</td>
	</tr>
</table>