<?php
	/**
	 * project-hours report
	 * @package time-o-meter
	 * @subpackage project
	 */

	//Projektsundenklasse
	$tsr = new TimeSheetReport;

	if (!isset($_POST['filter_anzahl_int']))
	{
		$_POST['filter_anzahl_int'] = 20;
	}
	if (!isset($_POST['filter_date_string']))
	{
		$_POST['filter_date_string'] = date('Y-m');
	}
	if (!isset($_POST['filter_project_int']))
	{
		$_POST['filter_project_int'] = 0;
	}
?>
<script language="JavaScript" type="text/javascript">
	/* <![CDATA[ */
	<!--
	function get_project()
	{
		//XML Header erstellen
		var xmlHttp = GetXmlHttpRequest();
		if (xmlHttp)
		{
			var date_string = document.filter_form.filter_date_string.value;
			var org_project_int = document.filter_form.filter_project_int.value;

			//Datumsselect leeren
			for (var i = document.filter_form.filter_project_int.options.length -1; i>1; i--)
			{
				document.filter_form.filter_project_int.options[i] = null;
			}

			//Abfrage
			xmlHttp.open('GET', JS_ABS_URL + 'project/xml_get_project_data.php?date_string=' + date_string + '&' + JS_GV_INDEX + '=' + JS_GV_KEY, true);
			xmlHttp.onreadystatechange = function()
			{
				if (xmlHttp.readyState == 4)
				{
					//XML Daten
					var FILEDATA = xmlHttp.responseXML;
					var data = FILEDATA.getElementsByTagName('data');

					for (var i=0; i<data.length; i++)
					{
						var pid_int = 0;
						var pname_string = "";

						for (var j=0; j<data[i].childNodes.length; j++)
						{
							with(data[i].childNodes[j])
							{
								if (nodeName == "pid")
								{
									pid_int = firstChild.nodeValue;
								}
								if (nodeName == "pname")
								{
									pname_string = firstChild.nodeValue;
								}
							}
						}
						//Select beschreiben
						if (pid_int != "NULL")
						{
							//Select beschreiben
							if (pid_int == org_project_int)
							{
								var opt = new Option(pname_string, pid_int, false, true);
							}
							else
							{
								var opt = new Option(pname_string, pid_int, false, false);
							}
							document.filter_form.filter_project_int.options[document.filter_form.filter_project_int.options.length] = opt;
						}
					}
				}
			}
			xmlHttp.send(null);
		}
	}

	function chk_filter()
	{
		if (document.filter_form.filter_date_string.value != "")
		{
			document.filter_form.submit();
		}
		else
		{
			document.filter_form.filter_date_string.focus();
			alert("<?php get_text(191, 'echo', 'decose_off'); /*Bitte geben Sie ein Datum an!*/ ?>");
		}
	}
	// -->
	/* ]]> */
</script>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('675'); /*Projektstundenreport*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<form action="index.php<?php echo $gv->create_get_string(); ?>" method="post" name="filter_form" accept-charset="UTF-8">
				<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
					<colgroup>
						<col width="10%" />
						<col width="15%" />
						<col width="30%" />
						<col width="15%" />
						<col width="30%" />
					</colgroup>
					<tr class="table_tr_bg_2">
						<td class="table_header_left"><?php get_text('74'); /*Anzahl*/?></td>
						<td class="table_header" colspan="4"><?php get_text('77'); /*Filteroptionen*/?></td>
					</tr>
					<tr>
						<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="20"<?php if ($_POST['filter_anzahl_int'] == 20) {echo ' checked="checked"';} ?> /> 20</td>
						<td class="filter_td_2"><?php get_text('333'); /*Projekte*/?>:</td>
						<td class="filter_td_1">
							<select name="filter_project_int" class="ipt_200">
								<option value="0"><?php get_text('260'); /*Alle Projekte*/?></option>
								<option value="-1"<?php if($_POST['filter_project_int'] == -1){echo ' selected="selected"';} ?>><?php get_text('', 'echo', 'decode_on', 'nzs_kurz'); /*NZS*/?> - <?php get_text('', 'echo', 'decode_on', 'nzs'); /*Nicht zugeordnete Stunden*/?></option>
								<?php
									//Alle Aktiven Projekte fuer den Zeitraum
									if (strlen($_POST['filter_date_string']) == 4)
									{
										//Jahresauswahl
										$sql = $cdb->select("SELECT projekt_id, name, kurzname FROM hdb_projekte WHERE LEFT(start_datum, 4)<='".$_POST['filter_date_string']."' AND LEFT(end_datum, 4)>='".$_POST['filter_date_string']."' ORDER BY kurzname ASC, name ASC");
									}
									else
									{
										//Monatsauswahl
										$sql = $cdb->select("SELECT projekt_id, name, kurzname, start_datum, end_datum FROM hdb_projekte WHERE LEFT(start_datum, 7)<='".$_POST['filter_date_string']."' AND LEFT(end_datum, 7)>='".$_POST['filter_date_string']."' ORDER BY kurzname ASC, name ASC");
									}
									while ($result = $cdb->fetch_array($sql))
									{
										//Alle Projekte wo auch eine Userzuordnung bestand
										if (strlen($_POST['filter_date_string']) == 4)
										{
											//Jahresauswahl
											$sql_sub = $cdb->select("SELECT user_projekt_id FROM hdb_user_projekt WHERE projekt_id=".$result['projekt_id']." AND (anzeigen='j' OR LEFT(del_time,4)>='".$_POST['filter_date_string']."')");
										}
										else
										{
											//Monatsauswahl
											$sql_sub = $cdb->select("SELECT user_projekt_id FROM hdb_user_projekt WHERE projekt_id=".$result['projekt_id']." AND (anzeigen='j' OR LEFT(del_time,6)>='".str_replace('-', '', $_POST['filter_date_string'])."')");
										}
										$sub_result = $cdb->fetch_array($sql_sub);

										if (isset($sub_result['user_projekt_id']) and !empty($sub_result['user_projekt_id']))
										{
											if ($_POST['filter_project_int'] == $result['projekt_id'])
											{
												$selected = ' selected="selected"';
											}
											else
											{
												$selected = '';
											}
											echo '<option value="'.$result['projekt_id'].'"'.$selected.'>'.$result['kurzname'].' - '.$result['name'].'</option>';
										}
									}
								?>
							</select>
						</td>
						<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'datum'); /*Datum*/?>:</td>
						<td class="filter_td_2">
							<select name="filter_date_string" class="ipt_200" onchange="get_project();">
								<option value=""><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
								<?php
									$year_array = array();
									$sql = $cdb->select('SELECT datum FROM hdb_stz_monat GROUP BY datum ORDER BY datum DESC');
									while ($result = $cdb->fetch_array($sql))
									{
										//Speichert das Jahr
										$tmp_year_string = substr($result['datum'], 0, 4);
										//Speichert den Monat
										$tmp_month_string = substr($result['datum'], 5, 2);

										//pruefen ob das Jahr bereits ausgegeben wurde
										if (!in_array($tmp_year_string, $year_array))
										{
											if ($_POST['filter_date_string'] == $tmp_year_string)
											{
												$selected = ' selected="selected"';
											}
											else
											{
												$selected = '';
											}
											echo '<option value="'.$tmp_year_string.'"'.$selected.'>'.$tmp_year_string.'</option>';

											//Jahr Speichern, Doppelausgabenpruefung
											$year_array[] = $tmp_year_string;
										}

										if ($_POST['filter_date_string'] == $tmp_year_string.'-'.$tmp_month_string)
										{
											$selected = ' selected="selected"';
										}
										else
										{
											$selected = '';
										}
										echo '<option value="'.$tmp_year_string.'-'.$tmp_month_string.'"'.$selected.'>'.$tmp_year_string.' / '.$tmp_month_string.'</option>';
									}
								?>
							</select>
						</td>
					</tr>
					<tr>
						<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="40"<?php if ($_POST['filter_anzahl_int'] == 40) {echo ' checked="checked"';} ?> /> 40</td>
						<td class="filter_td_2" colspan="4">&nbsp;</td>
					</tr>
					<tr>
						<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="60"<?php if ($_POST['filter_anzahl_int'] == 60) {echo ' checked="checked"';} ?> /> 60</td>
						<td class="filter_td_2" colspan="4">&nbsp;</td>
					</tr>
					<tr class="filter_tr_end">
						<td colspan="3"><?php echo get_button(get_text('', 'return', 'decode_on', 'reset') /*zuruecksetzen*/, 'cancel.png', 'onclick="document.filter_form.reset();"'); ?></td>
						<td colspan="2" align="right"><?php echo get_button(get_text('', 'return', 'decode_on', 'show') /*Anzeigen*/, 'tick.png', 'onclick="chk_filter();"'); ?></td>
					</tr>
				</table>
			</form>
			<?php
				//Report ausgeben
				echo $tsr->report_project_hours($_POST['filter_date_string'], $_POST['filter_project_int']);
			?>
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr>
					<td width="100%" align="center">
						<form action="../report/pdf_project_hours.php<?php echo $gv->create_get_string(); ?>" target="_blank" name="PDF_project_hours" method="post" accept-charset="UTF-8">
							<?php
								foreach ($_POST as $i => $v)
								{
									if ($i != 'filter_anzahl_int')
									{
										echo '<input type="hidden" name="'.$i.'" value="'.$v.'" />';
									}
								}

								if (isset($_POST['filter_project_int']) and isset($_POST['filter_date_string']) and $_POST['filter_project_int'] > 0 and strlen($_POST['filter_date_string']) == 4)
								{
									echo '<input type="checkbox" name="pdf_project_hours_table" value="1" /> '.get_text(953, 'return');//Tabellarische Projektstunden
									if ($_POST['filter_date_string'] == date('Y'))
									{
										echo '<br /><input type="checkbox" name="pdf_project_hours_table_last_twelve" value="1" /> '.get_text(954, 'return');//Nur die letzten 12 Monate
									}
								}
								echo get_button(get_text(588, 'return'), 'page_white_acrobat.png',  'onclick="document.PDF_project_hours.submit();"', 'submit');
							?>
						</form>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>