<?php
	/**
	 * xml output of project-data
	 * @package time-o-meter
	 * @subpackage project
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	//XML header
	header('Content-type: application/xml');
	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: ".date('r', time() - 86400));
	$return = '<?xml version="1.0" encoding="utf-8"?>'."\n";
	$return .= "<root>\n";

	//GET daten pruefen
	if (isset($_GET['date_string']) and !empty($_GET['date_string']))
	{
		$count = 0;
		//Alle Aktiven Projekte fuer den Zeitraum
		if (strlen($_GET['date_string']) == 4)
		{
			$sql = $cdb->select("SELECT projekt_id, name, kurzname FROM hdb_projekte WHERE LEFT(start_datum, 4)<='".$_GET['date_string']."' AND LEFT(end_datum, 4)>='".$_GET['date_string']."' ORDER BY kurzname ASC, name ASC");
		}
		else
		{
			$sql = $cdb->select("SELECT projekt_id, name, kurzname, start_datum, end_datum FROM hdb_projekte WHERE LEFT(start_datum, 7)<='".$_GET['date_string']."' AND LEFT(end_datum, 7)>='".$_GET['date_string']."' ORDER BY kurzname ASC, name ASC");
		}
		while ($result = $cdb->fetch_array($sql))
		{
			//Alle Projekte wo auch eine Userzuordnung bestand
			if (strlen($_GET['date_string']) == 4)
			{
				$sql_sub = $cdb->select("SELECT user_projekt_id FROM hdb_user_projekt WHERE projekt_id=".$result['projekt_id']." AND (anzeigen='j' OR LEFT(del_time,4)>='".$_GET['date_string']."')");
			}
			else
			{
				$sql_sub = $cdb->select("SELECT user_projekt_id FROM hdb_user_projekt WHERE projekt_id=".$result['projekt_id']." AND (anzeigen='j' OR LEFT(del_time,6)>='".str_replace('-', '', $_GET['date_string'])."')");
			}
			$sub_result = $cdb->fetch_array($sql_sub);

			if (isset($sub_result['user_projekt_id']) and !empty($sub_result['user_projekt_id']))
			{
				$return .= "<data>\n";
				$return .= "<pid>".$result['projekt_id']."</pid>\n";
				$return .= "<pname>".html_entity_decode($result['kurzname'].' - '.$result['name'], ENT_QUOTES)."</pname>\n";
				$return .= "</data>\n";
				$count++;
			}
		}

		if ($count == 0)
		{
			$return .= "<data>\n";
			$return .= "<pid>NULL</pid>\n";
			$return .= "<pname>NULL</pname>\n";
			$return .= "</data>\n";
		}
	}
	else
	{
		$return .= "<data>\n";
		$return .= "<pid>NULL</pid>\n";
		$return .= "<pname>NULL</pname>\n";
		$return .= "</data>\n";
	}
	$return .= "</root>";

	echo utf8_encode($return);
?>