<?php
	/**
	 * delete a holiday
	 * @package time-o-meter
	 * @subpackage setup
	 */

	//Variablenpruefung
	if (isset($_GET['VCS']) and $chk_sum->Chk($_GET['VCS']))
	{
		if (!isset($_GET['ftid_int']) or !is_numeric($_GET['ftid_int']))
		{
			$_GET['ftid_int'] = 0;
		}

		$sql = $cdb->select("SELECT * FROM hdb_feiertage WHERE ft_id=".$_GET['ftid_int']);
		$result = $cdb->fetch_array($sql);


		$jahr = date("Y");
		$temp_bez = '';
		$temp_default_key = $result['default_array_key'];
		$temp_datum = '';
		$temp_monat = '';
		$temp_tag = '';

		if ($result['type'] == 'annual')
		{
			$temp_monat = $result['monat'];
			$temp_tag = $result['tag'];
			$temp_datum = $jahr.'-'.$result['monat'].'-'.$result['tag'];
			$temp_bez = $result['bezeichnung'];
		}
		elseif ($result['type'] == 'unique')
		{
			$temp_datum = $result['jahr'].'-'.$result['monat'].'-'.$result['tag'];
			$temp_bez = $result['bezeichnung'];
		}
		elseif ($result['type'] == 'default')
		{
			//Erstellt ein Array der Vordefinierten Feiertage
			$kal->get_predefined_holidays($jahr);

			$ft_default_array = $kal->setup_array['predefined_holiday_date_name'];

			if (in_array($result['default_array_key'], $ft_default_array))
			{
				$temp_datum = array_search($result['default_array_key'], $ft_default_array);
				$temp_bez = get_text('', 'return', 'decode_on', $ft_default_array[$temp_datum]);
			}
		}

?>
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr valign="middle">
				<td class="main_table_header" width="100%"><?php get_text(451); /*Feiertag loeschen*/?></td>
			</tr>
			<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
			<tr>
				<td class="main_table_content">
					<a href="index.php<?php echo $gv->create_get_string('?fileinc=setup_ft'); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />

					<h3 style="font-weight:bold; margin-bottom:4px;">
						<?php
							if ($result['halbe_sollstunden'] == 'j')
							{
								get_text(795); /*Arbeitstag mit halbierter Sollstundenzahl loeschen*/
							}
							else
							{
								get_text(451); /*Feiertag loeschen*/
							}
						?>
					</h3>
					<form name="form_del_ft" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
						<input type="hidden" name="job_string" value="del_ft" />
						<input type="hidden" name="ftid_int" value="<?php echo $_GET['ftid_int'];?>" />
						<?php
							//Reloadsperre
							$reload->create();
							//Checksumme
							echo $chk_sum->GetHidden(array('job_string' => 'del_ft', 'ftid_int' => $_GET['ftid_int']));
						?>
						<table cellpadding="2" cellspacing="0" width="60%" class="table_content">
							<colgroup>
								<col width="30%" />
								<col width="70%" />
							</colgroup>
							<tr><td colspan="2">&#160;</td></tr>
							<tr>
								<td colspan="2" class="padding_left_10"><?php get_text('319'); /*Soll dieser Eintrag wirklich geloescht werden?*/?></td>
							</tr>
							<tr><td colspan="2">&#160;</td></tr>
							<tr>
								<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'bezeichnung'); /*Bezeichnung*/?>:</strong></td>
								<td><?php echo $temp_bez;?></td>
							</tr>
							<?php
								if ($result['type'] == 'annual')
								{
							?>
									<tr valign="top">
										<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?>:</strong></td>
										<td><?php get_text('', 'echo', 'decode_on', $kal->setup_array['month_array'][intval($temp_monat)]);?></td>
									</tr>
									<tr valign="top">
										<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'tag'); /*Tag*/?>:</strong></td>
										<td><?php echo $temp_tag;?>.</td>
									</tr>
							<?php
								}
								else
								{
							?>
									<tr valign="top">
										<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'datum'); /*Datum*/?>:</strong></td>
										<td><?php echo $kal->iso_to_free($temp_datum);?></td>
									</tr>
							<?php
								}
							?>

							<tr><td colspan="2" style="line-height:2px;">&#160;</td></tr>
							<tr>
								<td>&#160;</td>
								<td><?php echo get_button(get_text('', 'return', 'decode_on', 'del') /*loeschen*/, 'cross.png', 'onclick="document.form_del_ft.submit();"'); ?></td>
							</tr>
							<tr><td colspan="2">&#160;</td></tr>
						</table>
					</form>
				</td>
			</tr>
		</table>
<?php
	}
	else
	{
		echo setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler!*/, WARNING, __LINE__);
	}
?>