<?php
	/**
	 * edit a holiday
	 * @package time-o-meter
	 * @subpackage setup
	 */

	//Variablenpruefung
	if (isset($_GET['VCS']) and $chk_sum->Chk($_GET['VCS']))
	{
		if (!isset($_GET['ftid_int']) or !is_numeric($_GET['ftid_int']))
		{
			$_GET['ftid_int'] = 0;
		}

		$sql = $cdb->select("SELECT * FROM hdb_feiertage WHERE ft_id=".$_GET['ftid_int']);
		$result = $cdb->fetch_array($sql);


		$jahr = date("Y");
		$temp_bez_annual = '';
		$temp_bez_unique = '';
		$temp_bez_default = '';
		$temp_default_key = $result['default_array_key'];
		$temp_datum = '';
		$temp_monat = '';
		$temp_tag = '';

		if ($result['type'] == 'annual')
		{
			$temp_monat = $result['monat'];
			$temp_tag = $result['tag'];
			$temp_bez_annual = $result['bezeichnung'];
		}
		elseif ($result['type'] == 'unique')
		{
			$temp_datum = $result['jahr'].'-'.$result['monat'].'-'.$result['tag'];
			$temp_bez_unique = $result['bezeichnung'];
		}
		elseif ($result['type'] == 'default')
		{
			$temp_bez_default = $temp_default_key;
		}

?>
		<script type="text/javascript">
			<!--
				// prueft, ob an dem gewuenschten datum bereits ein feiertag definiert wurde
				function chk_double_entries(datum)
				{
					var feiertage = new Array();		//Erfasst die definierten Feiertage im ISO-Format
					var feiertage_free = new Array();	//Erfasst die definierten Feiertage im aktuellen Datumsformat

					<?php
						$jahr_int = date("Y");
						$feiertage_array = $kal->get_db_holidays_year($jahr_int);
						$count_int = 0;

						foreach ($feiertage_array as $feiertag_datum => $feiertag_daten)
						{
							echo "\r\n\t\t\t".'feiertage['.$count_int.'] = "'.$feiertag_datum.'";';
							echo "\r\n\t\t\t".'feiertage_free['.$count_int.'] = "'.$kal->iso_to_free($feiertag_datum).'";';
							$count_int++;
						}

						echo "\r\n\r\n";
					?>

					for (var i=0; i<=feiertage.length; i++)
					{
						if (datum == feiertage[i] || datum == feiertage_free[i])
						{
							return true;
						}
					}

				}

				// prueft die formulareingaben auf vorhandensein
				function chkipt(formular)
				{
					var new_ft_datum = '';

					// vordefinierte feiertage
					if (formular != 'default_holiday')
					{
						// bezeichnung eingegeben?
						if (document.forms[formular].bezeichnung.value == '')
						{
							alert("<?php get_text(422, 'echo', 'decode_off'); /*Bitte geben Sie eine Bezeichnung an!*/?>");
							document.forms[formular].bezeichnung.focus();
							return false;
						}
					}

					// feste, jaehrlich wiederkehrende feiertage
					if (formular == 'annual_holiday')
					{
						new_ft_datum = '<?php echo $jahr_int;?>' + '-' + document.forms[formular].feiertag_monat.value + '-' + document.forms[formular].feiertag_tag.value;

						// monat gewaehlt?
						if (document.forms[formular].feiertag_monat.value == '')
						{
							alert("<?php get_text(423, 'echo', 'decode_off'); /*Bitte geben Sie einen Monat an!*/?>");
							document.forms[formular].feiertag_monat.focus();
							return false;
						}

						// tag gewaehlt?
						if (document.forms[formular].feiertag_tag.value == '')
						{
							alert("<?php get_text(424, 'echo', 'decode_off'); /*Bitte geben Sie einen Tag an!*/?>");
							document.forms[formular].feiertag_tag.focus();
							return false;
						}
					}

					// unbewegliche feiertage
					if (formular == 'unique_holiday')
					{
						new_ft_datum = document.forms[formular].datum.value;

						// datum gewaehlt?
						if (document.forms[formular].datum.value == '')
						{
							alert("<?php get_text(191, 'echo', 'decode_off'); /*Bitte geben Sie ein Datum an!*/?>");
							document.forms[formular].datum.focus();
							return false;
						}
						else
						{
							if (!chk_date_format(document.forms[formular].datum.value))
							{
								alert("<?php get_text(608, 'echo', 'decode_off'); /*Bitte geben Sie einen korrekten Datumswert an.*/?>");
								document.forms[formular].datum.focus();
								return false;
							}
						}
					}

					// feste, jaehrlich wiederkehrende arbeitstage mit halber sollstundenzahl
					if (formular == 'annual_halbtag')
					{
						new_ft_datum = '<?php echo date('Y');?>' + '-' + document.forms[formular].feiertag_monat.value + '-' + document.forms[formular].feiertag_tag.value;

						// monat gewaehlt?
						if (document.forms[formular].feiertag_monat.value == '')
						{
							alert("<?php get_text(423, 'echo', 'decode_off'); /*Bitte geben Sie einen Monat an!*/?>");
							document.forms[formular].feiertag_monat.focus();
							return false;
						}

						// tag gewaehlt?
						if (document.forms[formular].feiertag_tag.value == '')
						{
							alert("<?php get_text(424, 'echo', 'decode_off'); /*Bitte geben Sie einen Tag an!*/?>");
							document.forms[formular].feiertag_tag.focus();
							return false;
						}
					}

					// abbrechen, falls dieses datum schon als feiertag definiert ist
					if (formular != 'default_holiday' && new_ft_datum.length == 10 && chk_double_entries(new_ft_datum))
					{
						alert("<?php get_text(706, 'echo', 'decode_off'); /*fuer das angegebene Datum existiert bereits ein Feiertag.*/?>");
						return false;
					}

					document.forms[formular].submit();

				}
			//-->
		</script>
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr valign="middle">
				<td class="main_table_header" width="100%"><?php get_text(450); /*Feiertag bearbeiten*/?></td>
			</tr>
			<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
			<tr>
				<td class="main_table_content">
					<a href="index.php<?php echo $gv->create_get_string('?fileinc=setup_ft'); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />
					<?php
						if ($result['type'] == 'annual' && $result['halbe_sollstunden'] != 'j')
						{
					?>
							<form name="annual_holiday" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
								<input type="hidden" name="job_string" value="edit_ft_fest" />
								<input type="hidden" name="ftid_int" value="<?php echo $_GET['ftid_int'];?>" />
								<?php
									//Reloadsperre
									$reload->create();
									//checksumme
									echo $chk_sum->GetHidden(array('job_string' => 'edit_ft_fest', 'ftid_int' => $_GET['ftid_int']));
								?>
								<h3 style="font-weight:bold; margin-bottom:4px;"><?php get_text(449); /*Festen Feiertag bearbeiten*/?></h3>
								<table cellpadding="2" cellspacing="0" width="60%" class="table_content">
									<colgroup>
										<col width="30%" />
										<col width="70%" />
									</colgroup>
									<tr><td colspan="2">&#160;</td></tr>
									<tr>
										<td colspan="2" class="padding_leftright_10">
											<?php
												get_text(416); /*fuer unbewegliche Feiertage, die jaehrlich an einem festen Datum wiederkehren.*/
												echo '<br />';
												get_text(417); /*Eingetragene Feiertage werden automatisch in ein neues Kalenderjahr uebernommen.*/
											?>
										</td>
									</tr>
									<tr><td colspan="2">&#160;</td></tr>
									<tr>
										<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'bezeichnung'); /*Bezeichnung*/?>:*</strong></td>
										<td><input type="text" name="bezeichnung" value="<?php echo $temp_bez_annual;?>" class="ipt_150" /></td>
									</tr>
									<tr valign="top">
										<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?>:*</strong></td>
										<td>
											<select name="feiertag_monat" class="ipt_150">
												<option value=""><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
													<?php
														for ($i = 1; $i <= 12; $i++)
														{
															if ($i < 10)
															{
																$j = '0'.$i;
															}
															else
															{
																$j = $i;
															}
													?>
														<option value="<?php echo $j;?>"<?php if ($j == $temp_monat){echo ' selected="selected"';}?>><?php get_text('', 'echo', 'decode_on', $kal->setup_array['month_array'][$i]);?></option>
													<?php
														}
													?>
											</select>
										</td>
									</tr>
									<tr valign="top">
										<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'tag'); /*Tag*/?>:*</strong></td>
										<td>
											<select name="feiertag_tag" class="ipt_150">
												<option value=""><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
													<?php
														for ($i = 1; $i <= 31; $i++)
														{
															if ($i < 10)
															{
																$j = '0'.$i;
															}
															else
															{
																$j = $i;
															}
													?>
														<option value="<?php echo $j;?>"<?php if ($j == $temp_tag){echo ' selected="selected"';}?>><?php echo $j;?></option>
													<?php
														}
													?>
											</select>
										</td>
									</tr>
									<tr><td colspan="2" style="line-height:2px;">&#160;</td></tr>
									<tr>
										<td>&#160;</td>
										<td><?php echo get_button(get_text('', 'return', 'decode_on', 'save') /*Speichern*/, 'tick.png', 'onclick="return chkipt(\'annual_holiday\');"'); ?></td>
									</tr>
									<tr><td colspan="2">&#160;</td></tr>
								</table>
							</form>
					<?php
						}
						elseif ($result['type'] == 'unique')
						{
					?>
							<h3 style="font-weight:bold; margin-bottom:4px;"><?php get_text('452'); /*Beweglichen Feiertag bearbeiten*/?></h3>
							<form name="unique_holiday" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
								<input type="hidden" name="job_string" value="edit_ft_beweglich" />
								<input type="hidden" name="ftid_int" value="<?php echo $_GET['ftid_int'];?>" />
								<?php
									//Reloadsperre
									$reload->create();
									//Checksumme
									echo $chk_sum->GetHidden(array('job_string' => 'edit_ft_beweglich', 'ftid_int' => $_GET['ftid_int']));
								?>
								<table cellpadding="2" cellspacing="0" width="60%" class="table_content">
									<colgroup>
										<col width="30%" />
										<col width="70%" />
									</colgroup>
									<tr><td colspan="2">&#160;</td></tr>
									<tr>
										<td colspan="2" class="padding_leftright_10">
											<?php
												get_text(419); /*fuer bewegliche Feiertage, die jaehrlich an einem veraenderlichen Datum wiederkehren.*/
												echo '<br />';
												get_text(420); /*Diese Feiertage muessen jaehrlich neu definiert werden!*/
											?>
										</td>
									</tr>
									<tr><td colspan="2">&#160;</td></tr>
									<tr>
										<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'bezeichnung'); /*Bezeichnung*/?>:*</strong></td>
										<td><input type="text" name="bezeichnung" value="<?php echo $temp_bez_unique;?>" class="ipt_150" /></td>
									</tr>
									<tr>
										<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'datum'); /*Datum*/?>:*</strong></td>
										<td>
											<input type="text" name="datum" id="datum" value="<?php echo $kal->iso_to_free($temp_datum);?>" class="ipt_100" />
											<a href="javascript:kalender_open('datum')"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/date_add.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a> <?php echo $kal->get_date_format(); ?>
										</td>
									</tr>
									<tr><td colspan="2" style="line-height:2px;">&#160;</td></tr>
									<tr>
										<td>&#160;</td>
										<td><?php echo get_button(get_text('', 'return', 'decode_on', 'save') /*Speichern*/, 'tick.png', 'onclick="return chkipt(\'unique_holiday\');"'); ?></td>
									</tr>
									<tr><td colspan="2">&#160;</td></tr>
								</table>
							</form>
					<?php
						}
						elseif ($result['type'] == 'annual' && $result['halbe_sollstunden'] == 'j')
						{
					?>
							<h3 style="font-weight:bold; margin-bottom:4px;"><?php get_text('787'); /*Arbeitstag mit halbierter Sollstundenzahl bearbeiten*/?></h3>
							<form name="annual_halbtag" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
								<input type="hidden" name="job_string" value="edit_halbtag_fest" />
								<input type="hidden" name="ftid_int" value="<?php echo $_GET['ftid_int'];?>" />
								<?php
									//Reloadsperre
									$reload->create();
									//Checksumme
									echo $chk_sum->GetHidden(array('job_string' => 'edit_halbtag_fest', 'ftid_int' => $_GET['ftid_int']));
								?>
								<table cellpadding="2" cellspacing="0" width="60%" class="table_content">
									<colgroup>
										<col width="30%" />
										<col width="70%" />
									</colgroup>
									<tr><td colspan="2">&#160;</td></tr>
									<tr>
										<td colspan="2" class="padding_leftright_10"><?php get_text(786); /*Diese Funktion kann genutzt werden, um Arbeitstage zu definieren...*/?></td>
									</tr>
									<tr><td colspan="2">&#160;</td></tr>
									<tr>
										<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'bezeichnung'); /*Bezeichnung*/?>:*</strong></td>
										<td><input type="text" name="bezeichnung" value="<?php echo $temp_bez_annual;?>" class="ipt_150" /></td>
									</tr>
									<tr valign="top">
										<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?>:*</strong></td>
										<td>
											<select name="feiertag_monat" class="ipt_150">
												<option value=""><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
													<?php
														for ($i = 1; $i <= 12; $i++)
														{
															if ($i < 10)
															{
																$j = '0'.$i;
															}
															else
															{
																$j = $i;
															}
													?>
															<option value="<?php echo $j;?>"<?php if ($j == $temp_monat){echo ' selected="selected"';}?>><?php get_text('', 'echo', 'decode_on', $kal->setup_array['month_array'][$i]);?></option>
													<?php
														}
													?>
											</select>
										</td>
									</tr>
									<tr valign="top">
										<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'tag'); /*Tag*/?>:*</strong></td>
										<td>
											<select name="feiertag_tag" class="ipt_150">
												<option value=""><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
													<?php
														for ($i = 1; $i <= 31; $i++)
														{
															if ($i < 10)
															{
																$j = '0'.$i;
															}
															else
															{
																$j = $i;
															}
													?>
															<option value="<?php echo $j;?>"<?php if ($j == $temp_tag){echo ' selected="selected"';}?>><?php echo $j;?></option>
													<?php
														}
													?>
											</select>
										</td>
									</tr>
									<tr><td colspan="2" style="line-height:2px;">&#160;</td></tr>
									<tr>
										<td>&#160;</td>
										<td><?php echo get_button(get_text('', 'return', 'decode_on', 'save') /*Speichern*/, 'tick.png', 'onclick="return chkipt(\'annual_halbtag\');"'); ?></td>
									</tr>
									<tr><td colspan="2">&#160;</td></tr>
								</table>
							</form>
					<?php
						}
					?>
				</td>
			</tr>
		</table>
<?php
	}
	else
	{
		echo setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler!*/, WARNING, __LINE__);
	}
?>