<?php
	/**
	 * create usergroup
	 * @package time-o-meter
	 * @subpackage setup
	 */

	$usergroups_string = '';

	// alle usergruppennamen auslesen
	$sql = $cdb->select("SELECT group_name FROM hdb_usergroups");
	while ($result = $cdb->fetch_array($sql))
	{
		if (empty($usergroups_string))
		{
			$usergroups_string = '"'.strtolower($result['group_name']).'"';
		}
		else
		{
			$usergroups_string .= ',"'.strtolower($result['group_name']).'"';
		}
	}
?>
<script type="text/javascript">
	<!--
		/*
		* Setzt das Leserecht wenn ein Schreibrecht ausgewaehlt wurde.
		* @retrun bool
		*/
		function set_leserecht()
		{
			if (document.form_add_group.admin_reports_write.checked == true)
			{
				document.form_add_group.admin_reports_read.checked = true;
			}

			if (document.form_add_group.admin_antrag_write.checked == true)
			{
				document.form_add_group.admin_antrag_read.checked = true;
			}

			if (document.form_add_group.admin_user_write.checked == true)
			{
				document.form_add_group.admin_user_read.checked = true;
			}

			if (document.form_add_group.admin_project_write.checked == true)
			{
				document.form_add_group.admin_project_read.checked = true;
			}
		}

		/*
		* prueft die Usereingaben
		* @return bool
		*/
		function chk_form()
		{
			var usergroups = new Array(<?php echo $usergroups_string; ?>);
			var rechte = new Array("admin_reports_read","admin_reports_write","admin_reports_health_read","admin_antrag_read","admin_antrag_write","admin_user_read","admin_user_write","admin_project_read","admin_project_write","admin_backup","admin_setup","admin_log","user_all");
			var rechte_count = 0;
			var usergroup_exists = "n";

			for (var i=0; i < usergroups.length; ++i)
			{
				if (document.form_add_group.bezeichnung.value.toLowerCase() == usergroups[i])
				{
					usergroup_exists = "j";
				}
			}

			if (usergroup_exists == "j")
			{
				alert("<?php get_text(658, 'echo', 'decode_off'); /*Die angegebene Benutzergruppenbezeichnung existiert bereits. Bitte waehlen Sie eine andere.*/?>");
				return false;
			}

			for (i=0; i < rechte.length; ++i)
			{
				if (document.getElementById(rechte[i]).checked == true)
				{
					rechte_count++;
				}
			}
			if (document.form_add_group.bezeichnung.value != '' && rechte_count > 0)
			{
				document.form_add_group.submit();
			}
			else
			{
				alert("<?php get_text(657, 'echo', 'decode_off'); /*Bitte waehlen Sie eine Bezeichnung und mindestens eine Zugriffsberechtigung aus!*/?>");
				return false;
			}
		}
	//-->
</script>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text(425); /*Benutzergruppe hinzufuegen*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<a href="index.php<?php echo $gv->create_get_string('?fileinc=setup_groups'); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />
			<form name="form_add_group" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
				<input type="hidden" name="job_string" value="group_add" />
				<?php
					//Reloadsperre
					$reload->create();
					//Checksumme
					echo $chk_sum->GetHidden(array('job_string' => 'group_add'));
				?>
				<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
					<colgroup>
						<col width="30%" />
						<col width="70%" />
					</colgroup>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'bezeichnung'); /*Bezeichnung*/?>:</strong></td>
						<td><input type="text" name="bezeichnung" value="" class="ipt_150" /></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr><td colspan="2" class="padding_left_10"><strong><?php get_text(426); /*Bitte konfigurieren Sie die Zugriffrechte dieser Benutzergruppe*/?>:</strong></td></tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td>&#160;</td>
						<td>
							<table cellpadding="2" cellspacing="0" width="70%" class="border">
								<colgroup>
									<col width="40%" />
									<col width="20%" />
									<col width="20%" />
									<col width="20%" />
								</colgroup>
								<tr class="table_tr_bg_2">
									<td class="table_header_left"><strong><?php get_text('788'); /*Zugriffsberechtigung*/?></strong></td>
									<td class="table_header" align="center"><strong><?php get_text('427'); /*Vollzugriff*/?></strong></td>
									<td class="table_header" align="center"><strong><?php get_text('428'); /*Lesezugriff*/?></strong></td>
									<td class="table_header" align="center"><strong><?php get_text('429'); /*Schreibrecht*/?></strong></td>
								</tr>
								<tr class="table_tr_bg_1">
									<td><?php get_text('94'); /*Reports*/?></td>
									<td>&#160;</td>
									<td align="center">
										<input type="checkbox" name="admin_reports_read" id="admin_reports_read" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_reports_read')){echo ' disabled="disabled"';} ?> />
									</td>
									<td align="center">
										<input type="checkbox" name="admin_reports_write" id="admin_reports_write" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_reports_write')){echo ' disabled="disabled"';} ?> onclick="set_leserecht();" />
									</td>
								</tr>
								<tr class="table_tr_bg_2">
									<td style="padding-left:25px;"><?php get_text(108)/*Krankheitstage*/;?>-<?php get_text(94); /*Reports*/?></td>
									<td>&#160;</td>
									<td align="center">
										<input type="checkbox" name="admin_reports_health_read" id="admin_reports_health_read" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_reports_read')){echo ' disabled="disabled"';} ?> />
									</td>
									<td>&#160;</td>
								</tr>
								<tr class="table_tr_bg_1">
									<td><?php get_text(432); /*Antraege*/?></td>
									<td>&#160;</td>
									<td align="center">
										<input type="checkbox" name="admin_antrag_read" id="admin_antrag_read" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_antrag_read')){echo ' disabled="disabled"';} ?> />
									</td>
									<td align="center">
										<input type="checkbox" name="admin_antrag_write" id="admin_antrag_write" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_antrag_write')){echo ' disabled="disabled"';} ?> onclick="set_leserecht();" />
									</td>
								</tr>
								<tr class="table_tr_bg_2">
									<td><?php get_text('', 'echo', 'decode_on', 'personal'); /*Personal*/?></td>
									<td>&#160;</td>
									<td align="center">
										<input type="checkbox" name="admin_user_read" id="admin_user_read" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_user_read')){echo ' disabled="disabled"';}?> />
									</td>
									<td align="center">
										<input type="checkbox" name="admin_user_write" id="admin_user_write" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_user_write')){echo ' disabled="disabled"';} ?> onclick="set_leserecht();" />
									</td>
								</tr>
								<tr class="table_tr_bg_1">
									<td><?php get_text(103); /*Mitteilungen*/?></td>
									<td>&#160;</td>
									<td>&#160;</td>
									<td align="center">
										<input type="checkbox" name="admin_message_write" id="admin_message_write" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_message_write')){echo ' disabled="disabled"';} ?> />
									</td>
								</tr>
								<tr class="table_tr_bg_2">
									<td><?php get_text(96); /*Projekte*/?></td>
									<td>&#160;</td>
									<td align="center">
										<input type="checkbox" name="admin_project_read" id="admin_project_read" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_project_read')){echo ' disabled="disabled"';} ?> />
									</td>
									<td align="center">
										<input type="checkbox" name="admin_project_write" id="admin_project_write" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_project_write')){echo ' disabled="disabled"';} ?> onclick="set_leserecht();" />
									</td>
								</tr>
								<tr class="table_tr_bg_1">
									<td><?php get_text('', 'echo', 'decode_on', 'stundenzettel'); /*Stundenzettel*/?></td>
									<td align="center">
										<input type="checkbox" name="admin_stz" id="admin_stz" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_stz')){echo ' disabled="disabled"';} ?> />
									</td>
									<td>&#160;</td>
									<td>&#160;</td>
								</tr>
								<tr class="table_tr_bg_2">
									<td><?php get_text('', 'echo', 'decode_on', 'reisekosten'); /*Reisekosten*/?></td>
									<td align="center">
										<input type="checkbox" name="admin_reisekosten" id="admin_reisekosten" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_reisekosten')){echo ' disabled="disabled"';} ?> />
									</td>
									<td>&#160;</td>
									<td>&#160;</td>
								</tr>
								<tr class="table_tr_bg_1">
									<td><?php get_text(97); /*Backup*/?></td>
									<td align="center">
										<input type="checkbox" name="admin_backup" id="admin_backup" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_backup')){echo ' disabled="disabled"';} ?> />
									</td>
									<td>&#160;</td>
									<td>&#160;</td>
								</tr>
								<tr class="table_tr_bg_2">
									<td><?php get_text(98); /*Einstellungen*/?></td>
									<td align="center">
										<input type="checkbox" name="admin_setup" id="admin_setup" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_setup')){echo ' disabled="disabled"';} ?> />
									</td>
									<td>&#160;</td>
									<td>&#160;</td>
								</tr>
								<tr class="table_tr_bg_1">
									<td><?php get_text(120); /*Logbuch*/?></td>
									<td align="center">
										<input type="checkbox" name="admin_log" id="admin_log" value="j"<?php if (!$access->check_group(USER_GROUP_ID, 'admin_log')){echo ' disabled="disabled"';} ?> />
									</td>
									<td>&#160;</td>
									<td>&#160;</td>
								</tr>
								<tr class="table_tr_bg_2">
									<td><?php get_text(431); /*Userbereich*/?></td>
									<td align="center">
										<input type="radio" name="user_all" id="user_all" value="j" checked="checked" />
									</td>
									<td>&#160;</td>
									<td>&#160;</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td>&nbsp;</td>
						<td><?php echo get_button(get_text('', 'return', 'decode_on', 'save') /*Speichern*/, 'tick.png', 'onclick="chk_form();"'); ?></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
				</table>
			</form>
		</td>
	</tr>
</table>