<?php
	/**
	 * delete usergroup
	 * @package time-o-meter
	 * @subpackage setup
	 */

	//Variablenpruefung
	if ($chk_sum->Chk($_GET['VCS']))
	{
		if (!isset($_GET['groupid_int']) or !is_numeric($_GET['groupid_int']))
		{
			$_GET['groupid_int'] = 0;
		}

		$sql = $cdb->select('SELECT * FROM hdb_usergroups WHERE group_id='.$_GET['groupid_int']);
		$result = $cdb->fetch_array($sql);

		// zugriffsrechte auslesen
		$zugriffsrechte_array = $access->select_group($result['group_id']);

		// alle zugehoerigen user auslesen
		$sql2 = $cdb->select("SELECT t1.user_id FROM hdb_user t1 WHERE t1.anzeigen='j' AND t1.group_id=".$result['group_id']);
		$anzahl_user_int = $cdb->get_records($sql2);


		$usergroups_string = '';

		// alle usergruppennamen auslesen
		$sql = $cdb->select('SELECT group_name FROM hdb_usergroups');
		while ($result_js = $cdb->fetch_array($sql))
		{
			if ($result['group_name'] != $result_js['group_name'])
			{
				if (empty($usergroups_string))
				{
					$usergroups_string = '"'.strtolower($result_js['group_name']).'"';
				}
				else
				{
					$usergroups_string .= ',"'.strtolower($result_js['group_name']).'"';
				}
			}
		}
?>
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr valign="middle">
				<td class="main_table_header" width="100%"><?php get_text(441); /*Benutzergruppe loeschen*/?></td>
			</tr>
			<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
			<tr>
				<td class="main_table_content">
					<a href="index.php<?php echo $gv->create_get_string('?fileinc=setup_groups'); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />
					<form name="form_del_group" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
						<input type="hidden" name="job_string" value="group_del" />
						<input type="hidden" name="groupid_int" value="<?php echo $result['group_id'];?>" />
						<?php
							//Reloadsperre
							$reload->create();
							//Checksumme
							echo $chk_sum->GetHidden(array('job_string' => 'group_del', 'groupid_int' => $result['group_id']));

							if ($anzahl_user_int > 0)
							{
						?>
								<table cellpadding="0" cellspacing="0" border="0" width="100%">
									<tr valign="middle">
										<td class="info_table_header" width="100%"><?php get_text('', 'echo', 'decode_on', 'hinweis'); /*Hinweis*/?></td>
									</tr>
									<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
									<tr>
										<td class="info_table_content">
											<ul>
												<?php
													echo '<li>';
													get_text(444); /*Diese Benutzergruppe kann nicht geloescht werden, solange ihr noch Benutzer zugeordnet sind!*/
													echo '</li>';
												?>
											</ul>
										</td>
									</tr>
								</table>
								<br /><br />
						<?php
							}
						?>
						<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
							<colgroup>
								<col width="30%" />
								<col width="70%" />
							</colgroup>
							<tr><td colspan="2">&#160;</td></tr>
							<tr>
								<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'bezeichnung'); /*Bezeichnung*/?>:</strong></td>
								<td><?php echo $result['group_name']; ?></td>
							</tr>
							<tr>
								<td class="padding_left_10"><strong><?php get_text(442); /*Zugeordnete Benutzer*/?>:</strong></td>
								<td>
									<?php
										// alle zugehoerigen user auslesen
										$sql2 = $cdb->select("SELECT t1.user_id FROM hdb_user t1 WHERE t1.anzeigen='j' AND t1.group_id=".$result['group_id']);
										$anzahl_user_int = $cdb->get_records($sql2);

										if ($anzahl_user_int == 0)
										{
											get_text('', 'echo', 'decode_on', 'keine'); /*Keine*/
										}
										elseif ($anzahl_user_int == 1)
										{
											echo '1 '.get_text('', 'return', 'decode_on', 'benutzer'); /*Benutzer (Einzahl)*/
										}
										elseif ($anzahl_user_int > 1)
										{
											echo $anzahl_user_int.' '.get_text('', 'return', 'decode_on', 'benutzer_mz'); /*Benutzer (Mehrzahl)*/
										}
									?>
								</td>
							</tr>
							<tr><td colspan="2">&#160;</td></tr>
							<tr>
								<td>&#160;</td>
								<td>
									<table cellpadding="2" cellspacing="0" width="70%" class="border">
										<colgroup>
											<col width="40%" />
											<col width="20%" />
											<col width="20%" />
											<col width="20%" />
										</colgroup>
										<tr class="table_tr_bg_2">
											<td class="table_header_left"><strong><?php get_text('788'); /*Zugriffsberechtigung*/?></strong></td>
											<td class="table_header" align="center"><strong><?php get_text(427); /*Vollzugriff*/?></strong></td>
											<td class="table_header" align="center"><strong><?php get_text(428); /*Lesezugriff*/?></strong></td>
											<td class="table_header" align="center"><strong><?php get_text(429); /*Schreibrecht*/?></strong></td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text(94); /*Reports*/?></td>
											<td>&#160;</td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo '&radic;';}?></td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_reports_write']) && $zugriffsrechte_array['admin_reports_write'] == 'j'){echo '&radic;';}?></td>
										</tr>
										<tr class="table_tr_bg_2">
											<td style="padding-left:25px;"><?php get_text(108)/*Krankheitstage*/;?>-<?php get_text(94); /*Reports*/?></td>
											<td>&#160;</td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_reports_health_read']) && $zugriffsrechte_array['admin_reports_health_read'] == 'j'){echo '&radic;';}?></td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text(432); /*Antraege*/?></td>
											<td>&#160;</td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_antrag_read']) && $zugriffsrechte_array['admin_antrag_read'] == 'j'){echo '&radic;';}?></td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_antrag_write']) && $zugriffsrechte_array['admin_antrag_write'] == 'j'){echo '&radic;';}?></td>
										</tr>
										<tr class="table_tr_bg_2">
											<td><?php get_text('', 'echo', 'decode_on', 'personal'); /*Personal*/?></td>
											<td>&#160;</td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_user_read']) && $zugriffsrechte_array['admin_user_read'] == 'j'){echo '&radic;';}?></td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_user_write']) && $zugriffsrechte_array['admin_user_write'] == 'j'){echo '&radic;';}?></td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text(103); /*Mitteilungen*/?></td>
											<td>&#160;</td>
											<td>&#160;</td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_message_write']) && $zugriffsrechte_array['admin_message_write'] == 'j'){echo '&radic;';}?></td>
										</tr>
										<tr class="table_tr_bg_2">
											<td><?php get_text(96); /*Projekte*/?></td>
											<td>&#160;</td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_project_read']) && $zugriffsrechte_array['admin_project_read'] == 'j'){echo '&radic;';}?></td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_project_write']) && $zugriffsrechte_array['admin_project_write'] == 'j'){echo '&radic;';}?></td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text('', 'echo', 'decode_on', 'stundenzettel'); /*Stundenzettel*/?></td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_stz']) && $zugriffsrechte_array['admin_stz'] == 'j'){echo '&radic;';}?></td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_2">
											<td><?php get_text('', 'echo', 'decode_on', 'reisekosten'); /*Reisekosten*/?></td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_reisekosten']) && $zugriffsrechte_array['admin_reisekosten'] == 'j'){echo '&radic;';}?></td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text(97); /*Backup*/?></td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_backup']) && $zugriffsrechte_array['admin_backup'] == 'j'){echo '&radic;';}?></td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_2">
											<td><?php get_text(98); /*Einstellungen*/?></td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_setup']) && $zugriffsrechte_array['admin_setup'] == 'j'){echo '&radic;';}?></td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text(120); /*Logbuch*/?></td>
											<td align="center"><?php if (isset($zugriffsrechte_array['admin_log']) && $zugriffsrechte_array['admin_log'] == 'j'){echo '&radic;';}?></td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_2">
											<td><?php get_text(431); /*Userbereich*/?></td>
											<td align="center"><?php if (isset($zugriffsrechte_array['user_all']) && $zugriffsrechte_array['user_all'] == 'j'){echo '&radic;';}?></td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr><td colspan="2">&#160;</td></tr>
							<tr>
								<td>&nbsp;</td>
								<td>
									<?php
										if ($anzahl_user_int == 0)
										{
											echo get_button(get_text('', 'return', 'decode_on', 'del') /*loeschen*/, 'cross.png', 'onclick="document.form_del_group.submit();"');
										}
									?>
								</td>
							</tr>
							<tr><td colspan="2">&#160;</td></tr>
						</table>
					</form>
				</td>
			</tr>
		</table>
<?php
	}
	else
	{
		echo setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler!*/, WARNING, __LINE__);
	}
?>