<?php
	/**
	 * absenteeism reason overview
	 * @package time-o-meter
	 * @subpackage setup
	 */
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text(791); /*Abwesenheitsgraende verwalten*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<h3 style="font-weight:bold; margin-top:0px; margin-bottom:4px;"><?php get_text(501); /*Abwesenheitsgraende*/?></h3>
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<colgroup>
					<col width="20%" />
					<col width="12%" />
					<col width="10%" />
					<col width="14%" />
					<col width="14%" />
					<col width="22%" />
					<col width="8%" />
				</colgroup>
				<tr class="table_tr_bg_2">
					<td class="table_header_left"><?php get_text('', 'echo', 'decode_on', 'bezeichnung'); /*Bezeichnung*/?></td>
					<td class="table_header"><?php get_text(500); /*Gilt als Arbeitszeit*/?></td>
					<td class="table_header"><?php get_text('', 'echo', 'decode_on', 'zahlstatus'); /*Zahlstatus*/?></td>
					<td class="table_header"><?php get_text(1050); /*Muss beantragt werden*/?></td>
					<td class="table_header"><?php get_text(1051); /*Genehmigungspflichtig*/?></td>
					<td class="table_header"><?php get_text(975); /*Zus&auml;tzlich zur Arbeitszeit ausw&auml;hlbar*/?></td>
					<td class="table_header" align="center"><?php get_text('', 'echo', 'decode_on', 'aktionen'); /*Aktionen*/?></td>
				</tr>
				<?php
					$count = 0;
					$bg = 1;
					$sql = $cdb->select('SELECT * FROM hdb_absence_type WHERE display=1 ORDER BY absence_name ASC');
					while ($result = $cdb->fetch_array($sql))
					{
						$cs = $chk_sum->GetString(array('absence_id_int' => $result['absence_type_id']));
				?>
						<tr class="table_tr_bg_<?php echo $bg; ?>">
							<td>
								<?php
									if (!empty($result['color']))
									{
										echo '<span style="background-color: #'.$result['color'].';">&nbsp;&nbsp;</span>&nbsp;'.$result['absence_name'];
									}
									else
									{
										echo '&nbsp;&nbsp;&nbsp;'.$result['absence_name'];
									}
								?>

							</td>
							<td>
								<?php
									if ($result['working_time'] == 1)
									{
										get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
									}
									else
									{
										get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
									}
								?>
							</td>
							<td>
								<?php
									if ($result['paid'] == 1)
									{
										get_text('', 'echo', 'decode_on', 'bezahlt'); /*bezahlt*/
									}
									else
									{
										get_text('', 'echo', 'decode_on', 'unbezahlt'); /*unbezahlt*/
									}
								?>
							</td>
							<td>
								<?php
									if ($result['application'] == 1)
									{
										get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
									}
									else
									{
										get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
									}
								?>
							</td>
							<td>
								<?php
									if ($result['approval'] == 1)
									{
										get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
									}
									else
									{
										get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
									}
								?>
							</td>
							<td>
								<?php
									if ($result['total_day'] == 1)
									{
										get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
									}
									else
									{
										get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
									}
								?>
							</td>
							<td align="center">
								<a href="index.php<?php echo $gv->create_get_string('?fileinc=awg_edit&amp;absence_id_int='.$result['absence_type_id'].'&amp;'.$cs); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/pencil.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>

								<?php
									if ($result['absence_type_id'] > 4)
									{
								?>
										<a href="index.php<?php echo $gv->create_get_string('?fileinc=awg_del&amp;absence_id_int='.$result['absence_type_id'].'&amp;'.$cs); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/cross.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
								<?php
									}
								?>
							</td>
						</tr>
				<?php
						if ($bg == 1)
						{
							$bg++;
						}
						else
						{
							$bg = 1;
						}
					}
				?>
			</table>
			<?php echo get_button(get_text('502','print'), 'add.png', 'onclick="window.location.href=\''.TOM_ABS_URL.'setup/index.php'.$gv->create_get_string('?fileinc=awg_add&amp;clear_sf=1').'\';"'); /*Abwesenheitsgrund hinzufuegen*/ ?>
		</td>
	</tr>
</table>