<?php
	/**
	 * edit auto-backup settings
	 * @package time-o-meter
	 * @subpackage setup
	 */
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('', 'echo', 'decode_on', 'auto_backup'); /*Auto-Backup*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<?php
				// Wochentagsbezeichnungen
				$wochentage['Mo'] = get_text('', 'return', 'decode_on', 'mo'); /*Montag*/
				$wochentage['Di'] = get_text('', 'return', 'decode_on', 'di'); /*Dienstag*/
				$wochentage['Mi'] = get_text('', 'return', 'decode_on', 'mi'); /*Mittwoch*/
				$wochentage['Do'] = get_text('', 'return', 'decode_on', 'do'); /*Donnerstag*/
				$wochentage['Fr'] = get_text('', 'return', 'decode_on', 'fr'); /*Freitag*/
				$wochentage['Sa'] = get_text('', 'return', 'decode_on', 'sa'); /*Samstag*/
				$wochentage['So'] = get_text('', 'return', 'decode_on', 'so'); /*Sonntag*/

				$js_array = '';

				foreach ($wochentage as $i => $v)
				{
					if (empty($js_array))
					{
						$js_array .= '"'.$i.'"';
					}
					else
					{
						$js_array .= ',"'.$i.'"';
					}
				}
			?>
			<script type="text/javascript">
				<!--
					DAYNAME = new Array(<?php echo $js_array; ?>);

					function day_bu(TIME)
					{
						var empty = "j";

						for (var i = 0; i < DAYNAME.length; ++i)
						{
							if (document.getElementById(DAYNAME[i]+"_"+TIME).value != "")
							{
								empty = "n";
							}
						}

						if (empty == "n")
						{
							document.getElementById("t_"+TIME).disabled = true;
						}
						else
						{
							document.getElementById("t_"+TIME).disabled = false;
						}
					}

					/**
					* Aktiviert bzw. Deaktiviert die selectfelder Mo-So je nach Auswahl der Taeglichen selectfelder
					* @param int TIME Uhrzeit 1-3
					*/
					function daily_bu(TIME)
					{
						if (document.getElementById("t_"+TIME).value != "")
						{
							for (var i = 0; i < DAYNAME.length; ++i)
							{
								document.getElementById(DAYNAME[i]+"_"+TIME).value = "";
								document.getElementById(DAYNAME[i]+"_"+TIME).disabled = true;
							}
						}

						if (document.getElementById("t_"+TIME).value == "")
						{
							for (var i = 0; i < DAYNAME.length; ++i)
							{
								document.getElementById(DAYNAME[i]+"_"+TIME).disabled = false;
							}
						}
					}

					/**
					* Aktiviert bzw. deaktiviert alle selectfleder
					*/
					function activate_bu()
					{
						if (document.getElementById("bu_inaktiv").checked == true)
						{
							for (var i = 0; i < DAYNAME.length; ++i)
							{
								document.getElementById(DAYNAME[i]+"_1").value = "";
								document.getElementById(DAYNAME[i]+"_1").disabled = true;

								document.getElementById(DAYNAME[i]+"_2").value = "";
								document.getElementById(DAYNAME[i]+"_2").disabled = true;

								document.getElementById(DAYNAME[i]+"_3").value = "";
								document.getElementById(DAYNAME[i]+"_3").disabled = true;
							}

							document.getElementById("t_1").value = "";
							document.getElementById("t_1").disabled = true;

							document.getElementById("t_2").value = "";
							document.getElementById("t_2").disabled = true;

							document.getElementById("t_3").value = "";
							document.getElementById("t_3").disabled = true;

						}

						if (document.getElementById("bu_aktiv").checked == true)
						{
							for (var i = 0; i < DAYNAME.length; ++i)
							{
								document.getElementById(DAYNAME[i]+"_1").disabled = false;
								document.getElementById(DAYNAME[i]+"_2").disabled = false;
								document.getElementById(DAYNAME[i]+"_3").disabled = false;
							}

							document.getElementById("t_1").disabled = false;
							document.getElementById("t_2").disabled = false;
							document.getElementById("t_3").disabled = false;

						}
					}

					/**
					* prueft die Backupeinstellungen
					* @return boolean
					*/
					function chkipt()
					{
						var error = "j";
						if (document.getElementById("bu_aktiv").checked == true)
						{
							for (var i = 0; i < DAYNAME.length; ++i)
							{
								if (document.getElementById(DAYNAME[i]+"_1").value != "")
								{
									error = "n";
								}
								if (document.getElementById(DAYNAME[i]+"_2").value != "")
								{
									error = "n";
								}
								if (document.getElementById(DAYNAME[i]+"_3").value != "")
								{
									error = "n";
								}
							}

							if (document.getElementById("t_1").value != "")
							{
								error = "n";
							}
							if (document.getElementById("t_2").value != "")
							{
								error = "n";
							}
							if (document.getElementById("t_3").value != "")
							{
								error = "n";
							}
						}
						else
						{
							error = "n";
						}
						if (error == "j")
						{
							alert("<?php get_text('709'); /*Bitte geben Sie mindestens eine Uhrzeit an, wann das Backup erstellt werden soll!*/?>");
							return false;
						}
						else
						{
							document.form_setup_backup.submit();
						}
					}
				// -->
			</script>
			<form name="form_setup_backup" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
				<input type="hidden" name="job_string" value="edit_backup_setup" />
				<?php
					//Reloadsperre
					$reload->create();
					//Checksumme
					echo $chk_sum->GetHidden(array('job_string'=>'edit_backup_setup'));
				?>
				<table cellpadding="2" cellspacing="0" border="0" width="100%" class="table_content">
					<colgroup>
						<col width="40%" />
						<col width="60%" />
					</colgroup>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<?php
								get_text(462); /*Bitte waehlen Sie die Einstellungen fuer das automatische Backup.*/
								echo '<br />';
								get_text(463); /*Es handelt sich dabei um ein vollstaendiges Datenbank-Backup im SQL-Format.*/
							?>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(464); /*Automatisches Backup aktivieren*/?>:</strong></td>
						<td>
							<input type="radio" name="auto_backup_aktiv" id="bu_aktiv" value="j"<?php if (isset($setup_array['auto_backup_aktiv']) && $setup_array['auto_backup_aktiv'] == 'j'){echo ' checked="checked"';}?> onclick="activate_bu();" /> <?php get_text('', 'echo', 'decode_on', 'ja'); /*ja*/?>&nbsp;&nbsp;
							<input type="radio" name="auto_backup_aktiv" id="bu_inaktiv" value="n"<?php if (!isset($setup_array['auto_backup_aktiv']) or $setup_array['auto_backup_aktiv'] == 'n'){echo ' checked="checked"';}?> onclick="activate_bu();" /> <?php get_text('', 'echo', 'decode_on', 'nein'); /*nein*/?>
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(465); /*Automatisches Backup ausfuehren am*/?>:</strong></td>
						<td>
							<table border="0" cellpadding="0" cellspacing="2" width="80%">
								<tr>
									<td width="40%">&nbsp;</td>
									<td width="20%"><?php get_text('', 'echo', 'decode_on', 'uhrzeit'); /*Uhrzeit*/?> 1</td>
									<td width="20%"><?php get_text('', 'echo', 'decode_on', 'uhrzeit'); /*Uhrzeit*/?> 2</td>
									<td width="20%"><?php get_text('', 'echo', 'decode_on', 'uhrzeit'); /*Uhrzeit*/?> 3</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr>
						<td>&#160;</td>
						<td>
							<table border="0" cellpadding="0" cellspacing="2" width="80%">
								<colgroup>
									<col width="40%" />
									<col width="20%" />
									<col width="20%" />
									<col width="20%" />
								</colgroup>
								<?php
									// master-zeiten auslesen (taegliches backup)
									$zeile_masterzeit = $setup_array['auto_backup']['daily'];

									foreach ($wochentage as $wochentag_kurz => $wochentag)
									{
										// einzelne wochentage auslesen
										$zeile = $setup_array['auto_backup'][$wochentag_kurz];
								?>
										<tr>
											<td><?php echo $wochentag;?></td>
											<td>
												<select name="auto_backup[<?php echo $wochentag_kurz;?>][uhrzeit1]" id="<?php echo $wochentag_kurz; ?>_1" class="ipt_50"<?php if ($zeile_masterzeit['uhrzeit1'] != "" or !isset($setup_array['auto_backup_aktiv']) or $setup_array['auto_backup_aktiv'] != 'j'){echo ' disabled="disabled"';}?> onchange="day_bu('1');">
													<option value="">--</option>
												<?php
													for ($i = 0; $i < 24; $i++)
													{
														$i2 = $i;

														// fuehrende null anfuegen
														if (strlen($i2) == 1)
														{
															$i2 = '0'.$i2;
														}
												?>
														<option value="<?php echo $i2;?>"<?php if ($zeile['uhrzeit1'] == $i2){echo ' selected="selected"';}?>><?php echo $i2;?></option>
												<?php
													}
												?>
												</select>
											</td>
											<td>
												<select name="auto_backup[<?php echo $wochentag_kurz;?>][uhrzeit2]" id="<?php echo $wochentag_kurz; ?>_2" class="ipt_50"<?php if ($zeile_masterzeit['uhrzeit2'] != "" or !isset($setup_array['auto_backup_aktiv']) or $setup_array['auto_backup_aktiv'] != 'j'){echo ' disabled="disabled"';}?> onchange="day_bu('2');">
													<option value="">--</option>
												<?php
													for ($i = 00; $i < 24; $i++)
													{
														$i2 = $i;

														// fuehrende null anfuegen
														if (strlen($i2) == 1)
														{
															$i2 = '0'.$i2;
														}
												?>
														<option value="<?php echo $i2;?>"<?php if ($zeile['uhrzeit2'] == $i2){echo ' selected="selected"';}?>><?php echo $i2;?></option>
												<?php
													}
												?>
												</select>
											</td>
											<td>
												<select name="auto_backup[<?php echo $wochentag_kurz;?>][uhrzeit3]" id="<?php echo $wochentag_kurz; ?>_3" class="ipt_50"<?php if ($zeile_masterzeit['uhrzeit3'] != "" or !isset($setup_array['auto_backup_aktiv']) or $setup_array['auto_backup_aktiv'] != 'j'){echo ' disabled="disabled"';}?> onchange="day_bu('3');">
													<option value="">--</option>
												<?php
													for ($i = 00; $i < 24; $i++)
													{
														$i2 = $i;

														// fuehrende null anfuegen
														if (strlen($i2) == 1)
														{
															$i2 = '0'.$i2;
														}
												?>
														<option value="<?php echo $i2;?>"<?php if ($zeile['uhrzeit3'] == $i2){echo ' selected="selected"';}?>><?php echo $i2;?></option>
												<?php
													}
												?>
												</select>
											</td>
										</tr>
								<?php
									} // ende foreach
								?>
								<tr><td colspan="4">&#160;</td></tr>
								<tr>
									<td><?php get_text('', 'echo', 'decode_on', 'daily'); /*Taeglich*/?></td>
									<td>
										<select name="auto_backup_master_zeit1" id="t_1" class="ipt_50" <?php if (!isset($setup_array['auto_backup_aktiv']) or $setup_array['auto_backup_aktiv'] != 'j'){echo ' disabled="disabled"';}?> onchange="daily_bu('1');">
											<option value="">--</option>
										<?php
											for ($i = 0; $i < 24; $i++)
											{
												$i2 = $i;

												// fuehrende null anfuegen
												if (strlen($i2) == 1)
												{
													$i2 = '0'.$i2;
												}
										?>
												<option value="<?php echo $i2;?>"<?php if ($zeile_masterzeit['uhrzeit1'] == $i2){echo ' selected="selected"';}?>><?php echo $i2;?></option>
										<?php
											}
										?>
										</select>
									</td>
									<td>
										<select name="auto_backup_master_zeit2" id="t_2" class="ipt_50" <?php if (!isset($setup_array['auto_backup_aktiv']) or $setup_array['auto_backup_aktiv'] != 'j'){echo ' disabled="disabled"';}?> onchange="daily_bu('2');">
											<option value="">--</option>
										<?php
											for ($i = 00; $i < 24; $i++)
											{
												$i2 = $i;

												// fuehrende null anfuegen
												if (strlen($i2) == 1)
												{
													$i2 = '0'.$i2;
												}
										?>
												<option value="<?php echo $i2;?>"<?php if ($zeile_masterzeit['uhrzeit2'] == $i2){echo ' selected="selected"';}?>><?php echo $i2;?></option>
										<?php
											}
										?>
										</select>
									</td>
									<td>
										<select name="auto_backup_master_zeit3" id="t_3" class="ipt_50" <?php if (!isset($setup_array['auto_backup_aktiv']) or $setup_array['auto_backup_aktiv'] != 'j'){echo ' disabled="disabled"';}?> onchange="daily_bu('3');">
											<option value="">--</option>
										<?php
											for ($i = 00; $i < 24; $i++)
											{
												$i2 = $i;

												// fuehrende null anfuegen
												if (strlen($i2) == 1)
												{
													$i2 = '0'.$i2;
												}
										?>
												<option value="<?php echo $i2;?>"<?php if ($zeile_masterzeit['uhrzeit3'] == $i2) {echo ' selected="selected"';}?>><?php echo $i2;?></option>
										<?php
											}
										?>
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr><td colspan="2"><br /><br /></td></tr>
					<tr>
						<td colspan="2" class="padding_leftright_10">
							<?php get_text(468); /*Bitte geben Sie an, ob Sie bei erfolgreicher Durchfuehrung des Backups eine E-Mail Benachrichtigung erhalten moechten.*/?>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(329); /*E-Mail Benachrichtigung senden*/?>:</strong></td>
						<td nowrap="nowrap">
							<input type="radio" name="backup_mail_senden" value="j"<?php if ($setup_array['backup_mail_senden'] == "j"){echo ' checked="checked"';}?> />&nbsp;<?php get_text('', 'echo', 'decode_on', 'ja'); /*ja*/?>&nbsp;&nbsp;
							<input type="radio" name="backup_mail_senden" value="n"<?php if ($setup_array['backup_mail_senden'] == "n"){echo ' checked="checked"';}?> />&nbsp;<?php get_text('', 'echo', 'decode_on', 'nein'); /*nein*/?>
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'recipients'); /*Empfaenger*/?>:</strong></td>
						<td><input type="text" name="email_recipients" value="<?php echo $setup_array['backup_mail_recipients'];?>" class="ipt_400" /></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td>&#160;</td>
						<td><?php echo get_button(get_text('', 'print', 'decode_on', 'save')/*Speichern*/, 'tick.png', 'onclick="return chkipt();"'); ?></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
				</table>
			</form>
		</td>
	</tr>
</table>