<?php
	/**
	 * edit basic settings
	 * @package time-o-meter
	 * @subpackage setup
	 */
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text(202); /*Grundeinstellungen*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<?php
				if (isset($setup_array['application_name']))
				{
					$application_name_string = $setup_array['application_name'];
				}
				else
				{
					$application_name_string = 'timeometer';
				}
			?>
			<script type="text/javascript">
				<!--
					// prueft die formulareingaben auf korrekten inhalt
					function chk_basic_setup()
					{
						if (document.getElementById("contact_name").value == "")
						{
							alert("<?php get_text(687, 'echo', 'decode_off'); /*Bitte geben Sie den Namen des Ansprechpartners an.*/?>");
							document.getElementById("contact_name").focus();
							return false;
						}
						if (document.getElementById("contact_tel").value == "" && document.getElementById("contact_fax").value == "" && document.getElementById("contact_mail").value == "")
						{
							alert("<?php get_text(688, 'echo', 'decode_off'); /*Bitte geben Sie mindestens eine Kontaktmoeglichkeit an.*/?>");
							document.getElementById("contact_tel").focus();
							return false;
						}
						if (document.getElementById("min_pw_len").value == "")
						{
							alert("<?php get_text(992, 'echo', 'decode_off'); /*Please enter the minimum password length!*/?>");
							document.getElementById("min_pw_len").focus();
							return false;
						}
						if (document.getElementById("min_username_len").value == "")
						{
							alert("<?php get_text(1052, 'echo', 'decode_off'); /*Bitte geben Sie eine Mindestl&auml;nge f&uuml;r Benutzernamen an!*/?>");
							document.getElementById("min_username_len").focus();
							return false;
						}
						else if (isNaN(document.getElementById("min_pw_len").value))
						{
							alert("<?php get_text(993, 'echo', 'decode_off'); /*Please enter a number for the minimum password length!*/?>");
							document.getElementById("min_pw_len").focus();
							return false;
						}
						document.form_setup_basic.submit();
					}
				// -->
			</script>
			<form name="form_setup_basic" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
				<input type="hidden" name="job_string" value="edit_basic_setup" />
				<?php
					//Reloadsperre
					$reload->create();
					//Checksumme
					echo $chk_sum->GetHidden(array('job_string'=>'edit_basic_setup'));
				?>
				<table cellpadding="2" cellspacing="0" border="0" width="100%" class="table_content">
					<colgroup>
						<col width="40%" />
						<col width="60%" />
					</colgroup>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text('', 'echo', 'decode_on', 'wartungsmodus'); /*Wartungsmodus*/?></h4>
							<?php get_text(523); /*olange der Wartungsmodus aktiv ist, ist der Userbereich fuer alle Benutzer gesperrt. Auf der Loginseite erscheint ein entsprechender Hinweis.*/?>
							<br /><br />
						</td>
					</tr>
					<?php
						$count = 0;
						$sql = $cdb->select("SELECT t2.vorname, t2.nachname FROM hdb_session t1
											LEFT JOIN hdb_user t2 ON t1.sess_key=t2.session_key
											WHERE t1.sess_expiry > '".date('YmdHis')."' AND t2.nachname IS NOT NULL ORDER BY t2.sort_name ASC");
						while ($result = $cdb->fetch_array($sql))
						{
							$count++;
						}
					?>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(708); /*Derzeit eingeloggte Benutzer*/?>:</strong></td>
						<td><?php echo $count;?></td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(522); /*Wartungsmodus aktiv*/?>:</strong></td>
						<td>
							<input type="radio" name="maintenance_mode" value="j"<?php if ($setup_array['maintenance_mode'] == 'j'){echo ' checked="checked"';}?> /> <?php get_text('', 'echo', 'decode_on', 'ja'); /*ja*/?>&nbsp;&nbsp;
							<input type="radio" name="maintenance_mode" value="n"<?php if ($setup_array['maintenance_mode'] == 'n'){echo ' checked="checked"';}?> /> <?php get_text('', 'echo', 'decode_on', 'nein'); /*nein*/?>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(505); /*Name der Anwendung*/?></h4>
							<?php get_text(506); /*Der Name der Anwendung erscheint zum Beispiel in der Titelzeile des Browserfensters.*/?>
							<br /><br />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(505); /*Name der Anwendung*/?>:</strong></td>
						<td><input type="text" name="application_name" value="<?php echo $setup_array['application_name'];?>" class="ipt_150" /></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(507); /*Footer*/?></h4>
							<?php get_text(508); /*Die Fusszeile erscheint unterhalb des Contentbereiches am Ende jeder Seite und koennte beispielsweise Copyright- oder Kontakt-Informationen enthalten.*/?>
							<br /><br />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(509); /*Fusszeile*/?>:</strong></td>
						<td><input type="text" name="footer_text" value="<?php echo $setup_array['footer_text'];?>" class="ipt_150" /></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text('', 'echo', 'decode_on', 'datumsformat'); /*Datumsformat*/?>:</h4>
							<?php get_text(590); /*Das Datumsformat gibt an, wie eine Datumsangabe innerhalb des Systems dargestellt werden soll.*/?>
							<br /><br />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'datumsformat'); /*Datumsformat*/?>:</strong></td>
						<td>
							<select name="date_format" class="ipt_150">
								<option value="Y-m-d"<?php if ($setup_array['date_format'] == 'Y-m-d'){echo ' selected="selected"';}?>><?php get_text('', 'echo', 'decode_on', 'yyyy'); /*YYYY*/?>-<?php get_text('', 'echo', 'decode_on', 'mm'); /*MM*/?>-<?php get_text('', 'echo', 'decode_on', 'dd'); /*DD*/?></option>
								<option value="d.m.Y"<?php if ($setup_array['date_format'] == 'd.m.Y'){echo ' selected="selected"';}?>><?php get_text('', 'echo', 'decode_on', 'dd'); /*DD*/?>.<?php get_text('', 'echo', 'decode_on', 'mm'); /*MM*/?>.<?php get_text('', 'echo', 'decode_on', 'yyyy'); /*YYYY*/?></option>
								<option value="d/m/Y"<?php if ($setup_array['date_format'] == 'd/m/Y'){echo ' selected="selected"';}?>><?php get_text('', 'echo', 'decode_on', 'dd'); /*DD*/?>/<?php get_text('', 'echo', 'decode_on', 'mm'); /*MM*/?>/<?php get_text('', 'echo', 'decode_on', 'yyyy'); /*YYYY*/?></option>
							</select>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(684); /*Kontaktdaten*/?>:</h4>
							<?php get_text(685); /*Diese Informationen werden auf den Login- und Hilfeseiten ausgegeben.*/?>&nbsp;
							<?php get_text(688); /*Bitte geben Sie mindestens eine Kontaktmoeglichkeit an.*/?>
							<br /><br />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(686); /*Name des Ansprechpartners*/?>:*</strong></td>
						<td>
							<input type="text" class="ipt_150" name="contact_name" id="contact_name" value="<?php echo $setup_array['contact_name']; ?>" />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text('','echo','decode_on','telefon'); /*Telefon*/?>:</strong></td>
						<td>
							<input type="text" class="ipt_150" name="contact_tel" id="contact_tel" value="<?php echo $setup_array['contact_tel']; ?>" />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text('','echo','decode_on','fax'); /*Fax*/?>:</strong></td>
						<td>
							<input type="text" class="ipt_150" name="contact_fax" id="contact_fax" value="<?php echo $setup_array['contact_fax']; ?>" />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text('','echo','decode_on','email'); /*E-Mail*/?>:</strong></td>
						<td>
							<input type="text" class="ipt_150" name="contact_mail" id="contact_mail" value="<?php echo $setup_array['contact_mail']; ?>" />
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(994); //Login settings?>:</h4>
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(995); //Minimum password length?>:*</strong></td>
						<td>
							<input type="text" class="ipt_150" name="min_pw_len" id="min_pw_len" value="<?php if (isset($setup_array['min_pw_len'])) {echo $setup_array['min_pw_len'];} ?>" />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(1053); //Minimum length of usernames?>:*</strong></td>
						<td>
							<input type="text" class="ipt_150" name="min_username_len" id="min_username_len" value="<?php if (isset($setup_array['min_username_len'])) {echo $setup_array['min_username_len'];} ?>" />
						</td>
					</tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<br />
							<?php get_text(996); //TOM will not create any login-cookies, if this setting is disabled. A cookie improves...?>
							<br />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(997); //Cookie für Login verwenden?>:*</strong></td>
						<td>
							<input type="radio" name="login_cookie_int" value="1"<?php if (isset($setup_array['login_cookie']) and $setup_array['login_cookie'] == true){echo ' checked="checked"';} ?> />  <?php get_text('', 'echo', 'decode_on', 'ja'); /*ja*/?>&nbsp;&nbsp;
							<input type="radio" name="login_cookie_int" value="0"<?php if (isset($setup_array['login_cookie']) and $setup_array['login_cookie'] == false){echo ' checked="checked"';} ?> /> <?php get_text('', 'echo', 'decode_on', 'nein'); /*nein*/?>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(120); //Logbuch ?>:</h4>
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(943); //Logbuch Aktiviert ?>:*</strong></td>
						<td>
							<input type="radio" name="logbook" value="j"<?php if ($setup_array['logbook'] == 'j'){echo ' checked="checked"';} ?> /> <?php get_text('', 'echo', 'decode_on', 'ja'); /*ja*/?>&nbsp;&nbsp;
							<input type="radio" name="logbook" value="n"<?php if ($setup_array['logbook'] == 'n'){echo ' checked="checked"';} ?> /> <?php get_text('', 'echo', 'decode_on', 'nein'); /*nein*/?>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(119); //Jahresurlaubsplan ?>:</h4>
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(1011); //Uebersicht nach Qualifikation ?>:*</strong></td>
						<td>
							<input type="radio" name="holiday_overview_qualification" value="1"<?php if (isset($setup_array['holiday']['overview_qualification']) and $setup_array['holiday']['overview_qualification'] == true){echo ' checked="checked"';} ?> /> <?php get_text('', 'echo', 'decode_on', 'ja'); /*ja*/?>&nbsp;&nbsp;
							<input type="radio" name="holiday_overview_qualification" value="0"<?php if (isset($setup_array['holiday']['overview_qualification']) and $setup_array['holiday']['overview_qualification'] == false){echo ' checked="checked"';} ?> /> <?php get_text('', 'echo', 'decode_on', 'nein'); /*nein*/?>
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(1032); //Uebersicht nach Projekt ?>:*</strong></td>
						<td>
							<input type="radio" name="holiday_overview_project" value="1"<?php if (isset($setup_array['holiday']['overview_project']) and $setup_array['holiday']['overview_project'] == true){echo ' checked="checked"';} ?> /> <?php get_text('', 'echo', 'decode_on', 'ja'); /*ja*/?>&nbsp;&nbsp;
							<input type="radio" name="holiday_overview_project" value="0"<?php if (isset($setup_array['holiday']['overview_project']) and $setup_array['holiday']['overview_project'] == false){echo ' checked="checked"';} ?> /> <?php get_text('', 'echo', 'decode_on', 'nein'); /*nein*/?>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td>&#160;</td>
						<td><?php echo get_button(get_text('', 'print', 'decode_on', 'save')/*Speichern*/, 'tick.png', 'onclick="return chk_basic_setup();"'); ?></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
				</table>
			</form>
		</td>
	</tr>
</table>