<?php
	/**
	 * holiday settings
	 * @package time-o-meter
	 * @subpackage setup
	 */
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('793'); /*Feiertage &amp; halbe Arbeitstage*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<?php get_text('794'); /*Die folgende uebersicht zeigt alle gesetzlichen und selbst definierten Feiertage...*/?>
			<br /><br />
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<colgroup>
					<col width="10%" />
					<col width="20%" />
					<col width="20%" />
					<col width="8%" />
					<col width="30%" />
					<col width="12%" />
				</colgroup>
				<tr class="table_tr_bg_2">
					<td class="table_header_left"><?php get_text('', 'echo', 'decode_on', 'datum'); /*Datum*/?></td>
					<td class="table_header"><?php get_text('', 'echo', 'decode_on', 'bezeichnung'); /*Bezeichnung*/?></td>
					<td class="table_header"><?php get_text('', 'echo', 'decode_on', 'art'); /*Art*/?></td>
					<td class="table_header" align="center"><?php get_text('', 'echo', 'decode_on', 'feiertag'); /*Feiertag*/?></td>
					<td class="table_header" align="center"><?php get_text('792'); /*Arbeitstag mit halbierter Sollstundenzahl*/?></td>
					<td class="table_header"><?php get_text('', 'echo', 'decode_on', 'aktionen'); /*Aktionen*/?></td>
				</tr>
				<?php
					$jahr_int = date("Y");
					$feiertage_array = $kal->get_db_holidays_year($jahr_int);
					$count_int = 0;
					$bg_int = 1;

					foreach ($feiertage_array as $feiertag_datum => $feiertag_daten)
					{
						$cs = $chk_sum->GetString(array('ftid_int' => $feiertag_daten['ft_id']));
				?>
						<tr class="table_tr_bg_<?php echo $bg_int; ?>">
							<td><?php echo $kal->iso_to_free($feiertag_datum); ?></td>
							<td><?php echo $feiertag_daten['bezeichnung']; ?></td>
							<td>
								<?php
									if ($feiertag_daten['type'] == 'default')
									{
										get_text(437); /*vordefiniert*/
									}
									elseif ($feiertag_daten['type'] == 'annual')
									{
										get_text(438); /*unbeweglich (festes Datum)*/
									}
									elseif ($feiertag_daten['type'] == 'unique')
									{
										get_text(439); /*beweglich*/
									}
								?>
							</td>
							<td align="center">
								<?php
									if ($feiertag_daten['halbe_sollstunden'] != 'j')
									{
										get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
									}
									else
									{
										get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
									}
								?>
							</td>
							<td align="center">
								<?php
									if ($feiertag_daten['halbe_sollstunden'] == 'j')
									{
										get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
									}
									else
									{
										get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
									}
								?>
							</td>
							<td>
								<?php
									// vordefinierte feiertage koennen nicht bearbeitet werden
									if ($feiertag_daten['type'] == 'default')
									{
								?>
										<img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/pencil_delete.png'; ?>" width="16" height="16" border="0" alt="" class="image" />
								<?php
									}
									else
									{
								?>
										<a href="index.php<?php echo $gv->create_get_string('?fileinc=ft_edit&amp;ftid_int='.$feiertag_daten['ft_id'].'&amp;'.$cs); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/pencil.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
								<?php
									}
								?>
								<a href="index.php<?php echo $gv->create_get_string('?fileinc=ft_del&amp;ftid_int='.$feiertag_daten['ft_id'].'&amp;'.$cs); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/cross.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
							</td>
						</tr>
				<?php
						$count_int++;

						if ($bg_int == 1)
						{
							$bg_int++;
						}
						else
						{
							$bg_int = 1;
						}
					}

					if ($count_int == 0)
					{
						echo '<tr><td class="table_tr_bg_1" colspan="5">'.get_text('', 'return', 'decode_on', 'no_results')/*Kein Datensatz vorhanden*/.'</td></tr>';
					}
				?>
			</table>
			<?php echo get_button(get_text(655, 'print'), 'add.png', 'onclick="window.location.href=\''.TOM_ABS_URL.'setup/index.php'.$gv->create_get_string('?fileinc=ft_add&amp;clear_sf=1').'\';"'); /*Feiertag hinzufuegen*/ ?>
		</td>
	</tr>
</table>