<?php
	/**
	 * this file contains all actions for the stz-folder (timesheet-actions)
	 * @package time-o-meter
	 * @subpackage stz
	 */

	//Stundenzettelaenderung
	if ($_POST['job_string'] == 'edit_stz')
	{
		$tss = new TimeSheetSave;
		//Stundenzetteldaten Speichern
		$result = $tss->save();

		if ($result === true)
		{
			$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); /*Die aenderungen wurden gespeichert.*/
		}
		elseif (isset($result['error']))
		{
			if ($result['error'] == 1)
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
			}
			elseif ($result['error'] == 2)
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler.*/, WARNING, __LINE__);
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
			}
		}
		else //unbekannter Fehler
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'main';
	}
	//Stundenzettel abschliessen
	elseif ($_POST['job_string'] == 'close_stz')
	{
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			if ($chk_sum->Chk($_POST['VCS']) === true)
			{
				$tss = new TimeSheetSave();

				if ($tss->recalculation_month_data($_POST['user'], $_POST['year'], $_POST['month']))
				{
					$ts = new TimeSheet;

					if ($ts->close_time_sheet($_POST['user'], $_POST['month'], $_POST['year']) === true)
					{
						$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); /*Die aenderungen wurden gespeichert.*/
					}
					else
					{
						$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
					}
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		if (isset($_POST['page']))
		{
			$GLOBALS['TOM_VAR']['fileinc'] = $_POST['page'];
		}
	}
	//Stundenzettel Freigeben
	elseif ($_POST['job_string'] == 'unlock_stz')
	{
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			if ($chk_sum->Chk($_POST['VCS']) === true)
			{
				if ($cdb->select("UPDATE hdb_stz_monat SET abgeschlossen='n' WHERE id=".$_POST['stzid_int']))
				{
					$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); /*Die aenderungen wurden gespeichert.*/
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'overview_stz';
	}
	//uebertrag bearbeiten
	elseif ($_POST['job_string'] == 'add_carry')
	{
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			//POST daten pruefen
			//if ($chk_var->error_count_int == 0)
			// FIXME: veraiablenpruefung ueberarbeiten und wieder einkommentieren
			if (1 == 1)
			{
				if (isset($_POST['stz_int']) and $_POST['stz_int'] > 0)
				{
					if ((isset($_POST['stunden_float']) and !empty($_POST['stunden_float'])) or (isset($_POST['urlaub_float']) and !empty($_POST['urlaub_float'])))
					{
						$sql = $cdb->select('SELECT user_id, datum, startwert_stunden, startwert_urlaub, uebertrag_stunden, uebertrag_urlaub FROM hdb_stz_monat WHERE id='.$_POST['stz_int']);
						$result = $cdb->fetch_array($sql);

						$startwert_stunden = $result['startwert_stunden'];
						$uebertrag_stunden = $result['uebertrag_stunden'];
						$startwert_urlaub = $result['startwert_urlaub'];
						$uebertrag_urlaub = $result['uebertrag_urlaub'];

						if (empty($startwert_stunden))
						{
							$startwert_stunden = 0;
						}

						if (empty($uebertrag_stunden))
						{
							$uebertrag_stunden = 0;
						}

						if (empty($startwert_urlaub))
						{
							$startwert_urlaub = 0;
						}

						if (empty($uebertrag_urlaub))
						{
							$uebertrag_urlaub = 0;
						}

						$sql_insert_column = 'INSERT INTO hdb_stz_uebertrag (user_id, datum';
						$sql_insert_value = "VALUES (".$result['user_id'].", '".$result['datum']."'";

						//stunden aendern
						if (isset($_POST['stunden_float']) and !empty($_POST['stunden_float']))
						{
							$sql_insert_column .= ', org_stunden, stunden';
							$sql_insert_value .= ', '.$result['startwert_stunden'].', '.$_POST['stunden_float'];

							$startwert_stunden = $result['startwert_stunden'] + $_POST['stunden_float'];
							$uebertrag_stunden = $result['uebertrag_stunden'] + $_POST['stunden_float'];
						}

						//urlaub aendern
						if (isset($_POST['urlaub_float']) and !empty($_POST['urlaub_float']))
						{
							$sql_insert_column .= ', org_urlaub, urlaub';
							$sql_insert_value .= ', '.$result['startwert_urlaub'].', '.$_POST['urlaub_float'];

							$startwert_urlaub = $result['startwert_urlaub'] + $_POST['urlaub_float'];
							$uebertrag_urlaub = $result['uebertrag_urlaub'] + $_POST['urlaub_float'];
						}

						$sql_insert_column .= ', kommentar) ';
						$sql_insert_value .= ", '".$_POST['kommentar_string']."')";

						if ($cdb->update("UPDATE hdb_stz_monat SET
										startwert_stunden=$startwert_stunden,
										startwert_urlaub=$startwert_urlaub,
										uebertrag_stunden=$uebertrag_stunden,
										uebertrag_urlaub=$uebertrag_urlaub
										WHERE id=".$_POST['stz_int']))
						{
							if ($cdb->insert($sql_insert_column.$sql_insert_value))
							{
								$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); /*Die aenderungen wurden gespeichert.*/
							}
							else
							{
								$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
							}
						}
						else
						{
							$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
						}
					}
					else
					{
						$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
					}
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'carry';
	}
?>