<?php
	/**
	 * xml output (username and id)
	 * @package time-o-meter
	 * @subpackage stz
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	header('Content-type: application/xml');
	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: ".date('r', time() - 86400));
	$return = '<?xml version="1.0" encoding="utf-8"?>'."\n";
	$return .= "<root>\n";
	if (isset($_GET['usertyp']) and !empty($_GET['usertyp']))
	{
		if ($_GET['usertyp'] == 'j')
		{
			$sql = $cdb->select("SELECT user_id, vorname, nachname FROM hdb_user WHERE anzeigen='j' ORDER BY sort_name ASC");
		}
		elseif ($_GET['usertyp'] == 'n')
		{
			$sql = $cdb->select("SELECT user_id, vorname, nachname FROM hdb_user WHERE anzeigen='n' ORDER BY sort_name ASC");
		}
		else
		{
			$sql = $cdb->select('SELECT user_id, vorname, nachname FROM hdb_user ORDER BY sort_name ASC');
		}

		while ($result = $cdb->fetch_array($sql))
		{
			$return .= "\t<userdata>\n";
			$return .= "\t\t<id>".$result['user_id']."</id>\n";
			$return .= "\t\t<vorname>".html_entity_decode($result['vorname'], ENT_QUOTES)."</vorname>\n";
			$return .= "\t\t<nachname>".html_entity_decode($result['nachname'], ENT_QUOTES)."</nachname>\n";
			$return .= "\t</userdata>\n";
		}
	}
	$return .= "</root>";

	echo utf8_encode($return);
?>