<?php
	/**
	 * index-file of the user-folder
	 * @package time-o-meter
	 * @subpackage user
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	/**
	 * header einbinden
	 */
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/header.php');

	if ($access->check_group(USER_GROUP_ID, 'admin_user_read'))
	{
		//Contentausgabe
		if (!isset($GLOBALS['TOM_VAR']['fileinc']) or empty($GLOBALS['TOM_VAR']['fileinc']) or $GLOBALS['TOM_VAR']['fileinc'] == 'main')
		{
			require_once('main.php');
		}
		elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'user_show')
		{
			require_once('user_show.php');
		}
		elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'user_edit' and $access->check_group(USER_GROUP_ID, 'admin_user_write'))
		{
			require_once('user_edit.php');
		}
		elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'user_del' and $access->check_group(USER_GROUP_ID, 'admin_user_write'))
		{
			require_once('user_del.php');
		}
		elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'user_add' and $access->check_group(USER_GROUP_ID, 'admin_user_write'))
		{
			require_once('user_add.php');
		}
		elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'user_activate' and $access->check_group(USER_GROUP_ID, 'admin_user_write'))
		{
			require_once('user_activate.php');
		}
		elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'user_sick_day' and $access->check_group(USER_GROUP_ID, 'admin_reports_health_read'))
		{
			require_once('user_sick_day.php');
		}
		elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'user_working_time' and $access->check_group(USER_GROUP_ID, 'admin_reports_read'))
		{
			require_once('user_working_time.php');
		}
		elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'user_birthday_list' and $access->check_group(USER_GROUP_ID, 'admin_reports_read'))
		{
			require_once('user_birthday_list.php');
		}
		else
		{
			require_once('main.php');
		}
	}

	//Footer
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/footer.php');
?>