<?php
	/**
	 * this file contains all actions for the user-folder
	 * @package time-o-meter
	 * @subpackage user
	 */

	if ($_POST['job_string'] == 'user_del')
	{
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			if ($chk_var->error_count_int == 0 and is_numeric($_POST['userid_int']))
			{
				//Zu einem Bestimmten Datum deaktivieren
				if (isset($_POST['deldate_string']))
				{
					$date = $kal->free_to_iso($_POST['deldate_string']);
					if ($kal->is_iso_date($date) !== false)
					{
						$date = str_replace('-', '', $date);

						if ($cdb->update("UPDATE hdb_user SET del_time='".$date."000000' WHERE user_id=".$_POST['userid_int']))
						{
							$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); //Die aenderungen wurden gespeichert.
						}
						else
						{
							$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
						}
					}
					else
					{
						$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
					}
				}
				else //Sofort deaktivieren
				{
					if ($cdb->update("UPDATE hdb_user SET login_aktiv='n', del_time='".date('YmdHis')."', anzeigen='n' WHERE user_id=".$_POST['userid_int']))
					{
						$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); /*Die aenderungen wurden gespeichert.*/
					}
					else
					{
						$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
					}
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'main';
	}
	elseif ($_POST['job_string'] == 'user_edit')
	{
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			if ($chk_var->error_count_int == 0)
			{
				$pflichtfeld = 0;
				if (!isset($_POST['vorname_string']) or empty($_POST['vorname_string']))	{$pflichtfeld++;}
				if (!isset($_POST['nachname_string']) or empty($_POST['nachname_string']))	{$pflichtfeld++;}
				if (!isset($_POST['mail_string']) or empty($_POST['mail_string']))			{$pflichtfeld++;}
				if (!isset($_POST['urlaub_int']) or _empty($_POST['urlaub_int']))			{$pflichtfeld++;}
				if (!isset($_POST['minweek_float']) or _empty($_POST['minweek_float']))			{$pflichtfeld++;}
				if (!isset($_POST['maxweek_float']) or _empty($_POST['maxweek_float']))			{$pflichtfeld++;}
				if (!isset($_POST['gebdate_string']) or empty($_POST['gebdate_string']))	{$pflichtfeld++;}

				if ($pflichtfeld == 0)
				{
					if (isset($_POST['gebdate_string']))
					{
						$_POST['gebdate_string'] = $kal->free_to_iso($_POST['gebdate_string']);
					}
					else
					{
						$_POST['gebdate_string'] = '0000-00-00';
					}
					if (isset($_POST['eintrittsdatum_string']))
					{
						$_POST['eintrittsdatum_string'] = $kal->free_to_iso($_POST['eintrittsdatum_string']);
					}
					else
					{
						$_POST['eintrittsdatum_string'] = '0000-00-00';
					}
					if (isset($_POST['austrittsdatum_string']))
					{
						$_POST['austrittsdatum_string'] = $kal->free_to_iso($_POST['austrittsdatum_string']);
					}
					else
					{
						$_POST['austrittsdatum_string'] = '0000-00-00';
					}
					if (isset($_POST['startdatum_string']))
					{
						$_POST['startdatum_string'] = $kal->free_to_iso($_POST['startdatum_string']);
					}
					else
					{
						$_POST['startdatum_string'] = '0000-00-00';
					}
					if (!isset($_POST['quali_array']) or !is_array($_POST['quali_array']))
					{
						$_POST['quali_array'] = array();
					}

					if (isset($_POST['newpw_string']) and $_POST['newpw_string'] == 'j')
					{
						$cp = new CryptPw;

						$send_pw = true;
						$new_pw = substr(md5(uniqid(rand(), true)), 0, 3).'_'.substr(md5(uniqid(rand(), true)), 3, 3).'-'.substr(md5(uniqid(rand(), true)), 6, 3);
						$new_pw_sql = "pw='".$cp->encode_pw($new_pw)."',";

					}
					else
					{
						$send_pw = false;
						$new_pw_sql = '';
					}

					// den namen fuer die sortierung aufbereiten
					$sort_name_string = $_POST['nachname_string'].', '.$_POST['vorname_string'];
					$sort_name_string = str_replace('&Auml;', 'A', $sort_name_string);
					$sort_name_string = str_replace('&Ouml;', 'O', $sort_name_string);
					$sort_name_string = str_replace('&Uuml;', 'U', $sort_name_string);
					$sort_name_string = str_replace('&auml;', 'a', $sort_name_string);
					$sort_name_string = str_replace('&uuml;', 'u', $sort_name_string);
					$sort_name_string = str_replace('&ouml;', 'o', $sort_name_string);
					$sort_name_string = str_replace('&szlig;', 'sz', $sort_name_string);

					//FIXME ist nur eine notloesung bis die reisekosten vorhanden sind
					if (!isset($_POST['showreiko_string']))
					{
						$_POST['showreiko_string'] = 'n';
					}

					if ($cdb->update("UPDATE hdb_user SET
									anrede='".$_POST['anrede_int']."',
									vorname='".$_POST['vorname_string']."',
									nachname='".$_POST['nachname_string']."',
									sort_name='".$sort_name_string."',
									str='".$_POST['str_string']."',
									hausnr='".$_POST['hausnr_string']."',
									plz='".$_POST['plz_string']."',
									ort='".$_POST['ort_string']."',
									tel='".$_POST['tel_string']."',
									fax='".$_POST['fax_string']."',
									handy='".$_POST['handy_string']."',
									email='".$_POST['mail_string']."',
									tel_private='".$_POST['tel_private_string']."',
									fax_private='".$_POST['fax_private_string']."',
									handy_private='".$_POST['handy_private_string']."',
									email_private='".$_POST['mail_private_string']."',
									geburtsdatum='".$_POST['gebdate_string']."',
									personalnr='".$_POST['personr_string']."',
									urlaubstage='".$_POST['urlaub_int']."',
									min_weektime='".$_POST['minweek_float']."',
									max_weektime='".$_POST['maxweek_float']."',
									eintrittsdatum='".$_POST['eintrittsdatum_string']."',
									austrittsdatum='".$_POST['austrittsdatum_string']."',
									startdatum='".$_POST['startdatum_string']."',
									mastatus_id='".$_POST['mastatus_int']."',
									group_id='".$_POST['group_int']."',
									$new_pw_sql
									login_aktiv='".$_POST['accountaktiv_string']."',
									show_rei_ko='".$_POST['showreiko_string']."',
									sprache_id='".$_POST['sprache_int']."'
									WHERE user_id=".$_POST['userid_int']))
					{
						//Alle Qualifikationen loeschen
						$cdb->delete('DELETE FROM hdb_user_qualifikation WHERE user_id='.$_POST['userid_int']);
						//Alle neuen Qualifikationen eintragen
						if (!empty($_POST['quali_array']))
						{
							foreach ($_POST['quali_array'] as $quali_id)
							{
								$cdb->insert("INSERT INTO hdb_user_qualifikation (user_id, quali_id) VALUES (".$_POST['userid_int'].", $quali_id)");
							}
						}

						$meldung_array['ok'][] = get_text('', 'return', 'decode_on', 'update_ok'); //Die aenderungen wurden gespeichert.
						// neues PW senden
						if ($send_pw)
						{
							$mail = new Mailer;
							$sql = $cdb->select('SELECT anrede, vorname, nachname, email FROM hdb_user WHERE user_id='.$_POST['userid_int']);
							$result = $cdb->fetch_array($sql);

							$mailtext_string = get_text(826,'return','decode_on'); //Sehr geehrte/r
							if ($result['anrede'] == 1)
							{
								$mailtext_string .= ' '.get_text('','return','decode_on','herr'); //Herr
							}
							elseif ($result['anrede'] == 2)
							{
								$mailtext_string .= ' '.get_text('','return','decode_on','frau'); //Frau
							}
							$mailtext_string .= ' '.$result['vorname'].' '.$result['nachname'].",<br /><br />";

							$mailtext_string .= get_text(827,'return','decode_on')/*anbei erhalten Sie Ihr Passwort fuer die Stundendatenbank <application_name>.*/."<br /><br />";
							$mailtext_string .= get_text('','return','decode_on','pw')/*Passwort*/.': '.$new_pw."<br />";
							$mailtext_string .= get_text('','return','decode_on','link')/*Link*/.': <a href="'.TOM_ABS_URL.'" target="_blank">'.TOM_ABS_URL."</a><br /><br />";
							$mailtext_string .= get_text(829,'return','decode_on')/*Mit freundlichen Gruessen*/."<br />".get_text(830,'return','decode_on')/*Ihr <application_name> Team*/;

							// Platzhalter suchen und ersetzen, falls vorhanden
							// <application_name> = Name der Anwendung (aus Grundeinstellungen holen und Entities decodieren wenn noetig)
							$temp_betreff = str_replace('<application_name>', html_entity_decode($setup_array['application_name']), get_text(171,'return','decode_on')/*Ihre <application_name>-Zugangsdaten*/);
							$mailtext_string = str_replace('<application_name>', html_entity_decode($setup_array['application_name']), $mailtext_string);
							$mailtext_string = str_replace('<br>', '<br />', $mailtext_string);

							$mail->send_html_mail($temp_betreff, html_entity_decode($mailtext_string, ENT_QUOTES), $result['email']);

						}
					}
					else
					{
						$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
					}
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'main';
	}
	elseif ($_POST['job_string'] == 'user_add')
	{
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			if ($chk_var->error_count_int == 0)
			{
				$pflichtfeld = 0;
				if (!isset($_POST['vorname_string']) or empty($_POST['vorname_string']))		{$pflichtfeld++;}
				if (!isset($_POST['nachname_string']) or empty($_POST['nachname_string']))		{$pflichtfeld++;}
				if (!isset($_POST['mail_string']) or empty($_POST['mail_string']))				{$pflichtfeld++;}
				if (!isset($_POST['urlaub_int']) or _empty($_POST['urlaub_int']))				{$pflichtfeld++;}
				if (!isset($_POST['minweek_float']) or _empty($_POST['minweek_float']))			{$pflichtfeld++;}
				if (!isset($_POST['maxweek_float']) or _empty($_POST['maxweek_float']))			{$pflichtfeld++;}
				if (!isset($_POST['startdatum_string']) or empty($_POST['startdatum_string']))	{$pflichtfeld++;}
				if (!isset($_POST['group_int']) or empty($_POST['group_int']))					{$pflichtfeld++;}
				if (!isset($_POST['username_string']) or empty($_POST['username_string']))		{$pflichtfeld++;}
				if (!isset($_POST['gebdate_string']) or empty($_POST['gebdate_string']))		{$pflichtfeld++;}

				if ($pflichtfeld == 0)
				{
					$sql = $cdb->select("SELECT user_id FROM hdb_user WHERE LOWER(username)='".strtolower($_POST['username_string'])."'");
					$result = $cdb->fetch_array($sql);

					if (!isset($result['user_id']) or empty($result['user_id']))
					{
						$cp = new CryptPw;
						$mail = new Mailer;

						if (isset($_POST['gebdate_string']))
						{
							$_POST['gebdate_string'] = $kal->free_to_iso($_POST['gebdate_string']);
						}
						else
						{
							$_POST['gebdate_string'] = '0000-00-00';
						}
						if (isset($_POST['eintrittsdatum_string']))
						{
							$_POST['eintrittsdatum_string'] = $kal->free_to_iso($_POST['eintrittsdatum_string']);
						}
						else
						{
							$_POST['eintrittsdatum_string'] = '0000-00-00';
						}
						if (isset($_POST['austrittsdatum_string']))
						{
							$_POST['austrittsdatum_string'] = $kal->free_to_iso($_POST['austrittsdatum_string']);
						}
						else
						{
							$_POST['austrittsdatum_string'] = '0000-00-00';
						}
						if (isset($_POST['startdatum_string']))
						{
							$_POST['startdatum_string'] = $kal->free_to_iso($_POST['startdatum_string']);
						}
						else
						{
							$_POST['startdatum_string'] = '0000-00-00';
						}
						if (!isset($_POST['quali_array']) or !is_array($_POST['quali_array']))
						{
							$_POST['quali_array'] = array();
						}

						// den namen fuer die sortierung aufbereiten
						$sort_name_string = $_POST['nachname_string'].', '.$_POST['vorname_string'];
						$sort_name_string = str_replace('&Auml;', 'A', $sort_name_string);
						$sort_name_string = str_replace('&Ouml;', 'O', $sort_name_string);
						$sort_name_string = str_replace('&Uuml;', 'U', $sort_name_string);
						$sort_name_string = str_replace('&auml;', 'a', $sort_name_string);
						$sort_name_string = str_replace('&uuml;', 'u', $sort_name_string);
						$sort_name_string = str_replace('&ouml;', 'o', $sort_name_string);
						$sort_name_string = str_replace('&szlig;', 'sz', $sort_name_string);

						$new_pw = substr(md5(uniqid(rand(), true)), 0, 3).'_'.substr(md5(uniqid(rand(), true)), 3, 3).'-'.substr(md5(uniqid(rand(), true)), 6, 3);
						$new_pw_sql = $cp->encode_pw($new_pw);

						if ($cdb->insert("INSERT INTO hdb_user (anrede, vorname, nachname, sort_name, str, hausnr, plz, ort, tel, fax, handy, email, tel_private, fax_private, handy_private, email_private, geburtsdatum, personalnr, urlaubstage, min_weektime, max_weektime, eintrittsdatum, austrittsdatum, startdatum, mastatus_id, group_id, username, pw, login_aktiv, show_rei_ko, sprache_id) VALUES ('".$_POST['anrede_int']."','".$_POST['vorname_string']."','".$_POST['nachname_string']."','".$sort_name_string."','".$_POST['str_string']."','".$_POST['hausnr_string']."','".$_POST['plz_string']."','".$_POST['ort_string']."','".$_POST['tel_string']."','".$_POST['fax_string']."','".$_POST['handy_string']."','".$_POST['mail_string']."','".$_POST['tel_private_string']."','".$_POST['fax_private_string']."','".$_POST['handy_private_string']."','".$_POST['mail_private_string']."','".$_POST['gebdate_string']."','".$_POST['personr_string']."','".$_POST['urlaub_int']."','".$_POST['minweek_float']."','".$_POST['maxweek_float']."','".$_POST['eintrittsdatum_string']."','".$_POST['austrittsdatum_string']."','".$_POST['startdatum_string']."','".$_POST['mastatus_int']."','".$_POST['group_int']."','".$_POST['username_string']."','$new_pw_sql','".$_POST['accountaktiv_string']."','".$_POST['showreiko_string']."','".$_POST['sprache_int']."')"))
						{
							if ($cdb->get_affected_rows() == 1)
							{
								$last_insert_id = $cdb->get_last_insert_id();

								if ($last_insert_id > 0)
								{
									//Alle neuen Qualifikationen eintragen
									if (!empty($_POST['quali_array']))
									{
										foreach ($_POST['quali_array'] as $quali_id)
										{
											$cdb->insert("INSERT INTO hdb_user_qualifikation (user_id, quali_id) VALUES ($last_insert_id, $quali_id)");
										}
									}

									$ts = new TimeSheet;
									//Leeren Stundenzettel zum Startdatum anlegen
									if ($ts->insert_new_time_sheet($last_insert_id))
									{
										$meldung_array['ok'][] = get_text('','return','decode_on','save_ok');/*Der Datensatz wurde gespeichert.*/

										//Bei Aktivem LDAP Login braucht kein PW Versendet werden
										if ($setup_array['ldap']['active'] == false)
										{
											//neues PW senden
											$mailtext_string = get_text(826,'return','decode_on'); //Sehr geehrte/r
											if ($_POST['anrede_int'] == 1)
											{
												$mailtext_string .= ' '.get_text('','return','decode_on','herr'); //Herr
											}
											elseif ($_POST['anrede_int'] == 2)
											{
												$mailtext_string .= ' '.get_text('','return','decode_on','frau'); //Frau
											}
											$mailtext_string .= ' '.$_POST['vorname_string'].' '.$_POST['nachname_string'].",<br /><br />";
											$mailtext_string .= get_text(827,'return','decode_on')/*anbei erhalten Sie Ihr Passwort fuer die Stundendatenbank <application_name>.*/."<br /><br />";
											$mailtext_string .= get_text('','return','decode_on','username')/*Benutzername*/.': '.html_entity_decode($_POST['username_string'], ENT_QUOTES)."<br />";
											$mailtext_string .= get_text('','return','decode_on','pw')/*Passwort*/.': '.$new_pw."<br />";
											$mailtext_string .= get_text('','return','decode_on','link')/*Link*/.': <a href="'.TOM_ABS_URL.'" target="_blank">'.TOM_ABS_URL."</a><br /><br />";
											$mailtext_string .= get_text(174,'return','decode_on')/*Bitte aendern Sie Ihr Passwort nach der ersten Anmeldung.*/."<br /><br />";
											$mailtext_string .= get_text(829,'return','decode_on')/*Mit freundlichen Gruessen*/."<br />".get_text('830','return','decode_on')/*Ihr <application_name> Team*/;

											// Platzhalter suchen und ersetzen, falls vorhanden
											// <application_name> = Name der Anwendung (aus Grundeinstellungen holen und Entities decodieren wenn noetig)
											$temp_betreff = str_replace('<application_name>', html_entity_decode($setup_array['application_name']), get_text(171,'return','decode_on')/*Ihre <application_name>-Zugangsdaten*/);
											$mailtext_string = str_replace('<application_name>', html_entity_decode($setup_array['application_name']), $mailtext_string);
											$mailtext_string = str_replace('<br>', '<br />', $mailtext_string);

											$mail->send_html_mail($temp_betreff, html_entity_decode($mailtext_string, ENT_QUOTES), $_POST['mail_string']);
										}
									}
									else
									{
										$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
									}
								}
								else
								{
									$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
								}
							}
							else
							{
								$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
							}
						}
						else
						{
							$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
						}
					}
					else
					{
						$meldung_array['error'][] = setError(get_text(230, 'return'), NOTICE, __LINE__); //Der angegebene Benutzername existiert bereits! Bitte waehlen Sie einen anderen Benutzernamen.
					}
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'main';
	}
	elseif ($_POST['job_string'] == 'user_activate')
	{
		if (isset($_POST['reload_sperre_string']) and $reload->check($_POST['reload_sperre_string']))
		{
			if ($chk_var->error_count_int == 0)
			{
				$pflichtfeld = 0;
				if (!isset($_POST['mail_string']) or empty($_POST['mail_string']))					{$pflichtfeld++;}
				if (!isset($_POST['urlaub_int']) or _empty($_POST['urlaub_int']))					{$pflichtfeld++;}
				if (!isset($_POST['minweek_float']) or _empty($_POST['minweek_float']))				{$pflichtfeld++;}
				if (!isset($_POST['maxweek_float']) or _empty($_POST['maxweek_float']))				{$pflichtfeld++;}
				if (!isset($_POST['start_hours_float']) or _empty($_POST['start_hours_float']))		{$pflichtfeld++;}
				if (!isset($_POST['start_holiday_float']) or _empty($_POST['start_holiday_float']))	{$pflichtfeld++;}
				if (isset($_POST['username_string']) and empty($_POST['username_string']))			{$pflichtfeld++;}

				if ($pflichtfeld == 0)
				{
					$chk_username = true;
					$new_username_sql = '';
					if (isset($_POST['username_string']))
					{
						$sql = $cdb->select("SELECT user_id FROM hdb_user WHERE LOWER(username)='".strtolower($_POST['username_string'])."'");
						$result = $cdb->fetch_array($sql);

						if (isset($result['user_id']) and !empty($result['user_id']))
						{
							$chk_username = false;
						}
						else
						{
							$new_username_sql = "username='".$_POST['username_string']."',";
						}
					}

					if ($chk_username === true)
					{
						if (isset($_POST['newpw_string']) and $_POST['newpw_string'] == 'j')
						{
							$cp = new CryptPw;

							$send_pw = true;
							$new_pw = substr(md5(uniqid(rand(), true)), 0, 3).'_'.substr(md5(uniqid(rand(), true)), 3, 3).'-'.substr(md5(uniqid(rand(), true)), 6, 3);
							$new_pw_sql = "pw='".$cp->encode_pw($new_pw)."',";
						}
						else
						{
							$send_pw = false;
							$new_pw_sql = '';
						}

						if ($cdb->update("UPDATE hdb_user SET email='".$_POST['mail_string']."',
														urlaubstage='".$_POST['urlaub_int']."',
														min_weektime='".$_POST['minweek_float']."',
														max_weektime='".$_POST['maxweek_float']."',
														austrittsdatum='0000-00-00',
														$new_username_sql
														$new_pw_sql
														login_aktiv='j',
														del_time=NULL,
														anzeigen='j'
														WHERE user_id=".$_POST['userid_int']))
						{
							$ts = new TimeSheet();
							if ($ts->activate_time_sheet($_POST['userid_int'], $_POST['start_hours_float'], $_POST['start_holiday_float']))
							{
								$meldung_array['ok'][] = get_text('','return','decode_on','save_ok');/*Der Datensatz wurde gespeichert.*/
								// neues PW senden
								if ($send_pw)
								{
									$mail = new Mailer;
									$sql = $cdb->select('SELECT anrede, vorname, nachname, email FROM hdb_user WHERE user_id='.$_POST['userid_int']);
									$result = $cdb->fetch_array($sql);

									$mailtext_string = get_text(826,'return','decode_on'); //Sehr geehrte/r
									if ($result['anrede'] == 1)
									{
										$mailtext_string .= ' '.get_text('','return','decode_on','herr'); //Herr
									}
									elseif ($result['anrede'] == 2)
									{
										$mailtext_string .= ' '.get_text('','return','decode_on','frau'); //Frau
									}
									$mailtext_string .= ' '.$result['vorname'].' '.$result['nachname'].",<br /><br />";

									$mailtext_string .= get_text(827,'return','decode_on')/*anbei erhalten Sie Ihr Passwort fuer die Stundendatenbank <application_name>.*/."<br /><br />";
									$mailtext_string .= get_text('','return','decode_on','pw')/*Passwort*/.': '.$new_pw."<br />";
									$mailtext_string .= get_text('','return','decode_on','link')/*Link*/.': <a href="'.TOM_ABS_URL.'" target="_blank">'.TOM_ABS_URL."</a><br /><br />";
									$mailtext_string .= get_text(829,'return','decode_on')/*Mit freundlichen Gruessen*/."<br />".get_text(830,'return','decode_on')/*Ihr <application_name> Team*/;

									// Platzhalter suchen und ersetzen, falls vorhanden
									// <application_name> = Name der Anwendung (aus Grundeinstellungen holen und Entities decodieren wenn noetig)
									$temp_betreff = str_replace('<application_name>', html_entity_decode($setup_array['application_name']), get_text(171,'return','decode_on')/*Ihre <application_name>-Zugangsdaten*/);
									$mailtext_string = str_replace('<application_name>', html_entity_decode($setup_array['application_name']), $mailtext_string);
									$mailtext_string = str_replace('<br>', '<br />', $mailtext_string);

									$mail->send_html_mail($temp_betreff, html_entity_decode($mailtext_string, ENT_QUOTES), $result['email']);
								}
							}
							else
							{
								$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
							}
						}
						else
						{
							$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
						}
					}
					else
					{
						$meldung_array['error'][] = setError(get_text(230, 'return'), NOTICE, __LINE__); //Der angegebene Benutzername existiert bereits! Bitte waehlen Sie einen anderen Benutzernamen.
					}
				}
				else
				{
					$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/, WARNING, __LINE__);
				}
			}
			else
			{
				$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler') /*Es ist ein Fehler aufgetreten.*/, WARNING, __LINE__);
			}
		}
		else
		{
			$meldung_array['error'][] = setError(get_text('', 'return', 'decode_on', 'fehler_reloadsperre') /*Eine Reloadsperre hat das erneute Absenden der Anfrage verhindert!*/, WARNING, __LINE__);
		}
		$GLOBALS['TOM_VAR']['fileinc'] = 'main';
	}
?>