<?php
	/**
	 * user overview
	 * this file contains the default-content of the index.php
	 * @package time-o-meter
	 * @subpackage user
	 */

	//Filteroptionen speichern
	$sf->start();

	if (!isset($_POST['filter_anzahl_int']))
	{
		$_POST['filter_anzahl_int'] = 20;
	}
	if (!isset($_POST['filter_order_int']))
	{
		$_POST['filter_order_int'] = 1;
	}
	if (!isset($_POST['filter_projekt_int']))
	{
		$_POST['filter_projekt_int'] = 0;
	}
	if (!isset($_POST['filter_status_int']))
	{
		$_POST['filter_status_int'] = 0;
	}
	if (!isset($_POST['filter_aktiv_string']))
	{
		$_POST['filter_aktiv_string'] = 'j';
	}
	if (!isset($_POST['filter_usergroup_int']))
	{
		$_POST['filter_usergroup_int'] = 0;
	}
	if (isset($_GET['seite']))
	{
		$_GET['blseite'] = $_GET['seite'];
	}
	if (!isset($_POST['filter_quali_int']))
	{
		$_POST['filter_quali_int'] = 0;
	}
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('831'); /*Personalverwaltung*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<form action="index.php<?php echo $gv->create_get_string(); ?>" method="post" name="filter_form" accept-charset="UTF-8">
				<div id="filter_block_min" style="display:none;">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<tr>
							<td class="table_header_left" width="66%"><?php get_text(77);//Filteroptionen ?></td>
							<td class="table_header" align="right" width="34%"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_max.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
					</table>
				</div>
				<div id="filter_block_max">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<colgroup>
							<col width="10%" />
							<col width="15%" />
							<col width="30%" />
							<col width="15%" />
							<col width="30%" />
						</colgroup>
						<tr class="table_tr_bg_2">
							<td class="table_header_left"><?php get_text('74'); /*Anzahl*/?></td>
							<td class="table_header" colspan="3"><?php get_text('77'); /*Filteroptionen*/?></td>
							<td class="table_header" align="right"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_min.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="20"<?php if ($_POST['filter_anzahl_int'] == 20) {echo ' checked="checked"';} ?> /> 20</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'projekt'); /*Projekt*/?>:</td>
							<td class="filter_td_1">
								<select name="filter_projekt_int" class="ipt_200">
									<option value="0"><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$sql = $cdb->select("SELECT projekt_id, name, kurzname FROM hdb_projekte WHERE anzeigen='j' ORDER BY kurzname ASC, name ASC");
										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_projekt_int'] == $result['projekt_id'])
											{
												$select = ' selected="selected"';
											}
											else
											{
												$select = '';
											}
											echo '<option value="'.$result['projekt_id'].'"'.$select.'>'.$result['kurzname'].' - '.$result['name'].'</option>';
										}
									?>
								</select>
							</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'status'); /*Status*/?>:</td>
							<td class="filter_td_2">
								<select name="filter_status_int" class="ipt_200">
									<option value="0"><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$sql = $cdb->select('SELECT * FROM hdb_ma_status ORDER BY status ASC');
										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_status_int'] == $result['mastatus_id'])
											{
												$select = ' selected="selected"';
											}
											else
											{
												$select = '';
											}
											echo '<option value="'.$result['mastatus_id'].'"'.$select.'>'.$result['status'].'</option>';
										}
									?>
								</select>
							</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="40"<?php if ($_POST['filter_anzahl_int'] == 40) {echo ' checked="checked"';} ?> /> 40</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'aktiv'); /*Aktiv*/?>:</td>
							<td class="filter_td_1">
								<select name="filter_aktiv_string" class="ipt_200">
									<option value="j"<?php if ($_POST['filter_aktiv_string'] == 'j') {echo ' selected="selected"';} ?>><?php get_text('352'); /*Aktive Mitarbeiter*/?></option>
									<option value="n"<?php if ($_POST['filter_aktiv_string'] == 'n') {echo ' selected="selected"';} ?>><?php get_text('569'); /*Ehemalige Mitarbeiter*/?></option>
									<option value=""<?php if (empty($_POST['filter_aktiv_string'])) {echo ' selected="selected"';} ?>><?php get_text('258'); /*Alle Mitarbeiter*/?></option>
								</select>
							</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'benutzergruppe'); /*Benutzergruppe*/?>:</td>
							<td class="filter_td_2">
								<select name="filter_usergroup_int" class="ipt_200">
									<option value="0"><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$sql = $cdb->select('SELECT group_id, group_name FROM hdb_usergroups ORDER BY group_name ASC');
										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_usergroup_int'] == $result['group_id'])
											{
												$select = ' selected="selected"';
											}
											else
											{
												$select = '';
											}
											echo '<option value="'.$result['group_id'].'"'.$select.'>'.$result['group_name'].'</option>';
										}
									?>
								</select>
							</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="60"<?php if ($_POST['filter_anzahl_int'] == 60) {echo ' checked="checked"';} ?> /> 60</td>
							<td class="filter_td_2"><?php get_text(240); //Qualifikationen ?>:</td>
							<td class="filter_td_2">
								<select name="filter_quali_int" class="ipt_200">
									<option value="0"><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$sql = $cdb->select('SELECT quali_id, qualifikation FROM hdb_qualifikation ORDER BY qualifikation ASC');
										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_quali_int'] == $result['quali_id'])
											{
												$select = ' selected="selected"';
											}
											else
											{
												$select = '';
											}
											echo '<option value="'.$result['quali_id'].'"'.$select.'>'.$result['qualifikation'].'</option>';
										}
									?>
								</select>
							</td>
							<td class="filter_td_2"><?php get_text('78'); /*Sortieren*/?>:</td>
							<td class="filter_td_2">
								<select name="filter_order_int" class="ipt_200">
									<option value="1"<?php if ($_POST['filter_order_int'] == 1) {echo ' selected="selected"';} ?>><?php get_text('', 'echo', 'decode_on', 'nachname'); /*Nachname*/?> <?php get_text('', 'echo', 'decode_on', 'aufsteigend'); /*aufsteigend*/?></option>
									<option value="2"<?php if ($_POST['filter_order_int'] == 2) {echo ' selected="selected"';} ?>><?php get_text('', 'echo', 'decode_on', 'nachname'); /*Nachname*/?> <?php get_text('', 'echo', 'decode_on', 'absteigend'); /*absteigend*/?></option>
								</select>
							</td>
						</tr>
						<tr class="filter_tr_end">
							<td colspan="3"><?php echo get_button(get_text('', 'return', 'decode_on', 'reset') /*zuruecksetzen*/, 'cancel.png', 'onclick="document.filter_form.reset();"'); ?></td>
							<td colspan="2" align="right"><?php echo get_button(get_text('', 'return', 'decode_on', 'show') /*Anzeigen*/, 'tick.png', 'onclick="document.filter_form.submit();"', 'submit'); ?></td>
						</tr>
					</table>
				</div>
			</form>
			<?php
				/*
				*	ORDER
				*/
				if ($_POST['filter_order_int'] == 2)
				{
					$order = 'ORDER BY t1.sort_name DESC';
				}
				else
				{
					// mitarbeiterliste aufsteigend nach name sortieren
					$order = 'ORDER BY t1.sort_name ASC';
				}

				/*
				*	WHERE
				*/
				$where_array = array();

				if (is_numeric($_POST['filter_projekt_int']) and $_POST['filter_projekt_int'] > 0)
				{
					$where_array[] = 't4.projekt_id='.$_POST['filter_projekt_int'];
				}

				if (is_numeric($_POST['filter_status_int']) and $_POST['filter_status_int'] > 0)
				{
					$where_array[] = 't2.mastatus_id='.$_POST['filter_status_int'];
				}

				if ($_POST['filter_aktiv_string'] == 'j' or $_POST['filter_aktiv_string'] == 'n')
				{
					$where_array[] = "t1.anzeigen='".$_POST['filter_aktiv_string']."'";
				}

				if (is_numeric($_POST['filter_usergroup_int']) and $_POST['filter_usergroup_int'] > 0)
				{
					$where_array[] = 't3.group_id='.$_POST['filter_usergroup_int'];
				}

				if (is_numeric($_POST['filter_quali_int']) and $_POST['filter_quali_int'] > 0)
				{
					$where_array[] = 't5.quali_id='.$_POST['filter_quali_int'];
				}

				$where = '';

				if (count($where_array) > 0)
				{
					foreach ($where_array as $v)
					{
						if (empty($where))
						{
							$where = 'WHERE '.$v;
						}
						else
						{
							$where .= ' AND '.$v;
						}
					}
				}

				$sql = $cdb->select("SELECT COUNT(DISTINCT(t1.user_id)) AS count_id FROM hdb_user t1
									LEFT JOIN hdb_ma_status t2 ON t1.mastatus_id=t2.mastatus_id
									LEFT JOIN hdb_usergroups t3 ON t1.group_id=t3.group_id
									LEFT JOIN hdb_user_projekt t4 ON t1.user_id=t4.user_id
									LEFT JOIN hdb_user_qualifikation t5 ON t1.user_id=t5.user_id
									$where");
				$count_result = $cdb->fetch_array($sql);

				//Blaetternfunktion
				if (!isset($_GET['blseite']))
				{
					$current_page = 1;
				}
				else
				{
					$current_page = $_GET['blseite'];
				}

				$bl = blaettern($current_page, $count_result['count_id'], $_POST['filter_anzahl_int'], $_POST,'index.php');
				echo '<br />'.$bl['txt'].'<br />';
			?>
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<tr class="table_tr_bg_2">
					<td class="table_header_left" width="18%"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?></td>
					<td class="table_header" width="10%"><?php get_text('', 'echo', 'decode_on', 'personalnr'); /*Personalnr.*/?></td>
					<td class="table_header" width="20%"><?php get_text('113'); /*E-Mail*/?></td>
					<td class="table_header" width="10%"><?php get_text('', 'echo', 'decode_on', 'resturlaub'); /*Resturlaub*/?></td>
					<td class="table_header" width="17%"><?php get_text('', 'echo', 'decode_on', 'status'); /*Status*/?></td>
					<td class="table_header" width="12%"><?php get_text('', 'echo', 'decode_on', 'benutzergruppe'); /*Benutzergruppe*/?></td>
					<td class="table_header" width="13%" align="center"><?php get_text('', 'echo', 'decode_on', 'aktionen'); /*Aktionen*/?></td>
				</tr>
				<?php
					$count = 0;
					$bg = 1;

					$sql = $cdb->select("SELECT DISTINCT(t1.user_id), t1.vorname, t1.nachname, t1.email, t1.personalnr, t1.urlaubstage, t1.startdatum, t1.anzeigen, t2.status, t3.group_name FROM hdb_user t1
										LEFT JOIN hdb_ma_status t2 ON t1.mastatus_id=t2.mastatus_id
										LEFT JOIN hdb_usergroups t3 ON t1.group_id=t3.group_id
										LEFT JOIN hdb_user_projekt t4 ON t1.user_id=t4.user_id
										LEFT JOIN hdb_user_qualifikation t5 ON t1.user_id=t5.user_id
										$where $order".$bl['limit']);

					while ($result = $cdb->fetch_array($sql))
					{
						$cs = $chk_sum->GetString(array('userid_int' => $result['user_id'], 'seite' => $current_page));
				?>
						<tr class="table_tr_bg_<?php echo $bg; ?>">
							<td><?php echo $result['nachname'].', '.$result['vorname']; ?></td>
							<td><?php echo $result['personalnr']; ?></td>
							<td title="<?php echo $result['email']; ?>">
								<?php
									if (strlen($result['email']) <= 20)
									{
										echo $result['email'];
									}
									else
									{
										echo substr($result['email'],0,17).'...';
									}
								?>
							</td>
							<td>
								<?php
									$current_date = date('Y-m').'-01';
									$last_date = $kal->date_calculator(date('Y-m').'-01', '', -1, '');
									if (isset($last_date[0]))
									{
										$last_date = $last_date[0];
									}
									else
									{
										$last_date = date('Y-m').'-01';
									}

									$sql2 = $cdb->select("SELECT id,uebertrag_urlaub FROM hdb_stz_monat WHERE user_id='".$result['user_id']."' AND (datum='$current_date' OR datum='$last_date') ORDER BY datum DESC");
									while ($urlaub_result = $cdb->fetch_array($sql2))
									{
										if (is_numeric($urlaub_result['uebertrag_urlaub']))
										{
											$urlaubstage = $urlaub_result['uebertrag_urlaub'];
											break;
										}
									}
									if (!isset($urlaubstage))
									{
										if (date("Y") == substr($result['startdatum'],0,4))
										{
											$urlaubstage = round($result['urlaubstage'] / 12 * (12 - substr($result['startdatum'],5,2) + 1));
										}
									}
									if (isset($urlaubstage))
									{
										echo $urlaubstage;
										unset($urlaubstage);
									}
									else
									{
										echo 0;
									}
								?>
							</td>
							<td><?php echo $result['status']; ?></td>
							<td><?php echo $result['group_name']; ?></td>
							<td align="center">
								<a href="index.php<?php echo $gv->create_get_string('?fileinc=user_show&amp;userid_int='.$result['user_id'].'&amp;seite='.$current_page.'&amp;'.$cs); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/zoom.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
								<?php
									if ($access->check_group(USER_GROUP_ID, 'admin_user_write'))
									{
								?>
										<a href="index.php<?php echo $gv->create_get_string('?fileinc=user_edit&amp;userid_int='.$result['user_id'].'&amp;seite='.$current_page.'&amp;'.$cs); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/pencil.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
										<?php
											if ($result['anzeigen'] == 'j')
											{
												echo '<a href="index.php'.$gv->create_get_string('?fileinc=user_del&amp;userid_int='.$result['user_id'].'&amp;seite='.$current_page.'&amp;'.$cs).'"><img src="'.TOM_ABS_URL.'template/'.$setup_array['template'].'/image/cross.png" width="16" height="16" border="0" title="'.get_text(834, 'return') /*Benutzerkonto deaktivieren*/.'" alt="" class="image" /></a>';
											}
											else
											{
												echo '<a href="index.php'.$gv->create_get_string('?fileinc=user_activate&amp;userid_int='.$result['user_id'].'&amp;seite='.$current_page.'&amp;'.$cs).'"><img src="'.TOM_ABS_URL.'template/'.$setup_array['template'].'/image/user_go.png" width="16" height="16" border="0" title="'.get_text(998, 'return') /*Benutzerkonto aktivieren*/.'" alt="" class="image" /></a>';
											}
									}
								?>
							</td>
						</tr>
				<?php
						if ($bg == 1)
						{
							$bg++;
						}
						else
						{
							$bg = 1;
						}
					}
				?>
			</table>
			<form action="../report/pdf_userlist.php<?php echo $gv->create_get_string(); ?>" name="form_pdfuserlist" method="post" target="_blank" accept-charset="UTF-8">
				<?php
					echo $chk_sum->GetHidden(array('filter_order_int'		=> $_POST['filter_order_int'],
													'filter_projekt_int'	=> $_POST['filter_projekt_int'],
													'filter_status_int'		=> $_POST['filter_status_int'],
													'filter_aktiv_string'	=> $_POST['filter_aktiv_string'],
													'filter_usergroup_int'	=> $_POST['filter_usergroup_int']));

					echo '<input type="hidden" name="filter_order_int" value="'.$_POST['filter_order_int'].'" />';
					echo '<input type="hidden" name="filter_projekt_int" value="'.$_POST['filter_projekt_int'].'" />';
					echo '<input type="hidden" name="filter_status_int" value="'.$_POST['filter_status_int'].'" />';
					echo '<input type="hidden" name="filter_aktiv_string" value="'.$_POST['filter_aktiv_string'].'" />';
					echo '<input type="hidden" name="filter_usergroup_int" value="'.$_POST['filter_usergroup_int'].'" />';
				?>
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<tr>
						<td width="50%">
							<?php
								if ($access->check_group(USER_GROUP_ID, 'admin_user_write'))
								{
									echo get_button(get_text('663','print'), 'add.png', 'onclick="window.location.href=\''.TOM_ABS_URL.'user/index.php'.$gv->create_get_string('?fileinc=user_add&amp;clear_sf=1').'\';"'); /*Mitarbeiter hinzufuegen*/
								}
								else
								{
									echo '&nbsp;';
								}
							?>
						</td>
						<td width="50%" align="right">
							<?php echo get_button(get_text(588, 'return'), 'page_white_acrobat.png',  'onclick="document.form_pdfuserlist.submit();"', 'submit');//PDF Erstellen ?>
						</td>
					</tr>
				</table>
			</form>
		</td>
	</tr>
</table>