<?php
	/**
	 * create backup
	 * @package time-o-meter
	 * @subpackage backup
	 */

	// zugriffsrechte pruefen
	if (defined('USER_GROUP_ID') and $access->check_group(USER_GROUP_ID, 'admin_backup'))
	{
?>
		<script type="text/javascript">
			<!--
				// prueft die formulareingaben auf vorhandensein
				function chk_ipt()
				{
					if (document.getElementById('bezeichnung').value == "")
					{
						alert("<?php get_text('422', 'echo', 'decode_off'); /*Bitte geben Sie eine Bezeichnung an!*/?>");
						return false;
					}
					else
					{
						document.form_add_backup.submit();
					}

				} // ende function chkipt()

			// -->
		</script>
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr valign="middle">
				<td class="main_table_header" width="100%"><?php get_text('560'); //Vollstaendiges Datenbank-Backup im SQL-Format erstellen?></td>
			</tr>
			<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
			<tr>
				<td class="main_table_content">
					<a href="index.php<?php echo $gv->create_get_string('?fileinc=main'); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />

					<form name="form_add_backup" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
						<input type="hidden" name="job_string" value="add_backup" />
						<?php
							//Reloadsperre
							$reload->create();
							//Checksummenstring
							echo $chk_sum->GetHidden(array('job_string'=>'add_backup'));
						?>
						<table cellpadding="2" cellspacing="0" width="60%" class="table_content">
							<colgroup>
								<col width="30%" />
								<col width="70%" />
							</colgroup>
							<tr><td colspan="2">&#160;</td></tr>
							<tr>
								<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'beschreibung'); /*Beschreibung*/?>:*</strong></td>
								<td><input type="text" name="bezeichnung" id="bezeichnung" class="ipt_350" maxlength="190" /></td>
							</tr>
							<tr><td colspan="2" style="line-height:2px;">&#160;</td></tr>
							<tr>
								<td>&#160;</td>
								<td><?php echo get_button(get_text('65','print'), 'tick.png', 'onclick="return chk_ipt();"'); ?></td>
							</tr>
							<tr><td colspan="2">&#160;</td></tr>
						</table>
					</form>
					<br /><br />

				</td>
			</tr>
		</table>
<?php
	}
	else
	{
		echo setError(get_text('', 'return', 'decode_on', 'fehler_zugriffsrechte') /*Sie besitzen nicht die notwendigen Zugriffsrechte fuer diesen Bereich.*/, WARNING, __LINE__);
	}
?>