<?php
	/**
	 * delete all backup-files
	 * @package time-o-meter
	 * @subpackage backup
	 */

	// zugriffsrechte pruefen
	if (defined('USER_GROUP_ID') and $access->check_group(USER_GROUP_ID, 'admin_backup'))
	{
?>
		<script type="text/javascript">
			<!--
				// uebernimmt die einstellung der master-checkbox fuer alle anderen checkboxen
				function select_all()
				{
					for (var i=0; i<document.getElementsByName("backup_array[]").length; i++)
					{
						if (document.backup_del_all.backup_master.checked == true)
						{
							document.getElementsByName("backup_array[]")[i].checked = true;
						}
						else
						{
							document.getElementsByName("backup_array[]")[i].checked = false;
						}
					}

					check_selection();
				}

				// prueft, ob min. 1 backup ausgewaehlt wurde und aktiviert/deaktiviert entpsrechend den submit-button
				function check_selection()
				{
					var counter_enabled = 0;

					for (var i=0; i<document.getElementsByName("backup_array[]").length; i++)
					{
						if (document.getElementsByName("backup_array[]")[i].checked == true)
						{
							document.getElementById('del_button_off').style.display = "none";
							document.getElementById('del_button_on').style.display = "";

							counter_enabled++;
							break;
						}
					}

					//submit-button ausknipsen, wenn kein backup markiert ist
					if (counter_enabled == 0)
					{
						document.getElementById('del_button_off').style.display = "";
						document.getElementById('del_button_on').style.display = "none";
					}
				}
			 // -->
		</script>
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr valign="middle">
				<td class="main_table_header" width="100%"><?php get_text('752'); /*Backups auswaehlen und loeschen*/?></td>
			</tr>
			<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
			<tr>
				<td class="main_table_content">
					<a href="index.php<?php echo $gv->create_get_string('?fileinc=main'); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />
					<?php
						//Anzahl der vorhandenen Backups
						$sql = $cdb->select("SELECT COUNT(file_id) AS count_id FROM hdb_backup");
						$count_result = $cdb->fetch_array($sql);

						//Blaetternfunktion
						if (!isset($_GET['blseite']))
						{
							$current_page = 1;
						}
						else
						{
							$current_page = $_GET['blseite'];
						}
						//Blaetternfunktion
						$bl = blaettern($current_page, $count_result['count_id'], 20, $_POST,'index.php');
						echo '<br />'.$bl['txt'].'<br />';
					?>
					<form action="index.php<?php echo $gv->create_get_string('?fileinc=backup_del_all'); ?>" name="backup_del_all" method="post" accept-charset="UTF-8">
						<input type="hidden" name="job_string" value="del_all_backups" />
						<?php $reload->create();?>

						<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
							<colgroup>
								<col width="2%" />
								<col width="2%" />
								<col width="15%" />
								<col width="25%" />
								<col width="10%" />
								<col width="18%" />
								<col width="28%" />
							</colgroup>
							<tr class="table_tr_bg_2">
								<td class="table_header_left">&nbsp;</td>
								<td class="table_header">&nbsp;</td>
								<td class="table_header"><strong><?php get_text('', 'echo', 'decode_on', 'datum'); /*Datum*/?></strong></td>
								<td class="table_header"><strong><?php get_text('', 'echo', 'decode_on', 'filename'); /*Dateiname*/?></strong></td>
								<td class="table_header"><strong><?php get_text('', 'echo', 'decode_on', 'filesize'); /*Dateigroesse*/?></strong></td>
								<td class="table_header"><strong><?php get_text('', 'echo', 'decode_on', 'art'); /*Art*/?></strong></td>
								<td class="table_header"><strong><?php get_text('', 'echo', 'decode_on', 'beschreibung'); /*Beschreibung*/?></strong></td>
							</tr>
							<?php
								$count = 0;
								$bg = 1;
								$sql = $cdb->select("SELECT * FROM hdb_backup ORDER BY backup_time DESC".$bl['limit']);
								while ($result = $cdb->fetch_array($sql))
								{
							?>
									<tr class="table_tr_bg_<?php echo $bg; ?>">
										<td>
											<input type="checkbox" name="backup_array[]" value="<?php echo $result['file_id'];?>" onclick="check_selection();" />
										</td>
										<td>
											<?php
												if (!isset($result['filename']) or empty($result['filename']) or !file_exists(TOM_ABS_PFAD.'files/backup/'.$result['filename']))
												{
											?>
													<img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/exclamation.png'; ?>" width="16" height="16" border="0" alt="" title="<?php get_text('445'); //Die Datei ist nicht verfuegbar.?>" style="margin-top:2px;" />
											<?php
												}
											?>
										</td>
										<td>
											<?php echo $kal->win_to_time($result['backup_time'], 'all', 0, -3);?>
										</td>
										<td title="<?php echo $result['filename']; ?>"><?php echo substr($result['filename'], 0, 24).'...';?></td>
										<td>
											<?php
												$dateigroesse = number_format($result['filesize'], 2, ",", ".").' MB';
												echo $dateigroesse;
											?>
										</td>
										<td>
											<?php
												if ($result['type'] == 'auto')
												{
													get_text('553'); /*Automatisches Backup*/
												}
												elseif ($result['type'] == 'manu')
												{
													get_text('554'); /*Manuelles Backup*/
												}
											?>
										</td>
										<td><?php echo $result['beschreibung'];?></td>
									</tr>
							<?php
									if ($bg == 1)
									{
										$bg++;
									}
									else
									{
										$bg = 1;
									}

									$count++;
								}

								if ($count > 1)
								{
							?>
									<tr class="table_tr_bg_<?php echo $bg; ?>">
										<td><input type="checkbox" name="backup_master" id="backup_master" onclick="select_all();" /></td>
										<td colspan="6"><strong><?php get_text('755'); /*Alle auswaehlen/abwaehlen*/?></strong></td>
									</tr>
							<?php
								}
							?>
						</table>
						<div id="del_button_off"><?php echo get_button(get_text('756', 'return')/*Markierte Eintraege loeschen*/, 'delete.png', ''); ?></div>
						<div id="del_button_on" style="display:none;"><?php echo get_button(get_text('756', 'return')/*Markierte Eintraege loeschen*/, 'cross.png', 'onclick="document.backup_del_all.submit();"'); ?></div>
					</form>

				</td>
			</tr>
		</table>
<?php
	}
	else
	{
		echo setError(get_text('', 'return', 'decode_on', 'fehler_zugriffsrechte') /*Sie besitzen nicht die notwendigen Zugriffsrechte fuer diesen Bereich.*/, WARNING, __LINE__);
	}
?>