<?php
	/**
	 * this file allows the download of sql-backups, created by a cronjob
	 * @package time-o-meter
	 * @subpackage cj
	 */


	/**
	 * Ausgabe des HTML-Headers unterbinden
	 * @ignore
	 */
	define('PAGE_AREA','CJ');

	require_once('../inc/include.php');

	//pruefen ob alle erforderlichen GET Variablen vorhanden sind
	if (isset($_GET['backup_int']) and is_numeric($_GET['backup_int']) and isset($_GET['backup_string']) and strlen($_GET['backup_string']) == 32)
	{
		$download = false;

		//Download suchen
		$sql = $cdb->select('SELECT file_id, backup_time, filename, filesize, type FROM hdb_backup WHERE file_id='.$_GET['backup_int']);
		$result = $cdb->fetch_array($sql);

		//Saltarray laden
		if (file_exists(TOM_ABS_PFAD.'config/cryptpw_salt.php'))
		{
			require_once(TOM_ABS_PFAD.'config/cryptpw_salt.php');

			if (isset($cryptpw_salt_array['sz']))
			{
				//md5 strings vergleichen
				if ($_GET['backup_string'] == md5(md5($cryptpw_salt_array['sz'][0].$result['filename']).md5($cryptpw_salt_array['sz'][1].$result['type']).md5($cryptpw_salt_array['sz'][2].$result['filesize']).md5($cryptpw_salt_array['sz'][3].$result['file_id'])))
				{
					$download = true;
				}
			}
		}

		//Backup gefunden, Download starten
		if ($download === true)
		{
			$file_pfad = TOM_ABS_PFAD.'files/backup/'.$result['filename'];
			if (file_exists($file_pfad))
			{
				$size = filesize($file_pfad);
				header("Content-Type: application/octetstream");
				header("Content-Disposition: attachment; filename=".$result['filename']);
				header("Content-Transfer-Encoding: binary");
				header("Cache-Control: post-check=0, pre-check=0");
				header("Content-Length: {$size}");
				readfile($file_pfad);
			}
			else
			{
				echo 'File not found! / Die Datei wurde nicht gefunden!';
			}
		}
		else
		{
			echo 'File not found! / Die Datei wurde nicht gefunden!';
		}
	}
?>