<?php
	/**
	 * download overview
	 * this file contains the default-content of the index.php
	 * the download-area requires an external Document Management System
	 * @package time-o-meter
	 * @subpackage download
	 */

	//Webservice Daten
	//Link zur WSDL Datei
	if (isset($setup_array['dms_url']) and !empty($setup_array['dms_url']))
	{
		$wsdl_link = $setup_array['dms_url'];
	}
	else
	{
		$wsdl_link = '';
	}
	//Array mit den ProjektID`s die im DMS abgefragt werden sollen
	if (isset($setup_array['dms_projects']) and count($setup_array['dms_projects']) > 0)
	{
		$dms_projekt = $setup_array['dms_projects'];
	}
	else
	{
		$dms_projekt = array();
	}
	//DMS Benutzername
	if (isset($setup_array['dms_user']) and !empty($setup_array['dms_user']))
	{
		$dms_user = $setup_array['dms_user'];
	}
	else
	{
		$dms_user = '';
	}
	//DMS Benutzerpasswort
	if (isset($setup_array['dms_pw']) and !empty($setup_array['dms_pw']))
	{
		$dms_pw = $setup_array['dms_pw'];
	}
	else
	{
		$dms_pw = '';
	}


	$file_array = array();
	if (!empty($wsdl_link) and count($dms_projekt) > 0)
	{
		//webservicekey fuer Cache
		//						Webservicename und Functionsname
		$webservice_key = md5('get_files'.'get_files');

		$sql = $cdb->select("SELECT data FROM hdb_webservice_cache WHERE ws_key='$webservice_key' AND webservice='get_files' AND type='get_files' AND expire_time>'".date('YmdHis')."'");
		$result = $cdb->fetch_array($sql);

		if (isset($result['data']) and !empty($result['data']))
		{
			$file_array = @unserialize($result['data']);
		}
		else
		{
			try
			{
				//Webservice Loginkey abfragen
				$ws_access = @new SoapClient($wsdl_link.'/web_services/access.wsdl');
				$ws_login_key = $ws_access->ws_login($dms_pw, $dms_user);

				//Benutzeraccoutn im DMS Vorhanden
				if ($ws_login_key != 'false')
				{
					// Soap-Client initialisieren
					$ws_get_files = @new SoapClient($wsdl_link.'/web_services/fom.wsdl');

					for ($i = 0; $i < count($dms_projekt); $i++)
					{
						$tmp_file_array = @unserialize($ws_get_files->get_files($ws_login_key, $dms_projekt[$i], 0, 0, '', 'name_asc', 'array', false));

						if (is_array($tmp_file_array) and count($tmp_file_array) > 0)
						{
							for ($j = 0; $j < count($tmp_file_array); $j++)
							{
								$file_array[] = $tmp_file_array[$j];
							}
						}
					}
					//Webservice Cache
					$cdb->insert("INSERT INTO hdb_webservice_cache (ws_key, user_id, webservice, type, data, expire_time) VALUES ('$webservice_key', ".USER_ID.", 'get_files', 'get_files', '".@serialize($file_array)."', '".date('YmdHis', time() + 1800)."')");
				}
			}
			catch(Exception $e)
			{
				$file_array = array();
			}
		}
	}
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('837'); /*Downloadbereich*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<?php
				//Blaetternfunktion
				if (!isset($_GET['blseite']))
				{
					$current_page = 1;
				}
				else
				{
					$current_page = $_GET['blseite'];
				}

				$bl = blaettern($current_page, count($file_array), 20, $_POST,'index.php');
				echo '<br />'.$bl['txt'].'<br />';
			?>
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<colgroup>
					<col width="30%" />
					<col width="35%" />
					<col width="10%" />
					<col width="15%" />
					<col width="10%" />
				</colgroup>
				<tr class="table_tr_bg_2">
					<td class="table_header_left"><strong><?php get_text('', 'echo', 'decode_on', 'filename'); /*Dateiname*/?></strong></td>
					<td class="table_header"><strong><?php get_text('', 'echo', 'decode_on', 'beschreibung'); /*Beschreibung*/?></strong></td>
					<td class="table_header"><strong><?php get_text('', 'echo', 'decode_on', 'filesize'); /*Dateigroesse*/?></strong></td>
					<td class="table_header"><strong><?php get_text('436'); /*Upload-Zeit*/?></strong></td>
					<td class="table_header" align="center"><strong><?php get_text('', 'echo', 'decode_on', 'aktionen'); /*Aktionen*/?></strong></td>
				</tr>
				<?php
					$count = 0;
					$bg = 1;
					$for_start = ($current_page - 1) * 20;
					$for_end = $current_page * 20;
					if ($for_end > count($file_array))
					{
						$for_end = count($file_array);
					}
					$i = $for_start;
					for ($i = $for_start; $i < $for_end; $i++)
					{
				?>
						<tr class="table_tr_bg_<?php echo $bg; ?>" valign="top">
							<?php
								//Dateiname
								if (strlen(html_entity_decode($file_array[$i]['file_name'], ENT_QUOTES)) > 30)
								{
									echo '<td title="'.$file_array[$i]['file_name'].'">'.$file_array[$i]['mime_type_icon'].'&nbsp;'.substr(html_entity_decode($file_array[$i]['file_name'], ENT_QUOTES), 0, 23).'...'.substr($file_array[$i]['file_name'], -4).'</td>';
								}
								else
								{
									echo '<td>'.$file_array[$i]['mime_type_icon'].'&nbsp;'.$file_array[$i]['file_name'].'</td>';
								}

								//Dateikommentar
								if (strlen(html_entity_decode($file_array[$i]['comment'], ENT_QUOTES)) > 40)
								{
									echo '<td title="'.$file_array[$i]['comment'].'">'.substr(html_entity_decode($file_array[$i]['comment'], ENT_QUOTES), 0, 35).'...</td>';
								}
								else
								{
									echo '<td>'.$file_array[$i]['comment'].'</td>';
								}
							?>
							<td>
								<?php
									//MB
									if ($file_array[$i]['file_size'] >= 1048576)
									{
										echo round($file_array[$i]['file_size'] / 1048576, 2).' MB';
									}
									//KB
									elseif ($file_array[$i]['file_size'] >= 1024)
									{
										echo round($file_array[$i]['file_size'] / 1024, 2).' KB';
									}
									//B
									else
									{
										echo $file_array[$i]['file_size'].' B';
									}
								?>
							</td>
							<td><?php echo $kal->win_to_time($file_array[$i]['save_time'], 'all', 0, -3); ?></td>
							<td align="center"><a href="<?php echo $file_array[$i]['link_download']; ?>" target="_blank"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/disk.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a></td>
						</tr>
				<?php
						if ($bg == 1)
						{
							$bg++;
						}
						else
						{
							$bg = 1;
						}

						$count++;
					}

					if ($count == 0)
					{
						echo '<tr><td colspan="5">'.get_text('', 'return', 'decode_on', 'no_results')/*Kein Datensatz vorhanden*/.'</td></tr>';
					}
				?>
			</table>
		</td>
	</tr>
</table>