<?php
	/**
	 * make a flextime request
	 * @package time-o-meter
	 * @subpackage holiday
	 */

	//Userantrag
	if ($GLOBALS['TOM_VAR']['fileinc'] == 'add_absence')
	{
		$holiday = new Holiday();
		$quali = new Qualification();
		$pro = new Project();

		$resturlaub = $holiday->get_remaining_leave(USER_ID, date('Y'));

		//Qualifikatinen des aktuellen users auslesen
		$my_quali_ids_array = array();
		$sql = $cdb->select('SELECT quali_id FROM hdb_user_qualifikation WHERE user_id='.USER_ID);
		while ($result = $cdb->fetch_array($sql))
		{
			$my_quali_ids_array[] = $result['quali_id'];
		}

		$result = $quali->get_qualification();

		$my_quali_array = array();
		$other_quali_array = array();
		$my_quali_id_string = '';


		if ($result !== false)
		{
			foreach ($result as $quali_data)
			{
				if (in_array($quali_data['quali_id'], $my_quali_ids_array))
				{
					$my_quali_array[] = $quali_data;
					if (empty($my_quali_id_string))
					{
						$my_quali_id_string = $quali_data['quali_id'];
					}
					else
					{
						$my_quali_id_string .= ','.$quali_data['quali_id'];
					}
				}
				else
				{
					$other_quali_array[] = $quali_data;
				}
			}
		}


		//Projekte des aktuellen Users auslesen
		$my_project_ids_array = array();

		$sql = $cdb->select("SELECT t1.projekt_id FROM hdb_projekte t1
							LEFT JOIN hdb_user_projekt t2 ON t1.projekt_id=t2.projekt_id
							WHERE t1.anzeigen='j' AND t2.user_id=".USER_ID." AND t2.anzeigen='j'");
		while ($result = $cdb->fetch_array($sql))
		{
			$my_project_ids_array[] = $result['projekt_id'];
		}

		$result = $pro->get_project();

		$my_project_array = array();
		$other_project_array = array();
		$my_project_id_string = '';

		if ($result !== false)
		{
			foreach ($result as $pro_data)
			{
				if (in_array($pro_data['projekt_id'], $my_project_ids_array))
				{
					$my_project_array[] = $pro_data;

					if (empty($my_project_id_string))
					{
						$my_project_id_string = $pro_data['projekt_id'];
					}
					else
					{
						$my_project_id_string .= ','.$pro_data['projekt_id'];
					}
				}
				else
				{
					$other_project_array[] = $pro_data;
				}
			}
		}

		if (!isset($_POST['project_id_string']))
		{
			//Wenn kein admin die eigenden Qualifikationen per default auswaehlen
			if ($access->check_group(USER_GROUP_ID, 'admin_antrag_read') or $access->check_group(USER_GROUP_ID, 'admin_antrag_write'))
			{
				$_POST['project_id_string'] = 0;
			}
			else
			{
				$_POST['project_id_string'] = $my_project_id_string;
			}
		}

		$sql = $cdb->select('SELECT vorname, nachname FROM hdb_user WHERE user_id='.USER_ID);
		$result = $cdb->fetch_array($sql);
?>
		<script type="text/javascript">
			<!--
			function set_absence_days()
			{
				var type = '';
				if (document.form_addabsence.absence_days_string[0].checked == true)
				{
					type = document.form_addabsence.absence_days_string[0].value;
				}
				else
				{
					type = document.form_addabsence.absence_days_string[1].value;
				}

				if (type == 'one')
				{
					document.getElementById('one_day_table').style.display = '';
					document.getElementById('several_days_table').style.display = 'none';
					document.getElementById('days_count').style.display = 'none';
				}
				else
				{
					document.getElementById('one_day_table').style.display = 'none';
					document.getElementById('several_days_table').style.display = '';
					document.getElementById('days_count').style.display = '';
				}
				get_month_data();
			}

			is_absence_exist_start_date_string = '';
			is_absence_exist_end_date_string = '';
			function is_absence_exist()
			{
				var start_date_string = '';
				var end_date_string = '';

				//nur fuer einen tag
				if (document.form_addabsence.absence_days_string[0].checked == true)
				{
					start_date_string = document.getElementById("date_day").value;
					end_date_string = document.getElementById("date_day").value;
				}
				//fuer mehrere tage
				else
				{
					start_date_string = document.getElementById("date_from").value;
					end_date_string = document.getElementById("date_to").value;
				}

				if (start_date_string != "" && end_date_string != "" && (is_absence_exist_start_date_string != start_date_string || is_absence_exist_end_date_string != end_date_string))
				{
					is_absence_exist_start_date_string = start_date_string;
					is_absence_exist_end_date_string = end_date_string;
					//XML Header erstellen
					var xmlHttp = GetXmlHttpRequest();
					if (xmlHttp)
					{
						//Abfrage
						//alert(JS_ABS_URL + 'holiday/xml_is_absence_exist.php?start_date_string=' + start_date_string + '&end_date_string=' + end_date_string + '&' + JS_GV_INDEX + '=' + JS_GV_KEY);
						xmlHttp.open('GET', JS_ABS_URL + 'holiday/xml_is_absence_exist.php?start_date_string=' + start_date_string + '&end_date_string=' + end_date_string + '&' + JS_GV_INDEX + '=' + JS_GV_KEY, true);
						xmlHttp.onreadystatechange = function()
						{
							if (xmlHttp.readyState == 4)
							{
								//XML Daten
								var FILEDATA = xmlHttp.responseXML;
								var data = FILEDATA.getElementsByTagName('data');

								var result = '';

								for (var j=0; j < data[0].childNodes.length; j++)
								{
									with(data[0].childNodes[j])
									{
										if (nodeName == "check")
										{
											result = firstChild.nodeValue;
										}
									}
								}

								if (result == 'true')
								{
									alert("<?php get_text(1028, 'echo', 'decode_off') /*Attention, there already exists an absence request for the concerning period!*/?>");
								}
							}
						}
						xmlHttp.send(null);
					}
				}
			}

			function get_days()
			{
				var start_date = document.getElementById("date_from").value;
				var end_date = document.getElementById("date_to").value;

				if (start_date != "" && end_date != "")
				{
					//XML Header erstellen
					var xmlHttp = GetXmlHttpRequest();
					if (xmlHttp)
					{
						//Abfrage
						xmlHttp.open('GET', JS_ABS_URL + 'holiday/xml_get_man_days.php?start_date=' + start_date + '&end_date=' + end_date + '&' + JS_GV_INDEX + '=' + JS_GV_KEY, true);
						xmlHttp.onreadystatechange = function()
						{
							if (xmlHttp.readyState == 4)
							{
								//XML Daten
								var FILEDATA = xmlHttp.responseXML;
								var data = FILEDATA.getElementsByTagName('holiday');

								var days = 0;
								var start_date_iso = "0000-00-00";
								var end_date_iso = "0000-00-00";

								for (var j=0; j < data[0].childNodes.length; j++)
								{
									with(data[0].childNodes[j])
									{
										if (nodeName == "days")
										{
											days = firstChild.nodeValue;
										}
										if (nodeName == "startdate")
										{
											start_date_iso = firstChild.nodeValue;
										}
										if (nodeName == "enddate")
										{
											end_date_iso = firstChild.nodeValue;
										}
									}
								}

								if (start_date_iso != "0000-00-00" && end_date_iso != "0000-00-00")
								{
									document.getElementById("absence_days_float").value = days;
								}
								else
								{
									document.getElementById("absence_days_float").value = "";
								}
								calc_remaining_leave();
								get_month_data();
							}
						}
						xmlHttp.send(null);
					}
				}
				else
				{
					calc_remaining_leave();
				}
			}

			function get_month_data()
			{
				var start_date_string = '';
				var end_date_string = '';

				//nur fuer einen tag
				if (document.form_addabsence.absence_days_string[0].checked == true)
				{
					start_date_string = document.getElementById("date_day").value;
					end_date_string = document.getElementById("date_day").value;
				}
				//fuer mehrere tage
				else
				{
					start_date_string = document.getElementById("date_from").value;
					end_date_string = document.getElementById("date_to").value;
				}

				var caltype_string = document.form_addabsence.cal_type_string.value;
				var quali_id_string = document.form_addabsence.quali_id_string.value;
				var project_id_string = document.form_addabsence.project_id_string.value;
				var absence_type_id_int = document.form_addabsence.absence_type_id_int.value;
				var user_id_int = <?php echo USER_ID; ?>;

				if (start_date_string != "" && end_date_string != "" && caltype_string != "" && absence_type_id_int > 0 && user_id_int > 0)
				{
					document.getElementById("month_cal_overview").style.display = "";

					//XML Header erstellen
					var xmlHttp = GetXmlHttpRequest();
					if (xmlHttp)
					{
						//Abfrage
						xmlHttp.open('GET', JS_ABS_URL + 'holiday/xml_get_month_data.php?start_date_string=' + start_date_string + '&end_date_string=' + end_date_string + '&caltype_string=' + caltype_string + '&quali_id_string=' + quali_id_string + '&absence_type_id_int=' + absence_type_id_int + '&user_id_int=' + user_id_int + '&project_id_string=' + project_id_string + '&' + JS_GV_INDEX + '=' + JS_GV_KEY, true);
						xmlHttp.onreadystatechange = function()
						{
							if (xmlHttp.readyState == 4)
							{
								//XML Daten
								var FILEDATA = xmlHttp.responseXML;
								var data = FILEDATA.getElementsByTagName('holiday');

								var month_data = "";

								for (var j=0; j < data[0].childNodes.length; j++)
								{
									with(data[0].childNodes[j])
									{
										if (nodeName == "month_data")
										{
											month_data = firstChild.nodeValue;
										}
									}
								}

								if (month_data != "")
								{
									document.getElementById("holiday_year").innerHTML = month_data;
								}
								is_absence_exist();
							}
						}
						xmlHttp.send(null);
					}
				}
				else
				{
					document.getElementById("month_cal_overview").style.display = "none";
				}
			}

			function change_cal_type()
			{
				if (document.form_addabsence.cal_type_string.value == 'qualification')
				{
					document.getElementById("quali_data").style.display = "";
					document.getElementById("quali_txt").style.display = "";

					document.getElementById("project_data").style.display = "none";
					document.getElementById("project_txt").style.display = "none";
				}
				else if (document.form_addabsence.cal_type_string.value == 'project')
				{
					document.getElementById("quali_data").style.display = "none";
					document.getElementById("quali_txt").style.display = "none";

					document.getElementById("project_data").style.display = "";
					document.getElementById("project_txt").style.display = "";
				}
				else
				{
					document.getElementById("quali_data").style.display = "none";
					document.getElementById("quali_txt").style.display = "none";
				}
				set_caption();
				get_month_data();
			}

			function set_caption()
			{
				if (document.form_addabsence.cal_type_string.value == 'qualification')
				{
					document.getElementById("caption_quali").style.display = "";
					document.getElementById("caption_user").style.display = "none";
				}
				else
				{
					document.getElementById("caption_quali").style.display = "none";
					document.getElementById("caption_user").style.display = "";
				}
			}

			function set_remaining_leave_tr()
			{
				//FIXME die 2 kann sich aendern
				if (document.form_addabsence.absence_type_id_int.value == 2)
				{
					document.getElementById('remaining_leave_tr_1').style.display = '';
					document.getElementById('remaining_leave_tr_2').style.display = '';
				}
				else
				{
					document.getElementById('remaining_leave_tr_1').style.display = 'none';
					document.getElementById('remaining_leave_tr_2').style.display = 'none';
				}
				get_month_data();
			}

			function calc_remaining_leave()
			{
				var remaining_leave = parseFloat(document.getElementById("remaining_leave").innerHTML);
				var approved_holidays = parseFloat(document.getElementById("approved_holidays").innerHTML);
				var days = parseFloat(document.getElementById("absence_days_float").value);

				if (!isNaN(remaining_leave) && !isNaN(days) && !isNaN(approved_holidays))
				{
					var new_remaining_leave = remaining_leave - approved_holidays - days;
					document.getElementById("new_remaining_leave").innerHTML = '<?php get_text(1027, 'echo', 'decode_off') /*Resturlaub inkl. genehmigtem zukueftigem Urlaub und diesem Antrag*/?>: ' + new_remaining_leave;
					document.getElementById("new_remaining_leave").style.display = '';
				}
				else
				{
					document.getElementById("new_remaining_leave").style.display = 'none';
				}
			}

			function chk_form()
			{
				if (document.form_addabsence.absence_days_string[0].checked == true)
				{
					if (document.getElementById("date_day").value != "")
					{
						document.form_addabsence.submit();
					}
					else
					{
						alert("<?php get_text('', 'echo', 'decode_off', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/?>");
					}
				}
				else
				{
					if (document.getElementById("date_from").value != "" && document.getElementById("date_to").value != "" && document.getElementById("absence_days_float").value != "")
					{
						document.form_addabsence.submit();
					}
					else
					{
						alert("<?php get_text('', 'echo', 'decode_off', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/?>");
					}
				}
			}
			// -->
		</script>
		<form method="post" action="index.php<?php echo $gv->create_get_string(); ?>" name="form_addabsence" accept-charset="UTF-8">
			<input type="hidden" name="job_string" value="absence_add" />
			<input type="hidden" name="userid_int" value="<?php echo USER_ID; ?>" />
			<?php
				//Reloadsperre
				$reload->create();
				//Checksumme
				echo $chk_sum->GetHidden(array('job_string'=>'absence_add', 'userid_int' => USER_ID));
			?>
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr valign="middle">
					<td class="main_table_header" width="100%"><?php get_text(1029); /*Absence request*/?></td>
				</tr>
				<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
				<tr>
					<td class="main_table_content">
						<a href="index.php<?php echo $gv->create_get_string('?fileinc='); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />
						<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
							<colgroup>
								<col width="30%" />
								<col width="70%" />
							</colgroup>
							<tr><td colspan="2">&nbsp;</td></tr>
							<tr>
								<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?>:</strong></td>
								<td><?php echo $result['nachname'].', '.$result['vorname']; ?></td>
							</tr>
							<tr><td colspan="2">&nbsp;</td></tr>
							<tr>
								<td class="padding_left_10"><strong><?php get_text(1030); /*Abwesenheitsgrund*/?>:*</strong></td>
								<td>
									<select name="absence_type_id_int" class="ipt_200" onchange="set_remaining_leave_tr();">
									<?php
										$sub_sql = $cdb->select('SELECT absence_type_id, absence_name FROM hdb_absence_type WHERE application=1 ORDER BY absence_name ASC');
										while ($sub_result = $cdb->fetch_array($sub_sql))
										{
											echo '<option value="'.$sub_result['absence_type_id'].'">'.$sub_result['absence_name'].'</option>';
										}
									?>
									</select>
								</td>
							</tr>
							<tr style="display: none;" id="remaining_leave_tr_1"><td colspan="2">&nbsp;</td></tr>
							<tr valign="top" style="display: none;" id="remaining_leave_tr_2">
								<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'resturlaub'); /*Resturlaub*/?>:</strong></td>
								<td>
									<?php get_text(729); /*Jahresurlaubsanspruch*/?>: <?php echo $resturlaub['jahresurlaub']; ?><br />
									<?php get_text(760); /*Aktueller Resturlaub*/?>: <span id="remaining_leave"><?php echo $resturlaub['aktueller_resturlaub']; ?></span><br />
									<?php get_text(761); /*Zukuenftiger genehmigter Urlaub*/?>: <span id="approved_holidays"><?php echo $resturlaub['genehmigter_urlaub']; ?></span><br />
									<span id="new_remaining_leave" style="display: none;"></span>
								</td>
							</tr>
							<tr><td colspan="2">&nbsp;</td></tr>
							<tr valign="top">
								<td class="padding_left_10"><strong><?php get_text(1031); /*Duration of the absence*/?>:</strong></td>
								<td>
									<input type="radio" name="absence_days_string" value="one" checked="checked" onchange="set_absence_days();" /> <?php get_text('193'); /*ein Tag*/?> <br />
									<input type="radio" name="absence_days_string" value="several" onchange="set_absence_days();" /> <?php get_text('194'); /*mehrere Tage*/?>
									<br /><br />
									<table cellpadding="2" cellspacing="0" border="0" width="100%" id="one_day_table">
										<tr>
											<td width="8%"><?php get_text('180'); /*am*/?>:* </td>
											<td width="92%">
												<input type="text" name="date_day_string" id="date_day" class="ipt_100" onblur="get_month_data();" /> <a href="javascript:kalender_open_function('date_day', 'get_month_data')"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/date_add.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a> <?php echo $kal->get_date_format(); ?>
											</td>
										</tr>
									</table>
									<table cellpadding="2" cellspacing="0" border="0" width="100%" id="several_days_table" style="display:none;">
										<tr>
											<td width="8%"><?php get_text('181'); /*von*/?>:* </td>
											<td width="92%">
												<input type="text" name="date_from_string" id="date_from" class="ipt_100" onblur="get_days();" /> <a href="javascript:kalender_open_function('date_from', 'get_days')"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/date_add.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a> <?php echo $kal->get_date_format(); ?>
											</td>
										</tr>
										<tr>
											<td><?php get_text('182'); /*bis*/?>:* </td>
											<td>
												<input type="text" name="date_to_string" id="date_to" class="ipt_100" onblur="get_days();" /> <a href="javascript:kalender_open_function('date_to', 'get_days')"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/date_add.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a> <?php echo $kal->get_date_format(); ?>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr id="days_count" style="display:none;">
								<td class="padding_left_10"><strong><?php get_text('185'); /*Anzahl der Arbeitstage*/?>:*</strong></td>
								<td><input type="text" name="absence_days_float" id="absence_days_float" class="ipt_50" /></td>
							</tr>
							<tr valign="top">
								<td class="padding_left_10"><strong><?php get_text(603); /* Kommentar*/?>:</strong></td>
								<td><textarea name="comment_string" rows="5" cols="50" class="ipt_400" onkeypress="chk_maxlength(this, 230);"></textarea></td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td><br /><?php echo get_button(get_text('', 'return', 'decode_on', 'save') /*Speichern*/, 'tick.png', 'onclick="chk_form();"'); ?></td>
							</tr>
							<tr><td colspan="2">&nbsp;</td></tr>
						</table>
						<div id="month_cal_overview" style="display: none;">
							<br />
							<h2><?php get_text('119'); /*Jahresurlaubsplan*/?></h2>
							<br />
							<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
								<tr class="table_tr_bg_2">
									<td class="table_header_left" colspan="4"><?php get_text('77'); /*Filteroptionen*/?></td>
								</tr>
								<tr>
									<td width="15%"><?php get_text(1009); //Kalendertyp?>:</td>
									<td width="35%">
										<select name="cal_type_string" class="ipt_300" onchange="change_cal_type();">
											<option value="holiday"><?php get_text(1010); //Uebersicht nach Mitarbeiter ?></option>
											<?php
												if ($quali->exist_with_minheadcount() and isset($setup_array['holiday']['overview_qualification']) and $setup_array['holiday']['overview_qualification'] == true)
												{
													echo '<option value="qualification">'.get_text(1011, 'return')/*Uebersicht nach Qualifikation*/.'</option>';
												}
												if ($pro->exist_with_assignment() and isset($setup_array['holiday']['overview_project']) and $setup_array['holiday']['overview_project'] == true)
												{
													echo '<option value="project">'.get_text(1032, 'return')/*Uebersicht nach Projekt*/.'</option>';
												}
											?>
										</select>
									</td>
									<td width="15%">
										<span id="quali_txt" style="display: none;"><?php get_text(240); //Qualifikationen ?>:</span>
										<span id="project_txt" style="display: none;"><?php get_text(333); //Projekte ?>:</span>
									</td>
									<td width="35%">
										<span id="project_data" style="display: none;">
											<select name="project_id_string" id="project_id_string" class="ipt_300" onchange="get_month_data();">
												<option value="0"><?php get_text(1012); //keine Auswahl ?></option>
												<?php
													if (!empty($my_project_array))
													{
														echo '<optgroup label="'.get_text(1033, 'return')/*Meine Projekte*/.'">';

														if ($_POST['project_id_string'] == $my_project_id_string)
														{
															$selected = ' selected="selected"';
														}
														else
														{
															$selected = '';
														}
														echo '<option value="'.$my_project_id_string.'"'.$selected.'>'.get_text(1034, 'return')/*Alle meine Projekte*/.'</option>';

														foreach ($my_project_array as $pro_data)
														{
															if ($_POST['project_id_string'] == $pro_data['projekt_id'])
															{
																$selected = ' selected="selected"';
															}
															else
															{
																$selected = '';
															}

															echo '<option value="'.$pro_data['projekt_id'].'"'.$selected.'>'.$pro_data['kurzname'].' - '.$pro_data['name'].'</option>';
														}
														echo '</optgroup>';
													}
													if (!empty($other_project_array))
													{
														echo '<optgroup label="'.get_text(1035, 'return')/*Andere Projekte*/.'">';
														foreach ($other_project_array as $pro_data)
														{
															if ($_POST['project_id_string'] == $pro_data['projekt_id'])
															{
																$selected = ' selected="selected"';
															}
															else
															{
																$selected = '';
															}

															echo '<option value="'.$pro_data['projekt_id'].'"'.$selected.'>'.$pro_data['kurzname'].' - '.$pro_data['name'].'</option>';
														}
														echo '</optgroup>';
													}
												?>
											</select>
										</span>
										<span id="quali_data" style="display: none;">
											<select name="quali_id_string" class="ipt_300" onchange="get_month_data();">
												<option value="0"><?php get_text(1012); //keine Auswahl ?></option>
												<?php
													if (!empty($my_quali_array))
													{
														echo '<optgroup label="'.get_text(1013, 'return')/*Meine Qualifikationen*/.'">';

														echo '<option value="'.$my_quali_id_string.'" selected="selected">'.get_text(1014, 'return')/*Alle meine Qualifikationen*/.'</option>';

														foreach ($my_quali_array as $quali_data)
														{
															echo '<option value="'.$quali_data['quali_id'].'">'.$quali_data['qualifikation'].'</option>';
														}
														echo '</optgroup>';
													}
													if (!empty($other_quali_array))
													{
														echo '<optgroup label="'.get_text(1015, 'return')/*Andere Qualifikationen*/.'">';
														foreach ($other_quali_array as $quali_data)
														{
															echo '<option value="'.$quali_data['quali_id'].'">'.$quali_data['qualifikation'].'</option>';
														}
														echo '</optgroup>';
													}
												?>
											</select>
										</span>
									</td>
								</tr>
							</table>
							<br />
							<table cellpadding="0" cellspacing="2" border="0" width="100%" id="caption_user" style="display: none;">
								<colgroup>
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
								</colgroup>
								<?php
									$caption_array = array();
									$sql = $cdb->select('SELECT absence_name, color FROM hdb_absence_type WHERE display=1 AND application=1');
									while ($result = $cdb->fetch_array($sql))
									{
										$caption_array[] = array('name'	=> $result['absence_name'],
																'color'	=> $result['color']);
									}

									$caption_array[] = array('name'	=> '&loz; = '.get_text(1036, 'return')/*Noch nicht beantragt*/);

									$line_count = ceil(count($caption_array) / 4);

									$array_count = 0;
									for ($l = 1; $l <= $line_count; $l++)
									{
										echo '<tr>';

										for ($td = 1; $td <= 4; $td++)
										{
											if (isset($caption_array[$array_count]))
											{
												if (isset($caption_array[$array_count]['color']) and !empty($caption_array[$array_count]['color']))
												{
													echo '<td style="background-color:#'.$caption_array[$array_count]['color'].';">&nbsp;</td>';
												}
												elseif (isset($caption_array[$array_count]['class']) and !empty($caption_array[$array_count]['class']))
												{
													echo '<td class="'.$caption_array[$array_count]['class'].'">&nbsp;</td>';
												}
												else
												{
													echo '<td>&nbsp;</td>';
												}

												echo '<td>'.$caption_array[$array_count]['name'].'</td>';
											}
											else
											{
												echo '<td colspan="2">&nbsp;</td>';
											}
											$array_count++;
										}

										echo '</tr>';
									}
								?>
							</table>
							<table cellpadding="0" cellspacing="2" border="0" width="100%" id="caption_quali" style="display: none;">
								<colgroup>
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
								</colgroup>
								<?php
									$caption_array = array();
									$sql = $cdb->select('SELECT absence_name, color FROM hdb_absence_type WHERE display=1 AND application=1');
									while ($result = $cdb->fetch_array($sql))
									{
										$caption_array[] = array('name'	=> $result['absence_name'],
																'color'	=> $result['color']);
									}


									$caption_array[] = array('name'	=> get_text(1016, 'return')/*kein Kritischer Wert erreicht*/,
															'class'	=> 'quali_ok');

									$caption_array[] = array('name'	=> get_text(1017, 'return')/*min. Wert erreicht*/,
															'class'	=> 'quali_error');

									$caption_array[] = array('name'	=> get_text(1018, 'return')/*Kritischer Wert erreicht*/,
															'class'	=> 'quali_critical');

									$caption_array[] = array('name'	=> '&loz; = '.get_text(1036, 'return')/*Noch nicht beantragt*/);

									$line_count = ceil(count($caption_array) / 4);

									$array_count = 0;
									for ($l = 1; $l <= $line_count; $l++)
									{
										echo '<tr>';

										for ($td = 1; $td <= 4; $td++)
										{
											if (isset($caption_array[$array_count]))
											{
												if (isset($caption_array[$array_count]['color']) and !empty($caption_array[$array_count]['color']))
												{
													echo '<td style="background-color:#'.$caption_array[$array_count]['color'].';">&nbsp;</td>';
												}
												elseif (isset($caption_array[$array_count]['class']) and !empty($caption_array[$array_count]['class']))
												{
													echo '<td class="'.$caption_array[$array_count]['class'].'">&nbsp;</td>';
												}
												else
												{
													echo '<td>&nbsp;</td>';
												}

												echo '<td>'.$caption_array[$array_count]['name'].'</td>';
											}
											else
											{
												echo '<td colspan="2">&nbsp;</td>';
											}
											$array_count++;
										}

										echo '</tr>';
									}
								?>
							</table>
							<br />
							<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
								<tr>
									<td width="100%" id="holiday_year">&nbsp;</td>
								</tr>
							</table>
						</div>
					</td>
				</tr>
			</table>
		</form>
		<script type="text/javascript">
			<!--
			set_remaining_leave_tr();
			set_caption();
			-->
		</script>
<?php
	}
?>