<?php
	/**
	 * edit a absence request
	 * @package time-o-meter
	 * @subpackage holiday
	 */

	//Userantrag
	if ($GLOBALS['TOM_VAR']['fileinc'] == 'edit_absence' and $chk_sum->Chk($_GET['VCS']) === true)
	{
		$cal = new Kalender();
		$holiday = new Holiday();
		$quali = new Qualification();
		$pro = new Project();

		$resturlaub = $holiday->get_remaining_leave(USER_ID, date('Y'));

		$sql = $cdb->select('SELECT t1.absence_type_id, t1.date_from, t1.date_to, t1.day_count, t1.status, t1.comment, t2.user_id, t2.vorname, t2.nachname, t3.approval FROM hdb_absence_list t1
							LEFT JOIN hdb_user t2 ON t1.user_id=t2.user_id
							LEFT JOIN hdb_absence_type  t3 ON t1.absence_type_id=t3.absence_type_id
							WHERE t1.as_id='.$_GET['as_id_int']);
		$result = $cdb->fetch_array($sql);

		if ($result['date_from'] != $result['date_to'])
		{
			$one_day = false;
		}
		else
		{
			$one_day = true;
		}

		//Qualifikatinen des aktuellen users auslesen
		$my_quali_ids_array = array();
		$sql = $cdb->select('SELECT quali_id FROM hdb_user_qualifikation WHERE user_id='.$result['user_id']);
		while ($quali_result = $cdb->fetch_array($sql))
		{
			$my_quali_ids_array[] = $quali_result['quali_id'];
		}

		$quali_result = $quali->get_qualification();

		$my_quali_array = array();
		$other_quali_array = array();
		$my_quali_id_string = '';


		if ($quali_result !== false)
		{
			foreach ($quali_result as $quali_data)
			{
				if (in_array($quali_data['quali_id'], $my_quali_ids_array))
				{
					$my_quali_array[] = $quali_data;
					if (empty($my_quali_id_string))
					{
						$my_quali_id_string = $quali_data['quali_id'];
					}
					else
					{
						$my_quali_id_string .= ','.$quali_data['quali_id'];
					}
				}
				else
				{
					$other_quali_array[] = $quali_data;
				}
			}
		}

		//Projekte des aktuellen Users auslesen
		$my_project_ids_array = array();

		$sql = $cdb->select("SELECT t1.projekt_id FROM hdb_projekte t1
							LEFT JOIN hdb_user_projekt t2 ON t1.projekt_id=t2.projekt_id
							WHERE t1.anzeigen='j' AND t2.user_id=".$result['user_id']." AND t2.anzeigen='j'");
		while ($pro_result = $cdb->fetch_array($sql))
		{
			$my_project_ids_array[] = $pro_result['projekt_id'];
		}

		$pro_result = $pro->get_project();

		$my_project_array = array();
		$other_project_array = array();
		$my_project_id_string = '';

		if ($pro_result !== false)
		{
			foreach ($pro_result as $pro_data)
			{
				if (in_array($pro_data['projekt_id'], $my_project_ids_array))
				{
					$my_project_array[] = $pro_data;

					if (empty($my_project_id_string))
					{
						$my_project_id_string = $pro_data['projekt_id'];
					}
					else
					{
						$my_project_id_string .= ','.$pro_data['projekt_id'];
					}
				}
				else
				{
					$other_project_array[] = $pro_data;
				}
			}
		}

		if (!isset($_POST['project_id_string']))
		{
			$_POST['project_id_string'] = $my_project_id_string;
		}
?>
		<script type="text/javascript">
			<!--
			function set_absence_days()
			{
				var type = '';
				if (document.form_editabsence.absence_days_string[0].checked == true)
				{
					type = document.form_editabsence.absence_days_string[0].value;
				}
				else
				{
					type = document.form_editabsence.absence_days_string[1].value;
				}

				if (type == 'one')
				{
					document.getElementById('one_day_table').style.display = '';
					document.getElementById('several_days_table').style.display = 'none';
					document.getElementById('days_count').style.display = 'none';
				}
				else
				{
					document.getElementById('one_day_table').style.display = 'none';
					document.getElementById('several_days_table').style.display = '';
					document.getElementById('days_count').style.display = '';
				}

				get_month_data();
			}

			function get_days()
			{
				var start_date = document.getElementById("date_from").value;
				var end_date = document.getElementById("date_to").value;

				if (start_date != "" && end_date != "")
				{
					//XML Header erstellen
					var xmlHttp = GetXmlHttpRequest();
					if (xmlHttp)
					{
						//Abfrage
						xmlHttp.open('GET', JS_ABS_URL + 'holiday/xml_get_man_days.php?start_date=' + start_date + '&end_date=' + end_date + '&' + JS_GV_INDEX + '=' + JS_GV_KEY, true);
						xmlHttp.onreadystatechange = function()
						{
							if (xmlHttp.readyState == 4)
							{
								//XML Daten
								var FILEDATA = xmlHttp.responseXML;
								var data = FILEDATA.getElementsByTagName('holiday');

								var days = 0;
								var start_date_iso = "0000-00-00";
								var end_date_iso = "0000-00-00";

								for (var j=0; j < data[0].childNodes.length; j++)
								{
									with(data[0].childNodes[j])
									{
										if (nodeName == "days")
										{
											days = firstChild.nodeValue;
										}
										if (nodeName == "startdate")
										{
											start_date_iso = firstChild.nodeValue;
										}
										if (nodeName == "enddate")
										{
											end_date_iso = firstChild.nodeValue;
										}
									}
								}

								if (start_date_iso != "0000-00-00" && end_date_iso != "0000-00-00")
								{
									document.getElementById("absence_days_float").value = days;
								}
								else
								{
									document.getElementById("absence_days_float").value = "";
								}
								calc_remaining_leave();
								get_month_data();
							}
						}
						xmlHttp.send(null);
					}
				}
			}

			function mail_options()
			{
				//In Bearbeitung
				if (document.form_editabsence.holiday_status_string[0].checked == true)
				{
					document.getElementById("mail_options").style.display = "none";

					document.form_editabsence.subject_string.value = "";
					document.form_editabsence.body_string.value = "";

					document.form_editabsence.mail_send_int.disabled = true;
					document.form_editabsence.subject_string.disabled = true;
					document.form_editabsence.body_string.disabled = true;
				}
				else
				{
					document.getElementById("mail_options").style.display = "";

					document.form_editabsence.mail_send_int.disabled = false;
					document.form_editabsence.subject_string.disabled = false;
					document.form_editabsence.body_string.disabled = false;

					if (document.form_editabsence.absence_days_string[0].checked == true)
					{
						var subject = "<?php get_text(1029, 'echo', 'decode_off'); /*Absence request*/?> (" + document.form_editabsence.date_day_string.value + ")";
					}
					else
					{
						var subject = "<?php get_text(1029, 'echo', 'decode_off'); /*Absence request*/?> (" + document.form_editabsence.date_from_string.value + " - " + document.form_editabsence.date_to_string.value + ")";
					}

					var body = "";
					//Ablehnung
					if (document.form_editabsence.holiday_status_string[1].checked == true)
					{
						body = "<?php
									$str = html_entity_decode($setup_array['text_ablehnung'], ENT_QUOTES, 'UTF-8');
									$str = str_replace("\n", '\n', $str);
									$str = str_replace("\r", '', $str);
									echo $str;
								?>";
					}
					else
					{
						body = "<?php
									$str = html_entity_decode($setup_array['text_genehmigung'], ENT_QUOTES, 'UTF-8');
									$str = str_replace("\n", '\n', $str);
									$str = str_replace("\r", '', $str);
									echo $str;
								?>";
					}

					document.form_editabsence.subject_string.value = subject;
					document.form_editabsence.body_string.value = body;
				}
			}

			function get_month_data()
			{
				var start_date_string = '';
				var end_date_string = '';

				//nur fuer einen tag
				if (document.form_editabsence.absence_days_string[0].checked == true)
				{
					start_date_string = document.getElementById("date_day").value;
					end_date_string = document.getElementById("date_day").value;
				}
				//fuer mehrere tage
				else
				{
					start_date_string = document.getElementById("date_from").value;
					end_date_string = document.getElementById("date_to").value;
				}

				var caltype_string = document.form_editabsence.cal_type_string.value;
				var quali_id_string = document.form_editabsence.quali_id_string.value;
				var absence_type_id_int = document.form_editabsence.absence_type_id_int.value;
				var project_id_string = document.form_editabsence.project_id_string.value;
				var user_id_int = <?php echo $result['user_id']; ?>;

				if (start_date_string != "" && end_date_string != "" && caltype_string != "" && absence_type_id_int > 0 && user_id_int > 0)
				{
					document.getElementById("month_cal_overview").style.display = "";

					//XML Header erstellen
					var xmlHttp = GetXmlHttpRequest();
					if (xmlHttp)
					{
						//Abfrage
						xmlHttp.open('GET', JS_ABS_URL + 'holiday/xml_get_month_data.php?start_date_string=' + start_date_string + '&end_date_string=' + end_date_string + '&caltype_string=' + caltype_string + '&quali_id_string=' + quali_id_string + '&absence_type_id_int=' + absence_type_id_int + '&user_id_int=' + user_id_int + '&show_open_status_int=1&project_id_string=' + project_id_string + '&' + JS_GV_INDEX + '=' + JS_GV_KEY, true);
						xmlHttp.onreadystatechange = function()
						{
							if (xmlHttp.readyState == 4)
							{
								//XML Daten
								var FILEDATA = xmlHttp.responseXML;
								var data = FILEDATA.getElementsByTagName('holiday');

								var month_data = "";

								for (var j=0; j < data[0].childNodes.length; j++)
								{
									with(data[0].childNodes[j])
									{
										if (nodeName == "month_data")
										{
											month_data = firstChild.nodeValue;
										}
									}
								}

								if (month_data != "")
								{
									document.getElementById("holiday_year").innerHTML = month_data;
								}
							}
						}
						xmlHttp.send(null);
					}
				}
				else
				{
					document.getElementById("month_cal_overview").style.display = "none";
				}
			}

			function change_cal_type()
			{
				if (document.form_editabsence.cal_type_string.value == 'qualification')
				{
					document.getElementById("quali_data").style.display = "";
					document.getElementById("quali_txt").style.display = "";

					document.getElementById("project_data").style.display = "none";
					document.getElementById("project_txt").style.display = "none";
				}
				else if (document.form_editabsence.cal_type_string.value == 'project')
				{
					document.getElementById("quali_data").style.display = "none";
					document.getElementById("quali_txt").style.display = "none";

					document.getElementById("project_data").style.display = "";
					document.getElementById("project_txt").style.display = "";
				}
				else
				{
					document.getElementById("quali_data").style.display = "none";
					document.getElementById("quali_txt").style.display = "none";
				}
				set_caption();
				get_month_data();
			}

			function set_caption()
			{
				if (document.form_editabsence.cal_type_string.value == 'qualification')
				{
					document.getElementById("caption_quali").style.display = "";
					document.getElementById("caption_user").style.display = "none";
				}
				else
				{
					document.getElementById("caption_quali").style.display = "none";
					document.getElementById("caption_user").style.display = "";
				}
			}

			function set_abesence_type()
			{
				set_remaining_leave_tr();

				var approval_array = new Array();

				<?php
					$sub_sql = $cdb->select('SELECT absence_type_id, approval FROM hdb_absence_type WHERE application=1 ORDER BY absence_type_id ASC');
					while ($sub_result = $cdb->fetch_array($sub_sql))
					{
						echo 'approval_array['.$sub_result['absence_type_id'].'] = '.$sub_result['approval'].";\n";
					}
				?>

				var absence_type_id_int = document.form_editabsence.absence_type_id_int.value;

				//mit behemigung
				if (approval_array[absence_type_id_int] == 1)
				{
					document.getElementById('approval_table').style.display = '';
					document.getElementById('no_approval_table').style.display = 'none';

					document.form_editabsence.holiday_status_string[0].disabled = false;
					document.form_editabsence.holiday_status_string[1].disabled = false;
					document.form_editabsence.holiday_status_string[2].disabled = false;

					document.getElementById('mail_send_approval').disabled = false;
					document.getElementById('mail_send_no_approval').disabled = true;

					document.form_editabsence.subject_string.disabled = false;
					document.form_editabsence.body_string.disabled = false;
				}
				//ohne genehmigung
				else
				{
					document.getElementById('approval_table').style.display = 'none';
					document.getElementById('no_approval_table').style.display = '';

					document.form_editabsence.holiday_status_string[0].disabled = true;
					document.form_editabsence.holiday_status_string[1].disabled = true;
					document.form_editabsence.holiday_status_string[2].disabled = true;

					document.getElementById('mail_send_approval').disabled = true;
					document.getElementById('mail_send_no_approval').disabled = false;

					document.form_editabsence.subject_string.disabled = true;
					document.form_editabsence.body_string.disabled = true;
				}
			}

			function set_remaining_leave_tr()
			{
				//FIXME die 2 kann sich aendern
				if (document.form_editabsence.absence_type_id_int.value == 2)
				{
					document.getElementById('remaining_leave_tr_1').style.display = '';
					document.getElementById('remaining_leave_tr_2').style.display = '';
				}
				else
				{
					document.getElementById('remaining_leave_tr_1').style.display = 'none';
					document.getElementById('remaining_leave_tr_2').style.display = 'none';
				}
				get_month_data();
			}

			function calc_remaining_leave()
			{
				var remaining_leave = parseFloat(document.getElementById("remaining_leave").innerHTML);
				var approved_holidays = parseFloat(document.getElementById("approved_holidays").innerHTML);
				var days = parseFloat(document.getElementById("absence_days_float").value);

				if (!isNaN(remaining_leave) && !isNaN(days) && !isNaN(approved_holidays))
				{
					var new_remaining_leave = remaining_leave - approved_holidays - days;
					document.getElementById("new_remaining_leave").innerHTML = '<?php get_text(1027, 'echo', 'decode_off') /*Resturlaub inkl. genehmigtem zukuenftigem Urlaub und diesem Antrag*/?>: ' + new_remaining_leave;
					document.getElementById("new_remaining_leave").style.display = '';
				}
				else
				{
					document.getElementById("new_remaining_leave").style.display = 'none';
				}
			}

			function chk_form()
			{
				if (document.form_editabsence.absence_days_string[0].checked == true)
				{
					if (document.getElementById("date_day").value == "")
					{
						alert("<?php get_text('', 'echo', 'decode_off', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/?>");
						return false;
					}
				}
				else
				{
					if (document.getElementById("date_from").value == "" || document.getElementById("date_to").value == "" || document.getElementById("absence_days_float").value == "")
					{
						alert("<?php get_text('', 'echo', 'decode_off', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/?>");
						return false;
					}
				}

				if (document.form_editabsence.mail_send_int.value == 1 && document.form_editabsence.mail_send_int.checked == true)
				{
					if (document.form_editabsence.holiday_status_string[1].checked == true || document.form_editabsence.holiday_status_string[2].checked == true)
					{
						if (document.form_editabsence.subject_string.value == "")
						{
							alert("<?php get_text('', 'echo', 'decode_off', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/?>");
							document.form_editabsence.subject_string.focus();
							return false;
						}

						if (document.form_editabsence.body_string.value == "")
						{
							alert("<?php get_text('', 'echo', 'decode_off', 'fehler_pflichtfelder') /*Bitte fuellen Sie alle Pflichtfelder aus.*/?>");
							document.form_editabsence.body_string.focus();
							return false;
						}
					}
				}

				document.form_editabsence.submit();
			}
			// -->
		</script>
		<form method="post" action="index.php<?php echo $gv->create_get_string(); ?>" name="form_editabsence" accept-charset="UTF-8">
			<input type="hidden" name="job_string" value="absence_edit" />
			<input type="hidden" name="as_id_int" value="<?php echo $_GET['as_id_int']; ?>" />
			<input type="hidden" name="user_id_int" value="<?php echo $result['user_id']; ?>" />
			<?php
				//Reloadsperre
				$reload->create();
				//Checksumme
				echo $chk_sum->GetHidden(array('job_string'=>'absence_edit', 'as_id_int' => $_GET['as_id_int'], 'user_id_int' => $result['user_id']));
			?>
			<table cellpadding="0" cellspacing="0" border="0" width="100%">
				<tr valign="middle">
					<td class="main_table_header" width="100%"><?php get_text(1029); /*Absence request*/?></td>
				</tr>
				<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
				<tr>
					<td class="main_table_content">
						<a href="index.php<?php echo $gv->create_get_string('?fileinc=overview_holiday_admin'); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />
						<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
							<colgroup>
								<col width="30%" />
								<col width="70%" />
							</colgroup>
							<tr><td colspan="2">&nbsp;</td></tr>
							<tr>
								<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?>:</strong></td>
								<td><?php echo $result['nachname'].', '.$result['vorname']; ?></td>
							</tr>
							<tr><td colspan="2">&nbsp;</td></tr>
							<tr>
								<td class="padding_left_10"><strong><?php get_text(1030); /*Abwesenheitsgrund*/?>:*</strong></td>
								<td>
									<select name="absence_type_id_int" class="ipt_200" onchange="set_abesence_type();">
									<?php
										$sub_sql = $cdb->select('SELECT absence_type_id, absence_name FROM hdb_absence_type WHERE application=1 ORDER BY absence_name ASC');
										while ($sub_result = $cdb->fetch_array($sub_sql))
										{
											if ($sub_result['absence_type_id'] == $result['absence_type_id'])
											{
												$selected = ' selected="selected"';
											}
											else
											{
												$selected = '';
											}

											echo '<option value="'.$sub_result['absence_type_id'].'"'.$selected.'>'.$sub_result['absence_name'].'</option>';
										}
									?>
									</select>
								</td>
							</tr>
							<tr id="remaining_leave_tr_1"<?php if ($result['absence_type_id'] != 2){echo ' style="display: none;"';} ?>><td colspan="2">&nbsp;</td></tr>
							<tr valign="top" id="remaining_leave_tr_2"<?php if ($result['absence_type_id'] != 2){echo ' style="display: none;"';} ?>>
								<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'resturlaub'); /*Resturlaub*/?>:</strong></td>
								<td>
									<?php get_text(729); /*Jahresurlaubsanspruch*/?>: <?php echo $resturlaub['jahresurlaub']; ?><br />
									<?php get_text(760); /*Aktueller Resturlaub*/?>: <span id="remaining_leave"><?php echo $resturlaub['aktueller_resturlaub']; ?></span><br />
									<?php get_text(761); /*Zukuenftiger genehmigter Urlaub*/?>: <span id="approved_holidays"><?php echo $resturlaub['genehmigter_urlaub']; ?></span><br />
									<span id="new_remaining_leave" style="display: none;"></span>
								</td>
							</tr>
							<tr><td colspan="2">&nbsp;</td></tr>
							<tr valign="top">
								<td class="padding_left_10"><strong><?php get_text(1031); /*Duration of the absence*/?>:</strong></td>
								<td>
									<input type="radio" name="absence_days_string" value="one" onchange="set_absence_days();"<?php if ($one_day){ echo ' checked="checked"';}?> /> <?php get_text('193'); /*ein Tag*/?> <br />
									<input type="radio" name="absence_days_string" value="several" onchange="set_absence_days();"<?php if (!$one_day){ echo ' checked="checked"';}?>  /> <?php get_text('194'); /*mehrere Tage*/?>
									<br /><br />
									<table cellpadding="2" cellspacing="0" border="0" width="100%" id="one_day_table"<?php if (!$one_day){ echo '  style="display:none;"';}?>>
										<tr>
											<td width="8%"><?php get_text('180'); /*am*/?>:* </td>
											<td width="92%">
												<input type="text" name="date_day_string" id="date_day" class="ipt_100" value="<?php echo $cal->iso_to_free($result['date_from']); ?>" onblur="get_month_data();" /> <a href="javascript:kalender_open_function('date_day', 'get_month_data')"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/date_add.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a> <?php echo $kal->get_date_format(); ?>
											</td>
										</tr>
									</table>
									<table cellpadding="2" cellspacing="0" border="0" width="100%" id="several_days_table"<?php if ($one_day){ echo '  style="display:none;"';}?>>
										<tr>
											<td width="8%"><?php get_text('181'); /*von*/?>:* </td>
											<td width="92%">
												<input type="text" name="date_from_string" id="date_from" class="ipt_100" value="<?php echo $cal->iso_to_free($result['date_from']); ?>" onblur="get_days();" /> <a href="javascript:kalender_open_function('date_from', 'get_days')"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/date_add.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a> <?php echo $kal->get_date_format(); ?>
											</td>
										</tr>
										<tr>
											<td><?php get_text('182'); /*bis*/?>:* </td>
											<td>
												<input type="text" name="date_to_string" id="date_to" class="ipt_100" value="<?php echo $cal->iso_to_free($result['date_to']); ?>" onblur="get_days();" /> <a href="javascript:kalender_open_function('date_to', 'get_days')"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/date_add.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a> <?php echo $kal->get_date_format(); ?>
											</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr id="days_count"<?php if ($one_day){ echo '  style="display:none;"';}?>>
								<td class="padding_left_10"><strong><?php get_text('185'); /*Anzahl der Arbeitstage*/?>:*</strong></td>
								<td><input type="text" name="absence_days_float" id="absence_days_float" class="ipt_50" value="<?php echo $result['day_count']; ?>" /></td>
							</tr>
							<tr valign="top">
								<td class="padding_left_10"><strong><?php get_text(603); /* Kommentar*/?>:</strong></td>
								<td><textarea name="comment_string" rows="5" cols="50" class="ipt_400" onkeypress="chk_maxlength(this, 230);"><?php echo $result['comment']; ?></textarea></td>
							</tr>
							<tr>
								<td colspan="2">
									<table cellpadding="2" cellspacing="0" width="100%" id="approval_table"<?php if ($result['approval'] != 1){ echo ' style="display: none;"';}?>>
										<colgroup>
											<col width="30%" />
											<col width="70%" />
										</colgroup>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr valign="top">
											<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'status'); /*Status*/?>:*</strong></td>
											<td>
												<input type="radio" name="holiday_status_string" value="open"<?php if ($result['status'] == 'open'){echo ' checked="checked"';} ?> onclick="mail_options();" /> <?php get_text('', 'echo', 'decode_on', 'in_bearbeitung'); /*in Bearbeitung*/?><br />
												<input type="radio" name="holiday_status_string" value="rejected"<?php if ($result['status'] == 'rejected'){echo ' checked="checked"';} ?> onclick="mail_options();" /> <?php get_text('', 'echo', 'decode_on', 'abgelehnt'); /*abgelehnt*/?><br />
												<input type="radio" name="holiday_status_string" value="approved"<?php if ($result['status'] == 'approved'){echo ' checked="checked"';} ?> onclick="mail_options();" /> <?php get_text('', 'echo', 'decode_on', 'genehmigt'); /*genehmigt*/?><br />
											</td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td colspan="2">
												<div id="mail_options" style="display: none;">
													<table cellpadding="2" cellspacing="0" width="100%">
														<colgroup>
															<col width="30%" />
															<col width="70%" />
														</colgroup>
														<tr>
															<td class="padding_left_10"><strong><?php get_text('329'); /*E-Mail Benachrichtigung senden*/?>:</strong></td>
															<td>
																<input type="checkbox" name="mail_send_int" id="mail_send_approval" value="1" checked="checked" /> <?php get_text('', 'echo', 'decode_on', 'ja'); /*ja*/?>
															</td>
														</tr>
														<tr>
															<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'betreff'); /*Betreff*/?>:</strong></td>
															<td>
																<input type="text" name="subject_string" class="ipt_400" />
															</td>
														</tr>
														<tr valign="top">
															<td class="padding_left_10"><strong><?php get_text('330'); /*E-Mail Inhalt*/?>:</strong></td>
															<td>
																<textarea name="body_string" rows="5" cols="50" class="ipt_400"></textarea>
															</td>
														</tr>
													</table>
												</div>
											</td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
									</table>
									<table cellpadding="2" cellspacing="0" width="100%" id="no_approval_table"<?php if ($result['approval'] == 1){ echo ' style="display: none;"';}?>>
										<colgroup>
											<col width="30%" />
											<col width="70%" />
										</colgroup>
										<tr><td colspan="2">&nbsp;<input type="hidden" name="mail_send_int" id="mail_send_no_approval" value="0" /></td></tr>
									</table>
								</td>
							</tr>
							<tr>
								<td>&nbsp;</td>
								<td><br /><?php echo get_button(get_text('', 'return', 'decode_on', 'save') /*Speichern*/, 'tick.png', 'onclick="chk_form();"'); ?></td>
							</tr>
						</table>
						<div id="month_cal_overview" style="display: none;">
							<br />
							<h2><?php get_text('119'); /*Jahresurlaubsplan*/?></h2>
							<br />
							<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
								<tr class="table_tr_bg_2">
									<td class="table_header_left" colspan="4"><?php get_text('77'); /*Filteroptionen*/?></td>
								</tr>
								<tr>
									<td width="15%"><?php get_text(1009); //Kalendertyp?>:</td>
									<td width="35%">
										<select name="cal_type_string" class="ipt_300" onchange="change_cal_type();">
											<option value="holiday"><?php get_text(1010); //Uebersicht nach Mitarbeiter ?></option>
											<?php
												if ($quali->exist_with_minheadcount() and isset($setup_array['holiday']['overview_qualification']) and $setup_array['holiday']['overview_qualification'] == true)
												{
													echo '<option value="qualification">'.get_text(1011, 'return')/*Uebersicht nach Qualifikation*/.'</option>';
												}
												if ($pro->exist_with_assignment() and isset($setup_array['holiday']['overview_project']) and $setup_array['holiday']['overview_project'] == true)
												{
													echo '<option value="project">'.get_text(1032, 'return')/*Uebersicht nach Projekt*/.'</option>';
												}
											?>
										</select>
									</td>
									<td width="15%">
										<span id="quali_txt" style="display: none;"><?php get_text(240); //Qualifikationen ?>:</span>
										<span id="project_txt" style="display: none;"><?php get_text(333); //Projekte ?>:</span>
									</td>
									<td width="35%">
										<span id="project_data" style="display: none;">
											<select name="project_id_string" id="project_id_string" class="ipt_300" onchange="get_month_data();">
												<option value="0"><?php get_text(1012); //keine Auswahl ?></option>
												<?php
													if (!empty($my_project_array))
													{
														echo '<optgroup label="'.get_text(1063, 'return')/*Projekte des Mitarbeiters*/.'">';

														if ($_POST['project_id_string'] == $my_project_id_string)
														{
															$selected = ' selected="selected"';
														}
														else
														{
															$selected = '';
														}
														echo '<option value="'.$my_project_id_string.'"'.$selected.'>'.get_text(1064, 'return')/*Alle Projekte des Mitarbeiters*/.'</option>';

														foreach ($my_project_array as $pro_data)
														{
															if ($_POST['project_id_string'] == $pro_data['projekt_id'])
															{
																$selected = ' selected="selected"';
															}
															else
															{
																$selected = '';
															}

															echo '<option value="'.$pro_data['projekt_id'].'"'.$selected.'>'.$pro_data['kurzname'].' - '.$pro_data['name'].'</option>';
														}
														echo '</optgroup>';
													}
													if (!empty($other_project_array))
													{
														echo '<optgroup label="'.get_text(1035, 'return')/*Andere Projekte*/.'">';
														foreach ($other_project_array as $pro_data)
														{
															if ($_POST['project_id_string'] == $pro_data['projekt_id'])
															{
																$selected = ' selected="selected"';
															}
															else
															{
																$selected = '';
															}

															echo '<option value="'.$pro_data['projekt_id'].'"'.$selected.'>'.$pro_data['kurzname'].' - '.$pro_data['name'].'</option>';
														}
														echo '</optgroup>';
													}
												?>
											</select>
										</span>
										<span id="quali_data" style="display: none;">
											<select name="quali_id_string" class="ipt_300" onchange="get_month_data();">
												<option value="0"><?php get_text(1012); //keine Auswahl ?></option>
												<?php
													if (!empty($my_quali_array))
													{
														echo '<optgroup label="'.get_text(1013, 'return')/*Meine Qualifikationen*/.'">';

														echo '<option value="'.$my_quali_id_string.'" selected="selected">'.get_text(1037, 'return')/*Alle Qualifikationen des Mitarbeiters*/.'</option>';

														foreach ($my_quali_array as $quali_data)
														{
															echo '<option value="'.$quali_data['quali_id'].'">'.$quali_data['qualifikation'].'</option>';
														}
														echo '</optgroup>';
													}
													if (!empty($other_quali_array))
													{
														echo '<optgroup label="'.get_text(1015, 'return')/*Andere Qualifikationen*/.'">';
														foreach ($other_quali_array as $quali_data)
														{
															echo '<option value="'.$quali_data['quali_id'].'">'.$quali_data['qualifikation'].'</option>';
														}
														echo '</optgroup>';
													}
												?>
											</select>
										</span>
									</td>
								</tr>
							</table>
							<br />
							<table cellpadding="0" cellspacing="2" border="0" width="100%" id="caption_user" style="display: none;">
								<colgroup>
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
								</colgroup>
								<?php
									$caption_array = array();
									$sql = $cdb->select('SELECT absence_name, color FROM hdb_absence_type WHERE display=1 AND application=1');
									while ($result = $cdb->fetch_array($sql))
									{
										$caption_array[] = array('name'	=> $result['absence_name'],
																'color'	=> $result['color']);
									}

									$caption_array[] = array('name'	=> '&loz; = '.get_text(1036, 'return')/*Noch nicht beantragt*/);
									$caption_array[] = array('name'	=> '&times; = '.get_text(1038, 'return')/*Noch nicht genehmigt*/);

									$line_count = ceil(count($caption_array) / 4);

									$array_count = 0;
									for ($l = 1; $l <= $line_count; $l++)
									{
										echo '<tr>';

										for ($td = 1; $td <= 4; $td++)
										{
											if (isset($caption_array[$array_count]))
											{
												if (isset($caption_array[$array_count]['color']) and !empty($caption_array[$array_count]['color']))
												{
													echo '<td style="background-color:#'.$caption_array[$array_count]['color'].';">&nbsp;</td>';
												}
												elseif (isset($caption_array[$array_count]['class']) and !empty($caption_array[$array_count]['class']))
												{
													echo '<td class="'.$caption_array[$array_count]['class'].'">&nbsp;</td>';
												}
												else
												{
													echo '<td>&nbsp;</td>';
												}

												echo '<td>'.$caption_array[$array_count]['name'].'</td>';
											}
											else
											{
												echo '<td colspan="2">&nbsp;</td>';
											}
											$array_count++;
										}

										echo '</tr>';
									}
								?>
							</table>
							<table cellpadding="0" cellspacing="2" border="0" width="100%" id="caption_quali" style="display: none;">
								<colgroup>
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
									<col width="3%" />
									<col width="22%" />
								</colgroup>
								<?php
									$caption_array = array();
									$sql = $cdb->select('SELECT absence_name, color FROM hdb_absence_type WHERE display=1 AND application=1');
									while ($result = $cdb->fetch_array($sql))
									{
										$caption_array[] = array('name'	=> $result['absence_name'],
																'color'	=> $result['color']);
									}


									$caption_array[] = array('name'	=> get_text(1016, 'return')/*kein Kritischer Wert erreicht*/,
															'class'	=> 'quali_ok');

									$caption_array[] = array('name'	=> get_text(1017, 'return')/*min. Wert erreicht*/,
															'class'	=> 'quali_error');

									$caption_array[] = array('name'	=> get_text(1018, 'return')/*Kritischer Wert erreicht*/,
															'class'	=> 'quali_critical');

									$caption_array[] = array('name'	=> '&loz; = '.get_text(1036, 'return')/*Noch nicht beantragt*/);
									$caption_array[] = array('name'	=> '&times; = '.get_text(1038, 'return')/*Noch nicht genehmigt*/);

									$line_count = ceil(count($caption_array) / 4);

									$array_count = 0;
									for ($l = 1; $l <= $line_count; $l++)
									{
										echo '<tr>';

										for ($td = 1; $td <= 4; $td++)
										{
											if (isset($caption_array[$array_count]))
											{
												if (isset($caption_array[$array_count]['color']) and !empty($caption_array[$array_count]['color']))
												{
													echo '<td style="background-color:#'.$caption_array[$array_count]['color'].';">&nbsp;</td>';
												}
												elseif (isset($caption_array[$array_count]['class']) and !empty($caption_array[$array_count]['class']))
												{
													echo '<td class="'.$caption_array[$array_count]['class'].'">&nbsp;</td>';
												}
												else
												{
													echo '<td>&nbsp;</td>';
												}

												echo '<td>'.$caption_array[$array_count]['name'].'</td>';
											}
											else
											{
												echo '<td colspan="2">&nbsp;</td>';
											}
											$array_count++;
										}

										echo '</tr>';
									}
								?>
							</table>
							<br />
							<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
								<tr>
									<td width="100%" id="holiday_year">&nbsp;</td>
								</tr>
							</table>
						</div>
					</td>
				</tr>
			</table>
		</form>
		<script type="text/javascript">
			<!--
			set_abesence_type();
			set_caption();
			-->
		</script>
<?php
	}
?>