<?php
	/**
	 * index-file of the holiday-folder
	 * @package time-o-meter
	 * @subpackage holiday
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');
	//Header Datei
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/header.php');
	//Urlaubs- Gleitzeituebersicht
	if (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'overview_absence')
	{
		require_once('main.php');
	}
	//Admin Urlaubs- Gleitzeituebersicht
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'overview_holiday_admin' and ($access->check_group(USER_GROUP_ID, 'admin_antrag_read') or $access->check_group(USER_GROUP_ID, 'admin_antrag_write')))
	{
		require_once('main_admin.php');
	}
	//Abwesenheitsantrag
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'add_absence')
	{
		require_once('absence_add.php');
	}
	//Abwesenheitsantrag bearbeiten
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'edit_absence')
	{
		require_once('absence_edit.php');
	}
	//Jahresurlaubsplan
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'year_holiday')
	{
		require_once('holiday_year.php');
	}
	else
	{
		require_once('main.php');
	}
	//Footer
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/footer.php');
?>