<?php
	/**
	 * holiday and flextime overview for users
	 * this file contains the default-content of the index.php
	 * @package time-o-meter
	 * @subpackage holiday
	 */

	//Filteroptionen speichern
	$sf->start();

	if (!isset($_POST['filter_anzahl_int']))
	{
		$_POST['filter_anzahl_int'] = 20;
	}
	if (!isset($_POST['absence_type_id_int']))
	{
		$_POST['absence_type_id_int'] = 2;
	}
	if (!isset($_POST['filter_status_string']))
	{
		$_POST['filter_status_string'] = 'all';
	}
	if (!isset($_POST['filter_date_string']))
	{
		$_POST['filter_date_string'] = '';
	}
?>
<script language="JavaScript" type="text/javascript">
	/* <![CDATA[ */
	<!--
	function set_status()
	{
		var absence_id = document.filter_form.absence_type_id_int.value;

		//XML Header erstellen
		var xmlHttp = GetXmlHttpRequest();
		if (xmlHttp)
		{
			//Abfrage
			xmlHttp.open('GET', JS_ABS_URL + 'holiday/xml_get_authorization.php?absence_id_int=' + absence_id + '&' + JS_GV_INDEX + '=' + JS_GV_KEY, true);
			xmlHttp.onreadystatechange = function()
			{
				if (xmlHttp.readyState == 4)
				{
					//XML Daten
					var FILEDATA = xmlHttp.responseXML;
					var data = FILEDATA.getElementsByTagName('data');
					var authorization = false;

					for (var j=0; j < data[0].childNodes.length; j++)
					{
						with(data[0].childNodes[j])
						{
							if (nodeName == "authorization")
							{
								if (firstChild.nodeValue == "true")
								{
									authorization = true;
								}
							}
						}
					}

					if (authorization == true)
					{
						document.getElementById("status_name").style.display = "";
						document.getElementById("status_value").style.display = "";
					}
					else
					{
						document.getElementById("status_name").style.display = "none";
						document.getElementById("status_value").style.display = "none";
					}

					get_date();
				}
			}
			xmlHttp.send(null);
		}
	}
	function get_date()
	{
		//XML Header erstellen
		var xmlHttp = GetXmlHttpRequest();
		if (xmlHttp)
		{
			var absence_id = document.filter_form.absence_type_id_int.value;
			var status_string = document.filter_form.filter_status_string.value;
			var date_array = new Array();
			var array_count_int = 0;
			var org_date_string = document.filter_form.filter_date_string.value;

			//Datumsselect leeren
			for (var i = document.filter_form.filter_date_string.options.length -1; i>0; i--)
			{
				document.filter_form.filter_date_string.options[i] = null;
			}

			//Abfrage
			xmlHttp.open('GET', JS_ABS_URL + 'holiday/xml_get_date.php?absence_id_int=' + absence_id + '&status=' + status_string + '&' + JS_GV_INDEX + '=' + JS_GV_KEY, true);
			xmlHttp.onreadystatechange = function()
			{
				if (xmlHttp.readyState == 4)
				{
					//XML Daten
					var FILEDATA = xmlHttp.responseXML;
					var data = FILEDATA.getElementsByTagName('data');
					for (var j=0; j < data[0].childNodes.length; j++)
					{
						with(data[0].childNodes[j])
						{
							if (nodeName == "date" && firstChild.nodeValue != "0000-00-00")
							{
								date_array[array_count_int++] = firstChild.nodeValue;
							}
						}
					}

					for (var i = 0; i < date_array.length; i++)
					{
						//Select beschreiben
						if (date_array[i] == org_date_string)
						{
							var opt = new Option(date_array[i], date_array[i], false, true);
						}
						else
						{
							var opt = new Option(date_array[i], date_array[i], false, false);
						}
						document.filter_form.filter_date_string.options[document.filter_form.filter_date_string.options.length] = opt;
					}
				}
			}
			xmlHttp.send(null);
		}
	}
	// -->
	/* ]]> */
</script>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text(1042); /*Abwesenheits&uuml;bersicht*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<form action="index.php<?php echo $gv->create_get_string(); ?>" method="post" name="filter_form" accept-charset="UTF-8">
				<div id="filter_block_min" style="display:none;">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<tr>
							<td class="table_header_left" width="66%"><?php get_text(77);//Filteroptionen ?></td>
							<td class="table_header" align="right" width="34%"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_max.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
					</table>
				</div>
				<div id="filter_block_max">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<colgroup>
							<col width="10%" />
							<col width="15%" />
							<col width="30%" />
							<col width="15%" />
							<col width="30%" />
						</colgroup>
						<tr class="table_tr_bg_2">
							<td class="table_header_left"><?php get_text('74'); /*Anzahl*/?></td>
							<td class="table_header" colspan="3"><?php get_text('77'); /*Filteroptionen*/?></td>
							<td class="table_header" align="right"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_min.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="20"<?php if ($_POST['filter_anzahl_int'] == 20) {echo ' checked="checked"';} ?> /> 20</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'art'); /*Art*/?>:</td>
							<td class="filter_td_1">
								<select name="absence_type_id_int" class="ipt_200" onchange="set_status();">
									<?php
										$authorization = false;
										$sql = $cdb->select('SELECT absence_type_id, absence_name, approval FROM hdb_absence_type WHERE application=1 AND display=1 ORDER BY absence_name ASC');
										while ($result = $cdb->fetch_array($sql))
										{
											$selected = '';
											if ($_POST['absence_type_id_int'] == $result['absence_type_id'])
											{
												$selected = ' selected="selected"';

												if ($result['approval'] == 1)
												{
													$authorization = true;
												}
											}

											echo '<option value="'.$result['absence_type_id'].'"'.$selected.'>'.$result['absence_name'].'</option>';
										}
									?>
								</select>
							</td>
							<td class="filter_td_2"><div id="status_name"<?php if ($authorization == false){echo ' style="display: none;"';} ?>><?php get_text('', 'echo', 'decode_on', 'status'); /*Status*/?>:</div></td>
							<td class="filter_td_2">
								<div id="status_value"<?php if ($authorization == false){echo ' style="display: none;"';} ?>>
									<select name="filter_status_string" class="ipt_200" onchange="get_date();">
										<option value="all"<?php if ($_POST['filter_status_string'] == 'all'){echo ' selected="selected"';} ?>><?php get_text('', 'echo', 'decode_on', 'alle'); /*Alle*/?></option>
										<option value="approved"<?php if ($_POST['filter_status_string'] == 'approved'){echo ' selected="selected"';} ?>><?php get_text('', 'echo', 'decode_on', 'genehmigt'); /*genehmigt*/?></option>
										<option value="open"<?php if ($_POST['filter_status_string'] == 'open'){echo ' selected="selected"';} ?>><?php get_text('', 'echo', 'decode_on', 'in_bearbeitung'); /*in Bearbeitung*/?></option>
										<option value="rejected"<?php if ($_POST['filter_status_string'] == 'rejected'){echo ' selected="selected"';} ?>><?php get_text('', 'echo', 'decode_on', 'abgelehnt'); /*abgelehnt*/?></option>
									</select>
								</div>
							</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="40"<?php if ($_POST['filter_anzahl_int'] == 40) {echo ' checked="checked"';} ?> /> 40</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'jahr'); /*Jahr*/?>/<?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?>:</td>
							<td class="filter_td_1">
								<select name="filter_date_string" class="ipt_200">
									<option value=""><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
								</select>
							</td>
							<td class="filter_td_2" colspan="2">&nbsp;</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="60"<?php if ($_POST['filter_anzahl_int'] == 60) {echo ' checked="checked"';} ?> /> 60</td>
							<td class="filter_td_2" colspan="4">&nbsp;</td>
						</tr>
						<tr class="filter_tr_end">
							<td colspan="3"><?php echo get_button(get_text('', 'return', 'decode_on', 'reset') /*zuruecksetzen*/, 'cancel.png', 'onclick="document.filter_form.reset();"'); ?></td>
							<td colspan="2" align="right"><?php echo get_button(get_text('', 'return', 'decode_on', 'show') /*Anzeigen*/, 'tick.png', 'onclick="document.filter_form.submit();"', 'submit'); ?></td>
						</tr>
					</table>
				</div>
			</form>
			<?php
				$where_array = array();
				$where_array[] = 't1.absence_type_id='.$_POST['absence_type_id_int'];
				$where_array[] = 't1.user_id='.USER_ID;

				if ($authorization === true)
				{
					//genehmigte
					if ($_POST['filter_status_string'] == 'approved')
					{
						$where_array[] = "t1.status='approved'";
					}
					//abgelehnte
					elseif ($_POST['filter_status_string'] == 'rejected')
					{
						$where_array[] = "t1.status='rejected'";
					}
					//in bearbeitung
					elseif ($_POST['filter_status_string'] == 'open')
					{
						$where_array[] = "t1.status='open'";
					}
				}

				if (!empty($_POST['filter_date_string']))
				{
					$where_array[] = "LEFT(t1.datum_from, 7)='".str_replace(' / ', '-', $_POST['filter_date_string'])."'";
				}

				$where = '';
				for ($i = 0; $i < count($where_array); $i++)
				{
					if (empty($where))
					{
						$where = 'WHERE '.$where_array[$i];
					}
					else
					{
						$where .= ' AND '.$where_array[$i];
					}
				}

				$sql = $cdb->select('SELECT COUNT(as_id) AS count_id FROM hdb_absence_list t1 '.$where);
				$count_result = $cdb->fetch_array($sql);

				//Blaetternfunktion
				if (!isset($_GET['blseite']))
				{
					$current_page = 1;
				}
				else
				{
					$current_page = $_GET['blseite'];
				}

				$bl = blaettern($current_page, $count_result['count_id'], $_POST['filter_anzahl_int'], $_POST,'index.php');
				echo '<br />'.$bl['txt'].'<br />';
			?>
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<tr class="table_tr_bg_2">
					<td class="table_header_left" width="10%"><?php get_text('', 'echo', 'decode_on', 'art'); /*Art*/?></td>
					<td class="table_header" width="20%"><?php get_text('', 'echo', 'decode_on', 'zeitraum'); /*Zeitraum*/?></td>
					<td class="table_header" width="10%"><?php get_text('', 'echo', 'decode_on', 'arbeitstage'); /*Arbeitstage*/?></td>
					<td class="table_header" width="10%"><?php get_text(618); /*Beantragt am*/?></td>
					<td class="table_header" width="25%"><?php get_text(603); /*Kommentar*/?></td>
					<td class="table_header" width="15%"><?php get_text('', 'echo', 'decode_on', 'status'); /*Status*/?></td>
					<td class="table_header" width="10%" align="center"><?php get_text(759, 'echo', 'decode_on'); /*Aktionen*/?></td>
				</tr>
				<?php
					$count = 0;
					$bg = 1;
					$sql = $cdb->select('SELECT t1.*, t2.absence_name FROM hdb_absence_list t1
										LEFT JOIN hdb_absence_type t2 ON t1.absence_type_id=t2.absence_type_id
										'.$where.' ORDER BY t1.date_from DESC '.$bl['limit']);
					while ($result = $cdb->fetch_array($sql))
					{
						$cs = $chk_sum->GetString(array('as_id_int' => $result['as_id']));
				?>
						<tr class="table_tr_bg_<?php echo $bg; ?>">
							<td><?php echo $result['absence_name']; ?></td>
							<td>
								<?php
									if ($result['date_from'] != $result['date_to'])
									{
										echo $kal->iso_to_free($result['date_from']).' - '.$kal->iso_to_free($result['date_to']);
									}
									else
									{
										echo $kal->iso_to_free($result['date_from']);
									}
								?>
							</td>
							<td><?php echo $result['day_count']; ?></td>
							<td><?php echo $kal->win_to_time($result['request_timestamp'], 'date'); ?></td>
							<?php
								if (strlen($result['comment']) > 30)
								{
									$short_comment = htmlentities(substr(html_entity_decode($result['comment'], ENT_QUOTES), 0, 30), ENT_QUOTES).'...';
								}
								else
								{
									$short_comment = $result['comment'];
								}
							?>
							<td title="<?php echo $result['comment']?>"><?php echo $short_comment; ?></td>
							<td>
								<?php
									if ($result['status'] == 'open')
									{

										echo '<img src="'.TOM_ABS_URL.'template/'.$setup_array['template'].'/image/error.png" width="16" height="16" border="0" alt="" class="image" />&nbsp;';
										get_text('', 'echo', 'decode_on', 'in_bearbeitung'); /*in Bearbeitung*/
									}
									elseif ($result['status'] == 'approved')
									{
										echo '<img src="'.TOM_ABS_URL.'template/'.$setup_array['template'].'/image/tick.png" width="16" height="16" border="0" alt="" class="image" />&nbsp;';
										get_text('', 'echo', 'decode_on', 'genehmigt'); /*genehmigt*/
									}
									elseif ($result['status'] == 'rejected')
									{
										echo '<img src="'.TOM_ABS_URL.'template/'.$setup_array['template'].'/image/cancel.png" width="16" height="16" border="0" alt="" class="image" />&nbsp;';
										get_text('', 'echo', 'decode_on', 'abgelehnt'); /*abgelehnt*/
									}
								?>
							</td>
							<td align="center">
								<a href="../report/pdf_absence.php<?php echo $gv->create_get_string('?as_id_int='.$result['as_id'].'&amp;'.$cs); ?>" target="_blank"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/printer.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
							</td>
						</tr>
				<?php
						if ($bg == 1)
						{
							$bg++;
						}
						else
						{
							$bg = 1;
						}
						$count++;
					}
				?>
			</table>
		</td>
	</tr>
</table>
<script language="JavaScript" type="text/javascript">
	get_date();
</script>