<?php
	/**
	 * this include-file manages file-downloads
	 * @package time-o-meter
	 * @subpackage inc
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	//prueft ob die Konstanten aus der config.inc.php datei vorhanden sind, wenn nicht wird die Datei includet
	if (!defined('TOM_ABS_PFAD'))
	{
		//config datei mit allen wichtigen defines
		require_once('../config/config.php');
	}

	//prueft ob der Dateiname vorhanden ist
	//der Dateiname ist inkl. Pfad ab dem absoluten Pfad von TOM_ABS_PFAD
	if (isset($_GET['fileid_int']) and isset($_GET['filetyp_string']) and isset($_GET['VCS']))
	{
		//Backupdownload
		if ($_GET['filetyp_string'] == 'backup' and $_GET['fileid_int'] > 0 and $chk_sum->Chk($_GET['VCS']))
		{
			$sql = $cdb->select('SELECT filename FROM hdb_backup WHERE file_id='.$_GET['fileid_int']);
			$result = $cdb->fetch_array($sql);

			if (isset($result['filename']) and !empty($result['filename']))
			{
				$file_pfad = TOM_ABS_PFAD.'files/backup/'.$result['filename'];

				if (file_exists($file_pfad))
				{
					$size = filesize($file_pfad);
					header("Content-Type: application/octetstream");
					header("Content-Disposition: attachment; filename=".$result['filename']);
					header("Content-Transfer-Encoding: binary");
					header("Cache-Control: post-check=0, pre-check=0");
					header("Content-Length: {$size}");
					readfile($file_pfad);
				}
				else
				{
					get_text(445); //Die Datei ist nicht verfuegbar.
				}
			}
			else
			{
				get_text(445); //Die Datei ist nicht verfuegbar.
			}
		}
		//
		//Hier sollten dann andere Downloadmoeglichkeiten folgen
		//
		else
		{
			get_text(445); //Die Datei ist nicht verfuegbar.
		}
	}
	//Logoausgabe kein Download
	elseif (isset($_GET['filetyp_string']) and $_GET['filetyp_string'] == 'logo' and isset($_GET['logo']) and !empty($_GET['logo']))
	{
		$dir = opendir(TOM_ABS_PFAD.'files/logo/');

		while (false !== ($file = readdir($dir)))
		{
			if ($file != '.' and $file != '..' and $file == $_GET['logo'])
			{
				$file_pfad = TOM_ABS_PFAD.'files/logo/'.$file;

				if (file_exists($file_pfad))
				{
					$file_ex = explode(".", $file);
					$file_ex = trim(strtolower($file_ex[count($file_ex)-1]));

					$size = filesize($file_pfad);
					if ($file_ex == 'jpg' or $file_ex == 'jpeg' or $file_ex == 'jpe')
					{
						header("Content-Type: image/jpeg");
					}
					elseif ($file_ex == 'gif')
					{
						header("Content-Type: image/gif");
					}
					elseif($file_ex == 'png')
					{
						header("Content-Type: image/png");
					}
					header("Content-Disposition: attachment; filename=$file");
					header("Content-Transfer-Encoding: binary");
					header("Cache-Control: post-check=0, pre-check=0");
					header("Content-Length: {$size}");
					readfile($file_pfad);
				}
				break;
			}
		}
	}
	else
	{
		get_text(445); //Die Datei ist nicht verfuegbar.
	}
?>