<?php
	/**
	 * Setup-Array
	 * this include-file reads all configuration-settings from the database
	 * @package time-o-meter
	 * @subpackage inc
	 */

	/**
	 * Gibt die aktuelle Version zurueck
	 * @TODO ACHTUNG - Muss bei jedem Update angepasst werden!
	 */
	define('TOM_VERSION', '0.9.8.1');

	//Gibt alle Variablen aus den Grundeinstellungen zurueck
	$setup_array = $setup->select_setup();

	//define seit 0.9.8
	//damit lassen sich im Fehlerfall die LDAP Einstellungen Deaktivieren
	if (defined('TOM_LDAP_SETTINGS_DISABLE'))
	{
		if (TOM_LDAP_SETTINGS_DISABLE == true)
		{
			$setup_array['ldap']['active'] = false;
		}
	}
	if (!isset($setup_array['ldap']) or !isset($setup_array['ldap']['active']))
	{
		$setup_array['ldap']['active'] = false;
	}

	$GLOBALS['setup_array'] = $setup_array;
	define('DATE_FORMAT', $setup_array['date_format']);

	//define seit 0.9.7 davor waren diese in der config.php
	//ACHTUNG TOM_PW_MIN_LENGTH muss aus der config raus
		// Mindestlaenge fuer Passwoerter
		if (!defined('TOM_PW_MIN_LENGTH'))
		{
			if (isset($setup_array['min_pw_len']))
			{
				define('TOM_PW_MIN_LENGTH', $setup_array['min_pw_len']);
			}
			else
			{
				define('TOM_PW_MIN_LENGTH', 8);
			}
		}

	//define seit 0.9.8
	if (isset($setup_array['min_username_len']) and !empty($setup_array['min_username_len']))
	{
		define('TOM_USERNAME_MIN_LENGTH', $setup_array['min_username_len']);
	}
	else
	{
		define('TOM_USERNAME_MIN_LENGTH', 8);
	}

	//define seit 0.9.7
	//gibt an ob versucht werden soll ein Cookie beim login zu setzen
	if (isset($setup_array['login_cookie']) and $setup_array['login_cookie'] == true)
	{
		define('TOM_LOGIN_COOKIE', true);
	}
	else
	{
		define('TOM_LOGIN_COOKIE', false);
	}

	require_once(TOM_ABS_PFAD.'inc/function.php');

	// Get Includevariablen in Session uebernehmen
	if (isset($_GET['fileinc']))
	{
		$GLOBALS['TOM_VAR']['fileinc'] = $_GET['fileinc'];
	}
?>