/**
 * Pruet die maximale laenge einer eingabe. (Fuer texareafelder ersatz fuer maxlength)
 * @param obj
 * @param int maxlen
 * @return
 */
function chk_maxlength(obj, maxlen)
{
	var textinhalt = obj.value;
	if (textinhalt.length >= maxlen)
	{
		obj.value = textinhalt.substring(0, maxlen);
	}
}

/**
* Minimiert bzw. Maximiert einen Filternblock
* @param string JSID
*/
function set_filter(jsid)
{
	var min = jsid + "_min";
	var max = jsid + "_max";
	
	if(document.getElementById(min).style.display == "none")
	{
		document.getElementById(min).style.display = "";
		document.getElementById(max).style.display = "none";
	}
	else
	{
		document.getElementById(min).style.display = "none";
		document.getElementById(max).style.display = "";
	}
}
/*
* Countdown fuer die Anzeige des Logouts
*
* @return string
*/
function countdown_logout()
{
	//aktuelles Datumsobjekt
	var current_time = new Date();
	//aktueller Timestamp
	var now = parseInt(current_time.getTime()/1000);
	
	if (typeof document.getElementById("countdown") != "undefined")
	{
		if (typeof JS_COUNTDOWN_ENDE != "undefined")
		{
			if (now < JS_COUNTDOWN_ENDE)
			{
				var out = "";
				var diff = parseInt(JS_COUNTDOWN_ENDE - now);
				var mi = parseInt(diff/60);
				if (mi < 10)
				{
					out = "0";	
				}
				out += mi+":";
				var sek= diff%60;
				
				if (sek<10)
				{
					out+="0";
				}
				out+=sek;
				
				document.getElementById("countdown").innerHTML = out;
				setTimeout("countdown_logout()",1000);
			}
			else
			{
				var xmlHttp = GetXmlHttpRequest();
				var sess_expiry = 0;
				if (xmlHttp)
				{
					xmlHttp.open('GET', JS_ABS_URL + 'inc/xml_get_logouttime.php?' + JS_GV_INDEX + '=' + JS_GV_KEY, true);
					xmlHttp.onreadystatechange = function()
					{
						if (xmlHttp.readyState == 4)
						{
							var FILEDATA = xmlHttp.responseXML;
							var data = FILEDATA.getElementsByTagName('expiry');
							sess_expiry = parseInt(data[0].childNodes[0].nodeValue);
							
							if (sess_expiry > 60)
							{
								JS_COUNTDOWN_ENDE = now + sess_expiry;
								setTimeout("countdown_logout()",1000);
							}
							else
							{
								document.getElementById("countdown").innerHTML = "00:00";
								setTimeout("countdown_logout_php()",5000);
							}
						}
					}
					xmlHttp.send(null);
				}
			}
		}
	}
	else
	{
		setTimeout("countdown_logout()",1000);
	}
}

/*
* fuehrt ein Reload der aktuellen Seite durch um den Logout per PHP zu aktivieren
*/
function countdown_logout_php()
{
	window.location.replace('index.php?action=logout&' + JS_GV_INDEX + '=' + JS_GV_KEY);		
}

/**
* prueft ob der uebergebene String ein Datum ist
* @param string date_string
* @return boole
*/
function chk_date_format(date_string)
{
	var day_chk_bool = true;
	var month_chk_bool = true;
	var year_chk_bool = true;
	var error_count_int = 0;
	var current_sign_string = "";
	var current_date_detail_int = 0;
	var current_date_detail_string = "";
	var chk_bool = true;
	var tmp_mixed = "";
	var tmp_date_string = "";
	
	//trennzeichen entfernen
	for (var i=0; i<date_string.length; i++)
	{
		if (!isNaN(date_string.substr(i, 1)))
		{
			tmp_date_string = tmp_date_string + date_string.substr(i, 1);
		}
	}
	
	for (var i=0; i<JS_DATE_FORMAT.length; i++)
	{
		current_sign_string = JS_DATE_FORMAT.substr(i, 1);

		//trennzeichen ausfiltern
		if (current_sign_string == "d" || current_sign_string == "m" || current_sign_string == "Y")
		{
			if (current_sign_string == "d" && day_chk_bool == true)
			{
				current_date_detail_string = "day";
				chk_bool = true;
				day_chk_bool = false;
				
				tmp_mixed = tmp_date_string.substr(0, 2);
				if (parseInt(tmp_mixed.substr(0, 1)) == 0)
				{
					tmp_mixed = tmp_mixed.substr(1, 1);
				}
				current_date_detail_int = parseInt(tmp_mixed);
				tmp_date_string = tmp_date_string.substr(2);
			}
			else if (current_sign_string == "m" && month_chk_bool == true)
			{
				current_date_detail_string = "month";
				chk_bool = true;
				month_chk_bool = false;
				
				tmp_mixed = tmp_date_string.substr(0, 2);
				if (parseInt(tmp_mixed.substr(0, 1)) == 0)
				{
					tmp_mixed = tmp_mixed.substr(1, 1);
				}
				current_date_detail_int = parseInt(tmp_mixed);
				tmp_date_string = tmp_date_string.substr(2);
			}
			else if (current_sign_string == "Y" && year_chk_bool == true)
			{
				current_date_detail_string = "year";
				chk_bool = true;
				year_chk_bool = false;
				current_date_detail_int = parseInt(tmp_date_string.substr(0, 4));
				tmp_date_string = tmp_date_string.substr(4);
			}
			else
			{
				current_date_detail_string = "";
				chk_bool = false;
			}
			
			if (chk_bool == true)
			{
				if (!isNaN(current_date_detail_int))
				{
					if (current_date_detail_string == "day")
					{
						if (current_date_detail_int < 1 || current_date_detail_int > 31)
						{
							error_count_int++;
						}
					}
					else if (current_date_detail_string == "month")
					{
						if (current_date_detail_int < 1 || current_date_detail_int > 12)
						{
							error_count_int++;
						}
					}
					else if (current_date_detail_string == "year")
					{
						if (current_date_detail_int < 1900 || current_date_detail_int > 2100)
						{
							error_count_int++;
						}
					}
					else
					{
						error_count_int++;
					}
				}
				else
				{
					error_count_int++;
				}
			}
		}
	}
	
	if (error_count_int == 0)
	{
		return true;
	}
	else
	{
		return false;
	}
}
/**
* Gibt den http Requesttyp je nach Browser zurueck
* @return object
*/
function GetXmlHttpRequest()
{
	var xmlHttp = null;
	// Mozilla, Opera, Safari sowie Internet Explorer 7
	if (typeof XMLHttpRequest != 'undefined')
	{
		xmlHttp = new XMLHttpRequest();
	}
	if (!xmlHttp)
	{
		// Internet Explorer 6 und aelter
		try
		{
			xmlHttp  = new ActiveXObject("Msxml2.XMLHTTP");
		}
		catch(e)
		{
			try
			{
				xmlHttp  = new ActiveXObject("Microsoft.XMLHTTP");
			}
			catch(e)
			{
				xmlHttp  = null;
			}
		}
	}
	return xmlHttp;
}
/**
* Wandelt den uebergebenen Wert in einen Float Wert
* @param string string
* @return float
*/
function floatval(string)
{
	var tmp_float = parseFloat(string.replace(/\D+/, "."));
	if (isNaN(tmp_float))
	{
		tmp_float = 0;
	} 
	return tmp_float;
}