<?php
	/**
	 * calendar
	 * this is the basic framework of the HTML PopUp-Calendar for date-selections
	 * @package time-o-meter
	 * @subpackage inc
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once 'include.php';

	$kal_w = new KalenderWindow;

	if (!isset($_POST['kalender_year_string']))
	{
		$_POST['kalender_year_string'] = date('Y');
	}
	if (!isset($_POST['kalender_month_string']))
	{
		$_POST['kalender_month_string'] = date('m');
	}

	if (isset($_GET['kalender_date_string']) and !empty($_GET['kalender_date_string']))
	{
		$date_info = $kal_w->read_date_info($_GET['kalender_date_string']);

		if (isset($date_info['month']) and isset($date_info['year']))
		{
			$_POST['kalender_year_string'] = $date_info['year'];
			$_POST['kalender_month_string'] = $date_info['month'];
		}
	}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php get_text('', 'echo', 'decode_on', 'kalender'); /*Kalender*/?></title>
<link rel="stylesheet" media="screen" type="text/css" href="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/screen.css?v='.TOM_VERSION; ?>" />
<link rel="stylesheet" media="screen" type="text/css" href="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/kalender.css?v='.TOM_VERSION; ?>" />
<script type="text/javascript">
	<!--
		//Datumsformat
		JS_DATE_FORMAT = "<?php echo DATE_FORMAT; ?>";
		//Absolute URL
		JS_ABS_URL = "<?php echo TOM_ABS_URL; ?>";
		JS_GV_INDEX = "<?php echo $gv->get_index_name(); ?>";
		JS_GV_KEY = "<?php echo $gv->get_key(); ?>";
		<?php
			if (!isset($_GET['js_function_name']) or empty($_GET['js_function_name']))
			{
		?>
		JS_OPENER_FUNCTION = '';
		<?php
			}
			else
			{
		?>
		JS_OPENER_FUNCTION = '<?php echo $_GET['js_function_name']; ?>';
		<?php
			}
		?>
	// -->
</script>
<script type="text/javascript" src="<?php echo TOM_ABS_URL.'inc/kalender.js?v='.TOM_VERSION; ?>"></script>
</head>
<body>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr>
		<td width="100%" align="center" style="padding: 11px;">
			<table cellpadding="0" cellspacing="0" border="0" width="278">
				<tr valign="middle">
					<td class="main_table_header" width="100%"><?php get_text('', 'echo', 'decode_on', 'kalender'); /*Kalender*/?></td>
				</tr>
				<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
				<tr>
					<td align="center" class="main_table_content">
						<?php
							echo $kal_w->get_kalender('', $_POST['kalender_month_string'], $_POST['kalender_year_string']);
						?>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</body>
</html>