<?php
	/**
	 * xml output of the logout-time
	 * Provides the remaining time in seconds till automatic idle time logout in XML.
	 * Gibt die verbleibende Zeit (sek) bis zum Automatischen Logout im XML Format aus.
	 * @package time-o-meter
	 * @subpackage inc
	 */

	$show_header = 'n';

	/**
	 * include-sammlung einbinden
	 */
	require_once('include.php');

	header('Content-type: application/xml');
	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: ".date('r', time() - 86400));
	$return = '<?xml version="1.0" encoding="utf-8"?>'."\n";
	$return .= "<root>\n";
	$return .= "<session>\n";
	if (defined('USER_ID'))
	{
		$sql = $cdb->select('SELECT session_key FROM hdb_user WHERE user_id='.USER_ID);
		$result = $cdb->fetch_array($sql);

		$sql = $cdb->select("SELECT sess_expiry FROM hdb_session WHERE sess_value='".$result['session_key']."'");
		$result = $cdb->fetch_array($sql);

		if (isset($result['sess_expiry']) and !empty($result['sess_expiry']))
		{
			$expiry_time = intval($kal->win_to_time($result['sess_expiry'], 'unix'));
			$current_time = intval(time());
			$diff = $expiry_time - $current_time;

			if ($diff > 60)
			{
				$return .= "<expiry>$diff</expiry>\n";
			}
			else
			{
				$return .= "<expiry>0</expiry>\n";
			}
		}
		else
		{
			$return .= "<expiry>0</expiry>\n";
		}
	}
	else
	{
		$return .= "<expiry>0</expiry>\n";
	}
	$return .= "</session>\n";
	$return .= "</root>";

	echo utf8_encode($return);
?>