<?php
	/**
	 * logbook (short-overview of login-activities and timesheet-editings)
	 * this file contains the default-content of the index.php
	 * @package time-o-meter
	 * @subpackage log
	 */
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('120'); /*Logbuch*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<h4><?php get_text('377'); /*Die letzten 10 Login/Logout-Vorgaenge*/?></h4>
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<tr class="table_tr_bg_2">
					<td class="table_header_left" width="30%"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?></td>
					<td class="table_header" width="20%"><?php get_text('', 'echo', 'decode_on', 'login'); /*Login*/?></td>
					<td class="table_header" width="20%"><?php get_text('', 'echo', 'decode_on', 'logout'); /*Logout*/?></td>
					<td class="table_header" width="10%"><?php get_text('370'); /*Dauer*/?></td>
					<td class="table_header" width="20%"><?php get_text('', 'echo', 'decode_on', 'ip_adresse'); /*IP-Adresse*/?></td>
				</tr>
				<?php
					$count = 0;
					$bg = 1;
					$sql = $cdb->select("SELECT t1.login_time, t1.logout_time, t1.ip, t2.vorname, t2.nachname FROM hdb_log_login t1
										LEFT JOIN hdb_user t2 ON t1.user_id=t2.user_id
										ORDER BY t1.log_id DESC LIMIT 10");
					while ($result = $cdb->fetch_array($sql))
					{
				?>
						<tr class="table_tr_bg_<?php echo $bg; ?>">
							<td><?php echo $result['nachname'].', '.$result['vorname']; ?></td>
							<td><?php echo $kal->win_to_time($result['login_time']); ?></td>
							<td>
								<?php
									if (!empty($result['logout_time']))
									{
										echo $kal->win_to_time($result['logout_time']);
									}
								?>
							</td>
							<td>
								<?php
									if (!empty($result['login_time']) and !empty($result['logout_time']))
									{
										$login = $kal->win_to_time($result['login_time'], 'unix');
										$logout = $kal->win_to_time($result['logout_time'], 'unix');

										$dif = $logout - $login;

										//Stundenausgabe
										if ($dif > 3600)
										{
											echo round($dif / 3600, 2).' h';
										}
										else
										{
											echo round($dif / 60, 2).' min';
										}
									}
								?>
							</td>
							<td><?php echo $result['ip']; ?></td>
						</tr>
				<?php
						if ($bg == 1)
						{
							$bg++;
						}
						else
						{
							$bg = 1;
						}
					}
				?>
			</table>
			<h4><?php get_text('378'); /*Die letzten 10 Stundenzettelaenderungen*/?></h4>
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<tr class="table_tr_bg_2">
					<td class="table_header_left" width="30%"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?></td>
					<td class="table_header" width="20%"><?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?></td>
					<td class="table_header" width="20%"><?php get_text('372'); /*Geaendert am*/?></td>
					<td class="table_header" width="30%"><?php get_text('373'); /*Bearbeitet von*/?></td>
				</tr>
				<?php
					$count = 0;
					$bg = 1;
					$sql = $cdb->select("SELECT t1.month, t1.log_time, t2.vorname, t2.nachname, t3.vorname AS edit_vorname, t3.nachname AS edit_nachname FROM hdb_log_stz t1
										LEFT JOIN hdb_user t2 ON t1.user_id=t2.user_id
										LEFT JOIN hdb_user t3 ON t1.edit_user_id=t3.user_id
										ORDER BY t1.log_id DESC LIMIT 10");
					while ($result = $cdb->fetch_array($sql))
					{
				?>
						<tr class="table_tr_bg_<?php echo $bg; ?>">
							<td><?php echo $result['nachname'].', '.$result['vorname']; ?></td>
							<td><?php echo str_replace('-', '/', substr($result['month'], 0, 7)); ?></td>
							<td><?php echo $kal->win_to_time($result['log_time']); ?></td>
							<td><?php echo $result['edit_nachname'].', '.$result['edit_vorname']; ?></td>
						</tr>
				<?php
						if ($bg == 1)
						{
							$bg++;
						}
						else
						{
							$bg = 1;
						}
					}
				?>
			</table>
		</td>
	</tr>
</table>