<?php
	/**
	 * welcome-page
	 * this file contains the default-content of the index.php
	 * @package time-o-meter
	 * @subpackage main
	 */

	$site_array = array();
	$site_array[] = array('access' => 'all',
							'file' => TOM_ABS_PFAD.'main/stz.php');

	$site_array[] = array('access' => 'all',
							'file' => TOM_ABS_PFAD.'main/new_message.php');

	$site_array[] = array('access' => 'all',
							'file' => TOM_ABS_PFAD.'main/new_absence.php');

	$site_array[] = array('access' => 'admin_antrag_read',
							'file' => TOM_ABS_PFAD.'main/new_absence_all.php');

	$site_array[] = array('access' => 'admin_user_read',
							'file' => TOM_ABS_PFAD.'main/user_online.php');

	$site_array[] = array('access' => 'admin_user_read',
							'file' => TOM_ABS_PFAD.'main/user_away.php');

	$site_array[] = array('access' => 'admin_user_read',
							'file' => TOM_ABS_PFAD.'main/birthday.php');

	$site_array[] = array('access' => 'all',
							'file' => TOM_ABS_PFAD.'main/stz_info.php');

	$site_array[] = array('access' => 'all',
							'file' => TOM_ABS_PFAD.'main/help.php');

	$array_count = 0;
	$count_pages = count($site_array) - 1;
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<colgroup>
		<col width="32%" />
		<col width="2%" />
		<col width="32%" />
		<col width="2%" />
		<col width="32%" />
	</colgroup>
	<?php
		$tr_count = ceil(count($site_array) / 3);
		for ($tr = 1; $tr <= $tr_count; $tr++)
		{
			echo '<tr valign="top"><td>';

				$include_file = false;
				for ($i = $array_count; $i <= $count_pages; $i++)
				{
					//keine zugriffbeschraenkungen
					if ($site_array[$i]['access'] == 'all')
					{
						/**
						 * include info-boxes WITHOUT access-restrictions
						 */
						require_once($site_array[$i]['file']);
						$array_count++;
						$i = $count_pages + 1;
						$include_file = true;
					}
					//mit zugriffsbeschraenkungen
					elseif ($access->check_group(USER_GROUP_ID, $site_array[$i]['access']))
					{
						/**
						 * include info-boxes WITH access-restrictions
						 */
						require_once($site_array[$i]['file']);
						$array_count++;
						$i = $count_pages + 1;
						$include_file = true;
					}
				}

				//Es wurde keine Datei includet
				if ($include_file == false)
				{
					echo '&nbsp;';
				}

			echo '</td><td>&nbsp;</td><td>';

				$include_file = false;
				for ($i = $array_count; $i <= $count_pages; $i++)
				{
					//keine zugriffbeschraenkungen
					if ($site_array[$i]['access'] == 'all')
					{
						require_once($site_array[$i]['file']);
						$array_count++;
						$i = $count_pages + 1;
						$include_file = true;
					}
					//mit zugriffsbeschraenkungen
					elseif ($access->check_group(USER_GROUP_ID, $site_array[$i]['access']))
					{
						require_once($site_array[$i]['file']);
						$array_count++;
						$i = $count_pages + 1;
						$include_file = true;
					}
				}
				//Es wurde keine Datei includet
				if ($include_file == false)
				{
					echo '&nbsp;';
				}

			echo '</td><td>&nbsp;</td><td>';

				$include_file = false;
				for ($i = $array_count; $i <= $count_pages; $i++)
				{
					//keine zugriffbeschraenkungen
					if ($site_array[$i]['access'] == 'all')
					{
						require_once($site_array[$i]['file']);
						$array_count++;
						$i = $count_pages + 1;
						$include_file = true;
					}
					//mit zugriffsbeschraenkungen
					elseif ($access->check_group(USER_GROUP_ID, $site_array[$i]['access']))
					{
						require_once($site_array[$i]['file']);
						$array_count++;
						$i = $count_pages + 1;
						$include_file = true;
					}
				}
				//Es wurde keine Datei includet
				if ($include_file == false)
				{
					echo '&nbsp;';
				}

			echo '</td></tr>';

			if ($tr < $tr_count)
			{
				echo '<tr><td colspan="5"><br /></td></tr>';
			}
		}
	?>
</table>