<?php
	/**
	 * user-away overview
	 * this is an info-box for the welcome-page, which is displayed after successful login
	 * @package time-o-meter
	 * @subpackage main
	 */
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('849'); /*Abwesende Mitarbeiter (Heute)*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td>
			<div class="main_table_content" style="min-height:130px; max-height:130px; overflow:auto;">
				<?php
					$user_array = array();
					$user_type_array = array();
					//Alle mit beantragtem Abwesenheitsgrund finden
					$sql = $cdb->select("SELECT DISTINCT(t1.user_id), t1.absence_type_id, t2.absence_name FROM hdb_absence_list t1
										LEFT JOIN hdb_absence_type t2 ON t1.absence_type_id=t2.absence_type_id
										WHERE t1.date_from<='".date('Y-m-d')."' AND t1.date_to>='".date('Y-m-d')."' AND t1.status='approved'");
					while ($result = $cdb->fetch_array($sql))
					{
						$user_array[] = $result['user_id'];
						$user_type_array[$result['user_id']] = array('type' => 'absence', 'absence_type_id' => $result['absence_type_id'], 'absence_name' => $result['absence_name']);
					}

					//Alle mit Abwesenheitsgrund finden
					$sql = $cdb->select("SELECT t1.user_id, t1.absence_id, t2.absence_name FROM hdb_stz t1
										LEFT JOIN hdb_absence_type t2 ON t1.absence_id=t2.absence_type_id
										WHERE t1.datum='".date('Y-m-d')."' AND t1.absence_id>0");
					while ($result = $cdb->fetch_array($sql))
					{
						$user_array[] = $result['user_id'];
						$user_type_array[$result['user_id']] = array('type' => 'timesheet', 'absence_type_id' => $result['absence_id'], 'absence_name' => $result['absence_name']);
					}
					//Alle User die Bereits Arbeitsende haben
					$sql = $cdb->select("SELECT user_id, gehen FROM hdb_stz WHERE datum='".date('Y-m-d')."' AND gehen IS NOT NULL");
					while ($result = $cdb->fetch_array($sql))
					{
						if ($result['user_id'] > 0 and !empty($result['gehen']))
						{
							$gehen_int = intval(str_replace(':', '', $result['gehen']));
							$current_int = date('Gi');

							if ($current_int > $gehen_int)
							{
								$user_array[] = $result['user_id'];
								$user_type_array[$result['user_id']] = array('type' => 'end');
							}
						}
					}


					$user_array = array_unique($user_array);
					sort($user_array);

					$user_list_array = array();
					for ($i = 0; $i < count($user_array); $i++)
					{
						$sql = $cdb->select('SELECT vorname, nachname FROM hdb_user WHERE user_id='.$user_array[$i]);
						$result = $cdb->fetch_array($sql);

						if ($user_type_array[$user_array[$i]]['type'] == 'absence')
						{
							//der User darf antraege lesen
							if ($access->check_group(USER_GROUP_ID, 'admin_antrag_read'))
							{
								$link_start = '<a href="../holiday/index.php'.$gv->create_get_string('?fileinc=overview_holiday_admin&amp;clear_sf=1&amp;absence_type_id_int='.$user_type_array[$user_array[$i]]['absence_type_id'].'&amp;filter_user_int='.$user_array[$i].'&amp;filter_date_string='.date('Y / m')).'">';
								$link_end = '</a>';
							}
							else
							{
								$link_start = '';
								$link_end = '';
							}

							$user_list_array[] = array('link_start' 	=> $link_start,
														'link_end'		=> $link_end,
														'user'			=> '&nbsp;'.$result['vorname'].' '.$result['nachname'],
														'type'			=> 'absence',
														'absence_name'	=> $user_type_array[$user_array[$i]]['absence_name']);

						}
						elseif ($user_type_array[$user_array[$i]]['type'] == 'end' or $user_type_array[$user_array[$i]]['type'] == 'timesheet')
						{
							//User darf stundenzettel anderer User sehen
							if ($access->check_group(USER_GROUP_ID, 'admin_stz'))
							{
								$cs_show = $chk_sum->GetString(array('userid_int' => $user_array[$i], 'month_string' => date('m'), 'year_string' => date('Y'), 'typ_string' =>'show', 'time_string' => 'day'));
								$link_start = '<a href="../stz/index.php'.$gv->create_get_string('?fileinc=show_stz&amp;userid_int='.$user_array[$i].'&amp;month_string='.date('m').'&amp;year_string='.date('Y').'&amp;typ_string=show&amp;time_string=day&amp;'.$cs_show).'">';
								$link_end = '</a>';
							}
							else
							{
								$link_start = '';
								$link_end = '';
							}

							if ($user_type_array[$user_array[$i]]['type'] == 'end')
							{
								$user_list_array[] = array('link_start' 	=> $link_start,
															'link_end'		=> $link_end,
															'user'			=> '&nbsp;'.$result['vorname'].' '.$result['nachname'],
															'type'			=> 'end',
															'absence_name'	=> get_text(1049, 'return')/*... has finished work*/);
							}
							else
							{
								$user_list_array[] = array('link_start' 	=> $link_start,
															'link_end'		=> $link_end,
															'user'			=> '&nbsp;'.$result['vorname'].' '.$result['nachname'],
															'type'			=> 'absence',
															'absence_name'	=> $user_type_array[$user_array[$i]]['absence_name']);
							}

						}
						else
						{
							$user_list_array[] = array('link_start' 	=> '',
														'link_end'		=> '',
														'user'			=> '&nbsp;'.$result['vorname'].' '.$result['nachname'],
														'type'			=> '',
														'absence_name'	=> '');
						}

					}
				?>
				<table cellpadding="0" cellspacing="0" border="0" width="100%">
					<colgroup>
						<col width="65%" />
						<col width="35%" />
					</colgroup>
					<?php
						$count = 0;
						for ($i = 0; $i < count($user_list_array); $i++)
						{
					?>
							<tr>
								<td>
									<?php
										if (!empty($user_list_array[$i]['link_start']) and !empty($user_list_array[$i]['link_end']))
										{
											echo $user_list_array[$i]['link_start'].'<img src="'.TOM_ABS_URL.'template/'.$setup_array['template'].'/image/zoom.png" width="16" height="16" border="0" alt="" class="image" />'.$user_list_array[$i]['user'].$user_list_array[$i]['link_end'];
										}
										else
										{
											echo $user_list_array[$i]['user'];
										}
									?>
								</td>
								<td>
									<?php
										if (isset($user_list_array[$i]['absence_name']))
										{
											echo $user_list_array[$i]['absence_name'];
										}
										else
										{
											echo '&nbsp;';
										}
									?>
								</td>
							</tr>
					<?php
							$count++;
						}
						if ($count == 0)
						{
					?>
							<tr>
								<td colspan="2"><?php get_text('848'); /*Keine Abwesenheit gemeldet*/?></td>
							</tr>
					<?php
						}
					?>
				</table>
			</div>
		</td>
	</tr>
</table>