<?php
	/**
	 * index-file of the message-folder
	 * @package time-o-meter
	 * @subpackage message
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	/**
	 * header einbinden
	 */
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/header.php');

	//Contentausgabe
	if (!isset($GLOBALS['TOM_VAR']['fileinc']) or empty($GLOBALS['TOM_VAR']['fileinc']) or $GLOBALS['TOM_VAR']['fileinc'] == 'main')
	{
		require_once('main.php');
	}
	elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'message_add' and $access->check_group(USER_GROUP_ID, 'admin_message_write'))
	{
		require_once('message_add.php');
	}
	elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'message_preview' and $access->check_group(USER_GROUP_ID, 'admin_message_write'))
	{
		require_once('message_preview.php');
	}
	elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'message_show')
	{
		require_once('message_show.php');
	}
	elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'message_del_all' and $access->check_group(USER_GROUP_ID, 'admin_message_write'))
	{
		require_once('message_del_all.php');
	}

	//Footer
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/footer.php');
?>