<?php
	/**
	 * shows a newsletter-message
	 * @package time-o-meter
	 * @subpackage message
	 */

	//Variablenpruefung
	if ($chk_sum->Chk($_GET['VCS']) and isset($_GET['messageid_int']) and is_numeric($_GET['messageid_int']))
	{

		// ist der betreffende user admin oder hat message-schreibrechte?
		if ($access->check_group(USER_GROUP_ID,'admin_message_write'))
		{
			$sql = $cdb->select('SELECT t1.*,t2.gelesen_user FROM hdb_mitteilungen t1
								LEFT JOIN hdb_mitteilungen_recipients t2 ON t1.message_id=t2.message_id
								WHERE t1.message_id='.$_GET['messageid_int']);
			$result = $cdb->fetch_array($sql);
		}
		// bei allen usern ohne message-schreibrechte statt der admin-ansicht nur die persönlichen mails auflisten
		else
		{
			$sql = $cdb->select('SELECT t1.*,t2.gelesen_user FROM hdb_mitteilungen t1
								LEFT JOIN hdb_mitteilungen_recipients t2 ON t1.message_id=t2.message_id
								WHERE t1.message_id='.$_GET['messageid_int'].' AND t2.user_id='.USER_ID);
			$result = $cdb->fetch_array($sql);
		}

		// message fuer diesen benutzer als gelesen markieren
		if (!isset($result['gelesen_user']) or $result['gelesen_user'] == 'n')
		{
			$sql = $cdb->update("UPDATE hdb_mitteilungen_recipients SET gelesen_user='j' WHERE message_id=".$_GET['messageid_int']." and user_id=".USER_ID);
			$result_gelesen = $cdb->fetch_array($sql);
		}

		if (!isset($_GET['blseite']) or empty($_GET['blseite']))
		{
			$temp_blseite = 1;
		}
		else
		{
			$temp_blseite = $_GET['blseite'];
		}
?>
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr valign="middle">
				<td class="main_table_header" width="100%"><?php get_text('546'); /*Mitteilung anzeigen*/?></td>
			</tr>
			<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
			<tr>
				<td class="main_table_content">
					<a href="index.php<?php echo $gv->create_get_string('?fileinc=main&amp;blseite='.$temp_blseite); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />
					<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
						<tr><td colspan="2">&nbsp;</td></tr>
						<tr>
							<td width="20%"><strong><?php get_text('', 'echo', 'decode_on', 'datum'); /*Datum*/?>:</strong></td>
							<td width="80%">
								<?php echo $kal->win_to_time($result['versandzeit'], 'all');?>
							</td>
						</tr>
						<tr><td colspan="2">&nbsp;</td></tr>
						<tr valign="top">
							<td><strong><?php get_text('', 'echo', 'decode_on', 'betreff'); /*Betreff*/?>:</strong></td>
							<td><?php echo $result['betreff'];?></td>
						</tr>
						<tr><td colspan="2">&nbsp;</td></tr>
						<tr valign="top">
							<td><strong><?php get_text('330'); /*E-Mail Inhalt*/?>:</strong></td>
							<td><?php echo $result['message'];?></td>
						</tr>
						<?php
							if ($access->check_group(USER_GROUP_ID, 'admin_message_write'))
							{
						?>
								<tr><td colspan="2">&nbsp;</td></tr>
								<tr valign="top">
									<td><strong><?php get_text('', 'echo', 'decode_on', 'recipients'); /*Empfaenger*/?>:</strong></td>
									<td>
										<?php
											$count_user = 0;
											$user_list = '';

											$sql = $cdb->select("SELECT t2.nachname,t2.vorname FROM hdb_mitteilungen_recipients t1
																LEFT JOIN hdb_user t2 on t1.user_id=t2.user_id
																WHERE t1.message_id='".$_GET['messageid_int']."' ORDER BY t2.sort_name ASC");
											while ($result_user = $cdb->fetch_array($sql))
											{
												if (empty($user_list))
												{
													$user_list = $result_user['nachname'].', '.$result_user['vorname'];
												}
												else
												{
													$user_list .= '<br />'.$result_user['nachname'].', '.$result_user['vorname'];
												}
												$count_user++;
											}

											echo '<u>'.$count_user.' '.get_text('', 'print', 'decode_on', 'recipients')/*Empfaenger*/.':</u>';
											echo '<br /><br />';
											echo $user_list;
										?>
									</td>
								</tr>
						<?php
							}
						?>
						<tr><td colspan="2">&nbsp;</td></tr>
					</table>
				</td>
			</tr>
		</table>
<?php
	}
	else
	{
		echo setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler!*/, WARNING, __LINE__);
	}
?>