<?php
	/**
	 * index-file of the project-folder
	 * @package time-o-meter
	 * @subpackage project
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	/**
	 * header einbinden
	 */
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/header.php');

	//Contentausgabe
	if ($access->check_group(USER_GROUP_ID, 'admin_project_read') and (!isset($GLOBALS['TOM_VAR']['fileinc']) or empty($GLOBALS['TOM_VAR']['fileinc']) or $GLOBALS['TOM_VAR']['fileinc'] == 'main'))
	{
		require_once('main.php');
	}
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'project_show' and $access->check_group(USER_GROUP_ID, 'admin_project_read'))
	{
		require_once('project_show.php');
	}
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'project_edit' and $access->check_group(USER_GROUP_ID, 'admin_project_write'))
	{
		require_once('project_edit.php');
	}
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'project_add' and $access->check_group(USER_GROUP_ID, 'admin_project_write'))
	{
		require_once('project_add.php');
	}
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'project_del' and $access->check_group(USER_GROUP_ID, 'admin_project_write'))
	{
		require_once('project_del.php');
	}
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'project_user_edit' and $access->check_group(USER_GROUP_ID, 'admin_project_write'))
	{
		require_once('project_user_edit.php');
	}
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'project_user_del' and $access->check_group(USER_GROUP_ID, 'admin_project_write'))
	{
		require_once('project_user_del.php');
	}
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'project_report_hours' and $access->check_group(USER_GROUP_ID, 'admin_project_read') and $access->check_group(USER_GROUP_ID, 'admin_reports_read'))
	{
		require_once('project_report_hours.php');
	}
	elseif ($access->check_group(USER_GROUP_ID, 'admin_project_read'))
	{
		require_once('main.php');
	}
	//Footer
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/footer.php');
?>