<?php
	/**
	 * edit usergroup
	 * @package time-o-meter
	 * @subpackage setup
	 */

	//Variablenpruefung
	if ($chk_sum->Chk($_GET['VCS']))
	{
		if (!isset($_GET['groupid_int']) or !is_numeric($_GET['groupid_int']))
		{
			$_GET['groupid_int'] = 0;
		}

		$sql = $cdb->select('SELECT * FROM hdb_usergroups WHERE group_id='.$_GET['groupid_int']);
		$result = $cdb->fetch_array($sql);

		// zugriffsrechte auslesen
		$zugriffsrechte_array = $access->select_group($result['group_id']);


		$usergroups_string = '';

		// alle usergruppennamen auslesen
		$sql = $cdb->select("SELECT group_name FROM hdb_usergroups");
		while ($result_js = $cdb->fetch_array($sql))
		{
			if ($result['group_name'] != $result_js['group_name'])
			{
				if (empty($usergroups_string))
				{
					$usergroups_string = '"'.strtolower($result_js['group_name']).'"';
				}
				else
				{
					$usergroups_string .= ',"'.strtolower($result_js['group_name']).'"';
				}
			}
		}
?>
		<script type="text/javascript">
			<!--
				/*
				* Setzt das Leserecht wenn ein Schreibrecht ausgewaehlt wurde.
				* @retrun bool
				*/
				function set_leserecht()
				{
					if (document.form_edit_group.admin_reports_write.checked == true)
					{
						document.form_edit_group.admin_reports_read.checked = true;
					}

					if (document.form_edit_group.admin_antrag_write.checked == true)
					{
						document.form_edit_group.admin_antrag_read.checked = true;
					}

					if (document.form_edit_group.admin_user_write.checked == true)
					{
						document.form_edit_group.admin_user_read.checked = true;
					}

					if (document.form_edit_group.admin_project_write.checked == true)
					{
						document.form_edit_group.admin_project_read.checked = true;
					}
				}

				/*
				* prueft die Usereingaben
				* @return bool
				*/
				function chk_form()
				{
					var usergroups = new Array(<?php echo $usergroups_string; ?>);
					var rechte = new Array("admin_reports_read","admin_reports_write","admin_reports_health_read","admin_antrag_read","admin_antrag_write","admin_user_read","admin_user_write","admin_project_read","admin_project_write","admin_backup","admin_setup","admin_log","user_all");
					var rechte_count = 0;
					var usergroup_exists = "n";

					for (var i=0; i < usergroups.length; ++i)
					{
						if (document.form_edit_group.bezeichnung.value.toLowerCase() == usergroups[i])
						{
							usergroup_exists = "j";
						}
					}

					if (usergroup_exists == "j")
					{
						alert("<?php get_text(658, 'echo', 'decode_off'); /*Die angegebene Benutzergruppenbezeichnung existiert bereits. Bitte waehlen Sie eine andere.*/?>");
						return false;
					}

					for (i=0; i < rechte.length; ++i)
					{
						if (document.getElementById(rechte[i]).checked == true)
						{
							rechte_count++;
						}
					}
					if (document.form_edit_group.bezeichnung.value != '' && rechte_count > 0)
					{
						document.form_edit_group.submit();
					}
					else
					{
						alert("<?php get_text(657, 'echo', 'decode_off'); /*Bitte waehlen Sie eine Bezeichnung und mindestens eine Zugriffsberechtigung aus!*/?>");
						return false;
					}

				}
			// -->
		</script>
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr valign="middle">
				<td class="main_table_header" width="100%"><?php get_text(457); /*Benutzergruppe bearbeiten*/?></td>
			</tr>
			<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
			<tr>
				<td class="main_table_content">
					<a href="index.php<?php echo $gv->create_get_string('?fileinc=setup_groups'); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />
					<form name="form_edit_group" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
						<input type="hidden" name="job_string" value="group_edit" />
						<input type="hidden" name="groupid_int" value="<?php echo $result['group_id'];?>" />
						<?php
							//Reloadsperre
							$reload->create();
							//Checksumme
							echo $chk_sum->GetHidden(array('job_string' => 'group_edit', 'groupid_int' => $result['group_id']));
						?>
						<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
							<colgroup>
								<col width="30%" />
								<col width="70%" />
							</colgroup>
							<tr><td colspan="2">&#160;</td></tr>
							<tr>
								<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'bezeichnung'); /*Bezeichnung*/?>:</strong></td>
								<td><input type="text" name="bezeichnung" value="<?php echo $result['group_name']; ?>" class="ipt_150" /></td>
							</tr>
							<tr>
								<td class="padding_left_10"><strong><?php get_text(442); /*Zugeordnete Benutzer*/?>:</strong></td>
								<td>
									<?php
										// alle zugehoerigen user auslesen
										$sql2 = $cdb->select("SELECT t1.user_id FROM hdb_user t1 WHERE t1.anzeigen='j' AND t1.group_id=".$result['group_id']);
										$anzahl_user_int = $cdb->get_records($sql2);

										if ($anzahl_user_int == 0)
										{
											get_text('', 'echo', 'decode_on', 'keine'); /*Keine*/
										}
										elseif ($anzahl_user_int == 1)
										{
											echo '1 '.get_text('', 'return', 'decode_on', 'benutzer'); /*Benutzer (Einzahl)*/
										}
										elseif ($anzahl_user_int > 1)
										{
											echo $anzahl_user_int.' '.get_text('', 'return', 'decode_on', 'benutzer_mz'); /*Benutzer (Mehrzahl)*/
										}
									?>
								</td>
							</tr>
							<tr><td colspan="2">&#160;</td></tr>
							<tr><td colspan="2" class="padding_left_10"><strong><?php get_text(426); /*Bitte konfigurieren Sie die Zugriffrechte dieser Benutzergruppe*/?>:</strong></td></tr>
							<tr><td colspan="2">&#160;</td></tr>
							<tr>
								<td>&#160;</td>
								<td>
									<table cellpadding="2" cellspacing="0" width="70%" class="border">
										<colgroup>
											<col width="40%" />
											<col width="20%" />
											<col width="20%" />
											<col width="20%" />
										</colgroup>
										<tr class="table_tr_bg_2">
											<td class="table_header_left"><strong><?php get_text('788'); /*Zugriffsberechtigung*/?></strong></td>
											<td class="table_header" align="center"><strong><?php get_text(427); /*Vollzugriff*/?></strong></td>
											<td class="table_header" align="center"><strong><?php get_text(428); /*Lesezugriff*/?></strong></td>
											<td class="table_header" align="center"><strong><?php get_text(429); /*Schreibrecht*/?></strong></td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text(94); /*Reports*/?></td>
											<td>&#160;</td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_reports_read'))
													{
												?>
														<input type="checkbox" name="admin_reports_read2" value="j"<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_reports_read" id="admin_reports_read" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_reports_read" id="admin_reports_read" value="j"<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo ' checked="checked"';}?> />
												<?php
													}
												?>
											</td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_reports_write'))
													{
												?>
														<input type="checkbox" name="admin_reports_write2" value="j"<?php if (isset($zugriffsrechte_array['admin_reports_write']) && $zugriffsrechte_array['admin_reports_write'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_reports_write" id="admin_reports_write" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_reports_write" id="admin_reports_write" value="j"<?php if (isset($zugriffsrechte_array['admin_reports_write']) && $zugriffsrechte_array['admin_reports_write'] == 'j'){echo ' checked="checked"';}?> onclick="set_leserecht();" />
												<?php
													}
												?>
											</td>
										</tr>
										<tr class="table_tr_bg_2">
											<td style="padding-left:25px;"><?php get_text('108')/*Krankheitstage*/;?>-<?php get_text(94); /*Reports*/?></td>
											<td>&#160;</td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_reports_health_read'))
													{
												?>
														<input type="checkbox" name="admin_reports_health_read2" value="j"<?php if (isset($zugriffsrechte_array['admin_reports_health_read']) && $zugriffsrechte_array['admin_reports_health_read'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_reports_health_read" id="admin_reports_health_read" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_reports_health_read" id="admin_reports_health_read" value="j"<?php if (isset($zugriffsrechte_array['admin_reports_health_read']) && $zugriffsrechte_array['admin_reports_health_read'] == 'j'){echo ' checked="checked"';}?> />
												<?php
													}
												?>
											</td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text(432); /*Antraege*/?>&sup1;</td>
											<td>&#160;</td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_antrag_read'))
													{
												?>
														<input type="checkbox" name="admin_antrag_read2" value="j"<?php if (isset($zugriffsrechte_array['admin_antrag_read']) && $zugriffsrechte_array['admin_antrag_read'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_antrag_read" id="admin_antrag_read" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_antrag_read" id="admin_antrag_read" value="j"<?php if (isset($zugriffsrechte_array['admin_antrag_read']) && $zugriffsrechte_array['admin_antrag_read'] == 'j'){echo ' checked="checked"';}?> />
												<?php
													}
												?>
											</td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_antrag_write'))
													{
												?>
														<input type="checkbox" name="admin_antrag_write2" value="j"<?php if (isset($zugriffsrechte_array['admin_antrag_write']) && $zugriffsrechte_array['admin_antrag_write'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_antrag_write" id="admin_antrag_write" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_antrag_write" id="admin_antrag_write" value="j"<?php if (isset($zugriffsrechte_array['admin_antrag_write']) && $zugriffsrechte_array['admin_antrag_write'] == 'j'){echo ' checked="checked"';}?> onclick="set_leserecht();" />
												<?php
													}
												?>
											</td>
										</tr>
										<tr class="table_tr_bg_2">
											<td><?php get_text('', 'echo', 'decode_on', 'personal'); /*Personal*/?></td>
											<td>&#160;</td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_user_read'))
													{
												?>
														<input type="checkbox" name="admin_user_read2" value="j"<?php if (isset($zugriffsrechte_array['admin_user_read']) && $zugriffsrechte_array['admin_user_read'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_user_read" id="admin_user_read" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_user_read" id="admin_user_read" value="j"<?php if (isset($zugriffsrechte_array['admin_user_read']) && $zugriffsrechte_array['admin_user_read'] == 'j'){echo ' checked="checked"';}?> />
												<?php
													}
												?>
											</td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_user_write'))
													{
												?>
														<input type="checkbox" name="admin_user_write2" value="j"<?php if (isset($zugriffsrechte_array['admin_user_write']) && $zugriffsrechte_array['admin_user_write'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_user_write" id="admin_user_write" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_user_write" id="admin_user_write" value="j"<?php if (isset($zugriffsrechte_array['admin_user_write']) && $zugriffsrechte_array['admin_user_write'] == 'j'){echo ' checked="checked"';}?> onclick="set_leserecht();" />
												<?php
													}
												?>
											</td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text(103); /*Mitteilungen*/?></td>
											<td>&#160;</td>
											<td>&#160;</td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_message_write'))
													{
												?>
														<input type="checkbox" name="admin_message_write2" value="j"<?php if (isset($zugriffsrechte_array['admin_message_write']) && $zugriffsrechte_array['admin_message_write'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_message_write" id="admin_message_write" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_message_write" id="admin_message_write" value="j"<?php if (isset($zugriffsrechte_array['admin_message_write']) && $zugriffsrechte_array['admin_message_write'] == 'j'){echo ' checked="checked"';}?> />
												<?php
													}
												?>
											</td>
										</tr>
										<tr class="table_tr_bg_2">
											<td><?php get_text(96); /*Projekte*/?></td>
											<td>&#160;</td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_project_read'))
													{
												?>
														<input type="checkbox" name="admin_project_read2" value="j"<?php if (isset($zugriffsrechte_array['admin_project_read']) && $zugriffsrechte_array['admin_project_read'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_project_read" id="admin_project_read" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_project_read" id="admin_project_read" value="j"<?php if (isset($zugriffsrechte_array['admin_project_read']) && $zugriffsrechte_array['admin_project_read'] == 'j'){echo ' checked="checked"';}?> />
												<?php
													}
												?>
											</td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_project_write'))
													{
												?>
														<input type="checkbox" name="admin_project_write2" value="j"<?php if (isset($zugriffsrechte_array['admin_project_write']) && $zugriffsrechte_array['admin_project_write'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_project_write" id="admin_project_write" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_project_write" id="admin_project_write" value="j"<?php if (isset($zugriffsrechte_array['admin_project_write']) && $zugriffsrechte_array['admin_project_write'] == 'j'){echo ' checked="checked"';}?> onclick="set_leserecht();" />
												<?php
													}
												?>
											</td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text('', 'echo', 'decode_on', 'stundenzettel'); /*Stundenzettel*/?></td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_stz'))
													{
												?>
														<input type="checkbox" name="admin_stz2" value="j"<?php if (isset($zugriffsrechte_array['admin_stz']) && $zugriffsrechte_array['admin_stz'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_stz" id="admin_stz" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_stz" id="admin_stz" value="j"<?php if (isset($zugriffsrechte_array['admin_stz']) && $zugriffsrechte_array['admin_stz'] == 'j'){echo ' checked="checked"';}?> />
												<?php
													}
												?>
											</td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_2">
											<td><?php get_text('', 'echo', 'decode_on', 'reisekosten'); /*Reisekosten*/?></td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_reisekosten'))
													{
												?>
														<input type="checkbox" name="admin_reisekosten2" value="j"<?php if (isset($zugriffsrechte_array['admin_reisekosten']) && $zugriffsrechte_array['admin_reisekosten'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_reisekosten" id="admin_reisekosten" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_reisekosten" id="admin_reisekosten" value="j"<?php if (isset($zugriffsrechte_array['admin_reisekosten']) && $zugriffsrechte_array['admin_reisekosten'] == 'j'){echo ' checked="checked"';}?> />
												<?php
													}
												?>
											</td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text(97); /*Backup*/?></td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_backup'))
													{
												?>
														<input type="checkbox" name="admin_backup2" value="j"<?php if (isset($zugriffsrechte_array['admin_backup']) && $zugriffsrechte_array['admin_backup'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_backup" id="admin_backup" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_backup" id="admin_backup" value="j"<?php if (isset($zugriffsrechte_array['admin_backup']) && $zugriffsrechte_array['admin_backup'] == 'j'){echo ' checked="checked"';}?> />
												<?php
													}
												?>
											</td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_2">
											<td><?php get_text(98); /*Einstellungen*/?></td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_setup'))
													{
												?>
														<input type="checkbox" name="admin_setup2" value="j"<?php if (isset($zugriffsrechte_array['admin_setup']) && $zugriffsrechte_array['admin_setup'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_setup" id="admin_setup" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_setup" id="admin_setup" value="j"<?php if (isset($zugriffsrechte_array['admin_setup']) && $zugriffsrechte_array['admin_setup'] == 'j'){echo ' checked="checked"';}?> />
												<?php
													}
												?>
											</td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_1">
											<td><?php get_text(120); /*Logbuch*/?></td>
											<td align="center">
												<?php
													if (!$access->check_group(USER_GROUP_ID, 'admin_log'))
													{
												?>
														<input type="checkbox" name="admin_log2" value="j"<?php if (isset($zugriffsrechte_array['admin_log']) && $zugriffsrechte_array['admin_log'] == 'j'){echo ' checked="checked"';}?> disabled="disabled" />
														<input type="hidden" name="admin_log" id="admin_log" value="<?php if (isset($zugriffsrechte_array['admin_reports_read']) && $zugriffsrechte_array['admin_reports_read'] == 'j'){echo 'j';}else{echo 'n';}?>" />
												<?php
													}
													else
													{
												?>
														<input type="checkbox" name="admin_log" id="admin_log" value="j"<?php if (isset($zugriffsrechte_array['admin_log']) && $zugriffsrechte_array['admin_log'] == 'j'){echo ' checked="checked"';}?> />
												<?php
													}
												?>
											</td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
										<tr class="table_tr_bg_2">
											<td><?php get_text(431); /*Userbereich*/?></td>
											<td align="center">
												<input type="checkbox" name="user_all" id="user_all" value="j"<?php if (isset($zugriffsrechte_array['user_all']) && $zugriffsrechte_array['user_all'] == 'j'){echo ' checked="checked"';}?> />
											</td>
											<td>&#160;</td>
											<td>&#160;</td>
										</tr>
									</table>
								</td>
							</tr>
							<tr><td colspan="2">&#160;</td></tr>
							<tr>
								<td>&#160;</td>
								<td>(1) <?php get_text('790'); /*Lese/Schreibzugriff auf die Antraege anderer Benutzer*/?></td>
							</tr>
							<tr><td colspan="2">&#160;</td></tr>
							<tr>
								<td>&nbsp;</td>
								<td><?php echo get_button(get_text('', 'return', 'decode_on', 'save') /*Speichern*/, 'tick.png', 'onclick="chk_form();"'); ?></td>
							</tr>
							<tr><td colspan="2">&#160;</td></tr>
						</table>
					</form>
				</td>
			</tr>
		</table>
<?php
	}
	else
	{
		echo setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler!*/, WARNING, __LINE__);
	}
?>