<?php
	/**
	 * index-file of the setup-folder
	 * @package time-o-meter
	 * @subpackage setup
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	/**
	 * header einbinden
	 */
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/header.php');

	if ($access->check_group(USER_GROUP_ID, 'admin_setup'))
	{
		//Contentausgabe
		if (!isset($GLOBALS['TOM_VAR']['fileinc']) or empty($GLOBALS['TOM_VAR']['fileinc']) or $GLOBALS['TOM_VAR']['fileinc'] == 'main')
		{
			require_once('main.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_basic')
		{
			require_once('setup_basic.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_logo')
		{
			require_once('setup_logo.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'edit_useraccount')
		{
			require_once('edit_account.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_groups')
		{
			require_once('setup_groups.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'group_show')
		{
			require_once('group_show.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'group_edit')
		{
			require_once('group_edit.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'group_add')
		{
			require_once('group_add.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'group_del')
		{
			require_once('group_del.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_backup')
		{
			require_once('setup_backup.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_ft')
		{
			require_once('setup_ft.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'ft_add')
		{
			require_once('ft_add.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'ft_edit')
		{
			require_once('ft_edit.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'ft_del')
		{
			require_once('ft_del.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_awg')
		{
			require_once('setup_awg.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'awg_add')
		{
			require_once('awg_add.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'awg_edit')
		{
			require_once('awg_edit.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'awg_del')
		{
			require_once('awg_del.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_stz')
		{
			require_once('setup_stz.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_ma_sq')
		{
			require_once('setup_ma_sq.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'mas_edit')
		{
			require_once('mas_edit.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'maq_edit')
		{
			require_once('maq_edit.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'maq_user_edit')
		{
			require_once('maq_user_edit.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_add_mas')
		{
			require_once('setup_add_mas.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_add_maq')
		{
			require_once('setup_add_maq.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_mail')
		{
			require_once('setup_mail.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_dms')
		{
			require_once('setup_dms.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_spr')
		{
			require_once('setup_spr.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_pdf')
		{
			require_once('setup_pdf.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_webservice')
		{
			require_once('setup_webservice.php');
		}
		elseif ($GLOBALS['TOM_VAR']['fileinc'] == 'setup_ldap')
		{
			require_once('setup_ldap.php');
		}
	}
	else
	{
		if ($GLOBALS['TOM_VAR']['fileinc'] == 'edit_useraccount')
		{
			require_once('edit_account.php');
		}
	}

	//Footer
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/footer.php');
?>