<?php
	/**
	 * setup overview
	 * this file contains the default-content of the index.php
	 * @package time-o-meter
	 * @subpackage setup
	 */

	//Versionskontrolle
	$vc = new VersionControl;

?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('98'); /*Einstellungen*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<?php
				/**
				* EMAIL-EMPFAENGER BEI EINGANG VON GLEITZEIT/URLAUBSANTRAEGEN
				*/
				$recipient_counter = 0;

				if (isset($setup_array['email_recipients']))
				{
					// email-empfaengerliste aufbereiten (urlaub/gleitzeit)
					$recipients_array = @unserialize($setup_array['email_recipients']);

					// array fuer alle ausgewaehlten empfaenger + email-empfaenger aus freitexteingabe
					$recipient_id_array = array();

					// array fuer alle ausgewaehlten empfaenger (select-feld)
					$recipients_from_userlist_array = array();

					// liste der email-empfaenger aus freitexteingabe
					$email_recipients_string = '';

					foreach ($recipients_array as $array_key => $array_value)
					{
						// liste mit user-id's der empfaenger erstellen
						if ($array_value['type'] == 'from_userlist')
						{
							$recipient_id_array[] = $array_value['user_id'];
							$recipients_from_userlist_array[] = $array_value['user_id'];
							$recipient_counter++;
						}
						elseif ($array_value['type'] == 'free_input')
						{
							$email_recipients_string = $array_value['email'];
							$recipient_counter++;
						}
					}
				}

				/**
				* EMAIL-EMPFAENGER fuer den Projektstundenreport
				*/
				$recipient_counter_project_report = 0;

				if (isset($setup_array['email_recipients_project_report']))
				{
					// email-empfaengerliste aufbereiten
					$array_recipients_project_report = @unserialize($setup_array['email_recipients_project_report']);

					// array fuer alle ausgewaehlten empfaenger
					$array_recipient_ids_project_report = array();

					// array fuer alle ausgewaehlten empfaenger (select-feld)
					$array_recipients_from_userlist_project_report = array();

					// liste der email-empfaenger aus freitexteingabe
					$string_email_recipients_project_report = '';

					foreach ($array_recipients_project_report as $array_key => $array_value)
					{
						// liste mit user-id's der empfaenger erstellen
						if ($array_value['type'] == 'from_userlist')
						{
							$array_recipient_ids_project_report[] = $array_value['user_id'];
							$array_recipients_from_userlist_project_report[] = $array_value['user_id'];
							$recipient_counter_project_report++;
						}
						elseif ($array_value['type'] == 'free_input')
						{
							$string_email_recipients_project_report = $array_value['email'];
							$recipient_counter_project_report++;
						}
					}
				}
			?>
			<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
				<colgroup>
					<col width="40%" />
					<col width="60%" />
				</colgroup>
				<tr><td colspan="2">&#160;</td></tr>
				<tr>
					<td class="padding_left_10"><h4><?php get_text('', 'echo', 'decode_on', 'wartungsmodus'); /*Wartungsmodus*/?></h4></td>
					<td>&#160;</td>
				</tr>
				<tr>
					<td class="padding_left_10"><strong><?php get_text(522); /*Wartungsmodus aktiv*/?>:</strong></td>
					<td>
						<?php
							if (isset($setup_array['maintenance_mode']) && $setup_array['maintenance_mode'] == 'j')
							{
								get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
							}
							else
							{
								get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
							}
						?>
					</td>
				</tr>
				<tr><td colspan="2"><br /><br /></td></tr>
				<tr>
					<td class="padding_left_10"><h4><?php get_text(534); /*Checkliste fuer wichtige Einstellungen*/?></h4></td>
					<td>&#160;</td>
				</tr>
				<tr>
					<td class="padding_left_10"><strong><?php get_text(535); /*Benutzergruppen angelegt*/?>:</strong></td>
					<td>
						<?php
							// benutzergruppen zaehlen
							$sql = $cdb->select("SELECT * FROM hdb_usergroups ORDER BY group_name ASC");
							$count_int = $cdb->get_records($sql);

							if ($count_int < 2)
							{
								get_text(533); /*steht noch aus*/
							}
							else
							{
								echo '&radic;';
							}
						?>
					</td>
				</tr>
				<tr>
					<td class="padding_left_10"><strong><?php get_text(536); /*Feiertage konfiguriert*/?>:</strong></td>
					<td>
						<?php
							$jahr_int = date("Y");
							if ($kal->is_insert_db_holidays($jahr_int) == true)
							{
								$check_ft_string = '&radic;';
							}
							else
							{
								$check_ft_string = get_text('533', 'return', 'decode_on'); /*steht noch aus*/
							}

							// nur im Nov/Dez anzeigen
							if (date('m') > 10)
							{
								// Speichert bewegliche Feiertage
								$save_feiertage_array = array();

								$sql = $cdb->select("SELECT ft_id,bezeichnung FROM hdb_feiertage WHERE type='unique' AND jahr='".date("Y")."'");
								while ($result = $cdb->fetch_array($sql))
								{
									$save_feiertage_array[$result['ft_id']] = $result['bezeichnung'];
								}

								if (count($save_feiertage_array) > 0)
								{
									foreach ($save_feiertage_array as $fid_int => $fbezeichnung_string)
									{
										// pruefen ob der Feiertag im naechsten jahr schon eingetragen ist
										$next_jahr_int = date("Y") + 1;

										$sql = $cdb->select("SELECT ft_id FROM hdb_feiertage WHERE bezeichnung='$fbezeichnung_string' AND jahr='$next_jahr_int'");
										$result = $cdb->fetch_array($sql);

										if ($result['ft_id'] > 0)
										{
											unset($save_feiertage_array[$fid_int]);
										}
									}

									if (count($save_feiertage_array) > 0)
									{
										$check_ft_string = get_text('705', 'return', 'decode_on'); /*Bitte definieren Sie die beweglichen Feiertage fuer das naechste Jahr!*/
									}
								}

							} // ENDE nur im Nov/Dez anzeigen
							echo $check_ft_string;
						?>
					</td>
				</tr>
				<tr>
					<td class="padding_left_10"><strong><?php get_text('537'); /*Abwesenheitsgruende angelegt*/?>:</strong></td>
					<td>
						<?php
							$sql = $cdb->select('SELECT * FROM hdb_absence_type WHERE display=1');
							$count_int = $cdb->get_records($sql);

							if ($count_int > 0)
							{
								echo '&radic;';
							}
							else
							{
								get_text(533); /*steht noch aus*/
							}
						?>
					</td>
				</tr>
				<tr><td colspan="2"><br /><br /></td></tr>
				<tr>
					<td class="padding_left_10"><h4><?php get_text('', 'echo', 'decode_on', 'auto_backup'); /*Auto-Backup*/?></h4></td>
					<td>&#160;</td>
				</tr>
				<tr>
					<td class="padding_left_10"><strong><?php get_text('532'); /*Automatisches Backup aktiviert*/?>:</strong></td>
					<td>
						<?php
							if (isset($setup_array['auto_backup_aktiv']) && $setup_array['auto_backup_aktiv'] == 'j')
							{
								get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
							}
							else
							{
								get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
							}
						?>
					</td>
				</tr>
				<?php
					if (isset($setup_array['auto_backup_aktiv']) and $setup_array['auto_backup_aktiv'] == 'j')
					{
				?>
						<tr valign="top">
							<td class="padding_left_10"><strong><?php get_text(531); /*Auto-Backup wird ausgefuehrt am*/?>:</strong></td>
							<td>
								<table border="0" cellpadding="0" cellspacing="0" width="100%">
									<tr>
										<td width="40%">&#160;</td>
										<td width="20%" align="center"><u><?php get_text('', 'echo', 'decode_on', 'uhrzeit'); /*Uhrzeit*/?> 1</u></td>
										<td width="20%" align="center"><u><?php get_text('', 'echo', 'decode_on', 'uhrzeit'); /*Uhrzeit*/?> 2</u></td>
										<td width="20%" align="center"><u><?php get_text('', 'echo', 'decode_on', 'uhrzeit'); /*Uhrzeit*/?> 3</u></td>
									</tr>
								</table>
							</td>
						</tr>
						<tr>
							<td>&#160;</td>
							<td>
								<table border="0" cellpadding="0" cellspacing="0" width="100%">
									<?php
										// master-zeiten auslesen (taegliches backup)
										$masterzeit_array = $setup_array['auto_backup']['daily'];

										$wochentage_array['Mo'] = get_text('', 'return', 'decode_on', 'mo'); /*Montag*/
										$wochentage_array['Di'] = get_text('', 'return', 'decode_on', 'di'); /*Dienstag*/
										$wochentage_array['Mi'] = get_text('', 'return', 'decode_on', 'mi'); /*Mittwoch*/
										$wochentage_array['Do'] = get_text('', 'return', 'decode_on', 'do'); /*Donnerstag*/
										$wochentage_array['Fr'] = get_text('', 'return', 'decode_on', 'fr'); /*Freitag*/
										$wochentage_array['Sa'] = get_text('', 'return', 'decode_on', 'sa'); /*Samstag*/
										$wochentage_array['So'] = get_text('', 'return', 'decode_on', 'so'); /*Sonntag*/

										foreach ($wochentage_array as $wochentag_kurz => $wochentag)
										{
											// einzelne wochentage auslesen
											$backupzeit_array = $setup_array['auto_backup'][$wochentag_kurz];

											if (!empty($backupzeit_array['uhrzeit1']) or !empty($backupzeit_array['uhrzeit2']) or (!empty($backupzeit_array['uhrzeit3'])))
											{
									?>
												<tr>
													<td width="40%"><?php echo $wochentag;?></td>
													<td align="center"><?php echo $backupzeit_array['uhrzeit1'];?></td>
													<td align="center"><?php echo $backupzeit_array['uhrzeit2'];?></td>
													<td align="center"><?php echo $backupzeit_array['uhrzeit3'];?></td>
												</tr>
									<?php
											}
										}
									?>
										<tr><td colspan="4">&#160;</td></tr>
										<tr>
											<td><?php get_text('', 'echo', 'decode_on', 'daily'); /*Taeglich*/?></td>
											<td width="20%" align="center"><?php echo $masterzeit_array['uhrzeit1'];?></td>
											<td width="20%" align="center"><?php echo $masterzeit_array['uhrzeit2'];?></td>
											<td width="20%" align="center"><?php echo $masterzeit_array['uhrzeit3'];?></td>
										</tr>
								</table>
							</td>
						</tr>
				<?php
					}
				?>
				<tr><td colspan="2"><br /><br /></td></tr>
				<tr>
					<td class="padding_left_10"><h4><?php get_text(113); //E-Mail?> - <?php get_text(98); //Einstellungen?></h4></td>
					<td>&#160;</td>
				</tr>
				<tr>
					<td class="padding_left_10"><?php get_text(661); //Administrator - Benachrichtigung beim Projektstundenreport ?>:</td>
					<td>
						<?php
							if (isset($setup_array['email_notification_project_report']) and $setup_array['email_notification_project_report'] == 'j')
							{
								get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
								echo '&nbsp;('.$recipient_counter_project_report.' '.get_text('', 'print', 'decode_on', 'recipients').')'; /*Empfaenger*/
							}
							else
							{
								get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
							}
						?>
					</td>
				</tr>
				<tr>
					<td class="padding_left_10"><?php get_text(477); //Administrator - Benachrichtigung bei Gleitzeit und Urlaubsantraegen?>:</td>
					<td>
						<?php
							if (isset($setup_array['email_notification']) and $setup_array['email_notification'] == 'j')
							{
								get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
								echo '&nbsp;('.$recipient_counter.' '.get_text('', 'print', 'decode_on', 'recipients').')'; /*Empfaenger*/
							}
							else
							{
								get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
							}
						?>
					</td>
				</tr>
				<tr>
					<td class="padding_left_10">
						<?php
							get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/
							echo ' - ';
							get_text(482); //Urlaubsgenehmigung senden
							echo ':';
						?>
					</td>
					<td>
						<?php
							if (isset($setup_array['send_genehmigung']) and $setup_array['send_genehmigung'] == 'j')
							{
								get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
							}
							else
							{
								get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
							}
						?>
					</td>
				</tr>
				<tr>
					<td class="padding_left_10">
						<?php
							get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/
							echo ' - ';
							get_text(485); //Urlaubsablehnung senden
							echo ':';
						?>
					</td>
					<td>
						<?php
							if (isset($setup_array['send_ablehnung']) and $setup_array['send_ablehnung'] == 'j')
							{
								get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
							}
							else
							{
								get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
							}
						?>
					</td>
				</tr>
				<tr><td colspan="2"><br /><br /></td></tr>
				<tr>
					<td class="padding_left_10"><h4><?php get_text(120); //Logbuch?></h4></td>
					<td>&#160;</td>
				</tr>
				<tr>
					<td class="padding_left_10"><?php get_text(943); //Logbuch Aktiviert ?>:</td>
					<td>
						<?php
							if (isset($setup_array['logbook']) and $setup_array['logbook'] == 'j')
							{
								get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
							}
							else
							{
								get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
							}
						?>
					</td>
				</tr>
				<tr><td colspan="2"><br /><br /></td></tr>
				<tr>
					<td class="padding_left_10"><h4><?php get_text(951);//Versionsuebersicht ?><?php echo ' ('.TOM_VERSION.')'; ?></h4></td>
					<td>&#160;</td>
				</tr>
				<tr>
					<td class="padding_left_10" colspan="2">
						<?php
							$version_chk = $vc->chk_updates();
							if ($version_chk === true)
							{
								echo '<img src="'.TOM_ABS_URL.'template/'.$setup_array['template'].'/image/exclamation.png" width="16" height="16" border="0" alt="" class="image" />&nbsp;';
								//Es stehen neue Updates zur Verf&uuml;gung! Sie k&ouml;nnen die Aktuelle Version bei [a]Sourceforge[/a] Downloaden.
								echo str_replace(array('[a]', '[/a]'), array('<a href="http://sourceforge.net/projects/time-o-meter/">','</a>'), get_text(948, 'return'));
							}
							elseif ($version_chk === false)
							{
								get_text(949);//Sie Benutzen die Aktuellste Version von Time-O-Meter.
							}
							else
							{
								echo '<img src="'.TOM_ABS_URL.'template/'.$setup_array['template'].'/image/bullet_error.png" width="16" height="16" border="0" alt="" class="image" />&nbsp;';
								get_text(950);//Es konnte keine Verbindung zur Versionskontrolle aufgebaut werden. Bitte Versuchen Sie es zu einem Spaeteren Zeitpunkt erneut.
							}
						?>
					</td>
				</tr>
				<tr><td colspan="2">&#160;</td></tr>
			</table>
		</td>
	</tr>
</table>