<?php
	/**
	 * edit settings for an external document management system
	 * @package time-o-meter
	 * @subpackage setup
	 */

	if (!isset($setup_array['dms_url']))
	{
		$setup_array['dms_url'] = '';
	}
	if (!isset($setup_array['dms_projects']))
	{
		$setup_array['dms_projects'] = array();
	}
	if (!isset($setup_array['dms_user']))
	{
		$setup_array['dms_user'] = '';
	}
	if (!isset($setup_array['dms_pw']))
	{
		$setup_array['dms_pw'] = '';
	}
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text(98); //Einstellungen?> - <?php get_text('837'); /*Downloadbereich*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<form name="form_setup_dms" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
				<input type="hidden" name="job_string" value="edit_dms_setup" />
				<?php
					//Reloadsperre
					$reload->create();
					//Checksumme
					echo $chk_sum->GetHidden(array('job_string'=>'edit_dms_setup'));
				?>
				<table cellpadding="2" cellspacing="0" border="0" width="100%" class="table_content">
					<colgroup>
						<col width="30%" />
						<col width="70%" />
					</colgroup>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10"><?php get_text('843'); /*Diese Seite dient zur Konfiguration des Downloadbereiches. Um ein externes Dokumentenmanagementsystem...*/?></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10"><?php get_text('838'); /*URL zum DMS. Achtung - die Pfadangabe bezieht sich auf die Hauptebene, nicht auf das Verzeichnis des Webservices!*/?></td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'url'); /*URL*/?>:</strong></td>
						<td><input type="text" name="dms_url" value="<?php echo $setup_array['dms_url']; ?>" class="ipt_200" /></td>
					</tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<br /><?php get_text('840'); /*Nachfolgend finden Sie eine Liste mit allen im DMS vorhandenen Projekten. ...*/?>
						</td>
					</tr>
					<tr valign="top">
						<td class="padding_left_10"><strong><?php get_text('841'); /*DMS-Projekte*/?>:</strong></td>
						<td>
							<?php
								$project_array = array();
								if (!empty($setup_array['dms_url']) and !empty($setup_array['dms_user']) and !empty($setup_array['dms_pw']))
								{
									try
									{
										//Webservice Loginkey abfragen
										$ws_access = @new SoapClient($setup_array['dms_url'].'/web_services/access.wsdl');
										$ws_login_key = $ws_access->ws_login($setup_array['dms_pw'], $setup_array['dms_user']);

										if ($ws_login_key != 'false')
										{
											try
											{
												$client = @new SoapClient($setup_array['dms_url'].'/web_services/fom.wsdl');
												$project_array = @unserialize($client->get_projects($ws_login_key, 0, 'array'));
											}
											catch(Exception $e)
											{
												$project_array = array();
											}
										}
									}
									catch(Exception $e)
									{
										//
									}
								}
							?>
							<select multiple="multiple" name="dms_project[]" class="ipt_200" size="5">
								<?php
									if (is_array($project_array))
									{
										for ($i = 0; $i < count($project_array); $i++)
										{
											if (in_array($project_array[$i]['projekt_id'], $setup_array['dms_projects']))
											{
												$selected = ' selected="selected"';
											}
											else
											{
												$selected = '';
											}
											echo '<option value="'.$project_array[$i]['projekt_id'].'"'.$selected.'>'.$project_array[$i]['projekt_name'].'</option>';
										}
									}
								?>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<br /><?php get_text('842'); /*Zugangsdaten fuer ein aktives DMS-Benutzerkonto.*/?>
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'username'); /*Benutzername*/?>:</strong></td>
						<td><input type="text" name="dms_user" value="<?php echo $setup_array['dms_user']; ?>" class="ipt_200" /></td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'pw'); /*Passwort*/?>:</strong></td>
						<td>
							<input type="password" name="dms_pw" value="<?php echo $setup_array['dms_pw']; ?>" class="ipt_200" />
							<input type="hidden" name="dms_pw_org" value="<?php echo $setup_array['dms_pw']; ?>" class="ipt_200" />
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td>&#160;</td>
						<td><?php echo get_button(get_text('', 'return', 'decode_on', 'save') /*Speichern*/, 'tick.png', 'onclick="document.form_setup_dms.submit();"', 'submit'); ?></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
				</table>
			</form>
		</td>
	</tr>
</table>