<?php
	/**
	 * logo setup
	 * @package time-o-meter
	 * @subpackage setup
	 */
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text(510); /*Logo-Verwaltung*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<script type="text/javascript">
				<!--
					/*
					* Zeigt das ausgewaehlte Logo an
					* @param string LOGO Dateiname
					* @param int WIDTH Breite des Bildes
					* @param int HEIGHT Hoehe des Bildes
					*/
					function show_logo(LOGO,WIDTH,HEIGHT)
					{
						var img = new Image();

						img.src = "<?php echo TOM_ABS_URL.'inc/download.php?filetyp_string=logo&logo='; ?>"+ LOGO + '&' + JS_GV_INDEX + '=' + JS_GV_KEY;

						document.getElementById("preview_logo").src = img.src;
						document.getElementById("preview_logo").width = WIDTH;
						document.getElementById("preview_logo").height = HEIGHT;
					}

					// Blendet das ausgewaehlte Logo aus
					function hide_logo()
					{
						var img = new Image();

						img.src = "<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>";

						document.getElementById("preview_logo").src = img.src;
						document.getElementById("preview_logo").width = 1;
						document.getElementById("preview_logo").height = 1;
					}
					/*
					* fragt ab, ob das Logo wirklich verwendet werden soll
					* @param string LOGO Dateiname
					* @return bool
					*/
					function chk_set_logo(LOGO)
					{
						if (confirm("<?php get_text(693, 'echo', 'decode_off'); /*Moechten Sie das ausgewaehlte Logo wirklich verwenden?*/?>\n(" + LOGO + ")"))
						{
							return true;
						}
						else
						{
							return false;
						}
					}
					/*
					* fragt ab, ob das Logo wirklich geloescht werden soll
					* @param string LOGO Dateiname
					* @return bool
					*/
					function chk_del_logo(LOGO)
					{
						if (confirm("<?php get_text(682, 'echo', 'decode_off'); /*Moechten Sie das markierte Logo wirklich loeschen?*/?>\n(" + LOGO + ")"))
						{
							return true;
						}
						else
						{
							return false;
						}
					}

					/**
					* Prueft den Logotyp
					* @return void
					*/
					function chk_setup_logo()
					{
						var logo_pfad = document.getElementById('upload_logo').value;
						if (logo_pfad != "")
						{
							var logo_ex = logo_pfad.substr(-4, 4);
							logo_ex = logo_ex.toLowerCase();

							if (logo_ex == 'jpeg' || logo_ex == '.jpg')
							{
								document.form_add_logo.submit();
							}
							else
							{
								alert('<?php get_text(1055, 'echo', 'decode_off'); /*Only JPG files can be used as logo!*/?>');
							}
						}
						else
						{
							alert('<?php get_text(1054, 'echo', 'decode_off'); /*Please select an image!*/?>');
						}
					}
				// -->
			</script>
			<table width="100%" border="0" cellspacing="0" cellpadding="0" style="margin-bottom:15px;">
				<colgroup>
					<col width="60%" />
					<col width="40%" />
				</colgroup>
				<tr valign="top">
					<td>
						<table width="100%" border="0" cellspacing="0" cellpadding="2" class="border" style="margin-bottom:15px;">
							<colgroup>
								<col width="35%" />
								<col width="15%" />
								<col width="15%" />
								<col width="10%" />
								<col width="10%" />
								<col width="7%" />
								<col width="8%" />
							</colgroup>
							<tr class="table_tr_bg_2">
								<td class="table_header_left"><?php get_text('', 'echo', 'decode_on', 'filename'); /*Dateiname*/?></td>
								<td class="table_header"><?php get_text(512); /*Breite*/?></td>
								<td class="table_header"><?php get_text(513); /*Hoehe*/?></td>
								<td class="table_header"><?php get_text('', 'echo', 'decode_on', 'status'); /*Status*/?></td>
								<td class="table_header"><?php get_text(974); /*PDF-Status*/?></td>
								<td colspan="2" class="table_header" align="center"><?php get_text('', 'echo', 'decode_on', 'aktionen'); /*Aktionen*/?></td>
							</tr>
							<?php
								$count_int = 0;
								$bg_int = 1;

								$dir = opendir(TOM_ABS_PFAD.'files/logo/');

								while (false !== ($file = readdir($dir)))
								{
									$del_file = true;
									if ($file != '.' and $file != '..')
									{
										$cs = $chk_sum->GetString(array('job_string'=>'set_logo', 'file_string' => $file));
										$temp_size = @getimagesize(TOM_ABS_PFAD.'files/logo/'.$file);
							?>
										<tr class="table_tr_bg_<?php echo $bg_int; ?>" onmouseover="show_logo('<?php echo $file; ?>','<?php echo $temp_size[0]; ?>','<?php echo $temp_size[1]; ?>');" onmouseout="hide_logo();">
											<td><?php echo $file; ?></td>
											<td><?php echo $temp_size[0].' px'; ?></td>
											<td><?php echo $temp_size[1].' px'; ?></td>
											<td>
												<?php
													if ($setup_array['logo_name'] == $file)
													{
														$del_file = false;
														get_text('', 'echo', 'decode_on', 'aktiv'); /*Aktiv*/;
													}
													else
													{
														echo '&nbsp;';
													}
												?>
											</td>
											<td>
												<?php
													if (isset($setup_array['pdf_logo']) and is_array($setup_array['pdf_logo']) and in_array($file, $setup_array['pdf_logo']))
													{
														$del_file = false;
														get_text('', 'echo', 'decode_on', 'aktiv'); /*Aktiv*/;
													}
													else
													{
														echo '&nbsp;';
													}
												?>
											</td>
											<td align="right">
												<?php
													if ($setup_array['logo_name'] == $file)
													{
												?>
														<img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/lightbulb.png'; ?>" width="16" height="16" border="0" alt="" class="image" />
												<?php
													}
													else
													{
												?>
														<form name="form_set_logo" action="index.php<?php echo $gv->create_get_string(); ?>" method="post" onsubmit="return chk_set_logo('<?php echo $file; ?>');" style="display:inline;" accept-charset="UTF-8">
															<input type="hidden" name="job_string" value="set_logo" />
															<input type="hidden" name="logo_string" value="<?php echo $file; ?>" />
															<?php
																//Reloadsperre
																$reload->create();
																//Checksumme
																echo $chk_sum->GetHidden(array('job_string'=>'set_logo', 'logo_string'=>$file));
															?>
															<input type="image" src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/lightbulb_off.png'; ?>" style="width:16px; height:16px; border:0px;" alt="" class="image" />
														</form>
												<?php
													}
												?>
											</td>
											<td>
												<?php
													if ($del_file == false)
													{
												?>
														<img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/delete.png'; ?>" width="16" height="16" border="0" alt="" class="image" />
												<?php
													}
													else
													{
												?>
														<form name="form_del_logo" action="index.php<?php echo $gv->create_get_string(); ?>" method="post" onsubmit="return chk_del_logo('<?php echo $file; ?>');" style="display:inline;" accept-charset="UTF-8">
															<input type="hidden" name="job_string" value="del_logo" />
															<input type="hidden" name="logo_string" value="<?php echo $file; ?>" />
															<?php
																$reload->create();
																echo $chk_sum->GetHidden(array('job_string'=>'del_logo', 'logo_string'=>$file));
															?>
															<input type="image" src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/cross.png'; ?>" style="width:16px; height:16px; border:0px;" alt="" class="image" />
														</form>
												<?php
													}
												?>
											</td>
										</tr>
							<?php
										$count_int++;

										if ($bg_int == 1)
										{
											$bg_int++;
										}
										else
										{
											$bg_int = 1;
										}
									}
								}
								if ($count_int == 0)
								{
							?>
									<tr class="table_tr_bg_1">
										<td colspan="6"><?php get_text('', 'echo', 'decode_on', 'no_results');/*Kein Datensatz vorhanden*/?></td>
									</tr>
							<?php
								}
							?>
						</table>
						<form name="form_add_logo" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" enctype="multipart/form-data" onsubmit="return " accept-charset="UTF-8">
							<input type="hidden" name="job_string" value="add_logo" />
							<?php
								//Reloadsperre
								$reload->create();
								//Checksumme
								echo $chk_sum->GetHidden(array('job_string' => 'edit_setup_logo'));
							?>
							<table cellpadding="2" cellspacing="0" border="0" width="100%" class="table_content">
								<colgroup>
									<col width="40%" />
									<col width="60%" />
								</colgroup>
								<tr><td colspan="2">&#160;</td></tr>
								<tr>
									<td colspan="2" class="padding_leftright_10">
										<h4><?php get_text(511); /*Logo hinzufuegen*/?></h4>
										<?php get_text(514); /*Nur fuer Bilder im JPG-Format. Optional koennen Sie hier das Bild verkleinern und/oder dem Bild einen neuen Dateinamen geben. Die maximale Endgroesse des Logos ist 20 KB. Die Endgroesse des Bildes ergibt sich aus den aenderungen der Bildmasse.*/?>
									</td>
								</tr>
								<tr><td colspan="2">&#160;</td></tr>
								<tr>
									<td class="padding_left_10"><?php get_text(515); /*Bilddatei auswaehlen*/?>:*</td>
									<td><input type="file" id="upload_logo" name="logo" class="ipt_200" /></td>
								</tr>
								<tr>
									<td class="padding_left_10"><?php get_text(516); /*Neuer Dateiname*/?>:</td>
									<td><input type="text" name="new_logoname" class="ipt_100" /> (<?php get_text(517); /*ohne Dateiendung*/?>)</td>
								</tr>
								<tr>
									<td class="padding_left_10"><?php get_text(519); /*Neue max. Breite*/?>:</td>
									<td><input type="text" name="new_max_width" class="ipt_50" /> (<?php get_text(518); /*in Pixel*/?>)</td>
								</tr>
								<tr>
									<td class="padding_left_10"><?php get_text(520); /*Neue max. Hoehe*/?>:</td>
									<td><input type="text" name="new_max_height" class="ipt_50" /> (<?php get_text(518); /*in Pixel*/?>)</td>
								</tr>
								<tr><td colspan="2">&#160;</td></tr>
								<tr>
									<td>&#160;</td>
									<td><?php echo get_button(get_text('', 'print', 'decode_on', 'save')/*Speichern*/, 'tick.png', 'onclick="chk_setup_logo();"'); ?></td>
								</tr>
								<tr><td colspan="2">&#160;</td></tr>
							</table>
						</form>
					</td>
					<td style="text-align:right; padding-left:15px;">
						<table width="100%" border="0" cellspacing="0" cellpadding="2" class="border" style="text-align:left;">
							<tr class="table_tr_bg_2">
								<td class="table_header_left"><?php get_text('', 'echo', 'decode_on', 'preview');/*Vorschau*/?></td>
							</tr>
							<tr class="table_tr_bg_1" valign="middle">
								<td align="center">

									<div style="width:250px; height:140px;">
										<table width="250" border="0" cellspacing="0" cellpadding="0">
											<colgroup>
												<col width="249" />
												<col width="1" />
											</colgroup>
											<tr valign="middle">
												<td align="center"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" id="preview_logo" width="1" height="1" border="0" alt="" /></td>
												<td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="140" border="0" alt="" /></td>
											</tr>
										</table>
									</div>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>