<?php
	/**
	 * PDF setup
	 * @package time-o-meter
	 * @subpackage setup
	 */

	if (!isset($setup_array['pdf_logo_template']) or empty($setup_array['pdf_logo_template']))
	{
		$setup_array['pdf_logo_template'] = 'a';
	}
	if (!isset($setup_array['pdf_font']) or empty($setup_array['pdf_font']))
	{
		$setup_array['pdf_font'] = 'helvetica';
	}
?>
<script type="text/javascript">
	<!--
		function open_demo_pdf()
		{
			var font = "";
			for (var i = 0; i < document.setup_pdf.pdf_font.length; i++)
			{
				if (document.setup_pdf.pdf_font.options[i].selected == true)
				{
					font = document.setup_pdf.pdf_font.options[i].value;
					break;
				}
			}

			var demo_window = window.open(JS_ABS_URL + "report/pdf_font_demo.php?font=" + font + '&' + JS_GV_INDEX + '=' + JS_GV_KEY, "Font_Demo");
			demo_window.focus();
		}
		function set_logo(logotyp)
		{
			if (logotyp == 'a' || logotyp == 'b' || logotyp == 'c')
			{
				document.setup_pdf.pdf_logo_1.disabled = false;
				document.setup_pdf.pdf_logo_2.disabled = true;
				document.setup_pdf.pdf_logo_3.disabled = true;
				document.setup_pdf.pdf_logo_4.disabled = true;
			}
			else if(logotyp == 'd')
			{
				document.setup_pdf.pdf_logo_1.disabled = false;
				document.setup_pdf.pdf_logo_2.disabled = false;
				document.setup_pdf.pdf_logo_3.disabled = true;
				document.setup_pdf.pdf_logo_4.disabled = true;
			}
			else if(logotyp == 'e')
			{
				document.setup_pdf.pdf_logo_1.disabled = false;
				document.setup_pdf.pdf_logo_2.disabled = false;
				document.setup_pdf.pdf_logo_3.disabled = false;
				document.setup_pdf.pdf_logo_4.disabled = true;
			}
			else if(logotyp == 'f')
			{
				document.setup_pdf.pdf_logo_1.disabled = false;
				document.setup_pdf.pdf_logo_2.disabled = false;
				document.setup_pdf.pdf_logo_3.disabled = false;
				document.setup_pdf.pdf_logo_4.disabled = false;
			}
		}
	// -->
</script>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text(955);//PDF-Verwaltung ?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<form action="index.php<?php echo $gv->create_get_string(); ?>" method="post" name="setup_pdf" accept-charset="UTF-8">
				<input type="hidden" name="job_string" value="edit_pdf_setup" />
				<?php
					//Reloadsperre
					$reload->create();
					//Checksumme
					echo $chk_sum->GetHidden(array('job_string'	=> 'edit_pdf_setup'));
				?>
				<table width="100%" border="0" cellspacing="0" cellpadding="0" class="table_content">
					<colgroup>
						<col width="30%" />
						<col width="70%" />
					</colgroup>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(956);//Logoeinstellungen ?></h4>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td class="padding_leftright_10"><strong><?php get_text(957);//Logodarstellung ?>:</strong></td>
						<td>
							<input type="radio" name="pdf_logo_typ" value="a"<?php if ($setup_array['pdf_logo_template'] == 'a') {echo ' checked="checked"';}?> onchange="set_logo('a');" /> <?php get_text(958);//Ein Logo Linksbündig ?><br />
							<input type="radio" name="pdf_logo_typ" value="b"<?php if ($setup_array['pdf_logo_template'] == 'b') {echo ' checked="checked"';}?> onchange="set_logo('b');" /> <?php get_text(959);//Ein Logo Zentriert ?><br />
							<input type="radio" name="pdf_logo_typ" value="c"<?php if ($setup_array['pdf_logo_template'] == 'c') {echo ' checked="checked"';}?> onchange="set_logo('c');" /> <?php get_text(960);//Ein Logo Rechtsbündig ?><br />
							<input type="radio" name="pdf_logo_typ" value="d"<?php if ($setup_array['pdf_logo_template'] == 'd') {echo ' checked="checked"';}?> onchange="set_logo('d');" /> <?php get_text(961);//Zwei Logos Links- und Rechtsbündig ?><br />
							<input type="radio" name="pdf_logo_typ" value="e"<?php if ($setup_array['pdf_logo_template'] == 'e') {echo ' checked="checked"';}?> onchange="set_logo('e');" /> <?php get_text(962);//Drei Logos Linksbündig, Zentriert und Rechtsbündig ?><br />
							<input type="radio" name="pdf_logo_typ" value="f"<?php if ($setup_array['pdf_logo_template'] == 'f') {echo ' checked="checked"';}?> onchange="set_logo('f');" /> <?php get_text(963);//Vier Logos gleichmäßig verteilt ?><br />
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td class="padding_leftright_10"><strong><?php get_text(968);//Logoauswahl ?>:</strong></td>
						<td>
							<table cellpadding="0" cellspacing="0" border="0" width="100%">
								<colgroup>
									<col width="25%" />
									<col width="25%" />
									<col width="25%" />
									<col width="25%" />
								</colgroup>
								<tr align="center">
									<td><?php get_text(964);//Erstes Logo ?></td>
									<td><?php get_text(965);//Zweites Logo ?></td>
									<td><?php get_text(966);//Drittes Logo ?></td>
									<td><?php get_text(967);//Viertes Logo ?></td>
								</tr>
								<tr align="center">
									<td>
										<select class="ipt_150" name="pdf_logo_1">
											<?php
												$pdf_logo_array = array();
												$dir = opendir(TOM_ABS_PFAD.'files/logo/');
												while (false !== ($file = readdir($dir)))
												{
													if ($file != '.' and $file != '..')
													{
														$pdf_logo_array[] = $file;

														if (isset($setup_array['pdf_logo'][0]) and $file == $setup_array['pdf_logo'][0])
														{
															$selected = ' selected="selected"';
														}
														else
														{
															$selected = '';
														}
														echo '<option value="'.$file.'"'.$selected.'>'.$file.'</option>';
													}
												}
											?>
										</select>
									</td>
									<td>
										<select class="ipt_150" name="pdf_logo_2"<?php if ($setup_array['pdf_logo_template'] != 'd' and $setup_array['pdf_logo_template'] != 'e' and $setup_array['pdf_logo_template'] != 'f'){echo ' disabled="disabled"';} ?>>
											<?php
												foreach ($pdf_logo_array as $file)
												{
													if (isset($setup_array['pdf_logo'][1]) and $file == $setup_array['pdf_logo'][1])
													{
														$selected = ' selected="selected"';
													}
													else
													{
														$selected = '';
													}
													echo '<option value="'.$file.'"'.$selected.'>'.$file.'</option>';
												}
											?>
										</select>
									</td>
									<td>
										<select class="ipt_150" name="pdf_logo_3"<?php if ($setup_array['pdf_logo_template'] != 'e' and $setup_array['pdf_logo_template'] != 'f'){echo ' disabled="disabled"';} ?>>
											<?php
												foreach ($pdf_logo_array as $file)
												{
													if (isset($setup_array['pdf_logo'][2]) and $file == $setup_array['pdf_logo'][2])
													{
														$selected = ' selected="selected"';
													}
													else
													{
														$selected = '';
													}
													echo '<option value="'.$file.'"'.$selected.'>'.$file.'</option>';
												}
											?>
										</select>
									</td>
									<td>
										<select class="ipt_150" name="pdf_logo_4"<?php if ($setup_array['pdf_logo_template'] != 'f'){echo ' disabled="disabled"';} ?>>
											<?php
												foreach ($pdf_logo_array as $file)
												{
													if (isset($setup_array['pdf_logo'][3]) and $file == $setup_array['pdf_logo'][3])
													{
														$selected = ' selected="selected"';
													}
													else
													{
														$selected = '';
													}
													echo '<option value="'.$file.'"'.$selected.'>'.$file.'</option>';
												}
											?>
										</select>
									</td>
								</tr>
							</table>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(969);//Fontauswahl ?></h4>
							<?php get_text(973);//Je nach ausgewähltem Font werden verschiedene Zeichensätze unterstützt. Dies kann es erforderlich machen das der PDF-Reader Sprachpakete nachinstallieren muß (Hierfür benötigen Sie eventuell Adminrechte). Bitte beachten Sie das jeder Font eine unterschiedlich Darstellungsbreite hat. Fonts die sehr Breit sind sollten nicht verwendet werden. Für einen Darstellungstest können sie sich zu jedem Font eine Demo-PDF Erstellen. ?>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td class="padding_leftright_10"><strong><?php get_text(969);//Fontauswahl ?>:</strong></td>
						<td>
							<select name="pdf_font" class="ipt_200">
								<?php
									$font_array = array();
									if (file_exists(TOM_ABS_PFAD.'inc/classes/tcpdf/fonts/'))
									{
										$font_h = opendir(TOM_ABS_PFAD.'inc/classes/tcpdf/fonts/');

										while (false !== ($file = readdir($font_h)))
										{
											if (is_file(TOM_ABS_PFAD.'inc/classes/tcpdf/fonts/'.$file) and $file != '.' and $file != '..')
											{
												if (strtolower(substr($file, -3)) == 'php')
												{
													$font_array[] = substr($file, 0, -4);
												}
											}
										}
									}
									closedir($font_h);

									//besonders geeignete fonts
									$good_font_array = array('helvetica', 'dejavusanscondensed', 'dejavusansmono', 'freeserif');

									echo '<optgroup label="'.get_text(970, 'return').'">';//Getestete Fonts
									foreach ($good_font_array as $font_name)
									{
										if (in_array($font_name, $font_array))
										{
											if ($setup_array['pdf_font'] == $font_name)
											{
												$selected = ' selected="selected"';
											}
											else
											{
												$selected = '';
											}
											echo '<option value="'.$font_name.'"'.$selected.'>'.$font_name.'</option>';
										}
									}
									echo '</optgroup>';
									echo '<optgroup label="'.get_text(971, 'return').'">';//Sonstige Fonts
									foreach ($font_array as $font_name)
									{
										if (!in_array($font_name, $good_font_array))
										{
											if ($setup_array['pdf_font'] == $font_name)
											{
												$selected = ' selected="selected"';
											}
											else
											{
												$selected = '';
											}
											echo '<option value="'.$font_name.'"'.$selected.'>'.$font_name.'</option>';
										}
									}
									echo '</optgroup>';
								?>
							</select>
							<a href="javascript:open_demo_pdf();">&nbsp;<img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/page_white_acrobat.png'; ?>" width="16" height="16" border="0" alt="" /> <?php get_text(972);//DEMO-PDF ?></a>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td>&#160;</td>
						<td><?php echo get_button(get_text('', 'return', 'decode_on', 'save') /*Speichern*/, 'tick.png', 'onclick="document.setup_pdf.submit();"', 'submit'); ?></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
				</table>
			</form>
		</td>
	</tr>
</table>