<?php
	/**
	 * timesheet settings
	 * @package time-o-meter
	 * @subpackage setup
	 */

	if (isset($setup_array['stz_pausenminuten']))
	{
		$pausenminuten = $setup_array['stz_pausenminuten'];
	}
	else
	{
		$pausenminuten = '';
	}

	if (isset($setup_array['stz_editierbar_bis']))
	{
		$stz_editierbar_bis = $setup_array['stz_editierbar_bis'];
	}
	else
	{
		$stz_editierbar_bis = 0;
	}
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text(98); //Einstellungen?> - <?php get_text('100'); //Stundenzettel?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<form name="form_setup_stz" method="post" action="index.php<?php echo $gv->create_get_string(); ?>" accept-charset="UTF-8">
				<input type="hidden" name="job_string" value="edit_setup_stz" />
				<?php
					//Reloadsperre
					$reload->create();
					//Checksumme
					echo $chk_sum->GetHidden(array('job_string' => 'edit_setup_stz'));
				?>
				<table cellpadding="2" cellspacing="0" border="0" width="100%" class="table_content">
					<colgroup>
						<col width="40%" />
						<col width="60%" />
					</colgroup>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(487); //Pausenminuten?></h4>
							<?php get_text(488); //Wieviele Minuten Pause sollen auf dem Stundenzettel voreingestellt werden??><br /><br />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(489); //Pausenzeit in Minuten?>:</strong></td>
						<td><input type="text" name="stz_pausenminuten" value="<?php echo $pausenminuten;?>" class="ipt_150" /></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(490); //Warnhinweise?></h4>
							<?php get_text(491); //Sollen Warnhinweise angezeigt werden, wenn bei eingetragenen Arbeitszeiten der Arbeitsbeginn vor einer bestimmten Uhrzeit oder das Arbeitsende nach einer bestimmten Uhrzeit liegt, oder wenn die angegebene Anzahl Arbeitsstunden ueberschritten wurde??>
							<br /><br />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(492); //Arbeitsbeginn vor [Stunde]?>:</strong></td>
						<td>
							<select name="stz_report_vor" class="ipt_150">
								<option value=""><?php get_text(303); //Funktion deaktiviert?></option>
								<?php
									for ($i = 0; $i < 24; $i++)
									{
										$i2 = $i;
										// fuehrende null anfuegen
										if (strlen($i2) == 1) {$i2 = '0'.$i2;}
								?>
										<option value="<?php echo $i2; ?>"<?php if ($setup_array['stz_report_vor'] == $i2){echo ' selected="selected"';}?>><?php echo $i2;?></option>
								<?php
									}
								?>
							</select>
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(493); //Arbeitsende nach [Stunde]?>:</strong></td>
						<td>
							<select name="stz_report_nach" class="ipt_150">
								<option value=""><?php get_text(303); //Funktion deaktiviert?></option>
								<?php
									for ($i = 0; $i < 24; $i++)
									{
										$i2 = $i;
										// fuehrende null anfuegen
										if (strlen($i2) == 1) {$i2 = '0'.$i2;}
								?>
										<option value="<?php echo $i2; ?>"<?php if ($setup_array['stz_report_nach'] == $i2){echo ' selected="selected"';}?>><?php echo $i2;?></option>
								<?php
									}
								?>
							</select>
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(494); //Arbeitszeit mehr als [Anzahl Stunden]?>:</strong></td>
						<td>
							<select name="stz_report_mehr_als" class="ipt_150">
								<option value=""><?php get_text(303); //Funktion deaktiviert?></option>
							<?php
								for ($i = 0; $i < 24; $i++)
								{
									$i2 = $i;
									// fuehrende null anfuegen
									if (strlen($i2) == 1) {$i2 = '0'.$i2;}
							?>
									<option value="<?php echo $i2; ?>"<?php if ($setup_array['stz_report_mehr_als'] == $i2){echo ' selected="selected"';}?>><?php echo $i2;?></option>
							<?php
								}
							?>
							</select>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(495); //Zeit-Eingaben runden?></h4>
							<?php get_text(496); //Sollen die eingegebenen Uhrzeiten fuer Kommen & Gehen auf volle Viertelstunden auf- bzw. abgerundet werden??>
							<br /><br />
						</td>
					</tr>
					<tr valign="top">
						<td class="padding_left_10"><strong><?php get_text(495); //Zeit-Eingaben runden?>:</strong></td>
						<td>
							<input type="radio" name="stz_round_time" value="j"<?php if ($setup_array['stz_round_time'] == 'j'){echo ' checked="checked"';}?> /> <?php get_text('','echo','decode_on','ja'); //ja?><br />
							<input type="radio" name="stz_round_time" value="n"<?php if ($setup_array['stz_round_time'] != 'j'){echo ' checked="checked"';}?> /> <?php get_text('','echo','decode_on','nein'); //nein?>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr valign="top">
						<td colspan="2" class="padding_leftright_10">
							<h4><?php get_text(497); //Stundenzettel editierbar bis?></h4>
							<?php get_text(498); //Bis zu welchem Tag des Folgemonats duerfen die Mitarbeiter ihre Stundenzettel bearbeiten??>
							<br /><br />
						</td>
					</tr>
					<tr>
						<td class="padding_left_10"><strong><?php get_text(499); //Tag des Folgemonats?>:</strong></td>
						<td>
							<select name="stz_editierbar_bis" class="ipt_150">
								<option value="0"<?php if ($stz_editierbar_bis == 0){echo ' selected="selected"';}?>><?php get_text(303); //Funktion deaktiviert?></option>
								<?php
									for ($i = 1; $i <= 27; $i++)
									{
										$i2 = $i;
										// fuehrende null anfuegen
										if (strlen($i2) == 1) {$i2 = '0'.$i2;}
								?>
										<option value="<?php echo $i2; ?>"<?php if ($stz_editierbar_bis == $i2){echo ' selected="selected"';}?>><?php echo $i2;?></option>
								<?php
									}
								?>
							</select>
						</td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
					<tr>
						<td>&#160;</td>
						<td><?php echo get_button(get_text('', 'print', 'decode_on', 'save')/*Speichern*/, 'tick.png', 'onclick="document.form_setup_stz.submit();"', 'submit'); ?></td>
					</tr>
					<tr><td colspan="2">&#160;</td></tr>
				</table>
			</form>
		</td>
	</tr>
</table>