<?php
	/**
	 * main page for carry-over correction values
	 * @package time-o-meter
	 * @subpackage stz
	 */

	$sf->start();

	if (!isset($_POST['filter_anzahl_int']))
	{
		$_POST['filter_anzahl_int'] = 20;
	}
	if (!isset($_POST['filter_user_int']))
	{
		$_POST['filter_user_int'] = 0;
	}
	if (!isset($_POST['filter_month_string']))
	{
		$_POST['filter_month_string'] = date("Y / m");
	}
	if (!isset($_POST['filter_aktiv_string']))
	{
		$_POST['filter_aktiv_string'] = 'j';
	}
?>
<script type="text/javascript">
/* <![CDATA[ */
<!--
	function switch_user()
	{
		var user_typ = document.filter_form.filter_aktiv_string.value;
		var user_id = document.filter_form.filter_user_int.value;
		var u_id = "";
		var u_vorname = "";
		var u_nachname = "";

		//Userselect leeren
		for (var i = document.filter_form.filter_user_int.options.length -1; i>0; i--)
		{
			document.filter_form.filter_user_int.options[i] = null;
		}
		//XML Header erstellen
		var xmlHttp = GetXmlHttpRequest();
		if (xmlHttp)
		{
			//Abfrage
			xmlHttp.open('GET', JS_ABS_URL + 'stz/xml_get_userdata.php?usertyp=' + user_typ + '&' + JS_GV_INDEX + '=' + JS_GV_KEY, true);
			xmlHttp.onreadystatechange = function()
			{
				if (xmlHttp.readyState == 4)
				{
					//XML Daten
					var FILEDATA = xmlHttp.responseXML;
					var data = FILEDATA.getElementsByTagName('userdata');

					for (var i=0; i<data.length; i++)
					{
						u_id = "";
						u_vorname = "";
						u_nachname = "";
						for (var j=0; j<data[i].childNodes.length; j++)
						{
							with(data[i].childNodes[j])
							{
								if (nodeName == "id")
								{
									u_id = firstChild.nodeValue;
								}
								if (nodeName == "vorname")
								{
									u_vorname = firstChild.nodeValue;
								}
								if (nodeName == "nachname")
								{
									u_nachname = firstChild.nodeValue;
								}
							}
						}
						//Select beschreiben
						if (u_id == user_id)
						{
							var opt = new Option(u_nachname + ", " + u_vorname, u_id, false, true);
						}
						else
						{
							var opt = new Option(u_nachname + ", " + u_vorname, u_id, false, false);
						}
						document.filter_form.filter_user_int.options[document.filter_form.filter_user_int.options.length] = opt;
					}
				}
			}
			xmlHttp.send(null);
		}
	}
	// -->
	/* ]]> */
</script>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('810'); /*uebertragsverwaltung*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<form action="index.php<?php echo $gv->create_get_string('?clear_sf=1'); ?>" method="post" name="filter_form" accept-charset="UTF-8">
				<div id="filter_block_min" style="display:none;">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<tr>
							<td class="table_header_left" width="66%"><?php get_text(77);//Filteroptionen ?></td>
							<td class="table_header" align="right" width="34%"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_max.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
					</table>
				</div>
				<div id="filter_block_max">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<colgroup>
							<col width="10%" />
							<col width="15%" />
							<col width="30%" />
							<col width="15%" />
							<col width="30%" />
						</colgroup>
						<tr class="table_tr_bg_2">
							<td class="table_header_left"><?php get_text('74'); /*Anzahl*/?></td>
							<td class="table_header" colspan="3"><?php get_text('77'); /*Filteroptionen*/?></td>
							<td class="table_header" align="right"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_min.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="20"<?php if ($_POST['filter_anzahl_int'] == 20) {echo ' checked="checked"';} ?> /> 20</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?>:</td>
							<td class="filter_td_1">
								<select name="filter_user_int" class="ipt_200">
									<option value="0"><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										if ($_POST['filter_aktiv_string'] == 'j')
										{
											$sql = $cdb->select("SELECT user_id, vorname, nachname FROM hdb_user WHERE anzeigen='j' ORDER BY sort_name ASC");
										}
										elseif ($_POST['filter_aktiv_string'] == 'n')
										{
											$sql = $cdb->select("SELECT user_id, vorname, nachname FROM hdb_user WHERE anzeigen='n' ORDER BY sort_name ASC");
										}
										else
										{
											$sql = $cdb->select('SELECT user_id, vorname, nachname FROM hdb_user ORDER BY sort_name ASC');
										}

										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_user_int'] == $result['user_id'])
											{
												$select_string = ' selected="selected"';
											}
											else
											{
												$select_string = '';
											}
											echo '<option value="'.$result['user_id'].'"'.$select_string.'>'.$result['nachname'].', '.$result['vorname'].'</option>';
										}
									?>
								</select>
							</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'jahr'); /*Jahr*/?>/<?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?>:</td>
							<td class="filter_td_2">
								<select name="filter_month_string" class="ipt_200">
									<option value=""><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$date_array = array();
										$sql = $cdb->select('SELECT datum FROM hdb_stz_uebertrag GROUP BY datum ORDER BY datum ASC');
										while ($result = $cdb->fetch_array($sql))
										{
											$date_array[] = str_replace('-', ' / ', substr($result['datum'], 0, 7));
										}

										if (!in_array(date("Y / m"), $date_array))
										{
											$date_array[] = date("Y / m");
										}

										for ($i = count($date_array) - 1; $i >= 0; $i--)
										{
											if ($_POST['filter_month_string'] == $date_array[$i])
											{
												$select_string = ' selected="selected"';
											}
											else
											{
												$select_string = '';
											}
											echo '<option value="'.$date_array[$i].'"'.$select_string.'>'.$date_array[$i].'</option>';
										}
									?>
								</select>
							</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="40"<?php if ($_POST['filter_anzahl_int'] == 40) {echo ' checked="checked"';} ?> /> 40</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'aktiv'); /*Aktiv*/?>:</td>
							<td class="filter_td_1">
								<select name="filter_aktiv_string" class="ipt_200" onchange="switch_user();">
									<option value="all" <?php if ($_POST['filter_aktiv_string'] == 'all') {echo 'selected="selected"';}?>><?php get_text('258'); /*Alle Mitarbeiter*/?></option>
									<option value="j" <?php if ($_POST['filter_aktiv_string'] == 'j') {echo 'selected="selected"';}?>><?php get_text('352'); /*Aktive Mitarbeiter*/?></option>
									<option value="n" <?php if ($_POST['filter_aktiv_string'] == 'n') {echo 'selected="selected"';}?>><?php get_text('569'); /*Ehemalige Mitarbeiter*/?></option>
								</select>
							</td>
							<td class="filter_td_2" colspan="2">&nbsp;</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="60"<?php if ($_POST['filter_anzahl_int'] == 60) {echo ' checked="checked"';} ?> /> 60</td>
							<td class="filter_td_2" colspan="4">&nbsp;</td>
						</tr>
						<tr class="filter_tr_end">
							<td colspan="3"><?php echo get_button(get_text('', 'return', 'decode_on', 'reset') /*zuruecksetzen*/, 'cancel.png', 'onclick="document.filter_form.reset();"'); ?></td>
							<td colspan="2" align="right"><?php echo get_button(get_text('', 'return', 'decode_on', 'show') /*Anzeigen*/, 'tick.png', 'onclick="document.filter_form.submit();"', 'submit'); ?></td>
						</tr>
					</table>
				</div>
			</form>
			<?php
				//Where
				$where_array = array();
				if ($_POST['filter_user_int'] > 0)
				{
					$where_array[] = 't1.user_id='.$_POST['filter_user_int'];
				}
				if (!empty($_POST['filter_month_string']))
				{
					$_POST['filter_month_string'] = str_replace(' / ', '-', $_POST['filter_month_string']);
					$where_array[] = "LEFT(t1.datum, 7)='".$_POST['filter_month_string']."'";
				}
				if (!empty($_POST['filter_aktiv_string']))
				{
					if ($_POST['filter_aktiv_string'] == 'j')
					{
						$where_array[] = "t2.anzeigen='j'";
					}
					elseif ($_POST['filter_aktiv_string'] == 'n')
					{
						$where_array[] = "t2.anzeigen='n'";
					}
				}

				$where = '';
				for ($i = 0; $i < count($where_array); $i ++)
				{
					if (empty($where))
					{
						$where = ' WHERE '.$where_array[$i];
					}
					else
					{
						$where .= ' AND '.$where_array[$i];
					}
				}

				$sql = $cdb->select('SELECT COUNT(DISTINCT(uebertrag_id)) AS count_id FROM hdb_stz_uebertrag t1
									LEFT JOIN hdb_user t2 ON t1.user_id=t2.user_id
									'.$where);
				$count_result = $cdb->fetch_array($sql);

				//Blaetternfunktion
				if (!isset($_GET['blseite']))
				{
					$current_page = 1;
				}
				else
				{
					$current_page = $_GET['blseite'];
				}

				$bl = blaettern($current_page, $count_result['count_id'], $_POST['filter_anzahl_int'], $_POST,'index.php');
				echo '<br />'.$bl['txt'].'<br />';
			?>
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<tr class="table_tr_bg_2">
					<td class="table_header_left" width="18%"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?></td>
					<td class="table_header" width="10%"><?php get_text('', 'echo', 'decode_on', 'jahr'); /*Jahr*/?>/<?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?></td>
					<td class="table_header" width="15%" align="center"><?php get_text('', 'echo', 'decode_on', 'stunden'); /*Stunden*/?> (<?php get_text('', 'echo', 'decode_on', 'original'); /*original*/?>)</td>
					<td class="table_header" width="8%" align="center"><?php get_text('267'); /*Korrektur*/?></td>
					<td class="table_header" width="12%" align="center"><?php get_text('', 'echo', 'decode_on', 'stunden'); /*Stunden*/?> (<?php get_text('', 'echo', 'decode_on', 'neu'); /*neu*/?>)</td>
					<td class="table_header" width="12%" align="center"><?php get_text('', 'echo', 'decode_on', 'urlaub'); /*Urlaub*/?> (<?php get_text('', 'echo', 'decode_on', 'original'); /*original*/?>)</td>
					<td class="table_header" width="8%" align="center"><?php get_text('267'); /*Korrektur*/?></td>
					<td class="table_header" width="12%" align="center"><?php get_text('', 'echo', 'decode_on', 'urlaub'); /*Urlaub*/?> (<?php get_text('', 'echo', 'decode_on', 'neu'); /*neu*/?>)</td>
					<td class="table_header" width="5%" align="center"><?php get_text('', 'echo', 'decode_on', 'aktionen'); /*Aktionen*/?></td>
				</tr>
				<?php
					$count = 0;
					$bg = 1;
					$sql = $cdb->select('SELECT t1.*, t2.vorname, t2.nachname FROM hdb_stz_uebertrag t1
										LEFT JOIN hdb_user t2 ON t1.user_id=t2.user_id
										'.$where.' ORDER BY t1.datum DESC, t2.sort_name ASC, t1.uebertrag_id DESC '.$bl['limit']);
					while ($result = $cdb->fetch_array($sql))
					{
				?>
						<tr class="table_tr_bg_<?php echo $bg; ?>">
							<td><?php echo $result['nachname'].', '.$result['vorname']; ?></td>
							<td><?php echo str_replace('-', ' / ', substr($result['datum'], 0, 7)); ?></td>
							<td align="center"><?php echo $result['org_stunden']; ?></td>
							<td align="center"><?php echo $result['stunden']; ?></td>
							<td align="center">
								<?php
									if (!empty($result['org_stunden']) or !empty($result['stunden']))
									{
										echo $result['org_stunden'] + $result['stunden'];
									}
									else
									{
										echo '&nbsp;';
									}
								?>
							</td>
							<td align="center"><?php echo $result['org_urlaub']; ?></td>
							<td align="center"><?php echo $result['urlaub']; ?></td>
							<td align="center">
								<?php
									if (!empty($result['org_urlaub']) or !empty($result['urlaub']))
									{
										echo $result['org_urlaub'] + $result['urlaub'];
									}
									else
									{
										echo '&nbsp;';
									}
								?>
							</td>
							<td align="center">
								<a href="index.php<?php echo $gv->create_get_string('?fileinc=carry_show&amp;carry_int='.$result['uebertrag_id']); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/zoom.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
							</td>
						</tr>
				<?php
						if ($bg == 1)
						{
							$bg++;
						}
						else
						{
							$bg = 1;
						}
						$count++;
					}
					if ($count == 0)
					{
						echo '<tr><td colspan="8">'.get_text('', 'return', 'decode_on', 'no_results')/*Kein Datensatz vorhanden*/.'</td></tr>';
					}
				?>
			</table>
			<?php
				echo '<a href="index.php'.$gv->create_get_string('?fileinc=carry_add&amp;clear_sf=1').'">'.get_button(get_text('272', 'return'), 'add.png', '').'</a>'; /*ebertragskorrektur hinzufuegen*/
			?>
		</td>
	</tr>
</table>