<?php
	/**
	 * show carry-over correction value details
	 * @package time-o-meter
	 * @subpackage stz
	 */

	if (!isset($_GET['carry_int']) or !is_numeric($_GET['carry_int']))
	{
		$_GET['carry_int'] = 0;
	}
	$sql = $cdb->select('SELECT t1.*, t2.vorname, t2.nachname FROM hdb_stz_uebertrag t1
						LEFT JOIN hdb_user t2 ON t1.user_id=t2.user_id
						WHERE t1.uebertrag_id='.$_GET['carry_int']);
	$result = $cdb->fetch_array($sql);
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('818'); /*uebertrag anzeigen*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<a href="index.php<?php echo $gv->create_get_string('?fileinc=carry'); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />
			<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
				<colgroup>
					<col width="30%" />
					<col width="70%" />
				</colgroup>
				<tr><td colspan="2">&nbsp;</td></tr>
				<tr>
					<td colspan="2" class="padding_leftright_10">
						<?php get_text('819'); /*uebertragskorrekturwerte fuer*/?>
						<?php echo $result['nachname'].', '.$result['vorname'].' - '.'Stundenzettel'.' '.str_replace('-', '/', substr($result['datum'], 0, 7));?>
					</td>
				</tr>
				<tr><td colspan="2">&nbsp;</td></tr>
				<tr>
					<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'vorname'); /*Vorname*/?>:</strong></td>
					<td><?php echo $result['vorname']; ?></td>
				</tr>
				<tr>
					<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'nachname'); /*Nachname*/?>:</strong></td>
					<td><?php echo $result['nachname']; ?></td>
				</tr>
				<tr>
					<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'jahr'); /*Jahr*/?>/<?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?>:</strong></td>
					<td><?php echo str_replace('-', '/', substr($result['datum'], 0, 7)); ?></td>
				</tr>
				<?php
					if (!empty($result['org_stunden']) or !empty($result['stunden']))
					{
				?>

						<tr><td colspan="2">&nbsp;</td></tr>
						<tr>
							<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'stunden'); /*Stunden*/?> (<?php get_text('', 'echo', 'decode_on', 'original'); /*original*/?>):</strong></td>
							<td><?php echo $result['org_stunden'].' h'; ?></td>
						</tr>
						<tr>
							<td class="padding_left_10"><strong><?php get_text('267'); /*Korrektur*/?>:</strong></td>
							<td><?php echo $result['stunden'].' h'; ?></td>
						</tr>
						<tr>
							<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'stunden'); /*Stunden*/?> (<?php get_text('', 'echo', 'decode_on', 'neu'); /*neu*/?>):</strong></td>
							<td><?php echo $result['org_stunden'] + $result['stunden'].' h'; ?></td>
						</tr>
				<?php
					}
					if (!empty($result['org_urlaub']) or !empty($result['urlaub']))
					{
				?>
						<tr><td colspan="2">&nbsp;</td></tr>
						<tr>
							<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'urlaub'); /*Urlaub*/?> (<?php get_text('', 'echo', 'decode_on', 'original'); /*original*/?>):</strong></td>
							<td><?php echo $result['org_urlaub']; ?></td>
						</tr>
						<tr>
							<td class="padding_left_10"><strong><?php get_text('267'); /*Korrektur*/?>:</strong></td>
							<td><?php echo $result['urlaub']; ?></td>
						</tr>
						<tr>
							<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'urlaub'); /*Urlaub*/?> (<?php get_text('', 'echo', 'decode_on', 'neu'); /*neu*/?>):</strong></td>
							<td><?php echo $result['org_urlaub'] + $result['urlaub']; ?></td>
						</tr>
				<?php
					}
				?>
				<tr><td colspan="2">&nbsp;</td></tr>
				<tr>
					<td class="padding_left_10"><strong><?php get_text('', 'echo', 'decode_on', 'kommentar'); /*Kommentar*/?>:</strong></td>
					<td><?php echo $result['kommentar']; ?></td>
				</tr>
				<tr><td colspan="2">&nbsp;</td></tr>
			</table>
			<div style="width:100%; text-align:right; cursor:pointer;" onclick="print();"><br /><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/printer.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></div>
		</td>
	</tr>
</table>