<?php
	/**
	 * index-file of the stz-folder
	 * @package time-o-meter
	 * @subpackage stz
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	/**
	 * header einbinden
	 */
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/header.php');

	//Contentausgabe
	if (!isset($GLOBALS['TOM_VAR']['fileinc']) or empty($GLOBALS['TOM_VAR']['fileinc']) or $GLOBALS['TOM_VAR']['fileinc'] == 'main')
	{
		require_once('../main/main.php');
	}
	//alles was mit der ausgabe eines Stundenzettels zu tun hat
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'show_stz')
	{
		require_once('stz.php');
	}
	//Personalstundenzetteluebersicht
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'overview_stz' and $access->check_group(USER_GROUP_ID, 'admin_stz'))
	{
		require_once('stz_show.php');
	}
	//Aktivieren bzw. Deaktivieren eines Stundenzettels
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'lock_unlock_stz' and $access->check_group(USER_GROUP_ID, 'admin_stz'))
	{
		require_once('stz_lock_unlock.php');
	}
	//Archiveuebersicht
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'archiv')
	{
		require_once('archiv.php');
	}
	//uebertragsuebersicht
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'carry' and $access->check_group(USER_GROUP_ID, 'admin_stz'))
	{
		require_once('carry.php');
	}
	//uebertrag anzeigen
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'carry_show' and $access->check_group(USER_GROUP_ID, 'admin_stz'))
	{
		require_once('carry_show.php');
	}
	//uebertrag anlegen
	elseif (isset($GLOBALS['TOM_VAR']['fileinc']) and $GLOBALS['TOM_VAR']['fileinc'] == 'carry_add' and $access->check_group(USER_GROUP_ID, 'admin_stz'))
	{
		require_once('carry_add.php');
	}
	else
	{
		require_once('../main/main.php');
	}

	//Footer
	require_once(TOM_ABS_PFAD.'template/'.$setup_array['template'].'/footer.php');
?>