<?php
	/**
	 * view timesheet (read-only)
	 * @package time-o-meter
	 * @subpackage stz
	 */

	$sf->start();

	if (!isset($_POST['filter_anzahl_int']))
	{
		$_POST['filter_anzahl_int'] = 20;
	}
	if (!isset($_POST['filter_user_int']))
	{
		$_POST['filter_user_int'] = 0;
	}
	if (!isset($_POST['filter_month_string']))
	{
		$_POST['filter_month_string'] = date("Y-m");
	}
	if (!isset($_POST['filter_aktiv_string']))
	{
		$_POST['filter_aktiv_string'] = 'j';
	}
?>
<script type="text/javascript">
/* <![CDATA[ */
<!--
	function switch_user()
	{
		var user_typ = document.filter_form.filter_aktiv_string.value;
		var user_id = document.filter_form.filter_user_int.value;
		var u_id = "";
		var u_vorname = "";
		var u_nachname = "";

		//Userselect leeren
		for (var i = document.filter_form.filter_user_int.options.length -1; i>0; i--)
		{
			document.filter_form.filter_user_int.options[i] = null;
		}
		//XML Header erstellen
		var xmlHttp = GetXmlHttpRequest();
		if (xmlHttp)
		{
			//Abfrage
			xmlHttp.open('GET', JS_ABS_URL + 'stz/xml_get_userdata.php?usertyp=' + user_typ + '&' + JS_GV_INDEX + '=' + JS_GV_KEY, true);
			xmlHttp.onreadystatechange = function()
			{
				if (xmlHttp.readyState == 4)
				{
					//XML Daten
					var FILEDATA = xmlHttp.responseXML;
					var data = FILEDATA.getElementsByTagName('userdata');

					for (var i=0;i<data.length;i++)
					{
						u_id = "";
						u_vorname = "";
						u_nachname = "";

						for (var j=0; j<data[i].childNodes.length; j++)
						{
							with(data[i].childNodes[j])
							{
								if (nodeName == "id")
								{
									u_id = firstChild.nodeValue;
								}
								if (nodeName == "vorname")
								{
									u_vorname = firstChild.nodeValue;
								}
								if (nodeName == "nachname")
								{
									u_nachname = firstChild.nodeValue;
								}
							}
						}
						//Select beschreiben
						if (u_id == user_id)
						{
							var opt = new Option(u_nachname + ", " + u_vorname, u_id, false, true);
						}
						else
						{
							var opt = new Option(u_nachname + ", " + u_vorname, u_id, false, false);
						}
						document.filter_form.filter_user_int.options[document.filter_form.filter_user_int.options.length] = opt;
					}
				}
			}
			xmlHttp.send(null);
		}
	}
// -->
/* ]]> */
</script>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('825'); /*Personalstundenzetteluebersicht*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<form action="index.php<?php echo $gv->create_get_string('?clear_sf=1'); ?>" method="post" name="filter_form" accept-charset="UTF-8">
				<div id="filter_block_min" style="display:none;">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<tr>
							<td class="table_header_left" width="66%"><?php get_text(77);//Filteroptionen ?></td>
							<td class="table_header" align="right" width="34%"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_max.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
					</table>
				</div>
				<div id="filter_block_max">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<colgroup>
							<col width="10%" />
							<col width="15%" />
							<col width="30%" />
							<col width="15%" />
							<col width="30%" />
						</colgroup>
						<tr class="table_tr_bg_2">
							<td class="table_header_left"><?php get_text('74'); /*Anzahl*/?></td>
							<td class="table_header" colspan="3"><?php get_text('77'); /*Filteroptionen*/?></td>
							<td class="table_header" align="right"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_min.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="20"<?php if ($_POST['filter_anzahl_int'] == 20) {echo ' checked="checked"';} ?> /> 20</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?>:</td>
							<td class="filter_td_1">
								<select name="filter_user_int" class="ipt_200">
									<option value="0"><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										if ($_POST['filter_aktiv_string'] == 'j')
										{
											$sql = $cdb->select("SELECT user_id, vorname, nachname FROM hdb_user WHERE anzeigen='j' ORDER BY sort_name ASC");
										}
										elseif ($_POST['filter_aktiv_string'] == 'n')
										{
											$sql = $cdb->select("SELECT user_id, vorname, nachname FROM hdb_user WHERE anzeigen='n' ORDER BY sort_name ASC");
										}
										else
										{
											$sql = $cdb->select('SELECT user_id, vorname, nachname FROM hdb_user ORDER BY sort_name ASC');
										}

										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_user_int'] == $result['user_id'])
											{
												$select_string = ' selected="selected"';
											}
											else
											{
												$select_string = '';
											}
											echo '<option value="'.$result['user_id'].'"'.$select_string.'>'.$result['nachname'].', '.$result['vorname'].'</option>';
										}
									?>
								</select>
							</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'jahr'); /*Jahr*/?>/<?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?>:</td>
							<td class="filter_td_2">
								<select name="filter_month_string" class="ipt_200">
									<option value=""><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$date_array = array();
										$sql = $cdb->select('SELECT datum FROM hdb_stz_monat GROUP BY datum ORDER BY datum ASC');
										while ($result = $cdb->fetch_array($sql))
										{
											$date_array[] = substr($result['datum'], 0, 7);
										}

										if (!in_array(date("Y-m"), $date_array))
										{
											$date_array[] = date("Y-m");
										}

										for ($i = count($date_array) - 1; $i >= 0; $i--)
										{
											if ($_POST['filter_month_string'] == $date_array[$i])
											{
												$select_string = ' selected="selected"';
											}
											else
											{
												$select_string = '';
											}
											echo '<option value="'.$date_array[$i].'"'.$select_string.'>'.str_replace('-', '/', substr($date_array[$i], 0, 7)).'</option>';
										}
									?>
								</select>
							</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="40"<?php if ($_POST['filter_anzahl_int'] == 40) {echo ' checked="checked"';} ?> /> 40</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'aktiv'); /*Aktiv*/?>:</td>
							<td class="filter_td_1">
								<select name="filter_aktiv_string" class="ipt_200" onchange="switch_user();">
									<option value="all" <?php if ($_POST['filter_aktiv_string'] == 'all') {echo 'selected="selected"';}?>><?php get_text('258'); /*Alle Mitarbeiter*/?></option>
									<option value="j" <?php if ($_POST['filter_aktiv_string'] == 'j') {echo 'selected="selected"';}?>><?php get_text('352'); /*Aktive Mitarbeiter*/?></option>
									<option value="n" <?php if ($_POST['filter_aktiv_string'] == 'n') {echo 'selected="selected"';}?>><?php get_text('569'); /*Ehemalige Mitarbeiter*/?></option>
								</select>
							</td>
							<td class="filter_td_2" colspan="2">&nbsp;</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="60"<?php if ($_POST['filter_anzahl_int'] == 60) {echo ' checked="checked"';} ?> /> 60</td>
							<td class="filter_td_2" colspan="4">&nbsp;</td>
						</tr>
						<tr class="filter_tr_end">
							<td colspan="3"><?php echo get_button(get_text('', 'return', 'decode_on', 'reset') /*zuruecksetzen*/, 'cancel.png', 'onclick="document.filter_form.reset();"'); ?></td>
							<td colspan="2" align="right"><?php echo get_button(get_text('', 'return', 'decode_on', 'show') /*Anzeigen*/, 'tick.png', 'onclick="document.filter_form.submit();"', 'submit'); ?></td>
						</tr>
					</table>
				</div>
			</form>
			<?php
				$order_by = ' ORDER BY t2.sort_name ASC';
				//Where
				$where_array = array();
				if ($_POST['filter_user_int'] > 0)
				{
					$where_array[] = 't1.user_id='.$_POST['filter_user_int'];
					$order_by = ' ORDER BY t1.datum DESC';
				}
				if (!empty($_POST['filter_month_string']))
				{
					$where_array[] = "LEFT(t1.datum, 7)='".$_POST['filter_month_string']."'";
				}
				if (!empty($_POST['filter_aktiv_string']))
				{
					if ($_POST['filter_aktiv_string'] == 'j')
					{
						$where_array[] = "t2.anzeigen='j'";
					}
					elseif ($_POST['filter_aktiv_string'] == 'n')
					{
						$where_array[] = "t2.anzeigen='n'";
					}
				}

				$where = '';
				for ($i = 0; $i < count($where_array); $i ++)
				{
					if (empty($where))
					{
						$where = ' WHERE '.$where_array[$i];
					}
					else
					{
						$where .= ' AND '.$where_array[$i];
					}
				}

				$sql = $cdb->select('SELECT COUNT(DISTINCT(id)) AS count_id FROM hdb_stz_monat t1
									LEFT JOIN hdb_user t2 ON t1.user_id=t2.user_id
									'.$where);
				$count_result = $cdb->fetch_array($sql);

				//Blaetternfunktion
				if (!isset($_GET['blseite']))
				{
					$current_page = 1;
				}
				else
				{
					$current_page = $_GET['blseite'];
				}

				$bl = blaettern($current_page, $count_result['count_id'], $_POST['filter_anzahl_int'], $_POST,'index.php');
				echo '<br />'.$bl['txt'].'<br />';
			?>
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<tr class="table_tr_bg_2">
					<td class="table_header_left" width="35%"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?></td>
					<td class="table_header" width="15%" align="center"><?php get_text('', 'echo', 'decode_on', 'jahr'); /*Jahr*/?>/<?php get_text('', 'echo', 'decode_on', 'monat'); /*Monat*/?></td>
					<td class="table_header" width="15%" align="center"><?php get_text('824'); /*Abgeschlossen*/?></td>
					<td class="table_header" width="20%" align="center"><?php get_text('362'); /*Editierbar bis*/?></td>
					<td class="table_header" width="15%" align="center"><?php get_text('', 'echo', 'decode_on', 'aktionen'); /*Aktionen*/?></td>
				</tr>
				<?php
					$count = 0;
					$bg = 1;
					$sql = $cdb->select('SELECT t1.id, t1.user_id, t1.datum, t1.abgeschlossen, t1.report_vor6h, t1.report_nach22h, t1.report_ueber10h, t2.vorname, t2.nachname FROM hdb_stz_monat t1
										LEFT JOIN hdb_user t2 ON t1.user_id=t2.user_id
										'.$where.$order_by.' '.$bl['limit']);
					while ($result = $cdb->fetch_array($sql))
					{
						$stz_year_string = substr($result['datum'], 0, 4);
						$stz_month_string = substr($result['datum'], 5, 2);

						if ($result['report_vor6h'] == 'j' or $result['report_nach22h'] == 'j' or $result['report_ueber10h'] == 'j')
						{
							$style = 'table_tr_bg_warning';
						}
						else
						{
							$style = 'table_tr_bg_'.$bg;
						}
				?>
						<tr class="<?php echo $style; ?>">
							<td><?php echo $result['nachname'].', '.$result['vorname']; ?></td>
							<td align="center"><?php echo str_replace('-', ' / ', substr($result['datum'], 0, 7)); ?></td>
							<td align="center">
								<?php
									if ($result['abgeschlossen'] == 'j')
									{
										get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
									}
									else
									{
										get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
									}
								?>
							</td>
							<td align="center">
								<?php
									$edit_stz_date = $kal->date_calculator($stz_year_string.'-'.$stz_month_string.'-'.$setup_array['stz_editierbar_bis'], '', 1, '');
									if ($edit_stz_date[1] > time())
									{
										echo $kal->iso_to_free($edit_stz_date[0]);
									}
									else
									{
										get_text('823'); /*abgelaufen*/
									}
								?>
							</td>
							<td align="center">
								<?php
									$cs_show = $chk_sum->GetString(array('userid_int' => $result['user_id'], 'month_string' => $stz_month_string, 'year_string' => $stz_year_string, 'typ_string' =>'show'));
								?>
								<a href="index.php<?php echo $gv->create_get_string('?fileinc=show_stz&amp;userid_int='.$result['user_id'].'&amp;month_string='.$stz_month_string.'&amp;year_string='.$stz_year_string.'&amp;typ_string=show&amp;'.$cs_show); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/zoom.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
								<?php
									if ($result['abgeschlossen'] == 'n')
									{
										$cs_edit = $chk_sum->GetString(array('userid_int' => $result['user_id'], 'month_string' => $stz_month_string, 'year_string' => $stz_year_string, 'typ_string' =>'edit'));
								?>
										<a href="index.php<?php echo $gv->create_get_string('?fileinc=show_stz&amp;userid_int='.$result['user_id'].'&amp;month_string='.$stz_month_string.'&amp;year_string='.$stz_year_string.'&amp;typ_string=edit&amp;'.$cs_edit); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/pencil.png'; ?>" width="16" height="16" border="0" alt="" class="image" /></a>
								<?php
									}
									else
									{
										echo '<img src="'.TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif" width="16" height="1" border="0" alt="" class="image" />';
									}

									if ($result['abgeschlossen'] == 'j')
									{
										$next_month = $kal->date_calculator($result['datum'], '', '1', '');
										if ($result['datum'] == date("Y-m").'-01' or date("Y-m").'-01' == $next_month[0])
										{
											$cs_lock = $chk_sum->GetString(array('typ_string' => 'unlock', 'stzid_int' => $result['id']));
								?>
											<a href="index.php<?php echo $gv->create_get_string('?fileinc=lock_unlock_stz&amp;typ_string=unlock&amp;stzid_int='.$result['id'].'&amp;'.$cs_lock); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/lock_open.png'; ?>" width="16" height="16" border="0" alt="" class="image" title="<?php get_text('821');/*Stundenzettel freigeben*/?>" /></a>
								<?php
										}
									}
									else
									{
										$cs_lock = $chk_sum->GetString(array('typ_string' => 'lock', 'stzid_int' => $result['id']));
								?>
										<a href="index.php<?php echo $gv->create_get_string('?fileinc=lock_unlock_stz&amp;typ_string=lock&amp;stzid_int='.$result['id'].'&amp;'.$cs_lock); ?>"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/lock.png'; ?>" width="16" height="16" border="0" alt="" class="image" title="<?php get_text('820');/*Stundenzettel abschliessen*/?>" /></a>
								<?php
									}
								?>
							</td>
						</tr>
				<?php
						if ($bg == 1)
						{
							$bg++;
						}
						else
						{
							$bg = 1;
						}
						$count++;
					}
					if ($count == 0)
					{
						echo '<tr><td colspan="5">'.get_text('', 'return', 'decode_on', 'no_results')/*Kein Datensatz vorhanden*/.'</td></tr>';
					}
				?>
			</table>
		</td>
	</tr>
</table>