<?php
	/**
	 * xml output of carry-over values
	 * @package time-o-meter
	 * @subpackage stz
	 */

	/**
	 * include-sammlung einbinden
	 */
	require_once('../inc/include.php');

	header('Content-type: application/xml');
	header("Cache-Control: no-cache, must-revalidate");
	header("Expires: ".date('r', time() - 86400));
	$return = '<?xml version="1.0" encoding="utf-8"?>'."\n";
	$return .= "<root>\n";
	if (isset($_GET['stz_int']) and $_GET['stz_int'] > 0)
	{
		$sql = $cdb->select('SELECT t1.datum, t1.startwert_stunden, t1.startwert_urlaub, t2.vorname, t2.nachname FROM hdb_stz_monat t1
							LEFT JOIN hdb_user t2 ON t1.user_id=t2.user_id
							WHERE t1.id='.$_GET['stz_int']);
		while ($result = $cdb->fetch_array($sql))
		{
			$return .= "\t<carrydata>\n";
			$return .= "\t\t<vorname>".html_entity_decode($result['vorname'], ENT_QUOTES)."</vorname>\n";
			$return .= "\t\t<nachname>".html_entity_decode($result['nachname'], ENT_QUOTES)."</nachname>\n";
			$return .= "\t\t<datum>".str_replace('-', ' / ', substr($result['datum'], 0, 7))."</datum>\n";
			$return .= "\t\t<stunden>".$result['startwert_stunden']."</stunden>\n";
			$return .= "\t\t<urlaub>".$result['startwert_urlaub']."</urlaub>\n";
			$return .= "\t</carrydata>\n";
		}
	}
	$return .= "</root>";

	echo utf8_encode($return);
?>