<?php
	/**
	 * useraccount detail page
	 * @package time-o-meter
	 * @subpackage user
	 */

	//Filteroptionen speichern
	$sf->start();

	//Variablenpruefung
	if ($chk_sum->Chk($_GET['VCS']))
	{
		$quali = new Qualification();

		if (!isset($_GET['userid_int']) or !is_numeric($_GET['userid_int']))
		{
			$_GET['userid_int'] = 0;
		}
		$sql = $cdb->select('SELECT t1.*, t2.status,t3.group_name,t4.bezeichnung AS sprachname FROM hdb_user t1
							LEFT JOIN hdb_ma_status t2 ON t1.mastatus_id=t2.mastatus_id
							LEFT JOIN hdb_usergroups t3 ON t1.group_id=t3.group_id
							LEFT JOIN hdb_sprachen t4 ON t1.sprache_id=t4.sprache_id
							WHERE t1.user_id='.$_GET['userid_int']);
		$result = $cdb->fetch_array($sql);
?>
		<table cellpadding="0" cellspacing="0" border="0" width="100%">
			<tr valign="middle">
				<td class="main_table_header" width="100%"><?php get_text('669'); /*Mitarbeiter anzeigen*/?></td>
			</tr>
			<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
			<tr>
				<td class="main_table_content">
					<a href="index.php<?php echo $gv->create_get_string('?fileinc=main&amp;seite='.$_GET['seite']); ?>">&laquo; <?php get_text('', 'echo', 'decode_on', 'back'); /*zurueck*/?></a><br /><br />
					<table cellpadding="2" cellspacing="0" width="100%" class="table_content">
						<tr>
							<td width="100%">
								<fieldset>
		   							<legend><?php get_text(1006) /*Private Angaben*/?></legend>
		   							<table cellpadding="2" cellspacing="0" width="100%">
										<colgroup>
											<col width="30%" />
											<col width="70%" />
										</colgroup>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'anrede'); /*Anrede*/?>:</strong></td>
											<td>
												<?php
													if ($result['anrede'] == 1)
													{
														get_text('','echo','decode_on','herr'); //Herr
													}
													elseif ($result['anrede'] == 2)
													{
														get_text('','echo','decode_on','frau'); //Frau
													}
												?>
											</td>
										</tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'vorname'); /*Vorname*/?>:</strong></td>
											<td><?php echo $result['vorname']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'nachname'); /*Nachname*/?>:</strong></td>
											<td><?php echo $result['nachname']; ?></td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'str_nr'); /*Strasse/Hausnummer*/?>:</strong></td>
											<td><?php echo $result['str'].' '.$result['hausnr']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'ort_plz'); /*Ort/PLZ*/?>:</strong></td>
											<td><?php echo $result['ort'].' '.$result['plz']; ?></td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'geburtsdatum'); /*Geburtsdatum*/?>:</strong></td>
											<td><?php echo $kal->iso_to_free($result['geburtsdatum']); ?></td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'telefon'); /*Telefon*/?>:</strong></td>
											<td><?php echo $result['tel_private']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'fax'); /*Fax*/?>:</strong></td>
											<td><?php echo $result['fax_private']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'handy'); /*Mobiltelefon*/?>:</strong></td>
											<td><?php echo $result['handy_private']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'email'); /*E-Mail*/?>:</strong></td>
											<td><?php echo $result['email_private']; ?></td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
									</table>
								</fieldset>
								<fieldset>
		   							<legend><?php get_text(1007) /*Geschäftliche Angaben*/?></legend>
		   							<table cellpadding="2" cellspacing="0" width="100%">
										<colgroup>
											<col width="30%" />
											<col width="70%" />
										</colgroup>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'telefon'); /*Telefon*/?>:</strong></td>
											<td><?php echo $result['tel']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'fax'); /*Fax*/?>:</strong></td>
											<td><?php echo $result['fax']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'handy'); /*Mobiltelefon*/?>:</strong></td>
											<td><?php echo $result['handy']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'email'); /*E-Mail*/?>:</strong></td>
											<td><?php echo $result['email']; ?></td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
									</table>
								</fieldset>
								<fieldset>
		   							<legend><?php get_text(1008) /*Sonstige Angaben*/?></legend>
									<table cellpadding="2" cellspacing="0" width="100%">
										<colgroup>
											<col width="30%" />
											<col width="70%" />
										</colgroup>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'personalnr'); /*Personalnr.*/?>:</strong></td>
											<td><?php echo $result['personalnr']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'urlaubstage'); /*Urlaubstage*/?>:</strong></td>
											<td><?php echo $result['urlaubstage']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('232'); /*Sollarbeitszeit pro Woche*/?>:</strong></td>
											<td><?php echo $result['min_weektime']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('233'); /*Maximale Arbeitszeit pro Woche*/?>:</strong></td>
											<td><?php echo $result['max_weektime']; ?></td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td><strong><?php get_text('235'); /*Eintrittsdatum*/?>:</strong></td>
											<td><?php echo $kal->iso_to_free($result['eintrittsdatum']); ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('236'); /*Austrittsdatum*/?>:</strong></td>
											<td><?php echo $kal->iso_to_free($result['austrittsdatum']); ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('237'); /*Startdatum*/?>:</strong></td>
											<td><?php echo $kal->iso_to_free($result['startdatum']); ?></td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td><strong><?php get_text('238'); /*Mitarbeiterstatus*/?>:</strong></td>
											<td><?php echo $result['status']; ?></td>
										</tr>
										<tr valign="top">
											<td><strong><?php get_text('240'); /*Qualifikationen*/?>:</strong></td>
											<td>
												<?php
													$quali_array = $quali->get_user_qualifications($result['user_id']);

													if (!empty($quali_array))
													{
														foreach ($quali_array as $quali_data)
														{
															echo $quali_data['qualifikation'].'<br />';
														}
													}
												?>
											</td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'benutzergruppe'); /*Benutzergruppe*/?>:</strong></td>
											<td><?php echo $result['group_name']; ?></td>
										</tr>
										<tr>
											<td><strong><?php get_text('', 'echo', 'decode_on', 'username'); /*Benutzername*/?>:</strong></td>
											<td><?php echo $result['username']; ?></td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td><strong><?php get_text('664'); /*Benutzeraccount aktiv*/?>:</strong></td>
											<td>
												<?php
													if ($result['login_aktiv'] == 'j')
													{
														get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
													}
													else
													{
														get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
													}
												?>
											</td>
										</tr>
										<tr>
											<td><strong><?php get_text('542'); /*Reisekosten*/?>:</strong></td>
											<td>
												<?php
													if ($result['show_rei_ko'] == 'j')
													{
														get_text('', 'echo', 'decode_on', 'ja'); /*ja*/
													}
													else
													{
														get_text('', 'echo', 'decode_on', 'nein'); /*nein*/
													}
												?>
											</td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr>
											<td><strong><?php get_text('734'); /*Sprache*/?>:</strong></td>
											<td><?php echo $result['sprachname']; ?></td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
										<tr valign="top">
											<td><strong><?php get_text('299'); /*Aktive Projekte*/?>:</strong></td>
											<td>
												<?php
													$sql_3 = $cdb->select('SELECT t2.name, t2.kurzname FROM hdb_user_projekt t1
																			LEFT JOIN hdb_projekte t2 ON t1.projekt_id=t2.projekt_id
																			WHERE t1.user_id='.$_GET['userid_int']." AND t1.anzeigen='j' AND t2.anzeigen='j'");
													while ($p_result = $cdb->fetch_array($sql_3))
													{
														echo $p_result['kurzname'].' - '.$p_result['name'].'<br />';
													}
												?>
											</td>
										</tr>
										<tr><td colspan="2">&nbsp;</td></tr>
									</table>
								</fieldset>
							</td>
						</tr>
					</table>
				</td>
			</tr>
		</table>
<?php
	}
	else
	{
		echo setError(get_text('', 'return', 'decode_on', 'fehler_variablen') /*Die Variablenpruefung ergab einen Fehler!*/, WARNING, __LINE__);
	}
?>