<?php
	/**
	 * total hours (working time) report
	 * @package time-o-meter
	 * @subpackage user
	 */

	if (!isset($_POST['filter_anzahl_int']))
	{
		$_POST['filter_anzahl_int'] = 20;
	}
	if (!isset($_POST['filter_order_int']))
	{
		$_POST['filter_order_int'] = 1;
	}
	if (!isset($_POST['filter_user_int']))
	{
		$_POST['filter_user_int'] = 0;
	}
	if (!isset($_POST['filter_status_int']))
	{
		$_POST['filter_status_int'] = 0;
	}
	if (!isset($_POST['filter_date_string']))
	{
		$_POST['filter_date_string'] = date('Y');
	}
?>
<table cellpadding="0" cellspacing="0" border="0" width="100%">
	<tr valign="middle">
		<td class="main_table_header" width="100%"><?php get_text('836'); /*Gesamtstundenreport*/?></td>
	</tr>
	<tr><td><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_spacer.gif'; ?>" width="1" height="4" border="0" alt="" /></td></tr>
	<tr>
		<td class="main_table_content">
			<form action="index.php<?php echo $gv->create_get_string(); ?>" method="post" name="filter_form" accept-charset="UTF-8">
				<div id="filter_block_min" style="display:none;">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<tr>
							<td class="table_header_left" width="66%"><?php get_text(77);//Filteroptionen ?></td>
							<td class="table_header" align="right" width="34%"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_max.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
					</table>
				</div>
				<div id="filter_block_max">
					<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
						<colgroup>
							<col width="10%" />
							<col width="15%" />
							<col width="30%" />
							<col width="15%" />
							<col width="30%" />
						</colgroup>
						<tr class="table_tr_bg_2">
							<td class="table_header_left"><?php get_text('74'); /*Anzahl*/?></td>
							<td class="table_header" colspan="3"><?php get_text('77'); /*Filteroptionen*/?></td>
							<td class="table_header" align="right"><img src="<?php echo TOM_ABS_URL.'template/'.$setup_array['template'].'/image/_min.gif'; ?>" alt="" width="16" height="14" border="0" style="vertical-align:middle; cursor:pointer;" onclick="set_filter('filter_block');" /></td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="20"<?php if ($_POST['filter_anzahl_int'] == 20) {echo ' checked="checked"';} ?> /> 20</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?>:</td>
							<td class="filter_td_1">
								<select name="filter_user_int" class="ipt_200">
									<option value="0"><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$sql = $cdb->select("SELECT user_id, vorname, nachname FROM hdb_user WHERE anzeigen='j' ORDER BY sort_name ASC");
										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_user_int'] == $result['user_id'])
											{
												$select = ' selected="selected"';
											}
											else
											{
												$select = '';
											}
											echo '<option value="'.$result['user_id'].'"'.$select.'>'.$result['nachname'].', '.$result['vorname'].'</option>';
										}
									?>
								</select>
							</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'status'); /*Status*/?>:</td>
							<td class="filter_td_2">
								<select name="filter_status_int" class="ipt_200">
									<option value="0"><?php get_text('', 'echo', 'decode_on', 'please_select'); /*Bitte waehlen*/?></option>
									<?php
										$sql = $cdb->select('SELECT * FROM hdb_ma_status ORDER BY status ASC');
										while ($result = $cdb->fetch_array($sql))
										{
											if ($_POST['filter_status_int'] == $result['mastatus_id'])
											{
												$select = ' selected="selected"';
											}
											else
											{
												$select = '';
											}
											echo '<option value="'.$result['mastatus_id'].'"'.$select.'>'.$result['status'].'</option>';
										}
									?>
								</select>
							</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="40"<?php if ($_POST['filter_anzahl_int'] == 40) {echo ' checked="checked"';} ?> /> 40</td>
							<td class="filter_td_2"><?php get_text('', 'echo', 'decode_on', 'zeitraum'); /*Zeitraum*/?>:</td>
							<td class="filter_td_1">
								<select name="filter_date_string" class="ipt_200">
									<?php
										$year_array = array();
										$sql = $cdb->select("SELECT LEFT(datum,4) AS year FROM hdb_stz GROUP BY LEFT(datum,4) ORDER BY LEFT(datum,4) DESC");
										while ($result = $cdb->fetch_array($sql))
										{
											$year_array[] = $result['year'];
										}

										if (!in_array(date('Y'), $year_array))
										{
											echo '<option value="'.date('Y').'">'.date('Y').'</option>';
										}

										foreach ($year_array as $v)
										{
											if ($_POST['filter_date_string'] == $v)
											{
												$select = ' selected="selected"';
											}
											else
											{
												$select = '';
											}
											echo '<option value="'.$v.'"'.$select.'>'.$v.'</option>';
										}
									?>
								</select>
							</td>
							<td class="filter_td_2"><?php get_text('78'); /*Sortieren*/?>:</td>
							<td class="filter_td_2">
								<select name="filter_order_int" class="ipt_200">
									<option value="1"<?php if ($_POST['filter_order_int'] == 1) {echo ' selected="selected"';} ?>><?php get_text('', 'echo', 'decode_on', 'nachname'); /*Nachname*/?> <?php get_text('', 'echo', 'decode_on', 'aufsteigend'); /*aufsteigend*/?></option>
									<option value="2"<?php if ($_POST['filter_order_int'] == 2) {echo ' selected="selected"';} ?>><?php get_text('', 'echo', 'decode_on', 'nachname'); /*Nachname*/?> <?php get_text('', 'echo', 'decode_on', 'absteigend'); /*absteigend*/?></option>
								</select>
							</td>
						</tr>
						<tr>
							<td class="filter_td_1"><input type="radio" name="filter_anzahl_int" value="60"<?php if ($_POST['filter_anzahl_int'] == 60) {echo ' checked="checked"';} ?> /> 60</td>
							<td class="filter_td_2" colspan="4">&nbsp;</td>
						</tr>
						<tr class="filter_tr_end">
							<td colspan="3"><?php echo get_button(get_text('', 'return', 'decode_on', 'reset') /*zuruecksetzen*/, 'cancel.png', 'onclick="document.filter_form.reset();"'); ?></td>
							<td colspan="2" align="right"><?php echo get_button(get_text('', 'return', 'decode_on', 'show') /*Anzeigen*/, 'tick.png', 'onclick="document.filter_form.submit();"', 'submit'); ?></td>
						</tr>
					</table>
				</div>
			</form>
			<?php
				/*
				*	ORDER
				*/
				if ($_POST['filter_order_int'] == 2)
				{
					$order = ' ORDER BY t1.sort_name DESC';
				}
				else
				{
					$order = ' ORDER BY t1.sort_name ASC';
				}
				/*
				*	WHERE
				*/
				$where_array = array();
				if (is_numeric($_POST['filter_user_int']) and $_POST['filter_user_int'] > 0)
				{
					$where_array[] = 't1.user_id='.$_POST['filter_user_int'];
				}

				if (is_numeric($_POST['filter_status_int']) and $_POST['filter_status_int'] > 0)
				{
					$where_array[] = 't3.mastatus_id='.$_POST['filter_status_int'];
				}

				if (!empty($_POST['filter_date_string']))
				{
					$where_array[] = "LEFT(t2.datum,4)='".$_POST['filter_date_string']."'";
				}

				$where = '';
				if (count($where_array) > 0)
				{
					foreach ($where_array as $v)
					{
						if (empty($where))
						{
							$where = 'WHERE '.$v;
						}
						else
						{
							$where .= ' AND '.$v;
						}
					}
				}

				$sql = $cdb->select("SELECT COUNT(DISTINCT(t1.user_id)) AS count_id FROM hdb_user t1
									LEFT JOIN hdb_stz t2 ON t2.user_id=t1.user_id
									LEFT JOIN hdb_ma_status t3 ON t1.mastatus_id=t3.mastatus_id
									 $where");
				$count_result = $cdb->fetch_array($sql);

				$where .= ' GROUP BY t1.user_id';

				//Blaetternfunktion
				if (!isset($_GET['blseite']))
				{
					$current_page = 1;
				}
				else
				{
					$current_page = $_GET['blseite'];
				}

				$bl = blaettern($current_page, $count_result['count_id'], $_POST['filter_anzahl_int'], $_POST,'index.php');
				echo '<br />'.$bl['txt'].'<br />';
			?>
			<table cellpadding="2" cellspacing="0" border="0" width="100%" class="border">
				<tr class="table_tr_bg_2">
					<td class="table_header_left" width="20%"><?php get_text('', 'echo', 'decode_on', 'mitarbeiter'); /*Mitarbeiter*/?></td>
					<td class="table_header" width="17%"><?php get_text('', 'echo', 'decode_on', 'zeitraum'); /*Zeitraum*/?></td>
					<td class="table_header" width="15%"><?php get_text('359'); /*Geleistete Stunden*/?></td>
					<td class="table_header" width="10%"><?php get_text('', 'echo', 'decode_on', 'personalnr'); /*Personalnr.*/?></td>
					<td class="table_header" width="20%"><?php get_text('113'); /*E-Mail*/?></td>
					<td class="table_header" width="18%"><?php get_text('', 'echo', 'decode_on', 'status'); /*Status*/?></td>
				</tr>
				<?php
					$count = 0;
					$bg = 1;
					$sql = $cdb->select("SELECT t1.user_id, t1.vorname, t1.nachname, t1.personalnr, t1.email, t3.status FROM hdb_user t1
										LEFT JOIN hdb_stz t2 ON t2.user_id=t1.user_id
										LEFT JOIN hdb_ma_status t3 ON t1.mastatus_id=t3.mastatus_id
										$where $order".$bl['limit']);
					while ($result = $cdb->fetch_array($sql))
					{
						$sql_2 = $cdb->select("SELECT SUM(ist_zeit) AS stunden, REPLACE(LEFT(MIN(datum),7), '-', '/') AS min_date, REPLACE(LEFT(MAX(datum),7), '-', '/') AS max_date FROM hdb_stz WHERE user_id=".$result['user_id']." AND LEFT(datum,4)='".$_POST['filter_date_string']."'");
						$sub_result = $cdb->fetch_array($sql_2);
				?>
						<tr class="table_tr_bg_<?php echo $bg; ?>">
							<td><?php echo $result['nachname'].', '.$result['vorname']; ?></td>
							<td><?php echo $sub_result['min_date'].' - '.$sub_result['max_date']; ?></td>
							<td>
								<?php
									if ($sub_result['stunden'] > 0)
									{
										echo round($sub_result['stunden'], 2).' h';
									}
									else
									{
										echo '0 h';
									}
								?>
							</td>
							<td><?php echo $result['personalnr']; ?></td>
							<td title="<?php echo $result['email']; ?>">
								<?php
									if (strlen($result['email']) <= 20)
									{
										echo $result['email'];
									}
									else
									{
										echo substr($result['email'],0,17).'...';
									}
								?>
							</td>
							<td><?php echo $result['status']; ?></td>
						</tr>
				<?php
						if ($bg == 1)
						{
							$bg++;
						}
						else
						{
							$bg = 1;
						}
					}
				?>
			</table>
		</td>
	</tr>
</table>