<?php
	error_reporting(E_ALL);
	require_once ('client_tom.php');

	$insert_tom_user = '';
	$insert_tom_date = '';
	$insert_tom_time = '';

	/**
	 * Aufruf der PHP-Datei in einem Browser Wertuebergabe per GET oder POST
	 * @ACHTUNG Alle GET und POST werte können natürlich in einem netzwerk mitgelesen werden. Also entweder alles per SSL oder nicht verwenden. Des weiteren kommt noch dazu das den aufruf natürlich jeder machen kann der die URL kennt von daher sollte hier noch ein IP Filter oder aehnliches rein.
	 * Anfang
	 */

	/*
	 * Bsp.:
	 * Fuer den User mit der ID 32 wird fuer den heutigen Tag die Aktuelle Zeit eingetragen. Ob die Zeit als Start oder Endzeit verwendet wird ist abhaengig davon ob schon eine startzeit fuer den heutigen tag vorhanden ist.
	 * http://domain.com/tom/web_services/example/client_insert_user_time.php?tom_user_id=32
	 *
	 * Fuer den User mit dem Userbanem spieper wird fuer den heutigen Tag die Aktuelle Zeit eingetragen. Ob die Zeit als Start oder Endzeit verwendet wird ist abhaengig davon ob schon eine startzeit fuer den heutigen tag vorhanden ist.
	 * http://domain.com/tom/web_services/example/client_insert_user_time.php?tom_username=spieper
	 *
	 * Fuer den User mit dem Userbanem spieper wird fuer den 01.12.2009 die Aktuelle Zeit eingetragen. Ob die Zeit als Start oder Endzeit verwendet wird ist abhaengig davon ob schon eine startzeit fuer den heutigen tag vorhanden ist.
	 * http://domain.com/tom/web_services/example/client_insert_user_time.php?tom_username=spieper&tom_date=2009-12-01
	 *
	 * Fuer den User mit dem Userbanem spieper wird fuer den 01.12.2009 die Zeit 08:00 eingetragen. Ob die Zeit als Start oder Endzeit verwendet wird ist abhaengig davon ob schon eine startzeit fuer den heutigen tag vorhanden ist.
	 * http://domain.com/tom/web_services/example/client_insert_user_time.php?tom_username=spieper&tom_date=2009-12-01&tom_time=08:00
	 *
	 * Fuer den User mit dem Userbanem spieper wird fuer den 01.12.2009 die Startzeit 08:00 Uhr die Pausenzeit 45 min. und die Endzeit 16:00 Uhr eingetragen.
	 * http://domain.com/tom/web_services/example/client_insert_user_time.php?tom_username=spieper&tom_date=2009-12-01&tom_time=08:00-45-16:00
	 */
	if (isset($_REQUEST['tom_user_id']) and is_numeric($_REQUEST['tom_user_id']) and $_REQUEST['tom_user_id'] > 0)
	{
		$insert_tom_user = $_REQUEST['tom_user_id'];
	}
	elseif (isset($_REQUEST['tom_username']) and !empty($_REQUEST['tom_username']))
	{
		$insert_tom_user = $_REQUEST['tom_username'];
	}

	if (isset($_REQUEST['tom_date']) and !empty($_REQUEST['tom_date']))
	{
		$insert_tom_date = $_REQUEST['tom_date'];
	}
	//aktuelles Datum nehmen
	else
	{
		$insert_tom_date = date('Y-m-d');
	}

	if (isset($_REQUEST['tom_time']) and !empty($_REQUEST['tom_time']))
	{
		$insert_tom_time = $_REQUEST['tom_time'];
	}
	//aktuelle Zeit nehmen
	else
	{
		$insert_tom_time = date('H:i');
	}
	/**
	 * Aufruf der PHP-Datei in einem Browser Wertuebergabe per GET oder POST
	 * Ende
	 */


	/**
	 * Aufruf der PHP-Datei ueber die Konsole
	 * @ACHTUNG Es muss Sichergestellt sein das nicht jeder den Konsolenbefehl starten kann. Anderenfalls kann jeder Zeiten ins System Schreiben wie er will.
	 * Anfang
	 */
	if (isset($_SERVER['argv']) and count($_SERVER['argv']) > 1)
	{
		/**
		 * Bsp.: siehe auch oben bei GET und POST
		 * c:\php\php.exe c:\htdocs\tom\web_services\example\client_insert_user_time.php tom_user_id tom_date tom_time
		 * c:\php\php.exe c:\htdocs\tom\web_services\example\client_insert_user_time.php tom_username tom_date tom_time
		 *
		 * c:\php\php.exe c:\htdocs\tom\web_services\example\client_insert_user_time.php 32
		 * c:\php\php.exe c:\htdocs\tom\web_services\example\client_insert_user_time.php spieper
		 * c:\php\php.exe c:\htdocs\tom\web_services\example\client_insert_user_time.php spieper 2009-12-01
		 * c:\php\php.exe c:\htdocs\tom\web_services\example\client_insert_user_time.php spieper 2009-12-01 08:00
		 * c:\php\php.exe c:\htdocs\tom\web_services\example\client_insert_user_time.php spieper 2009-12-01 08:00-45-16:00
		 *
		 * $_SERVER['argc'][0] = c:\htdocs\tom\web_services\example\client_insert_user_time.php
		 * $_SERVER['argc'][1] = tom_user_id oder tom_username
		 * $_SERVER['argc'][2] = tom_date
		 * $_SERVER['argc'][3] = tom_time
		*/
		if (isset($_SERVER['argv'][1]) and is_numeric($_SERVER['argv'][1]) and $_SERVER['argv'][1] > 0)
		{
			$insert_tom_user = $_SERVER['argv'][1];
		}
		elseif (isset($_SERVER['argv'][1]) and !empty($_SERVER['argv'][1]))
		{
			$insert_tom_user = $_SERVER['argv'][1];
		}

		if (isset($_SERVER['argv'][2]) and !empty($_SERVER['argv'][2]))
		{
			$insert_tom_date = $_SERVER['argv'][2];
		}
		//aktuelles Datum nehmen
		else
		{
			$insert_tom_date = date('Y-m-d');
		}

		if (isset($_SERVER['argv'][3]) and !empty($_SERVER['argv'][3]))
		{
			$insert_tom_time = $_SERVER['argv'][3];
		}
		//aktuelle Zeit nehmen
		else
		{
			$insert_tom_time = date('H:i');
		}
	}
	/**
	 * Aufruf der PHP-Datei ueber die Konsole
	 * Ende
	 */

	if (!empty($insert_tom_user) and !empty($insert_tom_date) and !empty($insert_tom_time))
	{
		/*
		echo '<pre>';
		echo $insert_tom_user."\n";
		echo $insert_tom_date."\n";
		echo $insert_tom_time."\n";


		$wst = new WebServiceTom();
		var_dump($wst->insert_user_time($insert_tom_user, $insert_tom_date, $insert_tom_time));
		echo '</pre>';
		*/
	}
?>